-- Copyright (C) 2022  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and any partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details, at
-- https://fpgasoftware.intel.com/eula.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 22.1std.0 Build 915 10/25/2022 SC Standard Edition"

-- DATE "03/18/2024 13:55:44"

-- 
-- Device: Altera 10M50DAF484I6G Package FBGA484
-- 

-- 
-- This VHDL file should be used for Questa Intel FPGA (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY FIFTYFIVENM;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE FIFTYFIVENM.FIFTYFIVENM_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	adc IS
    PORT (
	altera_reserved_tms : IN std_logic := '0';
	altera_reserved_tck : IN std_logic := '0';
	altera_reserved_tdi : IN std_logic := '0';
	altera_reserved_tdo : OUT std_logic;
	\clk_ddr3_100_p(n)\ : IN std_logic := '0';
	\clk_lvds_125_p(n)\ : IN std_logic := '0';
	clk_ddr3_100_p : IN std_logic;
	clk_50_max10 : IN std_logic;
	clk_25_max10 : IN std_logic;
	clk_lvds_125_p : IN std_logic;
	clk_10_adc : IN std_logic;
	fpga_resetn : IN std_logic;
	user_led : OUT std_logic_vector(4 DOWNTO 0);
	user_pb : IN std_logic_vector(3 DOWNTO 0);
	user_dipsw : IN std_logic_vector(4 DOWNTO 0);
	dac_sync : OUT std_logic;
	dac_sclk : OUT std_logic;
	dac_din : OUT std_logic
	);
END adc;

-- Design Ports Information
-- clk_ddr3_100_p	=>  Location: PIN_N14,	 I/O Standard: Differential 1.5-V SSTL,	 Current Strength: Default
-- clk_lvds_125_p	=>  Location: PIN_P11,	 I/O Standard: LVDS,	 Current Strength: Default
-- user_led[0]	=>  Location: PIN_T20,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_led[1]	=>  Location: PIN_U22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_led[2]	=>  Location: PIN_U21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_led[3]	=>  Location: PIN_AA21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_led[4]	=>  Location: PIN_AA22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_pb[0]	=>  Location: PIN_L22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_pb[1]	=>  Location: PIN_M21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_pb[2]	=>  Location: PIN_M22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_pb[3]	=>  Location: PIN_N21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_dipsw[0]	=>  Location: PIN_H21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_dipsw[1]	=>  Location: PIN_H22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_dipsw[2]	=>  Location: PIN_J21,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_dipsw[3]	=>  Location: PIN_J22,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- user_dipsw[4]	=>  Location: PIN_G19,	 I/O Standard: 1.5 V,	 Current Strength: Default
-- dac_sync	=>  Location: PIN_B10,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- dac_sclk	=>  Location: PIN_A7,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- dac_din	=>  Location: PIN_A8,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: 2mA
-- fpga_resetn	=>  Location: PIN_D9,	 I/O Standard: 3.3-V LVCMOS,	 Current Strength: Default
-- clk_10_adc	=>  Location: PIN_N5,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- clk_25_max10	=>  Location: PIN_M8,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- clk_50_max10	=>  Location: PIN_M9,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- altera_reserved_tms	=>  Location: PIN_H2,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- altera_reserved_tck	=>  Location: PIN_G2,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- altera_reserved_tdi	=>  Location: PIN_L4,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- altera_reserved_tdo	=>  Location: PIN_M5,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- clk_ddr3_100_p(n)	=>  Location: PIN_N15,	 I/O Standard: Differential 1.5-V SSTL,	 Current Strength: Default
-- clk_lvds_125_p(n)	=>  Location: PIN_R11,	 I/O Standard: LVDS,	 Current Strength: Default


ARCHITECTURE structure OF adc IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_altera_reserved_tms : std_logic;
SIGNAL ww_altera_reserved_tck : std_logic;
SIGNAL ww_altera_reserved_tdi : std_logic;
SIGNAL ww_altera_reserved_tdo : std_logic;
SIGNAL \ww_clk_ddr3_100_p(n)\ : std_logic;
SIGNAL \ww_clk_lvds_125_p(n)\ : std_logic;
SIGNAL ww_clk_ddr3_100_p : std_logic;
SIGNAL ww_clk_50_max10 : std_logic;
SIGNAL ww_clk_25_max10 : std_logic;
SIGNAL ww_clk_lvds_125_p : std_logic;
SIGNAL ww_clk_10_adc : std_logic;
SIGNAL ww_fpga_resetn : std_logic;
SIGNAL ww_user_led : std_logic_vector(4 DOWNTO 0);
SIGNAL ww_user_pb : std_logic_vector(3 DOWNTO 0);
SIGNAL ww_user_dipsw : std_logic_vector(4 DOWNTO 0);
SIGNAL ww_dac_sync : std_logic;
SIGNAL ww_dac_sclk : std_logic;
SIGNAL ww_dac_din : std_logic;
SIGNAL \adc_pll_u0|altpll_component|auto_generated|pll1_INCLK_bus\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_pll_u0|altpll_component|auto_generated|pll1_CLK_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTADATAIN_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTAADDR_bus\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBADDR_bus\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTADATAIN_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTAADDR_bus\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBADDR_bus\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTADATAIN_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTAADDR_bus\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBADDR_bus\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_CHSEL_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\ : std_logic_vector(11 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTADATAIN_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTAADDR_bus\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBADDR_bus\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_CHSEL_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\ : std_logic_vector(11 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTADATAIN_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTAADDR_bus\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBADDR_bus\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\ : std_logic_vector(35 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \clk_50_max10~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \clk_25_max10~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \altera_internal_jtag~TCKUTAPclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \auto_hub|~GND~combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~_wirecell_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[0]~_wirecell_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_ff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_mode_ff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_ff~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_mode_ff~0_combout\ : std_logic;
SIGNAL \clk_ddr3_100_p~input_o\ : std_logic;
SIGNAL \clk_lvds_125_p~input_o\ : std_logic;
SIGNAL \user_pb[0]~input_o\ : std_logic;
SIGNAL \user_pb[1]~input_o\ : std_logic;
SIGNAL \user_pb[2]~input_o\ : std_logic;
SIGNAL \user_pb[3]~input_o\ : std_logic;
SIGNAL \user_dipsw[0]~input_o\ : std_logic;
SIGNAL \user_dipsw[1]~input_o\ : std_logic;
SIGNAL \user_dipsw[2]~input_o\ : std_logic;
SIGNAL \user_dipsw[3]~input_o\ : std_logic;
SIGNAL \user_dipsw[4]~input_o\ : std_logic;
SIGNAL \~QUARTUS_CREATED_GND~I_combout\ : std_logic;
SIGNAL \~QUARTUS_CREATED_UNVM~~busy\ : std_logic;
SIGNAL \~ALTERA_CONFIG_SEL~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONFIG_SEL~~padout\ : std_logic;
SIGNAL \~ALTERA_nCONFIG~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nCONFIG~~padout\ : std_logic;
SIGNAL \~ALTERA_nSTATUS~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nSTATUS~~padout\ : std_logic;
SIGNAL \~ALTERA_CONF_DONE~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONF_DONE~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC1IN1~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC1IN1~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC2IN1~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC2IN1~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC1IN2~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC1IN2~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC2IN8~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC2IN8~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC1IN3~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC1IN3~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC2IN3~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC2IN3~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC1IN4~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC1IN4~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC2IN4~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC2IN4~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC1IN5~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC1IN5~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC2IN5~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC2IN5~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC1IN6~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC1IN6~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC2IN6~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC2IN6~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC1IN7~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC1IN7~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC2IN7~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC2IN7~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC1IN8~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC1IN8~~padout\ : std_logic;
SIGNAL \~ALTERA_ADC2IN2~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_ADC2IN2~~padout\ : std_logic;
SIGNAL \clk_25_max10~input_o\ : std_logic;
SIGNAL \clk_25_max10~inputclkctrl_outclk\ : std_logic;
SIGNAL \cpha~combout\ : std_logic;
SIGNAL \spi_master_dac|last_bit_rx[2]~1_combout\ : std_logic;
SIGNAL \clk_50_max10~input_o\ : std_logic;
SIGNAL \clk_50_max10~inputclkctrl_outclk\ : std_logic;
SIGNAL \altera_reserved_tms~input_o\ : std_logic;
SIGNAL \altera_reserved_tck~input_o\ : std_logic;
SIGNAL \altera_reserved_tdi~input_o\ : std_logic;
SIGNAL \altera_internal_jtag~TDIUTAP\ : std_logic;
SIGNAL \altera_internal_jtag~TMSUTAP\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~9_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~12_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~13_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~10_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~11_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[15]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[9]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[7]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[6]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[4]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[3]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[2]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[1]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[0]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal1~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ : std_logic;
SIGNAL \~GND~combout\ : std_logic;
SIGNAL \auto_signaltap_0|~GND~combout\ : std_logic;
SIGNAL \~QIC_CREATED_GND~I_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[11]~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[11]~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[11]~8_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[10]~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~10_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~9_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][1]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~8_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~8_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][0]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][0]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~12_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][3]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~10_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][3]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~13_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][4]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~11_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][4]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~14_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][5]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~12_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][5]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal11~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~14_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[5]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~15_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][6]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~13_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~15_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[6]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~16_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][7]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~14_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~16_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[7]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~17_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][8]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~15_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][8]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~17_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[8]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~18_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~16_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~18_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[4]~12_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[4]~13_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~11_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~9_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_ir_reg~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~11_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][2]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~9_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][2]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~10_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~8_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg_ena~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][0]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][1]~q\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ : std_logic;
SIGNAL \fpga_resetn~input_o\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~31_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~13_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~19_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~21_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~23_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~25_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~27_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~28\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]~29_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~13\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~17_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~20_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~22_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~23\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]~24_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~13_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[12]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[8]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~30_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~32_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~34_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~35\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~20_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~13_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~15_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~17_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~20_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~22_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~24_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~26_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~28_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|enable~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~20_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~22_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~24_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~26_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~28_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~30_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~32_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~34_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]~13_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]~15_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]~17_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~35\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~17\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_valid~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[5]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|wr_ptr[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|Add0~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|Add0~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|Add0~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|Add0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|Add0~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|Add0~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|mem_rd_ptr[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|mem_rd_ptr[1]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|mem_rd_ptr[2]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|Add1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|mem_rd_ptr[3]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|mem_rd_ptr[4]~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|Add1~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|mem_rd_ptr[5]~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|Equal0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|Equal2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|received_esc~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|received_esc~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|out_endofpacket~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|received_channel~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|received_channel~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|received_channel~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|out_valid~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|out_valid~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|out_endofpacket~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|out_endofpacket~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\ : std_logic;
SIGNAL \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector64~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector67~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector68~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|command[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|out_channel[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|out_channel[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|out_channel[4]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|enable~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|out_data[5]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|out_channel[5]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|out_channel[6]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|out_channel[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|enable~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|enable~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|enable~combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector69~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~53_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~54_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~57_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~58_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~48_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~47_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector69~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|command[5]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|command[3]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|command[6]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector77~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~50_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector70~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector70~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector70~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector71~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector71~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector71~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector71~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector70~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector70~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector70~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector70~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~49_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Equal4~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~51_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~52_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector35~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector36~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector37~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector37~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector37~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~1\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~1\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector36~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector36~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~3\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~3\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector35~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector35~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~5\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~5\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector34~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector34~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~7\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~7\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector33~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector33~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~9\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~9\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector32~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector32~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~11\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~11\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector31~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector31~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~13\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~13\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector30~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector30~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~15\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~15\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector29~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector29~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~17\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector28~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~17\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector28~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~19\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~20_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~19\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~20_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector27~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector27~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~21\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~22_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~21\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~22_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector26~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector26~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector77~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector77~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[3]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[3]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector58~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector58~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector59~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector59~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector60~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~11\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector63~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector63~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector63~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector63~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector63~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~13\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~15\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector61~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector61~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector61~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector61~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector61~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~17\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector60~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector60~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector60~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector60~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~19\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~20_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector59~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector59~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector59~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~21\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~22_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector58~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector58~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector58~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|router|Equal1~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|router|Equal1~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|router|Equal1~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector81~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector81~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|write~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~23\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~24_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector25~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~23\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~24_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector25~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~25\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~26_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~25\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~26_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector24~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector24~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector22~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~27\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~28_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~27\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~28_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector23~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector23~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~29\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add3~30_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~29\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add0~30_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector22~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector22~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Equal10~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Equal10~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Equal10~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Equal10~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~62_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~63_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.READ_ASSERT~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~59_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[0]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|router|Equal2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|router|Equal4~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[0]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|router|src_data~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|cmd_demux|src2_valid~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[0]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[0]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|read~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[2]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~60_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~61_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector83~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector83~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|read~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[0]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|Equal0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|always0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|product_info_0|av_data_read[12]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector77~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state_nxt~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Add0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_valid~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY2~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\ : std_logic;
SIGNAL \clk_10_adc~input_o\ : std_logic;
SIGNAL \adc_pll_u0|altpll_component|auto_generated|wire_pll1_fbout\ : std_logic;
SIGNAL \adc_pll_u0|altpll_component|auto_generated|wire_pll1_locked\ : std_logic;
SIGNAL \adc_pll_u0|altpll_component|auto_generated|pll_lock_sync~feeder_combout\ : std_logic;
SIGNAL \adc_pll_u0|altpll_component|auto_generated|pll_lock_sync~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.IDLE~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~1_combout\ : std_logic;
SIGNAL \adc_pll_u0|altpll_component|auto_generated|locked~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector18~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always12~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[0]~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_int_timer~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always12~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.AVRG_CNT~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.GETCMD_W~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector8~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PRE_CONV~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr15~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector18~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|usr_pwd~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|usr_pwd~_wirecell_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr18~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|tsen~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector15~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector15~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector14~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector14~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector12~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|chsel_to_hw~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|chsel_to_hw~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr2~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr1~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr0~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|eoc\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|din_s1~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT_PEND~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV_DLY1~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|conv_dly1_s_flp~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|incr_int_timer~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[0]~9\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[1]~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[1]~11\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[2]~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[2]~13\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[3]~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[3]~15\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[4]~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[4]~17\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[5]~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[5]~19\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[6]~20_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[6]~21\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[7]~22_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector3~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector3~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_DONE~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_CH~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector4~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector17~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|soc~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|clkout_adccore\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|clk_dft_synch_dly~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|clk_dft_synch_dly~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector7~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector7~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector10~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Equal0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|clr_run~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|always0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY2~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Add0~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Add0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Equal0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state_nxt~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_valid~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[3]~15\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[4]~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_CH~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector18~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|conv_dly1_s_flp~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|conv_dly1_s_flp~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always3~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.GETCMD_W~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector7~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector7~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PRE_CONV~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector8~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr15~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector18~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|usr_pwd~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|usr_pwd~_wirecell_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[6]~21\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[7]~22_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector3~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_DONE~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector3~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr18~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector19~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|tsen~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector15~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector15~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector14~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector14~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector13~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector13~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr3~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr3~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr2~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr1~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr0~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|clkout_adccore\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|clk_dft_synch_dly~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector4~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector17~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|soc~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|eoc\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|din_s1~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.AVRG_CNT~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_int_timer~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[4]~17\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[5]~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[5]~19\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[6]~20_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|incr_int_timer~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[0]~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[0]~9\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[1]~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[1]~11\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[2]~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[2]~13\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[3]~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always12~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always12~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV_DLY1~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector10~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|clr_run~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|always0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector77~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_valid~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|_~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita5~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~41_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~1\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]~19\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[1]~20_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~1\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~40_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~3\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[1]~21\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]~22_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~3\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~39_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~5\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]~23\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[3]~24_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~5\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~38_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~7\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[3]~25\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]~26_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~7\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~37_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~9\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]~27\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[5]~28_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~9\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~36_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~11\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[5]~29\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]~30_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~11\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~35_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[0]~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_eop_dly~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_eop_dly~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_eop~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_eop~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|set_eop~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[0]~7\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[1]~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[1]~9\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[2]~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[2]~11\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[3]~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[3]~13\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[4]~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[4]~15\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[5]~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~13\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]~31\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[7]~32_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~13\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~19_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~15\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[7]~33\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]~34_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~15\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~17\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]~35\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[9]~36_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~17\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~20_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~34_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~19\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~20_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[9]~37\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]~38_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~21\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~22_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~33_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~21\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~22_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]~39\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[11]~40_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~23\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~24_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~26_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~23\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~24_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[11]~41\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[12]~42_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~25\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~27_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~32_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~25\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~26_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[12]~43\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[13]~44_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~28\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~29_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~31_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~27\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~28_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[13]~45\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[14]~46_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~30\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~42_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~53_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~29\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~30_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[14]~47\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[15]~48_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~43\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~44_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~49_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~31\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~32_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[15]~49\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[16]~50_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~45\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~46_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~48_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~33\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~34_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[16]~51\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[17]~52_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~47\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~50_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~52_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[3]~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_valid~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_valid~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[0]~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_eop_dly~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_eop_dly~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_eop~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_eop~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|set_eop~combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[0]~7\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[1]~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[1]~9\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[2]~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[2]~11\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[3]~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[3]~13\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[4]~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[4]~15\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[5]~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[3]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[4]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[5]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[6]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[7]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[8]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[9]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[10]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[11]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[3]~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector77~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector77~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|product_info_0|Mux2~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[19]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~19_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Mux12~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[11]~13_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[11]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[10]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[11]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~17_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[11]~13_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Mux12~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector77~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector77~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector77~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector77~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector74~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector74~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[6]~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[6]~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector74~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|product_info_0|Mux2~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[29]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[6]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[6]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector74~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[14]~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[14]~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[14]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[14]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~13_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Mux9~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|product_info_0|Mux2~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[22]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Mux9~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector74~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector74~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector74~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector74~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector74~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector74~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector73~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector73~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector73~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[7]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[7]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[7]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector73~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[15]~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[15]~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[15]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[15]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector73~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector73~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector73~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector73~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector73~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|in_ready~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector76~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector76~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector76~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector76~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector76~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[4]~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[4]~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector76~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[4]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[4]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector76~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[12]~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[12]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[12]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[12]~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~15_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~16_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector76~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector76~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector76~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector76~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector76~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector75~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector75~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector75~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector75~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector75~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[5]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[5]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector75~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[5]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[5]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector75~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[13]~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[13]~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[13]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[13]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector75~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector75~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector75~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector75~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector75~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector79~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector79~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector79~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector79~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[1]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[1]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector79~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector79~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector79~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector79~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[9]~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[9]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[9]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[9]~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector79~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[17]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[16]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[17]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector79~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector79~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector79~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector79~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector78~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector78~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector78~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[2]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[2]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector78~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector78~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector78~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector78~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[10]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[10]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[10]~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[10]~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector78~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector78~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector78~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector78~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector78~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector78~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|in_ready~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector72~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector38~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|first_trans~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector72~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector72~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|in_ready~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector82~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector82~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|sent_eop~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|sent_eop~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|sent_eop~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|sent_sop~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|sent_sop~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|sent_sop~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|in_ready~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|sent_channel_char~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|sent_channel_char~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|sent_channel~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|sent_channel~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|sent_channel~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|stored_channel[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|in_ready~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|sent_esc~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|sent_esc~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|in_ready~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|in_ready~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|in_ready~combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector69~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector69~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector69~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~1\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector68~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector68~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector68~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector68~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~3\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector67~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector67~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector67~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector67~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~5\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector66~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector66~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector66~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector66~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~7\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector65~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector65~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector65~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector65~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector65~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~9\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector64~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector64~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector64~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector64~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|router|always1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][107]~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][107]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][107]~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[1][107]~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][107]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][107]~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[1][107]~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[0][107]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[0][107]~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[1][107]~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[0][107]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[0][107]~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[2][107]~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[1][107]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[1][107]~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[0]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[0]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|read~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[2]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[1]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[2][107]~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[1][107]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[1][107]~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[1]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|router|src_data~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|router|src_data[91]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~66_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~64_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~65_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~46_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector62~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Add2~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector62~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector62~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector62~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector62~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|router|Equal5~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~41_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|write~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~40_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~42_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~43_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector39~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|last_trans~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~55_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~56_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.0000~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|read~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|Equal0~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|Equal0~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|Equal0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|Add1~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|internal_out_valid~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|internal_out_valid~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|internal_out_valid~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|next_empty~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|empty~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|internal_out_valid~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|internal_out_valid~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|out_valid~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|out_valid~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|internal_out_ready~combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|Equal0~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|out_startofpacket~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|out_startofpacket~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|b2p|out_startofpacket~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~44_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state~45_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector0~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector0~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector0~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector0~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|out_valid~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|out_valid~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|out_valid~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|out_data[2]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|out_data[2]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector80~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector80~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector80~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|product_info_0|av_data_read[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector80~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector80~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|router|Equal1~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata_nxt[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata_nxt[0]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[0]~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|e_eop~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|e_eop~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|s_eop~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|s_eop~q\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata_nxt[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata_nxt[0]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[0]~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector80~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector80~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~20_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[8]~15_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata[8]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~21_combout\ : std_logic;
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[8]~15_combout\ : std_logic;
SIGNAL \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~22_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Mux15~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Mux15~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector80~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector80~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|Selector80~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|out_data[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|out_data[0]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|out_data[1]~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|out_data[4]~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|out_data[7]~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|out_data[6]~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|out_data[5]~7_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|out_data[5]~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|p2b|out_data[3]~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~34_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~31_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~15_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[0]~33\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[1]~34_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~6_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[1]~35\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[2]~36_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[2]~37\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[3]~38_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[3]~39\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[4]~40_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[4]~41\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[5]~42_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[5]~43\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[6]~44_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[6]~45\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[7]~46_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[7]~47\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[8]~48_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[8]~49\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[9]~50_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[9]~51\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[10]~52_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[10]~53\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[11]~54_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[11]~55\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[12]~56_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[12]~57\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[13]~58_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[13]~59\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[14]~60_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[14]~61\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[15]~62_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[15]~63\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[16]~64_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[16]~65\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[17]~66_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[17]~67\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[18]~68_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[18]~69\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[19]~70_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[19]~71\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[20]~72_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[20]~73\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[21]~74_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[21]~75\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[22]~76_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[22]~77\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[23]~78_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[23]~79\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[24]~80_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[24]~81\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[25]~82_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[25]~83\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[26]~84_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[26]~85\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[27]~86_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[27]~87\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[28]~88_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[28]~89\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[29]~90_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[29]~91\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[30]~92_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[30]~93\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[31]~94_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~7_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~8_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~5_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~6_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~9_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[0]~32_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~clkctrl_outclk\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[74]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[73]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[72]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[71]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[70]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[69]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[68]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[67]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[66]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[65]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[64]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[63]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[62]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[61]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[60]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[59]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[58]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[57]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[56]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[55]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[54]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[53]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[52]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[51]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[50]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[49]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[48]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[47]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[46]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[45]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[44]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[43]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[42]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[41]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[40]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[39]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[38]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[37]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[36]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[35]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[34]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[33]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[32]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[31]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[30]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[29]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[28]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[27]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[26]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[25]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[24]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[23]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[22]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[21]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[20]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[19]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[18]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[17]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[16]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[15]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[14]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[13]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[12]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[11]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[10]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[9]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[8]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[7]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[4]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[1]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[9]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[8]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[7]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[5]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[4]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[1]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[21]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[18]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|holdff~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[20]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[19]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[13]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[11]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[10]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[12]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~3_combout\ : std_logic;
SIGNAL \cpol~combout\ : std_logic;
SIGNAL \spi_master_dac|sclk~0_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~0_combout\ : std_logic;
SIGNAL \enable~combout\ : std_logic;
SIGNAL \spi_master_dac|count[0]~2_combout\ : std_logic;
SIGNAL \spi_master_dac|count[31]~1_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~1\ : std_logic;
SIGNAL \spi_master_dac|Add5~3\ : std_logic;
SIGNAL \spi_master_dac|Add5~4_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~5\ : std_logic;
SIGNAL \spi_master_dac|Add5~6_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~91_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~7\ : std_logic;
SIGNAL \spi_master_dac|Add5~8_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~90_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~9\ : std_logic;
SIGNAL \spi_master_dac|Add5~10_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~89_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~11\ : std_logic;
SIGNAL \spi_master_dac|Add5~12_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~88_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~13\ : std_logic;
SIGNAL \spi_master_dac|Add5~14_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~87_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~15\ : std_logic;
SIGNAL \spi_master_dac|Add5~16_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~86_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~17\ : std_logic;
SIGNAL \spi_master_dac|Add5~18_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~85_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~19\ : std_logic;
SIGNAL \spi_master_dac|Add5~20_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~84_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~21\ : std_logic;
SIGNAL \spi_master_dac|Add5~22_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~83_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~23\ : std_logic;
SIGNAL \spi_master_dac|Add5~24_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~82_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~25\ : std_logic;
SIGNAL \spi_master_dac|Add5~26_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~81_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~27\ : std_logic;
SIGNAL \spi_master_dac|Add5~28_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~80_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~29\ : std_logic;
SIGNAL \spi_master_dac|Add5~30_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~79_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~31\ : std_logic;
SIGNAL \spi_master_dac|Add5~32_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~78_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~33\ : std_logic;
SIGNAL \spi_master_dac|Add5~34_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~77_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~35\ : std_logic;
SIGNAL \spi_master_dac|Add5~36_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~76_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~37\ : std_logic;
SIGNAL \spi_master_dac|Add5~38_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~75_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~39\ : std_logic;
SIGNAL \spi_master_dac|Add5~40_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~74_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~41\ : std_logic;
SIGNAL \spi_master_dac|Add5~42_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~73_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~43\ : std_logic;
SIGNAL \spi_master_dac|Add5~44_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~72_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~45\ : std_logic;
SIGNAL \spi_master_dac|Add5~46_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~71_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~47\ : std_logic;
SIGNAL \spi_master_dac|Add5~48_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~70_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~49\ : std_logic;
SIGNAL \spi_master_dac|Add5~50_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~69_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~51\ : std_logic;
SIGNAL \spi_master_dac|Add5~52_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~68_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~53\ : std_logic;
SIGNAL \spi_master_dac|Add5~54_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~67_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~55\ : std_logic;
SIGNAL \spi_master_dac|Add5~56_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~66_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~57\ : std_logic;
SIGNAL \spi_master_dac|Add5~58_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~65_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~1_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~59\ : std_logic;
SIGNAL \spi_master_dac|Add5~60_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~64_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~61\ : std_logic;
SIGNAL \spi_master_dac|Add5~62_combout\ : std_logic;
SIGNAL \spi_master_dac|count[31]~0_combout\ : std_logic;
SIGNAL \spi_master_dac|clk_ratio[31]~feeder_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~0_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~3_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~2_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~4_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~92_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~8_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~7_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~6_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~5_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~9_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~2_combout\ : std_logic;
SIGNAL \spi_master_dac|Add5~93_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal1~10_combout\ : std_logic;
SIGNAL \spi_master_dac|last_bit_rx[4]~feeder_combout\ : std_logic;
SIGNAL \spi_master_dac|last_bit_rx[5]~feeder_combout\ : std_logic;
SIGNAL \spi_master_dac|last_bit_rx[3]~0_combout\ : std_logic;
SIGNAL \spi_master_dac|last_bit_rx[1]~2_combout\ : std_logic;
SIGNAL \spi_master_dac|last_bit_rx[0]~3_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~1\ : std_logic;
SIGNAL \spi_master_dac|Add4~3\ : std_logic;
SIGNAL \spi_master_dac|Add4~5\ : std_logic;
SIGNAL \spi_master_dac|Add4~7\ : std_logic;
SIGNAL \spi_master_dac|Add4~9\ : std_logic;
SIGNAL \spi_master_dac|Add4~10_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~0_combout\ : std_logic;
SIGNAL \spi_master_dac|Add1~0_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~14_combout\ : std_logic;
SIGNAL \spi_master_dac|clk_toggles[5]~0_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~8_combout\ : std_logic;
SIGNAL \spi_master_dac|Add1~7\ : std_logic;
SIGNAL \spi_master_dac|Add1~8_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~13_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~2_combout\ : std_logic;
SIGNAL \spi_master_dac|Add1~1\ : std_logic;
SIGNAL \spi_master_dac|Add1~2_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~17_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal3~0_combout\ : std_logic;
SIGNAL \spi_master_dac|Equal3~1_combout\ : std_logic;
SIGNAL \spi_master_dac|Add1~9\ : std_logic;
SIGNAL \spi_master_dac|Add1~10_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~12_combout\ : std_logic;
SIGNAL \spi_master_dac|sclk~1_combout\ : std_logic;
SIGNAL \spi_master_dac|slave[0]~feeder_combout\ : std_logic;
SIGNAL \spi_master_dac|ss_n~1_combout\ : std_logic;
SIGNAL \spi_master_dac|sclk~2_combout\ : std_logic;
SIGNAL \spi_master_dac|sclk~3_combout\ : std_logic;
SIGNAL \spi_master_dac|sclk~4_combout\ : std_logic;
SIGNAL \spi_master_dac|sclk~feeder_combout\ : std_logic;
SIGNAL \spi_master_dac|sclk~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[22]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[24]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[1]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|run~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|run~q\ : std_logic;
SIGNAL \spi_master_dac|ss_n[0]~_wirecell_combout\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[23]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[14]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[15]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[16]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[17]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[5]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[4]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|holdff~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~6_combout\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[7]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[8]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[9]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~5_combout\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[1]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_trigger_in_reg[0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|p_match_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|holdff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|p_match_out~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|regoutff~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~7_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~8_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|run~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|run~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~7\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~8_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~5_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~9\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~10_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~6_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~11\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~12_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~7_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~13\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~14_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~8_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~1\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~3\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~5\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~6_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[1]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[5]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[1]~8\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[2]~9_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[2]~10\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[3]~11_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[3]~12\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[4]~14\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[5]~16\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[6]~18\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[7]~19_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[6]~17_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[1]~7_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[4]~13_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[5]~15_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|done~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[1]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[0]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~1\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[3]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~3\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[2]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~5\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~6_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~5_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[5]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~7\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~8_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[4]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~9\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~10_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~6_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[6]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~11\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~12_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:is_buffer_wrapped~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_wrapped_delayed~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_wrapped_delayed~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|done~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:done~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_enable_delayed~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_enable_delayed~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|segment_shift_var~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:segment_shift_var~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|base_address~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:base_address[0]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|current_segment_delayed[0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][0]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][0]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr_ena~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_comb_bita0~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_reg_bit[0]~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_reg_bit[0]~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal3~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita3~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit[3]~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal2~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr[0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[0]~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[0]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][1]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][1]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][1]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][1]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[1]~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[2]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][3]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][3]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[3]~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[3]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][4]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][4]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][4]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][4]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[4]~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[4]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[4]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[4]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][5]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][5]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][5]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][5]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[5]~5_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[5]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[5]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[5]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][6]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][6]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[6]~6_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[6]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][7]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][7]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][7]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][7]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[7]~7_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][8]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][8]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][8]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][8]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[8]~8_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][10]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][10]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][10]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][10]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[10]~10_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][14]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][14]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][14]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][14]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[14]~14_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~14_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[5]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][13]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][13]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][13]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][13]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[13]~13_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~13_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[4]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][12]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][12]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][12]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][12]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[12]~12_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~12_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][11]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][11]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][11]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][11]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[11]~11_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~11_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~10_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[1]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][9]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][9]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][9]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][9]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[9]~9_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~9_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~8_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~7_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~6_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~5_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[1]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[1]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[1]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][2]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][2]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[2]~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~5_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~8_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~16_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~15_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~14_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~13_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~12_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~11_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~10_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~6_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~7_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~9_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~5_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[15]~16_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[14]~15_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[13]~14_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[12]~13_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[11]~12_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[10]~11_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[9]~10_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[8]~9_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[7]~8_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[6]~7_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[5]~6_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[4]~5_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[3]~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[2]~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[1]~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|state_status[2]~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|collecting_post_data_var~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:collecting_post_data_var~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|state_status[2]~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_load_on~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~16_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~15_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~14_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~13_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~12_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~11_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~10_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~9_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~8_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~7_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~6_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~5_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|bypass_reg_out~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|bypass_reg_out~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|clear_signal~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Add0~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Equal0~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~5_combout\ : std_logic;
SIGNAL \auto_signaltap_0|~VCC~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~6_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~8_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~9_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~7_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~5_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped_once_sig~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped_once_sig~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped_once_sig~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[1]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[0]~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][0]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][0]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][0]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][0]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|acq_buf_read_reset~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita4~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal1~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita4~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit[4]~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal0~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter_clk_ena~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita4~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita5~combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita5~COUT\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita6~combout\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[1]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][1]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][1]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][1]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][1]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][1]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][1]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][1]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][2]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][2]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][2]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][2]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][3]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][3]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][3]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][3]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[4]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][4]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][4]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][4]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][4]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][4]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][4]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][4]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][4]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[5]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][5]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][5]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][5]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][5]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][5]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][5]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][5]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][5]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][6]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][6]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][6]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][6]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[7]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][7]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][7]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][7]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][7]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][7]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][7]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][7]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][7]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[8]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][8]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][8]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][8]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][8]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][8]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][8]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][8]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[9]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][9]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][9]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][9]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][9]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][9]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][9]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][9]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][9]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[10]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][10]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][10]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][10]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][10]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][10]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][10]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][10]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][10]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[11]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][11]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][11]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][11]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][11]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][11]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][11]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][11]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][11]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[12]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][12]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][12]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][12]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][12]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][12]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][12]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][12]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][12]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[13]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][13]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][13]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][13]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][13]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][13]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][13]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][13]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][13]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[14]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][14]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][14]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][14]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][14]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][14]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][14]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][14]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][14]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[15]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][15]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][15]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][15]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][15]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][15]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][15]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][15]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][15]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[16]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][16]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][16]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][16]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][16]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][16]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][16]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][16]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][16]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[17]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][17]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][17]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][17]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][17]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][17]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][17]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][17]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][17]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[18]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][18]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][18]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][18]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][18]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][18]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][18]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][18]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][18]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[19]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][19]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][19]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][19]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][19]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][19]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][19]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][19]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][19]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[20]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][20]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][20]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][20]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][20]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][20]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][20]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][20]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][20]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[21]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][21]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][21]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][21]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][21]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][21]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][21]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][21]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][21]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[22]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][22]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][22]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][22]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][22]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][22]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][22]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][22]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][22]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[23]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][23]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][23]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][23]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][23]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][23]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][23]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][23]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][23]~q\ : std_logic;
SIGNAL \auto_signaltap_0|acq_data_in_reg[24]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][24]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][24]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][24]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][24]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][24]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][24]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][24]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][24]~q\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a2\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a11\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a12\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a14\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a17\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a20\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a23\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a24\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~24_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~23_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a22\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~22_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a21\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~21_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~20_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a19\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~19_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a18\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~18_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~17_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a16\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~16_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a15\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~15_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~14_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a13\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~13_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~12_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~11_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a10\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~10_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a9\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~9_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a8\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~8_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a7\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~7_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a6\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~6_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a5\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~5_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a4\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a3\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a1\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0~portbdataout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~14_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~13_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~12_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~11_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~10_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~9_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~8_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[6]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~7_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[5]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~6_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[4]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~5_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[3]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~4_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[2]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~2_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[0]~feeder_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~1_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~0_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~3_combout\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~5\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~7\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~8_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~1\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~3\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[1]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux1~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux0~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux3~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~6\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~8\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~9_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~10\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~11_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~12\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[4]~13_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[3]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[2]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[1]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~feeder_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[0]~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[1]~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[2]~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~1_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~2_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[3]~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~7_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~4_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~3_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~5_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~6_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~9_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo~q\ : std_logic;
SIGNAL \altera_internal_jtag~TCKUTAP\ : std_logic;
SIGNAL \altera_internal_jtag~TCKUTAPclkctrl_outclk\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~feeder_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|next_full~0_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|next_full~1_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|next_full~2_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|next_full~3_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|next_full~4_combout\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|full~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|fifo|write~combout\ : std_logic;
SIGNAL \adc_qsys_u0|dac_ctrl|data_out[16]~feeder_combout\ : std_logic;
SIGNAL \cont~combout\ : std_logic;
SIGNAL \spi_master_dac|ss_n~0_combout\ : std_logic;
SIGNAL \spi_master_dac|state~q\ : std_logic;
SIGNAL \spi_master_dac|slave[0]~0_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~4_combout\ : std_logic;
SIGNAL \spi_master_dac|Add1~3\ : std_logic;
SIGNAL \spi_master_dac|Add1~4_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~16_combout\ : std_logic;
SIGNAL \spi_master_dac|Add1~5\ : std_logic;
SIGNAL \spi_master_dac|Add1~6_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~6_combout\ : std_logic;
SIGNAL \spi_master_dac|Add4~15_combout\ : std_logic;
SIGNAL \spi_master_dac|process_0~1_combout\ : std_logic;
SIGNAL \spi_master_dac|process_0~0_combout\ : std_logic;
SIGNAL \spi_master_dac|process_0~2_combout\ : std_logic;
SIGNAL \spi_master_dac|process_0~3_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[0]~24_combout\ : std_logic;
SIGNAL \spi_master_dac|LessThan3~1_cout\ : std_logic;
SIGNAL \spi_master_dac|LessThan3~3_cout\ : std_logic;
SIGNAL \spi_master_dac|LessThan3~5_cout\ : std_logic;
SIGNAL \spi_master_dac|LessThan3~7_cout\ : std_logic;
SIGNAL \spi_master_dac|LessThan3~9_cout\ : std_logic;
SIGNAL \spi_master_dac|LessThan3~10_combout\ : std_logic;
SIGNAL \spi_master_dac|assert_data~0_combout\ : std_logic;
SIGNAL \spi_master_dac|assert_data~q\ : std_logic;
SIGNAL \spi_master_dac|mosi~3_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[23]~1_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[1]~23_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[2]~22_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[3]~21_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[4]~20_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[5]~19_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[6]~18_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[7]~17_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[8]~16_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[9]~15_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[10]~14_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[11]~13_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[12]~12_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[13]~11_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[14]~10_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[15]~9_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[16]~8_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[17]~7_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[18]~6_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[19]~5_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[20]~4_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[21]~3_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[22]~2_combout\ : std_logic;
SIGNAL \spi_master_dac|tx_buffer[23]~0_combout\ : std_logic;
SIGNAL \spi_master_dac|mosi~reg0feeder_combout\ : std_logic;
SIGNAL \spi_master_dac|mosi~0_combout\ : std_logic;
SIGNAL \spi_master_dac|mosi~1_combout\ : std_logic;
SIGNAL \spi_master_dac|mosi~reg0_q\ : std_logic;
SIGNAL \spi_master_dac|mosi~2_combout\ : std_logic;
SIGNAL \spi_master_dac|mosi~en_q\ : std_logic;
SIGNAL \altera_internal_jtag~TDO\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\ : std_logic_vector(14 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\ : std_logic_vector(14 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \auto_signaltap_0|acq_data_in_reg\ : std_logic_vector(24 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\ : std_logic_vector(11 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\ : std_logic_vector(11 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\ : std_logic_vector(11 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \adc_qsys_u0|product_info_0|av_data_read\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|fifo|rd_ptr\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|fifo|wr_ptr\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\ : std_logic_vector(24 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \adc_qsys_u0|dac_ctrl|readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \spi_master_dac|last_bit_rx\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \adc_qsys_u0|dac_ctrl|data_out\ : std_logic_vector(17 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\ : std_logic_vector(14 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \spi_master_dac|ss_n\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\ : std_logic_vector(74 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\ : std_logic_vector(17 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\ : std_logic_vector(18 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\ : std_logic_vector(11 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\ : std_logic_vector(18 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \auto_signaltap_0|acq_trigger_in_reg\ : std_logic_vector(24 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\ : std_logic_vector(10 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\ : std_logic_vector(11 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_reg_bit\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \spi_master_dac|clk_ratio\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \spi_master_dac|tx_buffer\ : std_logic_vector(23 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|fifo|out_payload\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \spi_master_dac|slave\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \spi_master_dac|count\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \spi_master_dac|clk_toggles\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\ : std_logic_vector(16 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \adc_pll_u0|altpll_component|auto_generated|wire_pll1_clk\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|current_segment_delayed\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\ : std_logic_vector(11 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|address\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|writedata\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\ : std_logic_vector(23 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\ : std_logic_vector(32 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\ : std_logic_vector(31 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|current_byte\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\ : std_logic_vector(11 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|b2p|out_channel\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|p2b|out_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|command\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\ : std_logic_vector(11 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|out_data\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|transacto|p2m|counter\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|p2b|stored_channel\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\ : std_logic_vector(8 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\ : std_logic_vector(25 DOWNTO 0);
SIGNAL dac_ctrl : std_logic_vector(17 DOWNTO 0);
SIGNAL \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\ : std_logic_vector(6 DOWNTO 0);
SIGNAL \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \ALT_INV_altera_internal_jtag~TCKUTAPclkctrl_outclk\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|ALT_INV_altera_reset_synchronizer_int_chain_out~clkctrl_outclk\ : std_logic;
SIGNAL \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\ : std_logic;
SIGNAL \ALT_INV_fpga_resetn~input_o\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_design_hash_proc~0_combout\ : std_logic;
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|ALT_INV_state\ : std_logic_vector(3 DOWNTO 3);
SIGNAL \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\ : std_logic;
SIGNAL \ALT_INV_altera_internal_jtag~TMSUTAP\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\ : std_logic;
SIGNAL \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\ : std_logic;
SIGNAL \spi_master_dac|ALT_INV_ss_n\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \adc_pll_u0|altpll_component|auto_generated|ALT_INV_locked~combout\ : std_logic;
SIGNAL \spi_master_dac|ALT_INV_state~q\ : std_logic;

BEGIN

ww_altera_reserved_tms <= altera_reserved_tms;
ww_altera_reserved_tck <= altera_reserved_tck;
ww_altera_reserved_tdi <= altera_reserved_tdi;
altera_reserved_tdo <= ww_altera_reserved_tdo;
\ww_clk_ddr3_100_p(n)\ <= \clk_ddr3_100_p(n)\;
\ww_clk_lvds_125_p(n)\ <= \clk_lvds_125_p(n)\;
ww_clk_ddr3_100_p <= clk_ddr3_100_p;
ww_clk_50_max10 <= clk_50_max10;
ww_clk_25_max10 <= clk_25_max10;
ww_clk_lvds_125_p <= clk_lvds_125_p;
ww_clk_10_adc <= clk_10_adc;
ww_fpga_resetn <= fpga_resetn;
user_led <= ww_user_led;
ww_user_pb <= user_pb;
ww_user_dipsw <= user_dipsw;
dac_sync <= ww_dac_sync;
dac_sclk <= ww_dac_sclk;
dac_din <= ww_dac_din;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\adc_pll_u0|altpll_component|auto_generated|pll1_INCLK_bus\ <= (gnd & \clk_10_adc~input_o\);

\adc_pll_u0|altpll_component|auto_generated|wire_pll1_clk\(0) <= \adc_pll_u0|altpll_component|auto_generated|pll1_CLK_bus\(0);
\adc_pll_u0|altpll_component|auto_generated|wire_pll1_clk\(1) <= \adc_pll_u0|altpll_component|auto_generated|pll1_CLK_bus\(1);
\adc_pll_u0|altpll_component|auto_generated|wire_pll1_clk\(2) <= \adc_pll_u0|altpll_component|auto_generated|pll1_CLK_bus\(2);
\adc_pll_u0|altpll_component|auto_generated|wire_pll1_clk\(3) <= \adc_pll_u0|altpll_component|auto_generated|pll1_CLK_bus\(3);
\adc_pll_u0|altpll_component|auto_generated|wire_pll1_clk\(4) <= \adc_pll_u0|altpll_component|auto_generated|pll1_CLK_bus\(4);

\adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTADATAIN_bus\ <= (gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & 
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(7) & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(6) & 
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(5) & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(4) & 
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(3) & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(2) & 
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(1) & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(0));

\adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTAADDR_bus\ <= (\adc_qsys_u0|master_0|fifo|wr_ptr\(5) & \adc_qsys_u0|master_0|fifo|wr_ptr\(4) & \adc_qsys_u0|master_0|fifo|wr_ptr\(3) & \adc_qsys_u0|master_0|fifo|wr_ptr\(2) & 
\adc_qsys_u0|master_0|fifo|wr_ptr\(1) & \adc_qsys_u0|master_0|fifo|wr_ptr\(0));

\adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBADDR_bus\ <= (\adc_qsys_u0|master_0|fifo|mem_rd_ptr[5]~5_combout\ & \adc_qsys_u0|master_0|fifo|mem_rd_ptr[4]~4_combout\ & \adc_qsys_u0|master_0|fifo|mem_rd_ptr[3]~3_combout\ & 
\adc_qsys_u0|master_0|fifo|mem_rd_ptr[2]~2_combout\ & \adc_qsys_u0|master_0|fifo|mem_rd_ptr[1]~1_combout\ & \adc_qsys_u0|master_0|fifo|mem_rd_ptr[0]~0_combout\);

\adc_qsys_u0|master_0|fifo|out_payload\(0) <= \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(0);
\adc_qsys_u0|master_0|fifo|out_payload\(1) <= \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(1);
\adc_qsys_u0|master_0|fifo|out_payload\(2) <= \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(2);
\adc_qsys_u0|master_0|fifo|out_payload\(3) <= \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(3);
\adc_qsys_u0|master_0|fifo|out_payload\(4) <= \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(4);
\adc_qsys_u0|master_0|fifo|out_payload\(5) <= \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(5);
\adc_qsys_u0|master_0|fifo|out_payload\(6) <= \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(6);
\adc_qsys_u0|master_0|fifo|out_payload\(7) <= \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(7);

\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTADATAIN_bus\ <= (gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & 
\~GND~combout\ & \~GND~combout\ & \~GND~combout\ & \~GND~combout\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(11) & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(10) & 
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(9) & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(8) & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(7) & 
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(6) & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(5) & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(4) & 
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(3) & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(2) & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(1) & 
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(0));

\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTAADDR_bus\ <= (\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(5) & \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(4)
& \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(3) & \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(2) & \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(1) & 
\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(0));

\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBADDR_bus\ <= (\adc_qsys_u0|master_0|transacto|p2m|address\(7) & \adc_qsys_u0|master_0|transacto|p2m|address\(6) & 
\adc_qsys_u0|master_0|transacto|p2m|address\(5) & \adc_qsys_u0|master_0|transacto|p2m|address\(4) & \adc_qsys_u0|master_0|transacto|p2m|address\(3) & \adc_qsys_u0|master_0|transacto|p2m|address\(2));

\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(0) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(0);
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(1) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(1);
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(2) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(2);
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(3) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(3);
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(4) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(4);
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(5) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(5);
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(6) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(6);
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(7) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(7);
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(8) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(8);
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(9) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(9);
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(10) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(10);
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(11) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(11);
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(12) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(12);
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(13) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(13);
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(14) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(14);
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(15) <= \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(15);

\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTADATAIN_bus\ <= (gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & 
\~GND~combout\ & \~GND~combout\ & \~GND~combout\ & \~GND~combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(11) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(10) & 
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(9) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(8) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(7) & 
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(6) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(5) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(4) & 
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(3) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(2) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(1) & 
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(0));

\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTAADDR_bus\ <= (\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(5) & \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(4)
& \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(3) & \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(2) & \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(1) & 
\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(0));

\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBADDR_bus\ <= (\adc_qsys_u0|master_0|transacto|p2m|address\(7) & \adc_qsys_u0|master_0|transacto|p2m|address\(6) & 
\adc_qsys_u0|master_0|transacto|p2m|address\(5) & \adc_qsys_u0|master_0|transacto|p2m|address\(4) & \adc_qsys_u0|master_0|transacto|p2m|address\(3) & \adc_qsys_u0|master_0|transacto|p2m|address\(2));

\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(0) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(0);
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(1) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(1);
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(2) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(2);
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(3) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(3);
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(4) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(4);
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(5) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(5);
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(6) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(6);
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(7) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(7);
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(8) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(8);
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(9) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(9);
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(10) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(10);
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(11) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(11);
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(12) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(12);
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(13) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(13);
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(14) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(14);
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(15) <= \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(15);

\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_CHSEL_bus\ <= (\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr0~1_combout\ & 
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr1~1_combout\ & \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr2~1_combout\ & \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~3_combout\ & 
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|chsel_to_hw~1_combout\);

\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(0) <= \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(0);
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(1) <= \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(1);
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(2) <= \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(2);
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(3) <= \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(3);
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(4) <= \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(4);
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(5) <= \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(5);
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(6) <= \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(6);
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(7) <= \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(7);
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(8) <= \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(8);
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(9) <= \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(9);
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(10) <= \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(10);
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(11) <= \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(11);

\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTADATAIN_bus\ <= (gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & 
gnd & gnd & gnd & gnd & gnd & gnd & gnd & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(10) & 
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(9) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(8) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7) & 
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(6) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(4) & 
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(2) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1) & 
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(0));

\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTAADDR_bus\ <= (
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(5) & 
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(4) & 
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(3) & 
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(2) & 
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(1) & 
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(0));

\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBADDR_bus\ <= (
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~6_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~5_combout\ & 
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~4_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~3_combout\ & 
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~2_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~1_combout\);

\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(0) <= \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(0);
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(1) <= \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(1);
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(2) <= \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(2);
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(3) <= \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(3);
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(4) <= \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(4);
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(5) <= \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(5);
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(6) <= \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(6);
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(7) <= \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(7);
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(8) <= \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(8);
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(9) <= \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(9);
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(10) <= \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(10);
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(11) <= \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\(11);

\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_CHSEL_bus\ <= (\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr0~1_combout\ & 
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr1~1_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr2~1_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr3~1_combout\ & 
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~3_combout\);

\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(0) <= \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(0);
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(1) <= \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(1);
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(2) <= \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(2);
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(3) <= \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(3);
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(4) <= \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(4);
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(5) <= \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(5);
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(6) <= \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(6);
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(7) <= \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(7);
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(8) <= \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(8);
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(9) <= \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(9);
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(10) <= \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(10);
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(11) <= \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\(11);

\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTADATAIN_bus\ <= (gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & gnd & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][24]~q\ & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][23]~q\ & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][22]~q\ & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][21]~q\ & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][20]~q\ & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][19]~q\ & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][18]~q\ & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][17]~q\ & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][16]~q\ & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][15]~q\ & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][14]~q\ & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][13]~q\ & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][12]~q\ & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][11]~q\ & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][10]~q\ & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][9]~q\ & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][8]~q\ & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][7]~q\ & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][6]~q\ & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][5]~q\ & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][4]~q\ & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][3]~q\ & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][2]~q\ & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][1]~q\ & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][0]~q\);

\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTAADDR_bus\ <= (\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(6) & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(5) & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(4) & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(3) & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(2) & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(1) & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(0));

\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBADDR_bus\ <= (
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(6) & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(5) & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(4) & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(3) & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(2) & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(1) & 
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(0));

\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0~portbdataout\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(0);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a1\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(1);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a2\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(2);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a3\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(3);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a4\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(4);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a5\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(5);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a6\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(6);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a7\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(7);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a8\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(8);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a9\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(9);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a10\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(10);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a11\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(11);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a12\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(12);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a13\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(13);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a14\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(14);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a15\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(15);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a16\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(16);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a17\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(17);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a18\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(18);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a19\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(19);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a20\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(20);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a21\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(21);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a22\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(22);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a23\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(23);
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a24\ <= \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\(24);

\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~q\);

\adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

\clk_50_max10~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \clk_50_max10~input_o\);

\clk_25_max10~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \clk_25_max10~input_o\);

\adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

\altera_internal_jtag~TCKUTAPclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \altera_internal_jtag~TCKUTAP\);
\ALT_INV_altera_internal_jtag~TCKUTAPclkctrl_outclk\ <= NOT \altera_internal_jtag~TCKUTAPclkctrl_outclk\;
\adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|ALT_INV_altera_reset_synchronizer_int_chain_out~clkctrl_outclk\ <= NOT \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\;
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\ <= NOT \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~clkctrl_outclk\;
\ALT_INV_fpga_resetn~input_o\ <= NOT \fpga_resetn~input_o\;
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_design_hash_proc~0_combout\ <= NOT \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\;
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|ALT_INV_state\(3) <= NOT \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3);
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\ <= NOT \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~q\;
\ALT_INV_altera_internal_jtag~TMSUTAP\ <= NOT \altera_internal_jtag~TMSUTAP\;
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\ <= NOT \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\;
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\ <= NOT \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\;
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\ <= NOT \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\;
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\ <= NOT \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\;
\spi_master_dac|ALT_INV_ss_n\(0) <= NOT \spi_master_dac|ss_n\(0);
\adc_pll_u0|altpll_component|auto_generated|ALT_INV_locked~combout\ <= NOT \adc_pll_u0|altpll_component|auto_generated|locked~combout\;
\spi_master_dac|ALT_INV_state~q\ <= NOT \spi_master_dac|state~q\;

-- Location: FF_X37_Y33_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_ff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_ff~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_ff~q\);

-- Location: FF_X37_Y33_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_mode_ff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_mode_ff~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_mode_ff~q\);

-- Location: LCCOMB_X37_Y33_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_ff~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|state_status[2]~1_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_mode_ff~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_ff~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~3_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_ff~0_combout\);

-- Location: LCCOMB_X37_Y33_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_mode_ff~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_mode_ff~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_out_mode_ff~0_combout\);

-- Location: LCCOMB_X44_Y43_N20
\~QUARTUS_CREATED_GND~I\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \~QUARTUS_CREATED_GND~I_combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~QUARTUS_CREATED_GND~I_combout\);

-- Location: IOOBUF_X46_Y54_N2
\dac_din~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \spi_master_dac|mosi~reg0_q\,
	oe => \spi_master_dac|mosi~en_q\,
	devoe => ww_devoe,
	o => ww_dac_din);

-- Location: IOOBUF_X78_Y20_N9
\user_led[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \adc_pll_u0|altpll_component|auto_generated|ALT_INV_locked~combout\,
	devoe => ww_devoe,
	o => ww_user_led(0));

-- Location: IOOBUF_X78_Y21_N16
\user_led[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => ww_user_led(1));

-- Location: IOOBUF_X78_Y21_N23
\user_led[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => ww_user_led(2));

-- Location: IOOBUF_X78_Y3_N9
\user_led[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => ww_user_led(3));

-- Location: IOOBUF_X78_Y3_N2
\user_led[4]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => ww_user_led(4));

-- Location: IOOBUF_X46_Y54_N9
\dac_sync~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \spi_master_dac|ALT_INV_ss_n\(0),
	devoe => ww_devoe,
	o => ww_dac_sync);

-- Location: IOOBUF_X49_Y54_N30
\dac_sclk~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \spi_master_dac|sclk~q\,
	devoe => ww_devoe,
	o => ww_dac_sclk);

-- Location: IOOBUF_X0_Y28_N23
\altera_reserved_tdo~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \altera_internal_jtag~TDO\,
	devoe => ww_devoe,
	o => ww_altera_reserved_tdo);

-- Location: IOIBUF_X0_Y18_N15
\clk_25_max10~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_25_max10,
	o => \clk_25_max10~input_o\);

-- Location: CLKCTRL_G3
\clk_25_max10~inputclkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clk_25_max10~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clk_25_max10~inputclkctrl_outclk\);

-- Location: LCCOMB_X44_Y36_N26
cpha : fiftyfivenm_lcell_comb
-- Equation(s):
-- \cpha~combout\ = LCELL(GND)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \cpha~combout\);

-- Location: LCCOMB_X44_Y36_N28
\spi_master_dac|last_bit_rx[2]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|last_bit_rx[2]~1_combout\ = !\cpha~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \cpha~combout\,
	combout => \spi_master_dac|last_bit_rx[2]~1_combout\);

-- Location: IOIBUF_X0_Y18_N22
\clk_50_max10~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_50_max10,
	o => \clk_50_max10~input_o\);

-- Location: CLKCTRL_G4
\clk_50_max10~inputclkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clk_50_max10~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clk_50_max10~inputclkctrl_outclk\);

-- Location: IOIBUF_X0_Y29_N15
\altera_reserved_tms~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_altera_reserved_tms,
	o => \altera_reserved_tms~input_o\);

-- Location: IOIBUF_X0_Y29_N22
\altera_reserved_tck~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_altera_reserved_tck,
	o => \altera_reserved_tck~input_o\);

-- Location: IOIBUF_X0_Y28_N15
\altera_reserved_tdi~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_altera_reserved_tdi,
	o => \altera_reserved_tdi~input_o\);

-- Location: JTAG_X43_Y40_N0
altera_internal_jtag : fiftyfivenm_jtag
PORT MAP (
	tms => \altera_reserved_tms~input_o\,
	tck => \altera_reserved_tck~input_o\,
	tdi => \altera_reserved_tdi~input_o\,
	tdouser => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo~q\,
	tdo => \altera_internal_jtag~TDO\,
	tmsutap => \altera_internal_jtag~TMSUTAP\,
	tckutap => \altera_internal_jtag~TCKUTAP\,
	tdiutap => \altera_internal_jtag~TDIUTAP\);

-- Location: LCCOMB_X40_Y33_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(2),
	datac => \altera_internal_jtag~TMSUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~1_combout\);

-- Location: FF_X40_Y33_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(9));

-- Location: LCCOMB_X40_Y35_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(9),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~9_combout\);

-- Location: FF_X40_Y35_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(10));

-- Location: LCCOMB_X40_Y35_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(12),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(13),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~12_combout\);

-- Location: FF_X40_Y35_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~12_combout\,
	sclr => \altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(13));

-- Location: LCCOMB_X40_Y35_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(13),
	datac => \altera_internal_jtag~TMSUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~13_combout\);

-- Location: FF_X40_Y35_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(14));

-- Location: LCCOMB_X40_Y35_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(10),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(14),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~10_combout\);

-- Location: FF_X40_Y35_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~10_combout\,
	sclr => \altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11));

-- Location: LCCOMB_X40_Y35_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(10),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	datac => \altera_internal_jtag~TMSUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~11_combout\);

-- Location: FF_X40_Y35_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(12));

-- Location: LCCOMB_X40_Y35_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(12),
	datac => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(14),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0_combout\);

-- Location: LCCOMB_X40_Y35_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[15]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[15]~feeder_combout\);

-- Location: FF_X40_Y35_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[15]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(15));

-- Location: LCCOMB_X40_Y34_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~5_combout\);

-- Location: FF_X40_Y34_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(5));

-- Location: LCCOMB_X40_Y34_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(5),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(6),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~6_combout\);

-- Location: FF_X40_Y34_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~6_combout\,
	sclr => \altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(6));

-- Location: LCCOMB_X40_Y34_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(6),
	datac => \altera_internal_jtag~TMSUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~7_combout\);

-- Location: FF_X40_Y34_N25
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(7));

-- Location: LCCOMB_X40_Y34_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(5),
	datac => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(7),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\);

-- Location: FF_X40_Y34_N3
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8));

-- Location: LCCOMB_X40_Y36_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TMSUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~1_combout\);

-- Location: FF_X40_Y36_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(0));

-- Location: LCCOMB_X40_Y36_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~2_combout\);

-- Location: FF_X40_Y36_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~2_combout\,
	sclr => \ALT_INV_altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(1));

-- Location: LCCOMB_X40_Y36_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~0_combout\);

-- Location: FF_X40_Y36_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt~0_combout\,
	sclr => \ALT_INV_altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(2));

-- Location: LCCOMB_X40_Y36_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010101110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TMSUTAP\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(9),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|tms_cnt\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~0_combout\);

-- Location: FF_X40_Y36_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0));

-- Location: LCCOMB_X40_Y33_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(15),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~1_combout\);

-- Location: FF_X40_Y33_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~1_combout\,
	sclr => \altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(1));

-- Location: LCCOMB_X40_Y33_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(1),
	datab => \altera_internal_jtag~TMSUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(15),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~2_combout\);

-- Location: FF_X40_Y33_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(2));

-- Location: LCCOMB_X40_Y33_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~3_combout\);

-- Location: FF_X40_Y33_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3));

-- Location: LCCOMB_X40_Y34_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(7),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~4_combout\);

-- Location: FF_X40_Y34_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~4_combout\,
	sclr => \altera_internal_jtag~TMSUTAP\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4));

-- Location: FF_X42_Y34_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \altera_internal_jtag~TDIUTAP\,
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~q\);

-- Location: LCCOMB_X42_Y34_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~1_combout\);

-- Location: LCCOMB_X41_Y35_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[9]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \altera_internal_jtag~TDIUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[9]~feeder_combout\);

-- Location: FF_X41_Y35_N23
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[9]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(9));

-- Location: FF_X41_Y35_N25
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(9),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(8));

-- Location: LCCOMB_X41_Y35_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[7]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(8),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[7]~feeder_combout\);

-- Location: FF_X41_Y35_N29
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[7]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(7));

-- Location: LCCOMB_X41_Y35_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(7),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[6]~feeder_combout\);

-- Location: FF_X41_Y35_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[6]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(6));

-- Location: FF_X41_Y35_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(6),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(5));

-- Location: LCCOMB_X41_Y35_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[4]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(5),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[4]~feeder_combout\);

-- Location: FF_X41_Y35_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[4]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(4));

-- Location: LCCOMB_X41_Y35_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[3]~feeder_combout\);

-- Location: FF_X41_Y35_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[3]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(3));

-- Location: LCCOMB_X41_Y35_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[2]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[2]~0_combout\);

-- Location: FF_X41_Y35_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[2]~0_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(2));

-- Location: LCCOMB_X41_Y35_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(5),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~1_combout\);

-- Location: LCCOMB_X41_Y35_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[1]~feeder_combout\);

-- Location: FF_X41_Y35_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[1]~feeder_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(1));

-- Location: LCCOMB_X41_Y35_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[0]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[0]~1_combout\);

-- Location: FF_X41_Y35_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg[0]~1_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(11),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(0));

-- Location: LCCOMB_X41_Y35_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(9),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(6),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(8),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(7),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~0_combout\);

-- Location: LCCOMB_X41_Y35_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal1~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~1_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal1~0_combout\);

-- Location: FF_X41_Y35_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal1~0_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\);

-- Location: LCCOMB_X50_Y41_N28
\~GND\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \~GND~combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~GND~combout\);

-- Location: LCCOMB_X38_Y36_N16
\auto_signaltap_0|~GND\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|~GND~combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \auto_signaltap_0|~GND~combout\);

-- Location: LCCOMB_X40_Y34_N20
\~QIC_CREATED_GND~I\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \~QIC_CREATED_GND~I_combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~QIC_CREATED_GND~I_combout\);

-- Location: LCCOMB_X40_Y34_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[11]~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_signaltap_0|~GND~combout\,
	datad => \~QIC_CREATED_GND~I_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[11]~6_combout\);

-- Location: LCCOMB_X40_Y34_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~1_combout\);

-- Location: LCCOMB_X41_Y34_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[11]~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[11]~7_combout\);

-- Location: LCCOMB_X41_Y34_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[11]~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TDIUTAP\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[11]~6_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~1_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[11]~7_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[11]~8_combout\);

-- Location: LCCOMB_X41_Y34_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[10]~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~1_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(10),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[10]~5_combout\);

-- Location: FF_X41_Y34_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[10]~5_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(10));

-- Location: LCCOMB_X38_Y34_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~10_combout\);

-- Location: LCCOMB_X41_Y34_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~1_combout\);

-- Location: LCCOMB_X41_Y34_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~2_combout\);

-- Location: LCCOMB_X41_Y34_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~2_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~9_combout\);

-- Location: FF_X38_Y34_N25
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~10_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][1]~q\);

-- Location: LCCOMB_X38_Y34_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][1]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~8_combout\);

-- Location: LCCOMB_X38_Y34_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][0]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~8_combout\);

-- Location: FF_X38_Y34_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~8_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][0]~q\);

-- Location: LCCOMB_X38_Y34_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][0]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~5_combout\);

-- Location: FF_X38_Y34_N1
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~5_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][0]~q\);

-- Location: LCCOMB_X39_Y34_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][0]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_ir_reg~0_combout\,
	datad => \~GND~combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~0_combout\);

-- Location: LCCOMB_X38_Y34_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][3]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~12_combout\);

-- Location: FF_X38_Y34_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~12_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][3]~q\);

-- Location: LCCOMB_X39_Y34_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][3]~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~10_combout\);

-- Location: FF_X39_Y34_N1
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~10_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][3]~q\);

-- Location: LCCOMB_X40_Y34_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][4]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~13_combout\);

-- Location: FF_X40_Y34_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~13_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][4]~q\);

-- Location: LCCOMB_X39_Y34_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][4]~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~11_combout\);

-- Location: FF_X39_Y34_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~11_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][4]~q\);

-- Location: LCCOMB_X38_Y34_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][5]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(5),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~14_combout\);

-- Location: FF_X38_Y34_N23
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~14_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][5]~q\);

-- Location: LCCOMB_X38_Y34_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][5]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(5),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~12_combout\);

-- Location: FF_X38_Y34_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~12_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][5]~q\);

-- Location: LCCOMB_X41_Y34_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal11~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(10),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal11~0_combout\);

-- Location: LCCOMB_X42_Y34_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~1_combout\);

-- Location: LCCOMB_X40_Y34_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg_proc~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(7),
	datac => \altera_internal_jtag~TMSUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(5),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg_proc~0_combout\);

-- Location: LCCOMB_X41_Y34_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal11~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg_proc~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~6_combout\);

-- Location: FF_X41_Y34_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[0]~6_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0));

-- Location: LCCOMB_X39_Y34_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][5]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~14_combout\);

-- Location: LCCOMB_X39_Y34_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[5]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~14_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[5]~feeder_combout\);

-- Location: LCCOMB_X38_Y34_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~15\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(6),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~15_combout\);

-- Location: FF_X38_Y34_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~15_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][6]~q\);

-- Location: LCCOMB_X38_Y34_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][6]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(6),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~13_combout\);

-- Location: FF_X38_Y34_N7
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~13_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\);

-- Location: LCCOMB_X40_Y34_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~15\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~15_combout\);

-- Location: LCCOMB_X39_Y34_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~15_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[6]~feeder_combout\);

-- Location: LCCOMB_X38_Y34_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~16\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(7),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~16_combout\);

-- Location: FF_X38_Y34_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~16_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][7]~q\);

-- Location: LCCOMB_X38_Y34_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][7]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(7),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~14_combout\);

-- Location: FF_X38_Y34_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~14_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\);

-- Location: LCCOMB_X40_Y34_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~16\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~16_combout\);

-- Location: LCCOMB_X39_Y34_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[7]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~16_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[7]~feeder_combout\);

-- Location: LCCOMB_X38_Y34_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~17\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][8]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~17_combout\);

-- Location: FF_X38_Y34_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~17_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][8]~q\);

-- Location: LCCOMB_X39_Y34_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~15\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][8]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~15_combout\);

-- Location: FF_X39_Y34_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~15_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][8]~q\);

-- Location: LCCOMB_X40_Y34_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~17\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][8]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~17_combout\);

-- Location: LCCOMB_X39_Y34_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[8]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~17_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[8]~feeder_combout\);

-- Location: LCCOMB_X38_Y34_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~18\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(9),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~18_combout\);

-- Location: FF_X38_Y34_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~18_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~q\);

-- Location: LCCOMB_X38_Y34_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~16\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(9),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~16_combout\);

-- Location: FF_X38_Y34_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~16_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~q\);

-- Location: LCCOMB_X39_Y34_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~18\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~18_combout\);

-- Location: LCCOMB_X39_Y34_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~18_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~feeder_combout\);

-- Location: FF_X39_Y34_N3
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~feeder_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(10),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|ALT_INV_state\(3),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(9));

-- Location: FF_X39_Y34_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[8]~feeder_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(9),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|ALT_INV_state\(3),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(8));

-- Location: FF_X39_Y34_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[7]~feeder_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(8),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|ALT_INV_state\(3),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(7));

-- Location: FF_X39_Y34_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[6]~feeder_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(7),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|ALT_INV_state\(3),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(6));

-- Location: FF_X39_Y34_N19
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[5]~feeder_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(6),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|ALT_INV_state\(3),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(5));

-- Location: LCCOMB_X39_Y34_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[4]~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][4]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_ir_reg~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(5),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[4]~12_combout\);

-- Location: LCCOMB_X40_Y34_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[4]~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[4]~12_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~4_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[4]~13_combout\);

-- Location: FF_X40_Y34_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[4]~13_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4));

-- Location: LCCOMB_X39_Y34_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][3]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~11_combout\);

-- Location: FF_X39_Y34_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~11_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|ALT_INV_state\(3),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(3));

-- Location: LCCOMB_X39_Y34_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100011001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~3_combout\);

-- Location: LCCOMB_X41_Y34_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(10),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~2_combout\);

-- Location: LCCOMB_X40_Y34_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~3_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~2_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~2_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~4_combout\);

-- Location: FF_X39_Y34_N29
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~0_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|ALT_INV_state\(3),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0));

-- Location: LCCOMB_X42_Y34_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0_combout\);

-- Location: LCCOMB_X42_Y34_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal11~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~6_combout\);

-- Location: LCCOMB_X41_Y34_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~6_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~7_combout\);

-- Location: FF_X38_Y34_N3
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~8_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\);

-- Location: LCCOMB_X39_Y34_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_ir_reg~0_combout\,
	datad => \~GND~combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~9_combout\);

-- Location: FF_X39_Y34_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~9_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|ALT_INV_state\(3),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1));

-- Location: LCCOMB_X42_Y34_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~0_combout\);

-- Location: LCCOMB_X42_Y34_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~0_combout\);

-- Location: LCCOMB_X41_Y34_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal11~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg_proc~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~1_combout\);

-- Location: LCCOMB_X42_Y34_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~2_combout\);

-- Location: LCCOMB_X41_Y34_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~2_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~3_combout\);

-- Location: FF_X41_Y34_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[1]~3_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1));

-- Location: LCCOMB_X41_Y34_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(10),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~4_combout\);

-- Location: FF_X40_Y34_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg~q\);

-- Location: LCCOMB_X41_Y34_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~4_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|reset_ena_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~2_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~5_combout\);

-- Location: FF_X41_Y34_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg[2]~5_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(2));

-- Location: LCCOMB_X40_Y33_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg_proc~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg_proc~0_combout\);

-- Location: FF_X40_Y33_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~q\);

-- Location: FF_X41_Y34_N7
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[11]~8_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11));

-- Location: LCCOMB_X40_Y34_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_ir_reg~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_ir_reg~0_combout\);

-- Location: LCCOMB_X38_Y34_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][2]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~11_combout\);

-- Location: FF_X38_Y34_N29
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~11_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][2]~q\);

-- Location: LCCOMB_X38_Y34_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][2]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~9_combout\);

-- Location: FF_X38_Y34_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~9_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][2]~q\);

-- Location: LCCOMB_X39_Y34_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \~GND~combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_ir_reg~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][2]~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~10_combout\);

-- Location: FF_X39_Y34_N23
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg~10_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(3),
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|ALT_INV_state\(3),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg[9]~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2));

-- Location: LCCOMB_X42_Y34_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~7_combout\);

-- Location: LCCOMB_X42_Y34_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~7_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal11~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_bypass_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal3~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~8_combout\);

-- Location: LCCOMB_X42_Y34_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg_ena~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg_ena~0_combout\);

-- Location: LCCOMB_X40_Y33_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TDIUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~0_combout\);

-- Location: LCCOMB_X40_Y33_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(10),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~0_combout\);

-- Location: LCCOMB_X41_Y33_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \altera_internal_jtag~TMSUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0_combout\);

-- Location: LCCOMB_X40_Y33_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011100000111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(2),
	datab => \altera_internal_jtag~TMSUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~1_combout\);

-- Location: LCCOMB_X40_Y33_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~2_combout\);

-- Location: LCCOMB_X41_Y35_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~1_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|jtag_ir_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~2_combout\);

-- Location: FF_X41_Y35_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal0~2_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_dr_scan_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\);

-- Location: LCCOMB_X40_Y33_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(15),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~3_combout\);

-- Location: LCCOMB_X40_Y33_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(15),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~3_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~4_combout\);

-- Location: FF_X40_Y33_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~2_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3));

-- Location: LCCOMB_X44_Y32_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\);

-- Location: LCCOMB_X43_Y34_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~7_combout\);

-- Location: LCCOMB_X41_Y34_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110001000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state~8_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~4_combout\);

-- Location: LCCOMB_X42_Y34_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~4_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~5_combout\);

-- Location: FF_X43_Y34_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~7_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~q\);

-- Location: LCCOMB_X43_Y34_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~4_combout\);

-- Location: LCCOMB_X43_Y34_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101001001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(10),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~1_combout\);

-- Location: LCCOMB_X42_Y34_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[2][9]~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~2_combout\);

-- Location: FF_X43_Y34_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~4_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\);

-- Location: LCCOMB_X43_Y34_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~3_combout\);

-- Location: FF_X43_Y34_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~3_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][0]~q\);

-- Location: LCCOMB_X43_Y34_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][0]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~0_combout\);

-- Location: FF_X43_Y34_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~0_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\);

-- Location: LCCOMB_X43_Y34_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~6_combout\);

-- Location: FF_X43_Y34_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg~6_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][2]~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][1]~q\);

-- Location: LCCOMB_X43_Y34_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_mode_reg\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_irf_reg[1][1]~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~3_combout\);

-- Location: FF_X43_Y34_N29
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg~3_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\);

-- Location: LCCOMB_X44_Y32_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & \altera_internal_jtag~TDIUTAP\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \altera_internal_jtag~TDIUTAP\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\);

-- Location: LCCOMB_X44_Y32_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\);

-- Location: LCCOMB_X43_Y32_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\);

-- Location: FF_X44_Y32_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(8));

-- Location: LCCOMB_X44_Y32_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~9_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(8),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~9_combout\);

-- Location: FF_X44_Y32_N9
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~9_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(7));

-- Location: LCCOMB_X41_Y32_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]~8_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(7) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(7),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]~8_combout\);

-- Location: FF_X41_Y32_N15
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[6]~8_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(6));

-- Location: LCCOMB_X41_Y32_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]~7_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(6) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(6),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]~7_combout\);

-- Location: FF_X41_Y32_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[5]~7_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(5));

-- Location: LCCOMB_X41_Y32_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]~6_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(5) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(5),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]~6_combout\);

-- Location: FF_X41_Y32_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[4]~6_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(4));

-- Location: LCCOMB_X41_Y32_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]~5_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(4) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]~5_combout\);

-- Location: FF_X41_Y32_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[3]~5_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(3));

-- Location: LCCOMB_X41_Y32_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]~4_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(3) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]~4_combout\);

-- Location: FF_X41_Y32_N31
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[2]~4_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(2));

-- Location: LCCOMB_X41_Y32_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]~3_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(2) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]~3_combout\);

-- Location: FF_X41_Y32_N27
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[1]~3_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(1));

-- Location: LCCOMB_X41_Y32_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]~0_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(1) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]~0_combout\);

-- Location: FF_X41_Y32_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[0]~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[7]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(0));

-- Location: LCCOMB_X43_Y32_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\);

-- Location: LCCOMB_X40_Y31_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\);

-- Location: LCCOMB_X46_Y32_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~feeder_combout\);

-- Location: LCCOMB_X47_Y32_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~feeder_combout\);

-- Location: LCCOMB_X44_Y32_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0_combout\);

-- Location: LCCOMB_X43_Y32_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\);

-- Location: LCCOMB_X43_Y32_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\)))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~4_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0_combout\);

-- Location: LCCOMB_X43_Y32_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~feeder_combout\);

-- Location: FF_X43_Y32_N9
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n~q\);

-- Location: FF_X47_Y32_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~q\);

-- Location: LCCOMB_X47_Y32_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|din_s1~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X47_Y32_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[0]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(0));

-- Location: LCCOMB_X47_Y32_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X47_Y32_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[1]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(1));

-- Location: LCCOMB_X47_Y32_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]~feeder_combout\);

-- Location: FF_X47_Y32_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[2]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(2));

-- Location: LCCOMB_X47_Y32_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]~feeder_combout\);

-- Location: FF_X47_Y32_N9
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[3]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(3));

-- Location: LCCOMB_X47_Y32_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]~feeder_combout\);

-- Location: FF_X47_Y32_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[4]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(4));

-- Location: LCCOMB_X47_Y32_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]~feeder_combout\);

-- Location: FF_X47_Y32_N27
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[5]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(5));

-- Location: LCCOMB_X47_Y32_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(5),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]~feeder_combout\);

-- Location: FF_X47_Y32_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg[6]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_clock_sense_reset_n~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(6));

-- Location: FF_X46_Y32_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sense_reset_n_synchronizer|dreg\(6),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~q\);

-- Location: LCCOMB_X46_Y32_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X46_Y32_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~q\);

-- Location: LCCOMB_X46_Y32_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|din_s1~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X46_Y32_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(0));

-- Location: LCCOMB_X46_Y32_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X46_Y32_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(1));

-- Location: LCCOMB_X43_Y30_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]~3_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(1) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_sensor_synchronizer|dreg\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]~3_combout\);

-- Location: LCCOMB_X43_Y32_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\);

-- Location: FF_X43_Y30_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[2]~3_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(2));

-- Location: LCCOMB_X47_Y32_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0_combout\ = !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0_combout\);

-- Location: LCCOMB_X47_Y32_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~feeder_combout\);

-- Location: FF_X47_Y32_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\);

-- Location: LCCOMB_X47_Y32_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X47_Y32_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~q\);

-- Location: LCCOMB_X47_Y32_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|din_s1~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X47_Y32_N1
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(0));

-- Location: LCCOMB_X47_Y32_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X47_Y32_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(1));

-- Location: LCCOMB_X43_Y30_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(2))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(1)))))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|clock_to_sample_div2_synchronizer|dreg\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]~2_combout\);

-- Location: FF_X43_Y30_N3
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[1]~2_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(1));

-- Location: LCCOMB_X52_Y38_N24
\adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\);

-- Location: IOIBUF_X31_Y39_N8
\fpga_resetn~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_fpga_resetn,
	o => \fpga_resetn~input_o\);

-- Location: FF_X52_Y38_N25
\adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1));

-- Location: LCCOMB_X52_Y38_N22
\adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ = \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1),
	combout => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\);

-- Location: FF_X52_Y38_N23
\adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0));

-- Location: LCCOMB_X52_Y38_N16
\adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ = \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0),
	combout => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\);

-- Location: FF_X52_Y38_N17
\adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

-- Location: LCCOMB_X47_Y32_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~feeder_combout\ = \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X47_Y32_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~q\);

-- Location: LCCOMB_X47_Y32_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|din_s1~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X47_Y32_N3
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(0));

-- Location: LCCOMB_X47_Y32_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X47_Y32_N15
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(1));

-- Location: LCCOMB_X43_Y30_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(1))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(1)))))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|reset_to_sample_synchronizer|dreg\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~0_combout\);

-- Location: FF_X43_Y30_N1
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(0));

-- Location: LCCOMB_X44_Y32_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]~9_combout\ = !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]~9_combout\);

-- Location: LCCOMB_X43_Y32_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\);

-- Location: FF_X44_Y32_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[8]~9_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(8));

-- Location: LCCOMB_X44_Y32_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]~8_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(8),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]~8_combout\);

-- Location: FF_X44_Y32_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[7]~8_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(7));

-- Location: LCCOMB_X44_Y32_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]~7_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(7),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]~7_combout\);

-- Location: FF_X44_Y32_N1
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[6]~7_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(6));

-- Location: LCCOMB_X44_Y32_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]~6_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]~6_combout\);

-- Location: FF_X44_Y32_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[5]~6_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(5));

-- Location: LCCOMB_X44_Y32_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]~5_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(5),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]~5_combout\);

-- Location: FF_X44_Y32_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[4]~5_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(4));

-- Location: LCCOMB_X44_Y32_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]~4_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]~4_combout\);

-- Location: FF_X44_Y32_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[3]~4_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(3));

-- Location: LCCOMB_X44_Y32_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]~3_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]~3_combout\);

-- Location: FF_X44_Y32_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[2]~3_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(2));

-- Location: LCCOMB_X44_Y32_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(2)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]~2_combout\);

-- Location: FF_X44_Y32_N15
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[1]~2_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(1));

-- Location: LCCOMB_X44_Y32_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~0_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(1) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~0_combout\);

-- Location: FF_X44_Y32_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(0));

-- Location: LCCOMB_X41_Y31_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~9_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) $ (VCC)
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\ = CARRY(\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datad => VCC,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~9_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\);

-- Location: LCCOMB_X40_Y31_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~31_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~31_combout\);

-- Location: LCCOMB_X44_Y32_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3) & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\);

-- Location: LCCOMB_X42_Y31_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~1_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ & ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0) & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~1_combout\);

-- Location: LCCOMB_X43_Y32_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\);

-- Location: FF_X42_Y31_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~1_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0));

-- Location: LCCOMB_X42_Y31_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~5_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ 
-- & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1) $ 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~5_combout\);

-- Location: LCCOMB_X42_Y31_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\) # 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\);

-- Location: FF_X42_Y31_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~5_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1));

-- Location: LCCOMB_X42_Y31_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1)) # 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0_combout\);

-- Location: LCCOMB_X42_Y31_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]~2_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2) 
-- $ (((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]~2_combout\);

-- Location: FF_X42_Y31_N3
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[2]~2_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2));

-- Location: LCCOMB_X42_Y31_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]~4_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3) 
-- $ (((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0_combout\ & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add6~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]~4_combout\);

-- Location: FF_X42_Y31_N31
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[3]~4_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter[1]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3));

-- Location: LCCOMB_X42_Y31_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\);

-- Location: LCCOMB_X43_Y30_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\);

-- Location: LCCOMB_X41_Y31_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~11_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~10\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~11_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\);

-- Location: LCCOMB_X40_Y31_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~13_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~13_combout\);

-- Location: FF_X41_Y31_N15
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~11_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~13_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1));

-- Location: LCCOMB_X41_Y31_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~16_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2) & 
-- ((GND) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[1]~12\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~16_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\);

-- Location: LCCOMB_X40_Y31_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~18_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~18_combout\);

-- Location: FF_X41_Y31_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~16_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~18_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2));

-- Location: LCCOMB_X41_Y31_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~19_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[2]~17\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~19_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\);

-- Location: LCCOMB_X43_Y32_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0_combout\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_udr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\);

-- Location: FF_X41_Y32_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(1),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(1));

-- Location: FF_X41_Y32_N1
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(0),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(0));

-- Location: FF_X41_Y32_N9
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(2),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(2));

-- Location: LCCOMB_X41_Y32_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(1) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(0) & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(1),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(0),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\);

-- Location: FF_X41_Y32_N3
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(3),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3));

-- Location: LCCOMB_X41_Y32_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3) & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3) $ (VCC)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100101000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3),
	datad => VCC,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\);

-- Location: LCCOMB_X40_Y31_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0_combout\)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3)))))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~2_combout\);

-- Location: FF_X41_Y31_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~19_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~2_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3));

-- Location: LCCOMB_X41_Y31_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~21_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4) & 
-- ((GND) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[3]~20\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~21_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\);

-- Location: FF_X41_Y32_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(4),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4));

-- Location: LCCOMB_X41_Y32_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\) # (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~1\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\);

-- Location: LCCOMB_X40_Y31_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~5_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3_combout\))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4))))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~3_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~5_combout\);

-- Location: FF_X41_Y31_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~21_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~5_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4));

-- Location: LCCOMB_X41_Y31_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~23_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[4]~22\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~23_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\);

-- Location: FF_X41_Y32_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(5),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5));

-- Location: LCCOMB_X41_Y32_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\ $ (GND))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\ & VCC))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~4\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\);

-- Location: LCCOMB_X41_Y31_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~8_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6_combout\))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5))))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~6_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~8_combout\);

-- Location: FF_X41_Y31_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~23_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~8_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5));

-- Location: LCCOMB_X41_Y31_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~25_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6) & 
-- ((GND) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[5]~24\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~25_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\);

-- Location: FF_X41_Y32_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(6),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6));

-- Location: LCCOMB_X41_Y32_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\) # (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~7\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\);

-- Location: LCCOMB_X41_Y31_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~11_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9_combout\))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6))))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~9_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~11_combout\);

-- Location: FF_X41_Y31_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~25_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~11_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6));

-- Location: LCCOMB_X41_Y31_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(5),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1_combout\);

-- Location: LCCOMB_X41_Y31_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~27_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~28\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[6]~26\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~27_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~28\);

-- Location: FF_X41_Y32_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control\(7),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset[7]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7));

-- Location: LCCOMB_X41_Y32_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\ $ (GND))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\ & VCC))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~13\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~10\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~13\);

-- Location: LCCOMB_X41_Y31_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~14_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12_combout\))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7))))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~12_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~14_combout\);

-- Location: FF_X41_Y31_N27
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~27_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~14_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7));

-- Location: LCCOMB_X41_Y31_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]~29_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8) $ 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~28\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8),
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[7]~28\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]~29_combout\);

-- Location: LCCOMB_X41_Y32_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~13\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~13\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15_combout\);

-- Location: LCCOMB_X41_Y31_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~17_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15_combout\)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8)))))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~15_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~17_combout\);

-- Location: FF_X41_Y31_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[8]~29_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add5~17_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8));

-- Location: LCCOMB_X40_Y31_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(4),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0_combout\);

-- Location: LCCOMB_X41_Y31_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1_combout\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~1_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(8),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(7),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\);

-- Location: LCCOMB_X42_Y31_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\);

-- Location: LCCOMB_X43_Y30_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0_combout\);

-- Location: LCCOMB_X43_Y30_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\ 
-- & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0_combout\))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector32~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~0_combout\);

-- Location: LCCOMB_X43_Y30_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~8_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~8_combout\);

-- Location: FF_X43_Y30_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~0_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~8_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\);

-- Location: LCCOMB_X42_Y31_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14_combout\ = ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010101110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14_combout\);

-- Location: LCCOMB_X42_Y31_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\ = ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14_combout\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111110110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~14_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\);

-- Location: FF_X41_Y31_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter[0]~9_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~31_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter~15_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0));

-- Location: LCCOMB_X42_Y31_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0)) # ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10_combout\);

-- Location: LCCOMB_X40_Y30_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\);

-- Location: LCCOMB_X43_Y30_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9_combout\);

-- Location: LCCOMB_X43_Y30_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~11_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~10_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~9_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~11_combout\);

-- Location: FF_X43_Y30_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state~11_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\);

-- Location: LCCOMB_X43_Y30_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\);

-- Location: LCCOMB_X43_Y30_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~1_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & 
-- (((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0))))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0) & 
-- ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~1_combout\);

-- Location: FF_X43_Y30_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~1_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0));

-- Location: LCCOMB_X43_Y27_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~2_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0) $ 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1))))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~2_combout\);

-- Location: FF_X43_Y27_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~2_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1));

-- Location: LCCOMB_X43_Y27_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1)) # 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0_combout\);

-- Location: LCCOMB_X43_Y27_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~3_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0_combout\ $ 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2))))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\ & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add9~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~3_combout\);

-- Location: FF_X43_Y27_N3
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter~3_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2));

-- Location: LCCOMB_X43_Y27_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1) & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\);

-- Location: LCCOMB_X42_Y31_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\);

-- Location: LCCOMB_X43_Y27_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\);

-- Location: LCCOMB_X43_Y30_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~2_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\);

-- Location: LCCOMB_X44_Y30_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\ & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1_combout\);

-- Location: LCCOMB_X41_Y32_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1_combout\);

-- Location: LCCOMB_X41_Y32_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7) & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~1_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\);

-- Location: LCCOMB_X45_Y30_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\);

-- Location: LCCOMB_X45_Y30_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal6~2_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\);

-- Location: LCCOMB_X42_Y32_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~8_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0) $ (VCC)
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\ = CARRY(\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0),
	datad => VCC,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~8_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\);

-- Location: LCCOMB_X44_Y30_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\);

-- Location: LCCOMB_X45_Y30_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\) # ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\);

-- Location: FF_X42_Y32_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~8_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(0),
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0));

-- Location: LCCOMB_X42_Y32_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~12_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~9\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~12_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\);

-- Location: FF_X42_Y32_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~12_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(1),
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1));

-- Location: LCCOMB_X42_Y32_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~14_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2) & 
-- ((GND) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[1]~13\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~14_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\);

-- Location: FF_X42_Y32_N9
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~14_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(2),
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2));

-- Location: LCCOMB_X42_Y32_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~16_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[2]~15\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~16_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\);

-- Location: FF_X42_Y32_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~16_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(3),
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3));

-- Location: LCCOMB_X42_Y32_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(1),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0_combout\);

-- Location: LCCOMB_X42_Y32_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~18_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4) & 
-- ((GND) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[3]~17\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~18_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\);

-- Location: FF_X42_Y32_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~18_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(4),
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4));

-- Location: LCCOMB_X42_Y32_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~20_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[4]~19\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~20_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\);

-- Location: FF_X42_Y32_N15
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~20_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(5),
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5));

-- Location: LCCOMB_X42_Y32_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~22_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6) & 
-- ((GND) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~23\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[5]~21\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~22_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~23\);

-- Location: FF_X42_Y32_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~22_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(6),
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6));

-- Location: LCCOMB_X42_Y32_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]~24_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(7) $ 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~23\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(7),
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[6]~23\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]~24_combout\);

-- Location: FF_X42_Y32_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[7]~24_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|offset\(7),
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~10_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter[0]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(7));

-- Location: LCCOMB_X42_Y32_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(5),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1_combout\);

-- Location: LCCOMB_X42_Y32_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0_combout\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(7) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1_combout\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(7),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~1_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|bypass_bit_counter\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\);

-- Location: LCCOMB_X46_Y30_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0_combout\);

-- Location: LCCOMB_X44_Y30_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~3_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0) & 
-- (((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0) & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\) 
-- # ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~3_combout\);

-- Location: FF_X44_Y30_N15
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~3_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0));

-- Location: LCCOMB_X45_Y30_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1_combout\);

-- Location: LCCOMB_X45_Y30_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~1_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2) $ 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1_combout\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\) # ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~1_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~1_combout\);

-- Location: FF_X45_Y30_N9
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~1_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2));

-- Location: LCCOMB_X45_Y30_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1)) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2)) # (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0_combout\);

-- Location: LCCOMB_X45_Y30_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~2_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3) $ 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0_combout\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\) # ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001000111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add1~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~2_combout\);

-- Location: FF_X45_Y30_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~2_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3));

-- Location: LCCOMB_X45_Y30_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\);

-- Location: LCCOMB_X45_Y30_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110100001101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\);

-- Location: LCCOMB_X46_Y30_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~1_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\) # 
-- ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0_combout\ & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~1_combout\);

-- Location: FF_X45_Y30_N15
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~0_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector19~1_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\);

-- Location: LCCOMB_X46_Y30_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\ = ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\);

-- Location: LCCOMB_X46_Y30_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\ & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\)))) 
-- # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\ & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal7~2_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~1_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~2_combout\);

-- Location: FF_X45_Y30_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~0_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector20~2_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\);

-- Location: LCCOMB_X45_Y30_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12_combout\);

-- Location: LCCOMB_X45_Y30_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~13_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~12_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~13_combout\);

-- Location: FF_X45_Y30_N3
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~13_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\);

-- Location: LCCOMB_X44_Y30_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\);

-- Location: LCCOMB_X44_Y30_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~14_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~14_combout\);

-- Location: FF_X44_Y30_N27
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state~14_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\);

-- Location: LCCOMB_X44_Y30_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\ 
-- & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\);

-- Location: LCCOMB_X45_Y30_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~4_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1) $ 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0))))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001000111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~4_combout\);

-- Location: FF_X45_Y30_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~4_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1));

-- Location: LCCOMB_X45_Y30_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(1),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\);

-- Location: LCCOMB_X45_Y30_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in_bit_counter~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\);

-- Location: LCCOMB_X45_Y30_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1_combout\);

-- Location: FF_X45_Y30_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~1_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\);

-- Location: LCCOMB_X44_Y30_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\);

-- Location: LCCOMB_X44_Y29_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]~feeder_combout\ = \altera_internal_jtag~TDIUTAP\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \altera_internal_jtag~TDIUTAP\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]~feeder_combout\);

-- Location: LCCOMB_X44_Y30_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\);

-- Location: FF_X44_Y29_N3
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[15]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15));

-- Location: LCCOMB_X44_Y29_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~feeder_combout\);

-- Location: FF_X44_Y29_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14));

-- Location: LCCOMB_X44_Y29_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]~feeder_combout\);

-- Location: FF_X44_Y29_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[13]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(13));

-- Location: LCCOMB_X44_Y29_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[12]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[12]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(13)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(13),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[12]~feeder_combout\);

-- Location: FF_X44_Y29_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[12]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(12));

-- Location: LCCOMB_X44_Y29_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(12)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(12),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]~feeder_combout\);

-- Location: FF_X44_Y29_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[11]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(11));

-- Location: FF_X40_Y29_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(11),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(10));

-- Location: LCCOMB_X44_Y30_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal8~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\);

-- Location: FF_X40_Y29_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(10),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6));

-- Location: LCCOMB_X40_Y27_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]~6_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]~6_combout\);

-- Location: LCCOMB_X40_Y29_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(10)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(10),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]~feeder_combout\);

-- Location: FF_X40_Y29_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[9]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(9));

-- Location: FF_X40_Y29_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(9),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5));

-- Location: LCCOMB_X40_Y27_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]~5_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]~5_combout\);

-- Location: LCCOMB_X40_Y29_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[8]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(9),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[8]~feeder_combout\);

-- Location: FF_X40_Y29_N9
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[8]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(8));

-- Location: FF_X40_Y29_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(8),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4));

-- Location: LCCOMB_X40_Y27_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]~4_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]~4_combout\);

-- Location: FF_X40_Y29_N31
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(8),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(7));

-- Location: FF_X40_Y29_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(7),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3));

-- Location: LCCOMB_X40_Y27_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]~3_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]~3_combout\);

-- Location: LCCOMB_X40_Y29_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(7),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]~feeder_combout\);

-- Location: FF_X40_Y29_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[6]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(6));

-- Location: FF_X40_Y29_N15
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(6),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2));

-- Location: LCCOMB_X41_Y27_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]~2_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]~2_combout\);

-- Location: FF_X41_Y29_N9
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(6),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(5));

-- Location: FF_X40_Y29_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(5),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1));

-- Location: LCCOMB_X41_Y27_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]~1_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]~1_combout\);

-- Location: LCCOMB_X40_Y29_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(5),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]~feeder_combout\);

-- Location: FF_X40_Y29_N3
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[4]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in[14]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(4));

-- Location: LCCOMB_X40_Y29_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[0]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[0]~feeder_combout\);

-- Location: FF_X40_Y29_N1
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[0]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0));

-- Location: LCCOMB_X40_Y28_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]~0_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]~0_combout\);

-- Location: LCCOMB_X40_Y27_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) 
-- & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\);

-- Location: FF_X40_Y29_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(11),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7));

-- Location: LCCOMB_X41_Y27_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]~7_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]~7_combout\);

-- Location: LCCOMB_X40_Y27_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~28_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14) & ((GND) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~28_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\);

-- Location: LCCOMB_X40_Y27_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~30_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~29\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~30_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\);

-- Location: LCCOMB_X43_Y30_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\);

-- Location: FF_X41_Y27_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[15]~7_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~30_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15));

-- Location: LCCOMB_X41_Y27_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18) & ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19_combout\);

-- Location: FF_X40_Y29_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(13),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9));

-- Location: LCCOMB_X41_Y27_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]~9_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]~9_combout\);

-- Location: FF_X40_Y29_N27
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(12),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8));

-- Location: LCCOMB_X40_Y27_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~8_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~8_combout\);

-- Location: LCCOMB_X40_Y27_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~32_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16) & ((GND) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~31\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~32_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\);

-- Location: FF_X40_Y27_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[16]~8_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~32_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16));

-- Location: LCCOMB_X40_Y27_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~34_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~35\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~33\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~34_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~35\);

-- Location: FF_X41_Y27_N31
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[17]~9_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~34_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17));

-- Location: LCCOMB_X40_Y27_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~35\ $ 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18),
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~35\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\);

-- Location: LCCOMB_X41_Y27_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~20_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19_combout\) # ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~19_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~36_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~20_combout\);

-- Location: FF_X41_Y27_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~20_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18));

-- Location: LCCOMB_X41_Y27_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17) 
-- & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(15),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(18),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(17),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(16),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\);

-- Location: LCCOMB_X40_Y28_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~0_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0) $ (VCC)
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\ = CARRY(\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0),
	datad => VCC,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~0_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\);

-- Location: LCCOMB_X40_Y28_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~0_combout\)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21_combout\);

-- Location: FF_X40_Y28_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~21_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0));

-- Location: LCCOMB_X40_Y28_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~1\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\);

-- Location: LCCOMB_X40_Y28_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~12_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2_combout\)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~2_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~12_combout\);

-- Location: FF_X40_Y28_N1
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~12_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1));

-- Location: LCCOMB_X40_Y28_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2) & ((GND) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~3\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\);

-- Location: LCCOMB_X40_Y28_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~13_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4_combout\)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~4_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~13_combout\);

-- Location: FF_X40_Y28_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~13_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2));

-- Location: LCCOMB_X40_Y28_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(2),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1_combout\);

-- Location: LCCOMB_X41_Y28_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1_combout\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~1_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\);

-- Location: LCCOMB_X41_Y27_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\);

-- Location: LCCOMB_X41_Y27_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~4_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\);

-- Location: LCCOMB_X41_Y27_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\ & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\);

-- Location: LCCOMB_X40_Y28_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~5\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\);

-- Location: LCCOMB_X40_Y28_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~14_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6_combout\)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~6_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~14_combout\);

-- Location: FF_X40_Y28_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~14_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(3));

-- Location: LCCOMB_X40_Y28_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4) & ((GND) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~7\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\);

-- Location: LCCOMB_X40_Y28_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~15_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4)) # 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~8_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~15_combout\);

-- Location: FF_X40_Y28_N9
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~15_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(4));

-- Location: LCCOMB_X40_Y28_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~9\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\);

-- Location: LCCOMB_X41_Y28_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~16_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10_combout\)))) 
-- # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~10_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~16_combout\);

-- Location: FF_X41_Y28_N3
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~16_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(5));

-- Location: LCCOMB_X40_Y28_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6) & ((GND) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~11\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\);

-- Location: LCCOMB_X41_Y28_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~17_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12_combout\)))) 
-- # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~12_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~17_combout\);

-- Location: FF_X41_Y28_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~17_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(6));

-- Location: LCCOMB_X40_Y28_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~13\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\);

-- Location: LCCOMB_X41_Y28_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~18_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14_combout\)))) 
-- # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~10_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~14_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~18_combout\);

-- Location: FF_X41_Y28_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~18_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(7));

-- Location: LCCOMB_X40_Y28_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~16_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8) & ((GND) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~15\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~16_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\);

-- Location: FF_X40_Y28_N3
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[8]~0_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~16_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8));

-- Location: LCCOMB_X40_Y27_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~18_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~17\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~18_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\);

-- Location: FF_X41_Y27_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[9]~1_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~18_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9));

-- Location: LCCOMB_X40_Y27_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~20_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10) & ((GND) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~19\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~20_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\);

-- Location: FF_X41_Y27_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[10]~2_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~20_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10));

-- Location: LCCOMB_X40_Y27_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~22_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~21\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~22_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\);

-- Location: FF_X40_Y27_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[11]~3_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~22_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11));

-- Location: LCCOMB_X40_Y27_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~24_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12) & ((GND) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~23\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~24_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\);

-- Location: FF_X40_Y27_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[12]~4_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~24_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12));

-- Location: LCCOMB_X40_Y27_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~26_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~25\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~26_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~27\);

-- Location: FF_X40_Y27_N31
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[13]~5_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~26_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13));

-- Location: FF_X40_Y27_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter[14]~6_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add10~28_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter~11_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14));

-- Location: LCCOMB_X44_Y29_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~feeder_combout\);

-- Location: FF_X44_Y29_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0));

-- Location: LCCOMB_X44_Y29_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[1]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[1]~feeder_combout\);

-- Location: FF_X44_Y29_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[1]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1));

-- Location: LCCOMB_X44_Y29_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]~feeder_combout\ = \altera_internal_jtag~TDIUTAP\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \altera_internal_jtag~TDIUTAP\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]~feeder_combout\);

-- Location: FF_X44_Y29_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[2]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2));

-- Location: LCCOMB_X44_Y29_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\);

-- Location: LCCOMB_X44_Y29_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) 
-- & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\);

-- Location: LCCOMB_X44_Y29_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\);

-- Location: LCCOMB_X44_Y29_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) 
-- & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\);

-- Location: LCCOMB_X44_Y29_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\);

-- Location: LCCOMB_X44_Y29_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\);

-- Location: LCCOMB_X44_Y29_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1) & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_length\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\);

-- Location: LCCOMB_X44_Y27_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\ = CARRY(!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~2_combout\,
	datad => VCC,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\);

-- Location: LCCOMB_X44_Y27_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\ 
-- & ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8) & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[8]~5_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(8),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~1_cout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\);

-- Location: LCCOMB_X44_Y27_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\ 
-- & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9) & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[9]~4_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(9),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~3_cout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\);

-- Location: LCCOMB_X44_Y27_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\ = 
-- CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\ & 
-- ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10) & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[10]~3_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(10),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~5_cout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\);

-- Location: LCCOMB_X44_Y27_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\ = 
-- CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11) & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[11]~2_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(11),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~7_cout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\);

-- Location: LCCOMB_X44_Y27_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\ & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(12),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[12]~1_combout\,
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~9_cout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\);

-- Location: LCCOMB_X44_Y27_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) & 
-- ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(13),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decoded_read_data_length[13]~0_combout\,
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~11_cout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\);

-- Location: LCCOMB_X44_Y27_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011111010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length_byte_counter\(14),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~13_cout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14_combout\);

-- Location: LCCOMB_X44_Y27_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|LessThan0~14_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~3_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4_combout\);

-- Location: LCCOMB_X44_Y30_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\ & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0_combout\);

-- Location: LCCOMB_X44_Y30_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~3_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0_combout\) 
-- # ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_1~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~2_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~3_combout\);

-- Location: FF_X44_Y30_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~3_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\);

-- Location: LCCOMB_X44_Y30_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~5_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4_combout\) # (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~3_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~1_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~4_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~5_combout\);

-- Location: FF_X44_Y30_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~5_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\);

-- Location: LCCOMB_X42_Y31_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3_combout\ = 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1) & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(3),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(2),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_out_bit_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3_combout\);

-- Location: LCCOMB_X42_Y31_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ 
-- & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2_combout\);

-- Location: LCCOMB_X42_Y31_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~3_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~2_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4_combout\);

-- Location: LCCOMB_X43_Y27_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~0_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(1),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~0_combout\);

-- Location: LCCOMB_X43_Y27_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~1_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_bit_counter\(2),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~1_combout\);

-- Location: LCCOMB_X43_Y27_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~1_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~4_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~1_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~16_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5_combout\);

-- Location: FF_X43_Y27_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\);

-- Location: LCCOMB_X46_Y31_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\ & ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0_combout\);

-- Location: LCCOMB_X46_Y34_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~feeder_combout\);

-- Location: CLKCTRL_G5
\adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\);

-- Location: FF_X46_Y34_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~q\);

-- Location: LCCOMB_X46_Y34_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|din_s1~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X46_Y34_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[0]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(0));

-- Location: LCCOMB_X46_Y34_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X46_Y34_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[1]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(1));

-- Location: LCCOMB_X46_Y34_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[2]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[2]~feeder_combout\);

-- Location: FF_X46_Y34_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[2]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(2));

-- Location: LCCOMB_X46_Y34_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]~feeder_combout\);

-- Location: FF_X46_Y34_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[3]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(3));

-- Location: LCCOMB_X46_Y34_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]~feeder_combout\);

-- Location: FF_X46_Y34_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[4]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(4));

-- Location: LCCOMB_X46_Y34_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]~feeder_combout\);

-- Location: FF_X46_Y34_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[5]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(5));

-- Location: LCCOMB_X46_Y34_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(5),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]~feeder_combout\);

-- Location: FF_X46_Y34_N31
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg[6]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6));

-- Location: LCCOMB_X52_Y34_N22
\adc_qsys_u0|master_0|transacto|p2m|enable~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|enable~0_combout\ = (\adc_qsys_u0|master_0|fifo|out_valid~q\ & \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_valid~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|enable~0_combout\);

-- Location: LCCOMB_X46_Y30_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]~feeder_combout\ = \altera_internal_jtag~TDIUTAP\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \altera_internal_jtag~TDIUTAP\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]~feeder_combout\);

-- Location: LCCOMB_X43_Y30_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\);

-- Location: FF_X46_Y30_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[7]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(7));

-- Location: LCCOMB_X46_Y30_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(7),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]~feeder_combout\);

-- Location: FF_X46_Y30_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[6]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(6));

-- Location: LCCOMB_X46_Y30_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]~feeder_combout\);

-- Location: FF_X46_Y30_N31
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[5]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(5));

-- Location: LCCOMB_X46_Y30_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(5),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]~feeder_combout\);

-- Location: FF_X46_Y30_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[4]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(4));

-- Location: LCCOMB_X46_Y30_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]~feeder_combout\);

-- Location: FF_X46_Y30_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[3]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(3));

-- Location: LCCOMB_X46_Y30_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]~feeder_combout\);

-- Location: FF_X46_Y30_N15
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[2]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(2));

-- Location: LCCOMB_X46_Y30_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~feeder_combout\);

-- Location: FF_X46_Y30_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(1));

-- Location: LCCOMB_X47_Y30_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~feeder_combout\);

-- Location: LCCOMB_X43_Y30_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\);

-- Location: LCCOMB_X40_Y30_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~0_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0) 
-- & ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ 
-- & (((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010010110100101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~0_combout\);

-- Location: FF_X40_Y30_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0));

-- Location: LCCOMB_X40_Y30_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~1_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1) $ (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000100101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~1_combout\);

-- Location: FF_X40_Y30_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~1_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1));

-- Location: LCCOMB_X40_Y30_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1)) # 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0_combout\);

-- Location: LCCOMB_X40_Y30_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~2_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & (((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2))))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0_combout\ $ 
-- (((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000010100101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add3~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~1_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~2_combout\);

-- Location: FF_X40_Y30_N9
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter~2_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2));

-- Location: LCCOMB_X40_Y29_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0) $ (VCC))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0) & VCC))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(1),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0),
	datad => VCC,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~0_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\);

-- Location: LCCOMB_X40_Y29_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\) # (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(2),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~1\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\);

-- Location: LCCOMB_X40_Y29_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\ $ (GND))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\ & VCC))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(3),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~3\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\);

-- Location: LCCOMB_X40_Y29_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\) # (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(4),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~5\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\);

-- Location: LCCOMB_X40_Y29_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\ $ (GND))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\ & VCC))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(5),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~7\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\);

-- Location: LCCOMB_X40_Y29_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\) # (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(6),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~9\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\);

-- Location: LCCOMB_X40_Y29_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\ $ (GND))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\ & VCC))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(7),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~11\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\);

-- Location: LCCOMB_X40_Y29_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\) # (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(8),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~13\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\);

-- Location: LCCOMB_X44_Y30_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\);

-- Location: FF_X41_Y29_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(15),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1));

-- Location: FF_X41_Y29_N15
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \altera_internal_jtag~TDIUTAP\,
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2));

-- Location: FF_X41_Y29_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|header_in\(14),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0));

-- Location: LCCOMB_X44_Y30_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\) # 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_2~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_BYPASS~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_HEADER_1~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\);

-- Location: LCCOMB_X44_Y30_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\);

-- Location: LCCOMB_X44_Y30_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\) # ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ 
-- & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~1_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~1_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal10~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~2_combout\);

-- Location: FF_X44_Y30_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~2_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\);

-- Location: LCCOMB_X41_Y29_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0) & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\);

-- Location: LCCOMB_X43_Y29_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\);

-- Location: LCCOMB_X43_Y29_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~14_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59_combout\);

-- Location: LCCOMB_X43_Y29_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\);

-- Location: LCCOMB_X43_Y29_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~12_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57_combout\);

-- Location: LCCOMB_X43_Y29_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\);

-- Location: LCCOMB_X43_Y29_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~10_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55_combout\);

-- Location: LCCOMB_X41_Y29_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\);

-- Location: LCCOMB_X41_Y29_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2_combout\) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~2_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\);

-- Location: LCCOMB_X41_Y29_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~41_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43_combout\);

-- Location: LCCOMB_X41_Y30_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33_combout\ = 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) 
-- & ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33_combout\);

-- Location: LCCOMB_X41_Y30_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31_combout\ = 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6) 
-- & ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31_combout\);

-- Location: LCCOMB_X41_Y30_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29_combout\ = 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) 
-- & ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29_combout\);

-- Location: LCCOMB_X40_Y30_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27_combout\ = 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4) 
-- & ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27_combout\);

-- Location: LCCOMB_X40_Y30_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25_combout\ = 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) 
-- & ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25_combout\);

-- Location: LCCOMB_X40_Y30_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23_combout\ = 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2) 
-- & ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23_combout\);

-- Location: LCCOMB_X41_Y30_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21_combout\ = 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) 
-- & ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21_combout\);

-- Location: LCCOMB_X41_Y30_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19_combout\ = 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0) 
-- & ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_cdr~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19_combout\);

-- Location: LCCOMB_X42_Y30_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~0_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0) $ 
-- (VCC)
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\ = CARRY(\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0),
	datad => VCC,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~0_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\);

-- Location: LCCOMB_X42_Y30_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]~0_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~0_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~19_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]~0_combout\);

-- Location: LCCOMB_X42_Y30_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~20_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~20_combout\);

-- Location: FF_X42_Y30_N3
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[0]~0_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~20_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0));

-- Location: LCCOMB_X42_Y30_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~1\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\);

-- Location: LCCOMB_X41_Y30_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]~1_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~21_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~2_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]~1_combout\);

-- Location: LCCOMB_X41_Y30_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~22_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~22_combout\);

-- Location: FF_X41_Y30_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[1]~1_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~22_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1));

-- Location: LCCOMB_X42_Y30_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2) & 
-- ((GND) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~3\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\);

-- Location: LCCOMB_X41_Y30_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]~2_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~23_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~4_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]~2_combout\);

-- Location: LCCOMB_X40_Y30_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~24_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~24_combout\);

-- Location: FF_X41_Y30_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[2]~2_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~24_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2));

-- Location: LCCOMB_X42_Y30_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~5\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\);

-- Location: LCCOMB_X40_Y30_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]~3_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~25_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~6_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]~3_combout\);

-- Location: LCCOMB_X40_Y30_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~26_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~26_combout\);

-- Location: FF_X40_Y30_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[3]~3_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~26_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3));

-- Location: LCCOMB_X42_Y30_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4) & 
-- ((GND) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~7\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\);

-- Location: LCCOMB_X40_Y30_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]~4_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~27_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~8_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]~4_combout\);

-- Location: LCCOMB_X40_Y30_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~28_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~28_combout\);

-- Location: FF_X40_Y30_N15
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[4]~4_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~28_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4));

-- Location: LCCOMB_X42_Y30_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~9\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\);

-- Location: LCCOMB_X41_Y30_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]~5_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~29_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~10_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]~5_combout\);

-- Location: LCCOMB_X41_Y30_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~30_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~30_combout\);

-- Location: FF_X41_Y30_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[5]~5_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~30_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5));

-- Location: LCCOMB_X42_Y30_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6) & 
-- ((GND) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~11\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\);

-- Location: LCCOMB_X41_Y30_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]~6_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~31_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~12_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]~6_combout\);

-- Location: LCCOMB_X41_Y30_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~32_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~32_combout\);

-- Location: FF_X41_Y30_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[6]~6_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~32_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6));

-- Location: LCCOMB_X42_Y30_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~13\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\);

-- Location: LCCOMB_X41_Y30_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]~7_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~33_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~14_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]~7_combout\);

-- Location: LCCOMB_X41_Y30_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~34_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~34_combout\);

-- Location: FF_X41_Y30_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[7]~7_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~34_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7));

-- Location: LCCOMB_X42_Y30_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8) & 
-- ((GND) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~15\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\);

-- Location: LCCOMB_X40_Y29_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & 
-- ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(0),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35_combout\);

-- Location: LCCOMB_X42_Y30_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\);

-- Location: LCCOMB_X41_Y29_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~35_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37_combout\);

-- Location: LCCOMB_X42_Y30_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]~8_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~16_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~37_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]~8_combout\);

-- Location: FF_X42_Y30_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[8]~8_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~36_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8));

-- Location: LCCOMB_X42_Y29_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~17\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\);

-- Location: LCCOMB_X41_Y29_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~0_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2) & 
-- ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38_combout\);

-- Location: LCCOMB_X41_Y29_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\);

-- Location: LCCOMB_X41_Y29_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~38_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40_combout\);

-- Location: LCCOMB_X42_Y29_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]~9_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~18_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~40_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]~9_combout\);

-- Location: FF_X42_Y29_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[9]~9_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~39_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9));

-- Location: LCCOMB_X42_Y29_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10) & 
-- ((GND) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~19\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\);

-- Location: LCCOMB_X42_Y29_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]~10_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~43_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~20_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]~10_combout\);

-- Location: FF_X42_Y29_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[10]~10_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~42_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10));

-- Location: LCCOMB_X42_Y29_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~21\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\);

-- Location: LCCOMB_X41_Y29_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) & 
-- ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~4_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44_combout\);

-- Location: LCCOMB_X41_Y29_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\);

-- Location: LCCOMB_X41_Y29_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2))))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~44_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46_combout\);

-- Location: LCCOMB_X42_Y29_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]~11_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~22_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~46_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]~11_combout\);

-- Location: FF_X42_Y29_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[11]~11_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~45_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11));

-- Location: LCCOMB_X42_Y29_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12) & 
-- ((GND) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~23\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\);

-- Location: LCCOMB_X41_Y29_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6_combout\) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~6_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\);

-- Location: LCCOMB_X41_Y29_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\);

-- Location: LCCOMB_X41_Y29_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2)) # ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~47_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49_combout\);

-- Location: LCCOMB_X42_Y29_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]~12_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~24_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~49_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]~12_combout\);

-- Location: FF_X42_Y29_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[12]~12_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~48_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12));

-- Location: LCCOMB_X42_Y29_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~25\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\);

-- Location: LCCOMB_X41_Y30_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\);

-- Location: LCCOMB_X41_Y29_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1) & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8_combout\) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(0),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~8_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\);

-- Location: LCCOMB_X41_Y29_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~50_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_length\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52_combout\);

-- Location: LCCOMB_X41_Y30_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]~13_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~26_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~52_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]~13_combout\);

-- Location: FF_X41_Y30_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[13]~13_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~51_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13));

-- Location: LCCOMB_X42_Y29_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14) & 
-- ((GND) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~27\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\);

-- Location: LCCOMB_X43_Y29_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]~14_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~55_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~28_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]~14_combout\);

-- Location: FF_X43_Y29_N3
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[14]~14_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~54_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14));

-- Location: LCCOMB_X42_Y29_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~29\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\);

-- Location: LCCOMB_X43_Y29_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]~15_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~57_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~30_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]~15_combout\);

-- Location: FF_X43_Y29_N31
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[15]~15_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~56_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15));

-- Location: LCCOMB_X42_Y29_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16) & 
-- ((GND) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\ $ (GND)))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~31\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\);

-- Location: LCCOMB_X43_Y29_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]~16_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~59_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~32_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]~16_combout\);

-- Location: FF_X43_Y29_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[16]~16_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~58_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16));

-- Location: LCCOMB_X42_Y29_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\ & VCC)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~35\ = CARRY((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~33\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~35\);

-- Location: LCCOMB_X40_Y29_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\ $ (GND))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\ & VCC))
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~17\ = CARRY((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|scan_length\(9),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~15\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\,
	cout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~17\);

-- Location: LCCOMB_X43_Y29_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17) & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\);

-- Location: LCCOMB_X43_Y29_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\ & 
-- ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~16_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61_combout\);

-- Location: LCCOMB_X43_Y29_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]~17_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~34_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~61_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]~17_combout\);

-- Location: FF_X43_Y29_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[17]~17_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~60_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17));

-- Location: LCCOMB_X42_Y30_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(7),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(6),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(5),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1_combout\);

-- Location: LCCOMB_X42_Y29_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10) 
-- & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(10),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(9),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(11),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(8),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2_combout\);

-- Location: LCCOMB_X42_Y29_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15) 
-- & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(15),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(12),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(13),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(14),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3_combout\);

-- Location: LCCOMB_X42_Y30_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(3),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(2),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0_combout\);

-- Location: LCCOMB_X42_Y30_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~1_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~2_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~3_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4_combout\);

-- Location: LCCOMB_X42_Y29_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~35\ $ 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18),
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~35\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36_combout\);

-- Location: LCCOMB_X40_Y29_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~17\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~17\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\);

-- Location: LCCOMB_X43_Y29_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18) & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3)) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\);

-- Location: LCCOMB_X43_Y29_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add2~18_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~53_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|decode_header_2~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63_combout\);

-- Location: LCCOMB_X43_Y29_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]~18_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Add4~36_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~63_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]~18_combout\);

-- Location: FF_X43_Y29_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter[18]~18_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter~62_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18));

-- Location: LCCOMB_X43_Y29_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~5_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17)) 
-- # ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16)) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(17),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(16),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~4_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|valid_write_data_length_byte_counter\(18),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~5_combout\);

-- Location: FF_X43_Y29_N1
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal13~5_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_valid~q\);

-- Location: LCCOMB_X40_Y30_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_valid~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(1),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_bit_counter\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_data_valid~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\);

-- Location: LCCOMB_X43_Y30_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|always2~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal14~0_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|write_state.ST_WRITE_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\);

-- Location: FF_X47_Y30_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0));

-- Location: LCCOMB_X47_Y31_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]~feeder_combout\);

-- Location: LCCOMB_X46_Y31_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~feeder_combout\);

-- Location: FF_X46_Y31_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~q\);

-- Location: LCCOMB_X46_Y31_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|din_s1~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X46_Y31_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[0]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(0));

-- Location: LCCOMB_X46_Y31_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X46_Y31_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg[1]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1));

-- Location: LCCOMB_X47_Y30_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[5]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[5]~feeder_combout\);

-- Location: FF_X47_Y30_N1
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[5]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(5));

-- Location: LCCOMB_X47_Y30_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(7),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]~feeder_combout\);

-- Location: FF_X47_Y30_N15
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[6]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(6));

-- Location: FF_X47_Y30_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(4),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(3));

-- Location: LCCOMB_X47_Y30_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(5),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]~feeder_combout\);

-- Location: FF_X47_Y30_N3
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[4]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(4));

-- Location: LCCOMB_X47_Y30_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(5) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(6) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(3) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(5),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(6),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\);

-- Location: LCCOMB_X47_Y30_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]~feeder_combout\ = \altera_internal_jtag~TDIUTAP\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \altera_internal_jtag~TDIUTAP\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]~feeder_combout\);

-- Location: FF_X47_Y30_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[7]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7));

-- Location: LCCOMB_X47_Y30_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]~feeder_combout\);

-- Location: FF_X47_Y30_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[1]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1));

-- Location: LCCOMB_X47_Y30_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_in\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]~feeder_combout\);

-- Location: FF_X47_Y30_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[2]~feeder_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2));

-- Location: LCCOMB_X47_Y30_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1) & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2) & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1_combout\);

-- Location: FF_X47_Y30_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data[0]~0_combout\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\);

-- Location: LCCOMB_X47_Y30_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~1_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\);

-- Location: LCCOMB_X47_Y30_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\ = 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\) # 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\);

-- Location: LCCOMB_X47_Y30_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~0_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\ & (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\ & (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_valid~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~2_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~0_combout\);

-- Location: FF_X47_Y30_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~0_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\);

-- Location: LCCOMB_X47_Y30_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\ = ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1)) 
-- # ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(0),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\);

-- Location: LCCOMB_X47_Y30_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\) # 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|Equal0~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~1_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\);

-- Location: FF_X47_Y31_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[0]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(0));

-- Location: LCCOMB_X47_Y31_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]~feeder_combout\);

-- Location: FF_X47_Y31_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[0]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(0));

-- Location: LCCOMB_X51_Y31_N16
\adc_qsys_u0|master_0|fifo|wr_ptr[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|wr_ptr[0]~0_combout\ = !\adc_qsys_u0|master_0|fifo|wr_ptr\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|wr_ptr\(0),
	combout => \adc_qsys_u0|master_0|fifo|wr_ptr[0]~0_combout\);

-- Location: FF_X51_Y31_N17
\adc_qsys_u0|master_0|fifo|wr_ptr[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|wr_ptr[0]~0_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|wr_ptr\(0));

-- Location: LCCOMB_X51_Y31_N6
\adc_qsys_u0|master_0|fifo|Add0~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|Add0~5_combout\ = \adc_qsys_u0|master_0|fifo|wr_ptr\(1) $ (\adc_qsys_u0|master_0|fifo|wr_ptr\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|wr_ptr\(1),
	datad => \adc_qsys_u0|master_0|fifo|wr_ptr\(0),
	combout => \adc_qsys_u0|master_0|fifo|Add0~5_combout\);

-- Location: FF_X51_Y31_N7
\adc_qsys_u0|master_0|fifo|wr_ptr[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|Add0~5_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|wr_ptr\(1));

-- Location: LCCOMB_X51_Y31_N0
\adc_qsys_u0|master_0|fifo|Add0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|Add0~2_combout\ = \adc_qsys_u0|master_0|fifo|wr_ptr\(2) $ (((\adc_qsys_u0|master_0|fifo|wr_ptr\(0) & \adc_qsys_u0|master_0|fifo|wr_ptr\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|fifo|wr_ptr\(0),
	datac => \adc_qsys_u0|master_0|fifo|wr_ptr\(2),
	datad => \adc_qsys_u0|master_0|fifo|wr_ptr\(1),
	combout => \adc_qsys_u0|master_0|fifo|Add0~2_combout\);

-- Location: FF_X51_Y31_N1
\adc_qsys_u0|master_0|fifo|wr_ptr[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|Add0~2_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|wr_ptr\(2));

-- Location: LCCOMB_X51_Y31_N20
\adc_qsys_u0|master_0|fifo|Add0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|Add0~3_combout\ = \adc_qsys_u0|master_0|fifo|wr_ptr\(3) $ (((\adc_qsys_u0|master_0|fifo|wr_ptr\(2) & (\adc_qsys_u0|master_0|fifo|wr_ptr\(0) & \adc_qsys_u0|master_0|fifo|wr_ptr\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|wr_ptr\(2),
	datab => \adc_qsys_u0|master_0|fifo|wr_ptr\(0),
	datac => \adc_qsys_u0|master_0|fifo|wr_ptr\(3),
	datad => \adc_qsys_u0|master_0|fifo|wr_ptr\(1),
	combout => \adc_qsys_u0|master_0|fifo|Add0~3_combout\);

-- Location: FF_X51_Y31_N21
\adc_qsys_u0|master_0|fifo|wr_ptr[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|Add0~3_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|wr_ptr\(3));

-- Location: LCCOMB_X51_Y31_N24
\adc_qsys_u0|master_0|fifo|Add0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|Add0~0_combout\ = (\adc_qsys_u0|master_0|fifo|wr_ptr\(0) & (\adc_qsys_u0|master_0|fifo|wr_ptr\(2) & \adc_qsys_u0|master_0|fifo|wr_ptr\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|fifo|wr_ptr\(0),
	datac => \adc_qsys_u0|master_0|fifo|wr_ptr\(2),
	datad => \adc_qsys_u0|master_0|fifo|wr_ptr\(1),
	combout => \adc_qsys_u0|master_0|fifo|Add0~0_combout\);

-- Location: LCCOMB_X51_Y31_N26
\adc_qsys_u0|master_0|fifo|Add0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|Add0~1_combout\ = \adc_qsys_u0|master_0|fifo|wr_ptr\(4) $ (((\adc_qsys_u0|master_0|fifo|wr_ptr\(3) & \adc_qsys_u0|master_0|fifo|Add0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|fifo|wr_ptr\(3),
	datac => \adc_qsys_u0|master_0|fifo|wr_ptr\(4),
	datad => \adc_qsys_u0|master_0|fifo|Add0~0_combout\,
	combout => \adc_qsys_u0|master_0|fifo|Add0~1_combout\);

-- Location: FF_X51_Y31_N27
\adc_qsys_u0|master_0|fifo|wr_ptr[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|Add0~1_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|wr_ptr\(4));

-- Location: LCCOMB_X51_Y31_N30
\adc_qsys_u0|master_0|fifo|Add0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|Add0~4_combout\ = \adc_qsys_u0|master_0|fifo|wr_ptr\(5) $ (((\adc_qsys_u0|master_0|fifo|wr_ptr\(4) & (\adc_qsys_u0|master_0|fifo|Add0~0_combout\ & \adc_qsys_u0|master_0|fifo|wr_ptr\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|wr_ptr\(4),
	datab => \adc_qsys_u0|master_0|fifo|Add0~0_combout\,
	datac => \adc_qsys_u0|master_0|fifo|wr_ptr\(5),
	datad => \adc_qsys_u0|master_0|fifo|wr_ptr\(3),
	combout => \adc_qsys_u0|master_0|fifo|Add0~4_combout\);

-- Location: FF_X51_Y31_N31
\adc_qsys_u0|master_0|fifo|wr_ptr[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|Add0~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|fifo|write~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|wr_ptr\(5));

-- Location: FF_X52_Y31_N11
\adc_qsys_u0|master_0|fifo|rd_ptr[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|mem_rd_ptr[0]~0_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|rd_ptr\(0));

-- Location: LCCOMB_X52_Y31_N10
\adc_qsys_u0|master_0|fifo|mem_rd_ptr[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|mem_rd_ptr[0]~0_combout\ = \adc_qsys_u0|master_0|fifo|rd_ptr\(0) $ (((\adc_qsys_u0|master_0|fifo|internal_out_valid~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|in_ready_0~q\) # (!\adc_qsys_u0|master_0|fifo|out_valid~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011010010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|internal_out_valid~q\,
	datab => \adc_qsys_u0|master_0|fifo|out_valid~q\,
	datac => \adc_qsys_u0|master_0|fifo|rd_ptr\(0),
	datad => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~q\,
	combout => \adc_qsys_u0|master_0|fifo|mem_rd_ptr[0]~0_combout\);

-- Location: FF_X52_Y31_N31
\adc_qsys_u0|master_0|fifo|rd_ptr[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|mem_rd_ptr[1]~1_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|rd_ptr\(1));

-- Location: LCCOMB_X52_Y31_N30
\adc_qsys_u0|master_0|fifo|mem_rd_ptr[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|mem_rd_ptr[1]~1_combout\ = \adc_qsys_u0|master_0|fifo|rd_ptr\(1) $ (((\adc_qsys_u0|master_0|fifo|rd_ptr\(0) & (\adc_qsys_u0|master_0|fifo|internal_out_valid~q\ & \adc_qsys_u0|master_0|fifo|internal_out_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|rd_ptr\(0),
	datab => \adc_qsys_u0|master_0|fifo|internal_out_valid~q\,
	datac => \adc_qsys_u0|master_0|fifo|rd_ptr\(1),
	datad => \adc_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	combout => \adc_qsys_u0|master_0|fifo|mem_rd_ptr[1]~1_combout\);

-- Location: FF_X52_Y31_N21
\adc_qsys_u0|master_0|fifo|rd_ptr[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|mem_rd_ptr[2]~2_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|rd_ptr\(2));

-- Location: LCCOMB_X52_Y31_N20
\adc_qsys_u0|master_0|fifo|mem_rd_ptr[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|mem_rd_ptr[2]~2_combout\ = \adc_qsys_u0|master_0|fifo|rd_ptr\(2) $ (((\adc_qsys_u0|master_0|fifo|rd_ptr\(0) & (\adc_qsys_u0|master_0|fifo|rd_ptr\(1) & \adc_qsys_u0|master_0|fifo|read~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|rd_ptr\(0),
	datab => \adc_qsys_u0|master_0|fifo|rd_ptr\(1),
	datac => \adc_qsys_u0|master_0|fifo|rd_ptr\(2),
	datad => \adc_qsys_u0|master_0|fifo|read~0_combout\,
	combout => \adc_qsys_u0|master_0|fifo|mem_rd_ptr[2]~2_combout\);

-- Location: LCCOMB_X52_Y31_N24
\adc_qsys_u0|master_0|fifo|Add1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|Add1~0_combout\ = (\adc_qsys_u0|master_0|fifo|rd_ptr\(0) & (\adc_qsys_u0|master_0|fifo|rd_ptr\(1) & \adc_qsys_u0|master_0|fifo|rd_ptr\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|rd_ptr\(0),
	datac => \adc_qsys_u0|master_0|fifo|rd_ptr\(1),
	datad => \adc_qsys_u0|master_0|fifo|rd_ptr\(2),
	combout => \adc_qsys_u0|master_0|fifo|Add1~0_combout\);

-- Location: FF_X52_Y31_N5
\adc_qsys_u0|master_0|fifo|rd_ptr[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|mem_rd_ptr[3]~3_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|rd_ptr\(3));

-- Location: LCCOMB_X52_Y31_N4
\adc_qsys_u0|master_0|fifo|mem_rd_ptr[3]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|mem_rd_ptr[3]~3_combout\ = \adc_qsys_u0|master_0|fifo|rd_ptr\(3) $ (((\adc_qsys_u0|master_0|fifo|internal_out_valid~q\ & (\adc_qsys_u0|master_0|fifo|Add1~0_combout\ & \adc_qsys_u0|master_0|fifo|internal_out_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|internal_out_valid~q\,
	datab => \adc_qsys_u0|master_0|fifo|Add1~0_combout\,
	datac => \adc_qsys_u0|master_0|fifo|rd_ptr\(3),
	datad => \adc_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	combout => \adc_qsys_u0|master_0|fifo|mem_rd_ptr[3]~3_combout\);

-- Location: FF_X52_Y31_N23
\adc_qsys_u0|master_0|fifo|rd_ptr[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|mem_rd_ptr[4]~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|rd_ptr\(4));

-- Location: LCCOMB_X52_Y31_N22
\adc_qsys_u0|master_0|fifo|mem_rd_ptr[4]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|mem_rd_ptr[4]~4_combout\ = \adc_qsys_u0|master_0|fifo|rd_ptr\(4) $ (((\adc_qsys_u0|master_0|fifo|rd_ptr\(3) & (\adc_qsys_u0|master_0|fifo|Add1~0_combout\ & \adc_qsys_u0|master_0|fifo|read~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|rd_ptr\(3),
	datab => \adc_qsys_u0|master_0|fifo|Add1~0_combout\,
	datac => \adc_qsys_u0|master_0|fifo|rd_ptr\(4),
	datad => \adc_qsys_u0|master_0|fifo|read~0_combout\,
	combout => \adc_qsys_u0|master_0|fifo|mem_rd_ptr[4]~4_combout\);

-- Location: LCCOMB_X52_Y31_N0
\adc_qsys_u0|master_0|fifo|Add1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|Add1~1_combout\ = (\adc_qsys_u0|master_0|fifo|rd_ptr\(0) & (\adc_qsys_u0|master_0|fifo|rd_ptr\(2) & (\adc_qsys_u0|master_0|fifo|rd_ptr\(3) & \adc_qsys_u0|master_0|fifo|rd_ptr\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|rd_ptr\(0),
	datab => \adc_qsys_u0|master_0|fifo|rd_ptr\(2),
	datac => \adc_qsys_u0|master_0|fifo|rd_ptr\(3),
	datad => \adc_qsys_u0|master_0|fifo|rd_ptr\(1),
	combout => \adc_qsys_u0|master_0|fifo|Add1~1_combout\);

-- Location: FF_X52_Y31_N15
\adc_qsys_u0|master_0|fifo|rd_ptr[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|mem_rd_ptr[5]~5_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|rd_ptr\(5));

-- Location: LCCOMB_X52_Y31_N14
\adc_qsys_u0|master_0|fifo|mem_rd_ptr[5]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|mem_rd_ptr[5]~5_combout\ = \adc_qsys_u0|master_0|fifo|rd_ptr\(5) $ (((\adc_qsys_u0|master_0|fifo|rd_ptr\(4) & (\adc_qsys_u0|master_0|fifo|Add1~1_combout\ & \adc_qsys_u0|master_0|fifo|read~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|rd_ptr\(4),
	datab => \adc_qsys_u0|master_0|fifo|Add1~1_combout\,
	datac => \adc_qsys_u0|master_0|fifo|rd_ptr\(5),
	datad => \adc_qsys_u0|master_0|fifo|read~0_combout\,
	combout => \adc_qsys_u0|master_0|fifo|mem_rd_ptr[5]~5_combout\);

-- Location: LCCOMB_X47_Y31_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]~feeder_combout\);

-- Location: FF_X47_Y31_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[1]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(1));

-- Location: LCCOMB_X47_Y31_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]~feeder_combout\);

-- Location: FF_X47_Y31_N3
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[1]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(1));

-- Location: LCCOMB_X47_Y31_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]~feeder_combout\);

-- Location: FF_X47_Y31_N1
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[2]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(2));

-- Location: LCCOMB_X47_Y31_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]~feeder_combout\);

-- Location: FF_X47_Y31_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[2]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(2));

-- Location: LCCOMB_X47_Y31_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]~feeder_combout\);

-- Location: FF_X47_Y31_N31
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[3]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(3));

-- Location: LCCOMB_X47_Y31_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]~feeder_combout\);

-- Location: FF_X47_Y31_N15
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[3]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(3));

-- Location: LCCOMB_X47_Y31_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]~feeder_combout\);

-- Location: FF_X47_Y31_N9
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[4]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(4));

-- Location: LCCOMB_X47_Y31_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]~feeder_combout\);

-- Location: FF_X47_Y31_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[4]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(4));

-- Location: LCCOMB_X47_Y31_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\ $ (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|received_esc~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(5),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0_combout\);

-- Location: FF_X47_Y31_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_data[5]~0_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(5));

-- Location: LCCOMB_X47_Y31_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(5),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]~feeder_combout\);

-- Location: FF_X47_Y31_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[5]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(5));

-- Location: LCCOMB_X47_Y31_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]~feeder_combout\);

-- Location: FF_X47_Y31_N27
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[6]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(6));

-- Location: LCCOMB_X47_Y31_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]~feeder_combout\);

-- Location: FF_X47_Y31_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[6]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(6));

-- Location: LCCOMB_X47_Y31_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover_sink_data\(7),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]~feeder_combout\);

-- Location: FF_X47_Y31_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer[7]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(7));

-- Location: LCCOMB_X47_Y31_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_data_buffer\(7),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]~feeder_combout\);

-- Location: FF_X47_Y31_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data[7]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_data\(7));

-- Location: M9K_X53_Y31_N0
\adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0\ : fiftyfivenm_ram_block
-- pragma translate_off
GENERIC MAP (
	clk0_output_clock_enable => "ena0",
	data_interleave_offset_in_bits => 1,
	data_interleave_width_in_bits => 1,
	logical_ram_name => "adc_qsys:adc_qsys_u0|adc_qsys_master_0:master_0|altera_avalon_sc_fifo:fifo|altsyncram:mem_rtl_0|altsyncram_m4g1:auto_generated|ALTSYNCRAM",
	mixed_port_feed_through_mode => "old",
	operation_mode => "dual_port",
	port_a_address_clear => "none",
	port_a_address_width => 6,
	port_a_byte_enable_clock => "none",
	port_a_data_out_clear => "none",
	port_a_data_out_clock => "none",
	port_a_data_width => 36,
	port_a_first_address => 0,
	port_a_first_bit_number => 0,
	port_a_last_address => 63,
	port_a_logical_ram_depth => 64,
	port_a_logical_ram_width => 8,
	port_a_read_during_write_mode => "new_data_with_nbe_read",
	port_b_address_clear => "none",
	port_b_address_clock => "clock0",
	port_b_address_width => 6,
	port_b_data_out_clear => "clear0",
	port_b_data_out_clock => "clock0",
	port_b_data_width => 36,
	port_b_first_address => 0,
	port_b_first_bit_number => 0,
	port_b_last_address => 63,
	port_b_logical_ram_depth => 64,
	port_b_logical_ram_width => 8,
	port_b_read_during_write_mode => "new_data_with_nbe_read",
	port_b_read_enable_clock => "clock0",
	ram_block_type => "M9K")
-- pragma translate_on
PORT MAP (
	portawe => \adc_qsys_u0|master_0|fifo|write~combout\,
	portbre => VCC,
	clk0 => \clk_50_max10~inputclkctrl_outclk\,
	ena0 => \adc_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	clr0 => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|ALT_INV_altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	portadatain => \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTADATAIN_bus\,
	portaaddr => \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTAADDR_bus\,
	portbaddr => \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBADDR_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	portbdataout => \adc_qsys_u0|master_0|fifo|mem_rtl_0|auto_generated|ram_block1a0_PORTBDATAOUT_bus\);

-- Location: LCCOMB_X51_Y34_N14
\adc_qsys_u0|master_0|b2p|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|Equal0~0_combout\ = (\adc_qsys_u0|master_0|fifo|out_payload\(6) & (\adc_qsys_u0|master_0|fifo|out_payload\(5) & (!\adc_qsys_u0|master_0|fifo|out_payload\(7) & \adc_qsys_u0|master_0|fifo|out_payload\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|out_payload\(6),
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(5),
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(7),
	datad => \adc_qsys_u0|master_0|fifo|out_payload\(4),
	combout => \adc_qsys_u0|master_0|b2p|Equal0~0_combout\);

-- Location: LCCOMB_X52_Y34_N24
\adc_qsys_u0|master_0|b2p|Equal2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|Equal2~0_combout\ = (!\adc_qsys_u0|master_0|fifo|out_payload\(1) & (\adc_qsys_u0|master_0|fifo|out_payload\(2) & (\adc_qsys_u0|master_0|fifo|out_payload\(3) & \adc_qsys_u0|master_0|b2p|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|out_payload\(1),
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(2),
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(3),
	datad => \adc_qsys_u0|master_0|b2p|Equal0~0_combout\,
	combout => \adc_qsys_u0|master_0|b2p|Equal2~0_combout\);

-- Location: LCCOMB_X52_Y34_N18
\adc_qsys_u0|master_0|b2p|received_esc~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|received_esc~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|enable~0_combout\ & (\adc_qsys_u0|master_0|b2p|Equal2~0_combout\ & (!\adc_qsys_u0|master_0|b2p|received_esc~q\ & \adc_qsys_u0|master_0|fifo|out_payload\(0)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|enable~0_combout\ & (((\adc_qsys_u0|master_0|b2p|received_esc~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101100001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|enable~0_combout\,
	datab => \adc_qsys_u0|master_0|b2p|Equal2~0_combout\,
	datac => \adc_qsys_u0|master_0|b2p|received_esc~q\,
	datad => \adc_qsys_u0|master_0|fifo|out_payload\(0),
	combout => \adc_qsys_u0|master_0|b2p|received_esc~0_combout\);

-- Location: FF_X52_Y34_N19
\adc_qsys_u0|master_0|b2p|received_esc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|b2p|received_esc~0_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|b2p|received_esc~q\);

-- Location: LCCOMB_X52_Y34_N30
\adc_qsys_u0|master_0|b2p|out_endofpacket~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|out_endofpacket~0_combout\ = (\adc_qsys_u0|master_0|b2p|out_endofpacket~q\) # ((\adc_qsys_u0|master_0|b2p|Equal0~1_combout\ & (!\adc_qsys_u0|master_0|b2p|received_esc~q\ & \adc_qsys_u0|master_0|fifo|out_payload\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|b2p|Equal0~1_combout\,
	datab => \adc_qsys_u0|master_0|b2p|received_esc~q\,
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(0),
	datad => \adc_qsys_u0|master_0|b2p|out_endofpacket~q\,
	combout => \adc_qsys_u0|master_0|b2p|out_endofpacket~0_combout\);

-- Location: LCCOMB_X52_Y34_N14
\adc_qsys_u0|master_0|b2p|received_channel~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|received_channel~0_combout\ = (\adc_qsys_u0|master_0|b2p|received_channel~q\ & (((\adc_qsys_u0|master_0|b2p|Equal0~1_combout\) # (\adc_qsys_u0|master_0|b2p|Equal2~0_combout\)))) # (!\adc_qsys_u0|master_0|b2p|received_channel~q\ & 
-- (!\adc_qsys_u0|master_0|fifo|out_payload\(0) & ((\adc_qsys_u0|master_0|b2p|Equal2~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|out_payload\(0),
	datab => \adc_qsys_u0|master_0|b2p|received_channel~q\,
	datac => \adc_qsys_u0|master_0|b2p|Equal0~1_combout\,
	datad => \adc_qsys_u0|master_0|b2p|Equal2~0_combout\,
	combout => \adc_qsys_u0|master_0|b2p|received_channel~0_combout\);

-- Location: LCCOMB_X52_Y34_N8
\adc_qsys_u0|master_0|b2p|received_channel~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|received_channel~1_combout\ = (\adc_qsys_u0|master_0|b2p|received_channel~0_combout\ & !\adc_qsys_u0|master_0|b2p|received_esc~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|b2p|received_channel~0_combout\,
	datad => \adc_qsys_u0|master_0|b2p|received_esc~q\,
	combout => \adc_qsys_u0|master_0|b2p|received_channel~1_combout\);

-- Location: FF_X52_Y34_N9
\adc_qsys_u0|master_0|b2p|received_channel\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|b2p|received_channel~1_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|b2p|received_channel~q\);

-- Location: LCCOMB_X52_Y34_N12
\adc_qsys_u0|master_0|b2p|out_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|out_valid~0_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(2) $ (!\adc_qsys_u0|master_0|fifo|out_payload\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(2),
	datad => \adc_qsys_u0|master_0|fifo|out_payload\(1),
	combout => \adc_qsys_u0|master_0|b2p|out_valid~0_combout\);

-- Location: LCCOMB_X52_Y34_N16
\adc_qsys_u0|master_0|b2p|out_valid~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|out_valid~1_combout\ = ((\adc_qsys_u0|master_0|b2p|received_esc~q\) # ((\adc_qsys_u0|master_0|b2p|out_valid~0_combout\) # (!\adc_qsys_u0|master_0|fifo|out_payload\(3)))) # (!\adc_qsys_u0|master_0|b2p|Equal0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|b2p|Equal0~0_combout\,
	datab => \adc_qsys_u0|master_0|b2p|received_esc~q\,
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(3),
	datad => \adc_qsys_u0|master_0|b2p|out_valid~0_combout\,
	combout => \adc_qsys_u0|master_0|b2p|out_valid~1_combout\);

-- Location: LCCOMB_X52_Y34_N28
\adc_qsys_u0|master_0|b2p|out_endofpacket~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|out_endofpacket~1_combout\ = (\adc_qsys_u0|master_0|b2p|out_endofpacket~0_combout\ & ((\adc_qsys_u0|master_0|b2p|received_channel~q\) # ((!\adc_qsys_u0|master_0|b2p|out_valid~1_combout\) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|enable~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|b2p|out_endofpacket~0_combout\,
	datab => \adc_qsys_u0|master_0|b2p|received_channel~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|enable~0_combout\,
	datad => \adc_qsys_u0|master_0|b2p|out_valid~1_combout\,
	combout => \adc_qsys_u0|master_0|b2p|out_endofpacket~1_combout\);

-- Location: FF_X52_Y34_N29
\adc_qsys_u0|master_0|b2p|out_endofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|b2p|out_endofpacket~1_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|b2p|out_endofpacket~q\);

-- Location: LCCOMB_X49_Y38_N24
\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~feeder_combout\);

-- Location: LCCOMB_X52_Y38_N4
\adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\);

-- Location: FF_X52_Y38_N5
\adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1));

-- Location: LCCOMB_X52_Y38_N30
\adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ = \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1),
	combout => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\);

-- Location: FF_X52_Y38_N31
\adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0));

-- Location: LCCOMB_X52_Y38_N12
\adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ = \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0),
	combout => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\);

-- Location: FF_X52_Y38_N13
\adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

-- Location: FF_X49_Y38_N25
\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\);

-- Location: LCCOMB_X47_Y39_N14
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~feeder_combout\);

-- Location: LCCOMB_X52_Y38_N6
\adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\);

-- Location: FF_X52_Y38_N7
\adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1));

-- Location: LCCOMB_X52_Y38_N10
\adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ = \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1),
	combout => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\);

-- Location: FF_X52_Y38_N11
\adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0));

-- Location: LCCOMB_X52_Y38_N18
\adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ = \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0),
	combout => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\);

-- Location: FF_X52_Y38_N19
\adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

-- Location: CLKCTRL_G6
\adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\);

-- Location: FF_X47_Y39_N15
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\);

-- Location: LCCOMB_X52_Y37_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector64~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector64~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(7) & (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & !\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(7),
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector64~0_combout\);

-- Location: LCCOMB_X54_Y36_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector67~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector67~0_combout\ = (!\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & \adc_qsys_u0|master_0|transacto|p2m|address\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(4),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector67~0_combout\);

-- Location: LCCOMB_X54_Y36_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector68~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector68~0_combout\ = (!\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & \adc_qsys_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector68~0_combout\);

-- Location: LCCOMB_X49_Y36_N6
\adc_qsys_u0|master_0|transacto|p2m|command[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|command[2]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(2),
	combout => \adc_qsys_u0|master_0|transacto|p2m|command[2]~feeder_combout\);

-- Location: LCCOMB_X47_Y34_N30
\adc_qsys_u0|master_0|b2p|out_channel[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|out_channel[2]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(2),
	combout => \adc_qsys_u0|master_0|b2p|out_channel[2]~feeder_combout\);

-- Location: LCCOMB_X52_Y34_N4
\adc_qsys_u0|master_0|b2p|out_channel[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|out_channel[0]~0_combout\ = (\adc_qsys_u0|master_0|fifo|out_valid~q\ & (\adc_qsys_u0|master_0|transacto|p2m|in_ready_0~q\ & (\adc_qsys_u0|master_0|b2p|received_channel~q\ & \adc_qsys_u0|master_0|b2p|out_valid~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|out_valid~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~q\,
	datac => \adc_qsys_u0|master_0|b2p|received_channel~q\,
	datad => \adc_qsys_u0|master_0|b2p|out_valid~1_combout\,
	combout => \adc_qsys_u0|master_0|b2p|out_channel[0]~0_combout\);

-- Location: FF_X47_Y34_N31
\adc_qsys_u0|master_0|b2p|out_channel[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|b2p|out_channel[2]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|b2p|out_channel\(2));

-- Location: FF_X47_Y34_N5
\adc_qsys_u0|master_0|b2p|out_channel[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|fifo|out_payload\(3),
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|b2p|out_channel\(3));

-- Location: LCCOMB_X47_Y34_N20
\adc_qsys_u0|master_0|b2p|out_channel[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|out_channel[4]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|fifo|out_payload\(4),
	combout => \adc_qsys_u0|master_0|b2p|out_channel[4]~feeder_combout\);

-- Location: FF_X47_Y34_N21
\adc_qsys_u0|master_0|b2p|out_channel[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|b2p|out_channel[4]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|b2p|out_channel\(4));

-- Location: LCCOMB_X47_Y34_N4
\adc_qsys_u0|master_0|transacto|p2m|enable~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|enable~2_combout\ = (!\adc_qsys_u0|master_0|b2p|out_channel\(3) & !\adc_qsys_u0|master_0|b2p|out_channel\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|b2p|out_channel\(3),
	datad => \adc_qsys_u0|master_0|b2p|out_channel\(4),
	combout => \adc_qsys_u0|master_0|transacto|p2m|enable~2_combout\);

-- Location: FF_X47_Y34_N25
\adc_qsys_u0|master_0|b2p|out_channel[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|fifo|out_payload\(1),
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|b2p|out_channel\(1));

-- Location: LCCOMB_X52_Y34_N20
\adc_qsys_u0|master_0|b2p|out_data[5]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|out_data[5]~0_combout\ = \adc_qsys_u0|master_0|b2p|received_esc~q\ $ (\adc_qsys_u0|master_0|fifo|out_payload\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|b2p|received_esc~q\,
	datad => \adc_qsys_u0|master_0|fifo|out_payload\(5),
	combout => \adc_qsys_u0|master_0|b2p|out_data[5]~0_combout\);

-- Location: LCCOMB_X47_Y34_N12
\adc_qsys_u0|master_0|b2p|out_channel[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|out_channel[5]~feeder_combout\ = \adc_qsys_u0|master_0|b2p|out_data[5]~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|b2p|out_data[5]~0_combout\,
	combout => \adc_qsys_u0|master_0|b2p|out_channel[5]~feeder_combout\);

-- Location: FF_X47_Y34_N13
\adc_qsys_u0|master_0|b2p|out_channel[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|b2p|out_channel[5]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|b2p|out_channel\(5));

-- Location: LCCOMB_X47_Y34_N28
\adc_qsys_u0|master_0|b2p|out_channel[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|out_channel[6]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|fifo|out_payload\(6),
	combout => \adc_qsys_u0|master_0|b2p|out_channel[6]~feeder_combout\);

-- Location: FF_X47_Y34_N29
\adc_qsys_u0|master_0|b2p|out_channel[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|b2p|out_channel[6]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|b2p|out_channel\(6));

-- Location: FF_X47_Y34_N11
\adc_qsys_u0|master_0|b2p|out_channel[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|fifo|out_payload\(7),
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|b2p|out_channel\(7));

-- Location: LCCOMB_X47_Y34_N18
\adc_qsys_u0|master_0|b2p|out_channel[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|out_channel[0]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(0),
	combout => \adc_qsys_u0|master_0|b2p|out_channel[0]~feeder_combout\);

-- Location: FF_X47_Y34_N19
\adc_qsys_u0|master_0|b2p|out_channel[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|b2p|out_channel[0]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|b2p|out_channel[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|b2p|out_channel\(0));

-- Location: LCCOMB_X47_Y34_N10
\adc_qsys_u0|master_0|transacto|p2m|enable~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|enable~1_combout\ = (!\adc_qsys_u0|master_0|b2p|out_channel\(5) & (!\adc_qsys_u0|master_0|b2p|out_channel\(6) & (!\adc_qsys_u0|master_0|b2p|out_channel\(7) & !\adc_qsys_u0|master_0|b2p|out_channel\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|b2p|out_channel\(5),
	datab => \adc_qsys_u0|master_0|b2p|out_channel\(6),
	datac => \adc_qsys_u0|master_0|b2p|out_channel\(7),
	datad => \adc_qsys_u0|master_0|b2p|out_channel\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|enable~1_combout\);

-- Location: LCCOMB_X47_Y34_N24
\adc_qsys_u0|master_0|transacto|p2m|enable~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|enable~3_combout\ = (!\adc_qsys_u0|master_0|b2p|out_channel\(2) & (\adc_qsys_u0|master_0|transacto|p2m|enable~2_combout\ & (!\adc_qsys_u0|master_0|b2p|out_channel\(1) & 
-- \adc_qsys_u0|master_0|transacto|p2m|enable~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|b2p|out_channel\(2),
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~2_combout\,
	datac => \adc_qsys_u0|master_0|b2p|out_channel\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|enable~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|enable~3_combout\);

-- Location: LCCOMB_X52_Y34_N6
\adc_qsys_u0|master_0|transacto|p2m|enable\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|enable~combout\ = (\adc_qsys_u0|master_0|transacto|p2m|enable~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|enable~3_combout\ & (!\adc_qsys_u0|master_0|b2p|received_channel~q\ & 
-- \adc_qsys_u0|master_0|b2p|out_valid~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|enable~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~3_combout\,
	datac => \adc_qsys_u0|master_0|b2p|received_channel~q\,
	datad => \adc_qsys_u0|master_0|b2p|out_valid~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\);

-- Location: LCCOMB_X54_Y35_N24
\adc_qsys_u0|master_0|transacto|p2m|always1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & \adc_qsys_u0|master_0|b2p|out_startofpacket~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datad => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\);

-- Location: FF_X49_Y36_N7
\adc_qsys_u0|master_0|transacto|p2m|command[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|command[2]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|command\(2));

-- Location: LCCOMB_X55_Y36_N28
\adc_qsys_u0|master_0|transacto|p2m|Selector69~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector69~0_combout\ = (!\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & \adc_qsys_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector69~0_combout\);

-- Location: LCCOMB_X52_Y36_N4
\adc_qsys_u0|master_0|transacto|p2m|Add2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|command\(2) & (\adc_qsys_u0|master_0|transacto|p2m|address\(2) $ (VCC))) # (!\adc_qsys_u0|master_0|transacto|p2m|command\(2) & 
-- (\adc_qsys_u0|master_0|transacto|p2m|address\(2) & VCC))
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~1\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|command\(2) & \adc_qsys_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|command\(2),
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => VCC,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add2~0_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add2~1\);

-- Location: LCCOMB_X54_Y35_N6
\adc_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & ((\adc_qsys_u0|master_0|b2p|out_startofpacket~q\))) # (!\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & 
-- (\adc_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\,
	datad => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~0_combout\);

-- Location: FF_X54_Y35_N7
\adc_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~0_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\);

-- Location: LCCOMB_X54_Y35_N14
\adc_qsys_u0|master_0|transacto|p2m|state~53\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~53_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\ & ((!\adc_qsys_u0|master_0|b2p|out_startofpacket~q\)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datad => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~53_combout\);

-- Location: FF_X54_Y35_N15
\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state~53_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\);

-- Location: LCCOMB_X54_Y35_N26
\adc_qsys_u0|master_0|transacto|p2m|state~54\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~54_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & ((!\adc_qsys_u0|master_0|b2p|out_startofpacket~q\)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datad => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~54_combout\);

-- Location: FF_X54_Y35_N27
\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state~54_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\);

-- Location: LCCOMB_X54_Y34_N0
\adc_qsys_u0|master_0|transacto|p2m|state~57\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~57_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & ((!\adc_qsys_u0|master_0|b2p|out_startofpacket~q\)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	datad => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~57_combout\);

-- Location: FF_X54_Y34_N1
\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state~57_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\);

-- Location: LCCOMB_X54_Y34_N6
\adc_qsys_u0|master_0|transacto|p2m|state~58\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~58_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & (!\adc_qsys_u0|master_0|b2p|out_startofpacket~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~58_combout\);

-- Location: FF_X54_Y34_N7
\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state~58_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\);

-- Location: LCCOMB_X54_Y34_N4
\adc_qsys_u0|master_0|transacto|p2m|state~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~48_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & (!\adc_qsys_u0|master_0|b2p|out_startofpacket~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~48_combout\);

-- Location: FF_X54_Y34_N5
\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state~48_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\);

-- Location: LCCOMB_X54_Y35_N12
\adc_qsys_u0|master_0|transacto|p2m|state~47\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~47_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & (!\adc_qsys_u0|master_0|b2p|out_startofpacket~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~47_combout\);

-- Location: FF_X54_Y35_N13
\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state~47_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\);

-- Location: LCCOMB_X55_Y36_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector69~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector69~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(2) & (!\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- !\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector69~2_combout\);

-- Location: LCCOMB_X49_Y34_N30
\adc_qsys_u0|master_0|transacto|p2m|command[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|command[5]~feeder_combout\ = \adc_qsys_u0|master_0|b2p|out_data[5]~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|b2p|out_data[5]~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|command[5]~feeder_combout\);

-- Location: FF_X49_Y34_N31
\adc_qsys_u0|master_0|transacto|p2m|command[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|command[5]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|command\(5));

-- Location: LCCOMB_X49_Y34_N28
\adc_qsys_u0|master_0|transacto|p2m|command[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|command[3]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(3),
	combout => \adc_qsys_u0|master_0|transacto|p2m|command[3]~feeder_combout\);

-- Location: FF_X49_Y34_N29
\adc_qsys_u0|master_0|transacto|p2m|command[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|command[3]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|command\(3));

-- Location: FF_X49_Y34_N27
\adc_qsys_u0|master_0|transacto|p2m|command[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|fifo|out_payload\(7),
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|command\(7));

-- Location: LCCOMB_X49_Y34_N16
\adc_qsys_u0|master_0|transacto|p2m|command[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|command[6]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|fifo|out_payload\(6),
	combout => \adc_qsys_u0|master_0|transacto|p2m|command[6]~feeder_combout\);

-- Location: FF_X49_Y34_N17
\adc_qsys_u0|master_0|transacto|p2m|command[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|command[6]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|command\(6));

-- Location: LCCOMB_X49_Y34_N26
\adc_qsys_u0|master_0|transacto|p2m|Equal2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|command\(5) & (!\adc_qsys_u0|master_0|transacto|p2m|command\(3) & (!\adc_qsys_u0|master_0|transacto|p2m|command\(7) & 
-- !\adc_qsys_u0|master_0|transacto|p2m|command\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|command\(5),
	datab => \adc_qsys_u0|master_0|transacto|p2m|command\(3),
	datac => \adc_qsys_u0|master_0|transacto|p2m|command\(7),
	datad => \adc_qsys_u0|master_0|transacto|p2m|command\(6),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\);

-- Location: FF_X51_Y35_N23
\adc_qsys_u0|master_0|transacto|p2m|command[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|fifo|out_payload\(1),
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|command\(1));

-- Location: FF_X51_Y35_N29
\adc_qsys_u0|master_0|transacto|p2m|command[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|fifo|out_payload\(0),
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|command\(0));

-- Location: LCCOMB_X51_Y35_N0
\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ = ((\adc_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|command\(1) & !\adc_qsys_u0|master_0|transacto|p2m|command\(0)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|enable~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|command\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|command\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\);

-- Location: LCCOMB_X49_Y34_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector77~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector77~9_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(3))) # (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|command\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_data\(3),
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|command\(3),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector77~9_combout\);

-- Location: LCCOMB_X51_Y38_N10
\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\ & 
-- (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\ & \adc_qsys_u0|master_0|transacto|p2m|last_trans~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|last_trans~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\);

-- Location: FF_X51_Y35_N15
\adc_qsys_u0|master_0|transacto|p2m|command[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|fifo|out_payload\(4),
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|command\(4));

-- Location: LCCOMB_X51_Y35_N28
\adc_qsys_u0|master_0|transacto|p2m|Equal2~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|command\(1) & (!\adc_qsys_u0|master_0|transacto|p2m|command\(0) & \adc_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|command\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|command\(0),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\);

-- Location: LCCOMB_X51_Y35_N24
\adc_qsys_u0|master_0|transacto|p2m|state~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~50_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|command\(4)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~50_combout\);

-- Location: LCCOMB_X52_Y35_N4
\adc_qsys_u0|master_0|transacto|p2m|Selector70~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector70~1_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & !\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector70~1_combout\);

-- Location: LCCOMB_X49_Y35_N28
\adc_qsys_u0|master_0|transacto|p2m|Selector70~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector70~3_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & !\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector70~3_combout\);

-- Location: LCCOMB_X52_Y35_N24
\adc_qsys_u0|master_0|transacto|p2m|Selector70~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector70~4_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector70~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector70~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector70~4_combout\);

-- Location: LCCOMB_X52_Y35_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector71~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector71~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & ((\adc_qsys_u0|master_0|transacto|p2m|Selector70~4_combout\) # ((!\adc_qsys_u0|master_0|transacto|p2m|Selector70~1_combout\ & 
-- !\adc_qsys_u0|master_0|p2b|in_ready~combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (!\adc_qsys_u0|master_0|transacto|p2m|Selector70~1_combout\ & (\adc_qsys_u0|master_0|p2b|in_ready~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101000010010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector70~1_combout\,
	datac => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector70~4_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector71~0_combout\);

-- Location: LCCOMB_X52_Y35_N26
\adc_qsys_u0|master_0|transacto|p2m|Selector71~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector71~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector71~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ $ 
-- (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector71~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector71~1_combout\);

-- Location: LCCOMB_X50_Y35_N6
\adc_qsys_u0|master_0|transacto|p2m|Selector71~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector71~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector71~1_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(0) & (\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|out_payload\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector71~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector71~2_combout\);

-- Location: LCCOMB_X49_Y35_N6
\adc_qsys_u0|master_0|transacto|p2m|Selector71~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector71~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector71~2_combout\) # ((!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector71~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector71~3_combout\);

-- Location: FF_X49_Y35_N7
\adc_qsys_u0|master_0|transacto|p2m|current_byte[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector71~3_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0));

-- Location: LCCOMB_X52_Y35_N6
\adc_qsys_u0|master_0|transacto|p2m|Selector70~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector70~2_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|Selector70~1_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) $ (((\adc_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector70~1_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector70~2_combout\);

-- Location: LCCOMB_X52_Y35_N18
\adc_qsys_u0|master_0|transacto|p2m|Selector70~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector70~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) $ (((\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & 
-- \adc_qsys_u0|master_0|transacto|p2m|enable~combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100100011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector70~0_combout\);

-- Location: LCCOMB_X52_Y35_N2
\adc_qsys_u0|master_0|transacto|p2m|Selector70~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector70~5_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector70~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector70~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector70~4_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector70~2_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector70~4_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector70~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector70~5_combout\);

-- Location: LCCOMB_X51_Y35_N2
\adc_qsys_u0|master_0|transacto|p2m|Selector70~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector70~5_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(1) & (\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector70~5_combout\,
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\);

-- Location: LCCOMB_X51_Y35_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector70~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector70~7_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector70~6_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector70~7_combout\);

-- Location: FF_X51_Y35_N13
\adc_qsys_u0|master_0|transacto|p2m|current_byte[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector70~7_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1));

-- Location: LCCOMB_X50_Y35_N26
\adc_qsys_u0|master_0|transacto|p2m|state~49\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~49_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & (((!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0)) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1))) # 
-- (!\adc_qsys_u0|master_0|p2b|in_ready~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~49_combout\);

-- Location: LCCOMB_X51_Y35_N22
\adc_qsys_u0|master_0|transacto|p2m|Equal4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Equal4~0_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|command\(0) & (\adc_qsys_u0|master_0|transacto|p2m|command\(4) & (!\adc_qsys_u0|master_0|transacto|p2m|command\(1) & 
-- \adc_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|command\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datac => \adc_qsys_u0|master_0|transacto|p2m|command\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Equal2~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Equal4~0_combout\);

-- Location: LCCOMB_X51_Y35_N16
\adc_qsys_u0|master_0|transacto|p2m|state~51\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~51_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|state~49_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state~50_combout\ & 
-- !\adc_qsys_u0|master_0|transacto|p2m|Equal4~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state~50_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state~49_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Equal4~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~51_combout\);

-- Location: LCCOMB_X51_Y35_N26
\adc_qsys_u0|master_0|transacto|p2m|state~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~52_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state~51_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & 
-- !\adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state~51_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~52_combout\);

-- Location: FF_X51_Y35_N27
\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state~52_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\);

-- Location: LCCOMB_X49_Y36_N14
\adc_qsys_u0|master_0|transacto|p2m|Equal6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0)) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\);

-- Location: LCCOMB_X49_Y33_N26
\adc_qsys_u0|master_0|transacto|p2m|Selector35~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector35~0_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|counter\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|counter\(2),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector35~0_combout\);

-- Location: LCCOMB_X49_Y33_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector36~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector36~0_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\adc_qsys_u0|master_0|transacto|p2m|counter\(1) & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- !\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector36~0_combout\);

-- Location: LCCOMB_X51_Y33_N0
\adc_qsys_u0|master_0|transacto|p2m|Add0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(0) & (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ $ (VCC))) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(0) & 
-- (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & VCC))
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~1\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|counter\(0) & \adc_qsys_u0|master_0|transacto|p2m|enable~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datad => VCC,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~0_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add0~1\);

-- Location: LCCOMB_X50_Y33_N0
\adc_qsys_u0|master_0|transacto|p2m|Add3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(0) & (\adc_qsys_u0|master_0|p2b|in_ready~combout\ $ (VCC))) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(0) & 
-- (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & VCC))
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~1\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|counter\(0) & \adc_qsys_u0|master_0|p2b|in_ready~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(0),
	datab => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~0_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add3~1\);

-- Location: LCCOMB_X52_Y33_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector37~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector37~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Add0~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\) # ((\adc_qsys_u0|master_0|transacto|p2m|Add3~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|Add0~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Add3~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Add0~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add3~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector37~1_combout\);

-- Location: LCCOMB_X49_Y33_N0
\adc_qsys_u0|master_0|transacto|p2m|Selector30~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|command\(4) & \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\);

-- Location: LCCOMB_X52_Y33_N18
\adc_qsys_u0|master_0|transacto|p2m|Selector37~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector37~0_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\adc_qsys_u0|master_0|transacto|p2m|counter\(0) & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\ & 
-- !\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector37~0_combout\);

-- Location: LCCOMB_X52_Y33_N0
\adc_qsys_u0|master_0|transacto|p2m|Selector37~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector37~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector37~1_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector37~0_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(0) & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector37~1_combout\,
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector37~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector37~2_combout\);

-- Location: FF_X52_Y33_N1
\adc_qsys_u0|master_0|transacto|p2m|counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector37~2_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(0));

-- Location: LCCOMB_X51_Y33_N2
\adc_qsys_u0|master_0|transacto|p2m|Add0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(1) & (!\adc_qsys_u0|master_0|transacto|p2m|Add0~1\)) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(1) & ((\adc_qsys_u0|master_0|transacto|p2m|Add0~1\) # 
-- (GND)))
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~3\ = CARRY((!\adc_qsys_u0|master_0|transacto|p2m|Add0~1\) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(1),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add0~1\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~2_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add0~3\);

-- Location: LCCOMB_X50_Y33_N2
\adc_qsys_u0|master_0|transacto|p2m|Add3~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~2_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(1) & (\adc_qsys_u0|master_0|transacto|p2m|Add3~1\ & VCC)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|counter\(1) & (!\adc_qsys_u0|master_0|transacto|p2m|Add3~1\)))) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(1) & (!\adc_qsys_u0|master_0|transacto|p2m|Add3~1\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|counter\(1) & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~1\) # (GND)))))
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~3\ = CARRY((\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|counter\(1) & !\adc_qsys_u0|master_0|transacto|p2m|Add3~1\)) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- ((!\adc_qsys_u0|master_0|transacto|p2m|Add3~1\) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(1),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add3~1\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~2_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add3~3\);

-- Location: LCCOMB_X49_Y33_N14
\adc_qsys_u0|master_0|transacto|p2m|Selector36~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector36~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Add0~2_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\adc_qsys_u0|master_0|transacto|p2m|Add0~2_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add0~2_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Add3~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector36~1_combout\);

-- Location: LCCOMB_X49_Y33_N2
\adc_qsys_u0|master_0|transacto|p2m|Selector36~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector36~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector36~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector36~1_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(1) & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector36~0_combout\,
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector36~1_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector36~2_combout\);

-- Location: FF_X49_Y33_N3
\adc_qsys_u0|master_0|transacto|p2m|counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector36~2_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(1));

-- Location: LCCOMB_X51_Y33_N4
\adc_qsys_u0|master_0|transacto|p2m|Add0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(2) & (\adc_qsys_u0|master_0|transacto|p2m|Add0~3\ $ (GND))) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(2) & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Add0~3\ & VCC))
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~5\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|counter\(2) & !\adc_qsys_u0|master_0|transacto|p2m|Add0~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(2),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add0~3\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~4_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add0~5\);

-- Location: LCCOMB_X50_Y33_N4
\adc_qsys_u0|master_0|transacto|p2m|Add3~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~4_combout\ = ((\adc_qsys_u0|master_0|p2b|in_ready~combout\ $ (\adc_qsys_u0|master_0|transacto|p2m|counter\(2) $ (!\adc_qsys_u0|master_0|transacto|p2m|Add3~3\)))) # (GND)
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~5\ = CARRY((\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(2)) # (!\adc_qsys_u0|master_0|transacto|p2m|Add3~3\))) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- (\adc_qsys_u0|master_0|transacto|p2m|counter\(2) & !\adc_qsys_u0|master_0|transacto|p2m|Add3~3\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(2),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add3~3\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~4_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add3~5\);

-- Location: LCCOMB_X49_Y33_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector35~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector35~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~4_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Add0~4_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\adc_qsys_u0|master_0|transacto|p2m|Add0~4_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add0~4_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Add3~4_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector35~1_combout\);

-- Location: LCCOMB_X49_Y33_N6
\adc_qsys_u0|master_0|transacto|p2m|Selector35~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector35~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector35~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector35~1_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(2) & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector35~0_combout\,
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(2),
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector35~1_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector35~2_combout\);

-- Location: FF_X49_Y33_N7
\adc_qsys_u0|master_0|transacto|p2m|counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector35~2_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(2));

-- Location: LCCOMB_X51_Y33_N6
\adc_qsys_u0|master_0|transacto|p2m|Add0~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~6_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(3) & (!\adc_qsys_u0|master_0|transacto|p2m|Add0~5\)) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(3) & ((\adc_qsys_u0|master_0|transacto|p2m|Add0~5\) # 
-- (GND)))
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~7\ = CARRY((!\adc_qsys_u0|master_0|transacto|p2m|Add0~5\) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(3),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add0~5\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~6_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add0~7\);

-- Location: LCCOMB_X49_Y33_N4
\adc_qsys_u0|master_0|transacto|p2m|Selector34~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\adc_qsys_u0|master_0|transacto|p2m|Add0~6_combout\)) # (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- (((\adc_qsys_u0|master_0|transacto|p2m|counter\(3) & !\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Add0~6_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(3),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\);

-- Location: LCCOMB_X50_Y33_N6
\adc_qsys_u0|master_0|transacto|p2m|Add3~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~6_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(3) & (\adc_qsys_u0|master_0|transacto|p2m|Add3~5\ & VCC)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|counter\(3) & (!\adc_qsys_u0|master_0|transacto|p2m|Add3~5\)))) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(3) & (!\adc_qsys_u0|master_0|transacto|p2m|Add3~5\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|counter\(3) & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~5\) # (GND)))))
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~7\ = CARRY((\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|counter\(3) & !\adc_qsys_u0|master_0|transacto|p2m|Add3~5\)) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- ((!\adc_qsys_u0|master_0|transacto|p2m|Add3~5\) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(3),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add3~5\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~6_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add3~7\);

-- Location: LCCOMB_X49_Y33_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector34~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector34~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~6_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\adc_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector34~2_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Add3~6_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector34~3_combout\);

-- Location: LCCOMB_X49_Y33_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector34~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector34~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector34~3_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(3) & (\adc_qsys_u0|master_0|transacto|p2m|command\(4) & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector34~3_combout\,
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(3),
	datac => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector34~4_combout\);

-- Location: FF_X49_Y33_N21
\adc_qsys_u0|master_0|transacto|p2m|counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector34~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(3));

-- Location: LCCOMB_X50_Y33_N8
\adc_qsys_u0|master_0|transacto|p2m|Add3~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~8_combout\ = ((\adc_qsys_u0|master_0|p2b|in_ready~combout\ $ (\adc_qsys_u0|master_0|transacto|p2m|counter\(4) $ (!\adc_qsys_u0|master_0|transacto|p2m|Add3~7\)))) # (GND)
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~9\ = CARRY((\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(4)) # (!\adc_qsys_u0|master_0|transacto|p2m|Add3~7\))) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- (\adc_qsys_u0|master_0|transacto|p2m|counter\(4) & !\adc_qsys_u0|master_0|transacto|p2m|Add3~7\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(4),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add3~7\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~8_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add3~9\);

-- Location: LCCOMB_X51_Y33_N8
\adc_qsys_u0|master_0|transacto|p2m|Add0~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~8_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(4) & (\adc_qsys_u0|master_0|transacto|p2m|Add0~7\ $ (GND))) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(4) & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Add0~7\ & VCC))
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~9\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|counter\(4) & !\adc_qsys_u0|master_0|transacto|p2m|Add0~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(4),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add0~7\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~8_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add0~9\);

-- Location: LCCOMB_X50_Y34_N2
\adc_qsys_u0|master_0|transacto|p2m|Selector33~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Add0~8_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- (\adc_qsys_u0|master_0|transacto|p2m|counter\(4) & ((!\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(4),
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Add0~8_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\);

-- Location: LCCOMB_X50_Y34_N8
\adc_qsys_u0|master_0|transacto|p2m|Selector33~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector33~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~8_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Add3~8_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector33~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector33~3_combout\);

-- Location: LCCOMB_X50_Y34_N6
\adc_qsys_u0|master_0|transacto|p2m|Selector33~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector33~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector33~3_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(4) & (\adc_qsys_u0|master_0|transacto|p2m|command\(4) & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|out_payload\(4),
	datab => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector33~3_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector33~4_combout\);

-- Location: FF_X50_Y34_N7
\adc_qsys_u0|master_0|transacto|p2m|counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector33~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(4));

-- Location: LCCOMB_X50_Y33_N10
\adc_qsys_u0|master_0|transacto|p2m|Add3~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~10_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(5) & (\adc_qsys_u0|master_0|transacto|p2m|Add3~9\ & VCC)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|counter\(5) & (!\adc_qsys_u0|master_0|transacto|p2m|Add3~9\)))) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(5) & (!\adc_qsys_u0|master_0|transacto|p2m|Add3~9\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|counter\(5) & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~9\) # (GND)))))
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~11\ = CARRY((\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|counter\(5) & !\adc_qsys_u0|master_0|transacto|p2m|Add3~9\)) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- ((!\adc_qsys_u0|master_0|transacto|p2m|Add3~9\) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(5),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add3~9\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~10_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add3~11\);

-- Location: LCCOMB_X51_Y33_N10
\adc_qsys_u0|master_0|transacto|p2m|Add0~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~10_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(5) & (!\adc_qsys_u0|master_0|transacto|p2m|Add0~9\)) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(5) & ((\adc_qsys_u0|master_0|transacto|p2m|Add0~9\) 
-- # (GND)))
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~11\ = CARRY((!\adc_qsys_u0|master_0|transacto|p2m|Add0~9\) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(5),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add0~9\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~10_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add0~11\);

-- Location: LCCOMB_X50_Y34_N24
\adc_qsys_u0|master_0|transacto|p2m|Selector32~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector32~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\adc_qsys_u0|master_0|transacto|p2m|Add0~10_combout\)) # (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- (((\adc_qsys_u0|master_0|transacto|p2m|counter\(5) & !\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Add0~10_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|counter\(5),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector32~4_combout\);

-- Location: LCCOMB_X50_Y34_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector32~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector32~5_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~10_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector32~4_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Selector32~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Add3~10_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector32~4_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector32~5_combout\);

-- Location: LCCOMB_X51_Y34_N2
\adc_qsys_u0|master_0|transacto|p2m|Selector32~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector32~5_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\ & (\adc_qsys_u0|master_0|b2p|received_esc~q\ $ 
-- (\adc_qsys_u0|master_0|fifo|out_payload\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector30~2_combout\,
	datab => \adc_qsys_u0|master_0|b2p|received_esc~q\,
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(5),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector32~5_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\);

-- Location: FF_X51_Y34_N3
\adc_qsys_u0|master_0|transacto|p2m|counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector32~6_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(5));

-- Location: LCCOMB_X50_Y33_N12
\adc_qsys_u0|master_0|transacto|p2m|Add3~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~12_combout\ = ((\adc_qsys_u0|master_0|p2b|in_ready~combout\ $ (\adc_qsys_u0|master_0|transacto|p2m|counter\(6) $ (!\adc_qsys_u0|master_0|transacto|p2m|Add3~11\)))) # (GND)
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~13\ = CARRY((\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(6)) # (!\adc_qsys_u0|master_0|transacto|p2m|Add3~11\))) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- (\adc_qsys_u0|master_0|transacto|p2m|counter\(6) & !\adc_qsys_u0|master_0|transacto|p2m|Add3~11\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(6),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add3~11\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~12_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add3~13\);

-- Location: LCCOMB_X51_Y33_N12
\adc_qsys_u0|master_0|transacto|p2m|Add0~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~12_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(6) & (\adc_qsys_u0|master_0|transacto|p2m|Add0~11\ $ (GND))) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(6) & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Add0~11\ & VCC))
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~13\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|counter\(6) & !\adc_qsys_u0|master_0|transacto|p2m|Add0~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(6),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add0~11\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~12_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add0~13\);

-- Location: LCCOMB_X49_Y33_N24
\adc_qsys_u0|master_0|transacto|p2m|Selector31~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector31~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\adc_qsys_u0|master_0|transacto|p2m|Add0~12_combout\)) # (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- (((\adc_qsys_u0|master_0|transacto|p2m|counter\(6) & !\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Add0~12_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(6),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector31~2_combout\);

-- Location: LCCOMB_X49_Y33_N8
\adc_qsys_u0|master_0|transacto|p2m|Selector31~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector31~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~12_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector31~2_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Selector31~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add3~12_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector31~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector31~3_combout\);

-- Location: LCCOMB_X49_Y33_N18
\adc_qsys_u0|master_0|transacto|p2m|Selector31~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector31~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|command\(4) & (\adc_qsys_u0|master_0|fifo|out_payload\(6) & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector31~3_combout\,
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(6),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\);

-- Location: FF_X49_Y33_N19
\adc_qsys_u0|master_0|transacto|p2m|counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector31~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(6));

-- Location: LCCOMB_X50_Y33_N14
\adc_qsys_u0|master_0|transacto|p2m|Add3~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~14_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(7) & (\adc_qsys_u0|master_0|transacto|p2m|Add3~13\ & VCC)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|counter\(7) & (!\adc_qsys_u0|master_0|transacto|p2m|Add3~13\)))) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(7) & (!\adc_qsys_u0|master_0|transacto|p2m|Add3~13\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|counter\(7) & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~13\) # (GND)))))
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~15\ = CARRY((\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|counter\(7) & !\adc_qsys_u0|master_0|transacto|p2m|Add3~13\)) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- ((!\adc_qsys_u0|master_0|transacto|p2m|Add3~13\) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(7),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add3~13\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~14_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add3~15\);

-- Location: LCCOMB_X51_Y33_N14
\adc_qsys_u0|master_0|transacto|p2m|Add0~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~14_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(7) & (!\adc_qsys_u0|master_0|transacto|p2m|Add0~13\)) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(7) & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|Add0~13\) # (GND)))
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~15\ = CARRY((!\adc_qsys_u0|master_0|transacto|p2m|Add0~13\) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(7),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add0~13\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~14_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add0~15\);

-- Location: LCCOMB_X52_Y33_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector30~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector30~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Add0~14_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- (\adc_qsys_u0|master_0|transacto|p2m|counter\(7) & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(7),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Add0~14_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector30~3_combout\);

-- Location: LCCOMB_X52_Y33_N28
\adc_qsys_u0|master_0|transacto|p2m|Selector30~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector30~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~14_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector30~3_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Selector30~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add3~14_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector30~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector30~4_combout\);

-- Location: LCCOMB_X52_Y33_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector30~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector30~4_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|command\(4) & (\adc_qsys_u0|master_0|fifo|out_payload\(7) & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(7),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector30~4_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\);

-- Location: FF_X52_Y33_N23
\adc_qsys_u0|master_0|transacto|p2m|counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector30~5_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(7));

-- Location: LCCOMB_X50_Y33_N16
\adc_qsys_u0|master_0|transacto|p2m|Add3~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~16_combout\ = ((\adc_qsys_u0|master_0|transacto|p2m|counter\(8) $ (\adc_qsys_u0|master_0|p2b|in_ready~combout\ $ (!\adc_qsys_u0|master_0|transacto|p2m|Add3~15\)))) # (GND)
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~17\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|counter\(8) & ((\adc_qsys_u0|master_0|p2b|in_ready~combout\) # (!\adc_qsys_u0|master_0|transacto|p2m|Add3~15\))) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(8) 
-- & (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & !\adc_qsys_u0|master_0|transacto|p2m|Add3~15\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(8),
	datab => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add3~15\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~16_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add3~17\);

-- Location: LCCOMB_X51_Y33_N16
\adc_qsys_u0|master_0|transacto|p2m|Add0~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~16_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(8) & (\adc_qsys_u0|master_0|transacto|p2m|Add0~15\ $ (GND))) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(8) & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Add0~15\ & VCC))
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~17\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|counter\(8) & !\adc_qsys_u0|master_0|transacto|p2m|Add0~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(8),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add0~15\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~16_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add0~17\);

-- Location: LCCOMB_X52_Y33_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector29~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Add0~16_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- (\adc_qsys_u0|master_0|transacto|p2m|counter\(8) & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(8),
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Add0~16_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\);

-- Location: LCCOMB_X52_Y33_N4
\adc_qsys_u0|master_0|transacto|p2m|Selector29~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector29~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~16_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add3~16_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector29~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector29~3_combout\);

-- Location: LCCOMB_X52_Y33_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector29~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector29~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector29~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|command\(4) & (\adc_qsys_u0|master_0|fifo|out_payload\(0) & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector29~3_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector29~4_combout\);

-- Location: FF_X52_Y33_N13
\adc_qsys_u0|master_0|transacto|p2m|counter[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector29~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(8));

-- Location: LCCOMB_X51_Y33_N18
\adc_qsys_u0|master_0|transacto|p2m|Add0~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~18_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(9) & (!\adc_qsys_u0|master_0|transacto|p2m|Add0~17\)) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(9) & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|Add0~17\) # (GND)))
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~19\ = CARRY((!\adc_qsys_u0|master_0|transacto|p2m|Add0~17\) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(9),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add0~17\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~18_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add0~19\);

-- Location: LCCOMB_X51_Y34_N6
\adc_qsys_u0|master_0|transacto|p2m|Selector28~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector28~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\adc_qsys_u0|master_0|transacto|p2m|Add0~18_combout\)) # (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- (((\adc_qsys_u0|master_0|transacto|p2m|counter\(9) & !\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Add0~18_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|counter\(9),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector28~2_combout\);

-- Location: LCCOMB_X50_Y33_N18
\adc_qsys_u0|master_0|transacto|p2m|Add3~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~18_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(9) & ((\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Add3~17\ & VCC)) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ 
-- & (!\adc_qsys_u0|master_0|transacto|p2m|Add3~17\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(9) & ((\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|Add3~17\)) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|Add3~17\) # (GND)))))
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~19\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|counter\(9) & (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & !\adc_qsys_u0|master_0|transacto|p2m|Add3~17\)) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(9) & 
-- ((!\adc_qsys_u0|master_0|transacto|p2m|Add3~17\) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(9),
	datab => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add3~17\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~18_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add3~19\);

-- Location: LCCOMB_X50_Y34_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector28~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector28~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~18_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector28~2_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\adc_qsys_u0|master_0|transacto|p2m|Selector28~2_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector28~2_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add3~18_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector28~3_combout\);

-- Location: LCCOMB_X50_Y34_N0
\adc_qsys_u0|master_0|transacto|p2m|Selector28~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector28~3_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(1) & (\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|command\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector28~3_combout\,
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\);

-- Location: FF_X50_Y34_N1
\adc_qsys_u0|master_0|transacto|p2m|counter[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector28~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(9));

-- Location: LCCOMB_X50_Y33_N20
\adc_qsys_u0|master_0|transacto|p2m|Add3~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~20_combout\ = ((\adc_qsys_u0|master_0|transacto|p2m|counter\(10) $ (\adc_qsys_u0|master_0|p2b|in_ready~combout\ $ (!\adc_qsys_u0|master_0|transacto|p2m|Add3~19\)))) # (GND)
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~21\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|counter\(10) & ((\adc_qsys_u0|master_0|p2b|in_ready~combout\) # (!\adc_qsys_u0|master_0|transacto|p2m|Add3~19\))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|counter\(10) & (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & !\adc_qsys_u0|master_0|transacto|p2m|Add3~19\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(10),
	datab => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add3~19\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~20_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add3~21\);

-- Location: LCCOMB_X51_Y33_N20
\adc_qsys_u0|master_0|transacto|p2m|Add0~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~20_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(10) & (\adc_qsys_u0|master_0|transacto|p2m|Add0~19\ $ (GND))) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(10) & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Add0~19\ & VCC))
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~21\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|counter\(10) & !\adc_qsys_u0|master_0|transacto|p2m|Add0~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(10),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add0~19\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~20_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add0~21\);

-- Location: LCCOMB_X49_Y33_N28
\adc_qsys_u0|master_0|transacto|p2m|Selector27~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector27~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Add0~20_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- (\adc_qsys_u0|master_0|transacto|p2m|counter\(10) & ((!\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(10),
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add0~20_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector27~2_combout\);

-- Location: LCCOMB_X49_Y33_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector27~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector27~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~20_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector27~2_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Selector27~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Add3~20_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector27~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector27~3_combout\);

-- Location: LCCOMB_X49_Y33_N16
\adc_qsys_u0|master_0|transacto|p2m|Selector27~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector27~3_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(2) & (\adc_qsys_u0|master_0|transacto|p2m|command\(4) & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector27~3_combout\,
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(2),
	datac => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\);

-- Location: FF_X49_Y33_N17
\adc_qsys_u0|master_0|transacto|p2m|counter[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector27~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(10));

-- Location: LCCOMB_X50_Y33_N22
\adc_qsys_u0|master_0|transacto|p2m|Add3~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~22_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(11) & ((\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Add3~21\ & VCC)) # 
-- (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|Add3~21\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(11) & ((\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|Add3~21\)) # 
-- (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~21\) # (GND)))))
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~23\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|counter\(11) & (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & !\adc_qsys_u0|master_0|transacto|p2m|Add3~21\)) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(11) & 
-- ((!\adc_qsys_u0|master_0|transacto|p2m|Add3~21\) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(11),
	datab => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add3~21\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~22_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add3~23\);

-- Location: LCCOMB_X51_Y33_N22
\adc_qsys_u0|master_0|transacto|p2m|Add0~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~22_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(11) & (!\adc_qsys_u0|master_0|transacto|p2m|Add0~21\)) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(11) & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|Add0~21\) # (GND)))
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~23\ = CARRY((!\adc_qsys_u0|master_0|transacto|p2m|Add0~21\) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(11),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add0~21\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~22_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add0~23\);

-- Location: LCCOMB_X51_Y34_N24
\adc_qsys_u0|master_0|transacto|p2m|Selector26~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector26~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Add0~22_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(11)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Add0~22_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|counter\(11),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector26~2_combout\);

-- Location: LCCOMB_X50_Y34_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector26~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector26~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~22_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector26~2_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Selector26~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Add3~22_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector26~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector26~3_combout\);

-- Location: LCCOMB_X50_Y34_N18
\adc_qsys_u0|master_0|transacto|p2m|Selector26~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector26~3_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(3) & (\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|command\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector26~3_combout\,
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(3),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\);

-- Location: FF_X50_Y34_N19
\adc_qsys_u0|master_0|transacto|p2m|counter[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector26~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(11));

-- Location: LCCOMB_X50_Y34_N28
\adc_qsys_u0|master_0|transacto|p2m|Selector77~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector77~5_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(11))))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (\adc_qsys_u0|master_0|transacto|p2m|counter\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110001001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|counter\(3),
	datad => \adc_qsys_u0|master_0|transacto|p2m|counter\(11),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector77~5_combout\);

-- Location: LCCOMB_X49_Y36_N2
\adc_qsys_u0|master_0|transacto|p2m|Selector77~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector77~6_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector77~5_combout\) # ((!\adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|out_data\(3))))) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|out_data\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector77~5_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_data\(3),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector77~6_combout\);

-- Location: LCCOMB_X51_Y37_N26
\adc_qsys_u0|master_0|transacto|p2m|writedata[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[3]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(3),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[3]~feeder_combout\);

-- Location: LCCOMB_X51_Y37_N12
\adc_qsys_u0|master_0|transacto|p2m|writedata[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[0]~0_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & !\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[0]~0_combout\);

-- Location: FF_X51_Y37_N27
\adc_qsys_u0|master_0|transacto|p2m|writedata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[3]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(3));

-- Location: LCCOMB_X47_Y38_N6
\adc_qsys_u0|dac_ctrl|data_out[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[3]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|writedata\(3),
	combout => \adc_qsys_u0|dac_ctrl|data_out[3]~feeder_combout\);

-- Location: LCCOMB_X51_Y36_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector58~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector58~1_combout\ = (!\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & \adc_qsys_u0|master_0|transacto|p2m|address\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(13),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector58~1_combout\);

-- Location: LCCOMB_X51_Y36_N28
\adc_qsys_u0|master_0|transacto|p2m|Selector58~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector58~3_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|address\(13))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(13),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector58~3_combout\);

-- Location: LCCOMB_X51_Y36_N26
\adc_qsys_u0|master_0|transacto|p2m|Selector59~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector59~0_combout\ = (!\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|address\(12) & \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(12),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector59~0_combout\);

-- Location: LCCOMB_X51_Y36_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector59~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector59~2_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|address\(12))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(12),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector59~2_combout\);

-- Location: LCCOMB_X54_Y36_N26
\adc_qsys_u0|master_0|transacto|p2m|Selector60~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector60~0_combout\ = (!\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & \adc_qsys_u0|master_0|transacto|p2m|address\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(11),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector60~0_combout\);

-- Location: LCCOMB_X52_Y36_N14
\adc_qsys_u0|master_0|transacto|p2m|Add2~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~10_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(7) & (!\adc_qsys_u0|master_0|transacto|p2m|Add2~9\)) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(7) & ((\adc_qsys_u0|master_0|transacto|p2m|Add2~9\) 
-- # (GND)))
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~11\ = CARRY((!\adc_qsys_u0|master_0|transacto|p2m|Add2~9\) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(7),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add2~9\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add2~10_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add2~11\);

-- Location: LCCOMB_X52_Y36_N16
\adc_qsys_u0|master_0|transacto|p2m|Add2~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~12_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(8) & (\adc_qsys_u0|master_0|transacto|p2m|Add2~11\ $ (GND))) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(8) & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Add2~11\ & VCC))
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~13\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|address\(8) & !\adc_qsys_u0|master_0|transacto|p2m|Add2~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(8),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add2~11\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add2~12_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add2~13\);

-- Location: LCCOMB_X55_Y36_N8
\adc_qsys_u0|master_0|transacto|p2m|Selector63~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector63~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & \adc_qsys_u0|master_0|transacto|p2m|address\(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(8),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector63~0_combout\);

-- Location: LCCOMB_X55_Y36_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector63~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector63~2_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|address\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(8),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector63~2_combout\);

-- Location: LCCOMB_X55_Y36_N18
\adc_qsys_u0|master_0|transacto|p2m|Selector63~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector63~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add2~12_combout\))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|address\(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(8),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Add2~12_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector63~1_combout\);

-- Location: LCCOMB_X55_Y36_N6
\adc_qsys_u0|master_0|transacto|p2m|Selector63~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector63~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector63~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector63~1_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(0) & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|out_payload\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector63~2_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector63~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector63~3_combout\);

-- Location: LCCOMB_X55_Y36_N24
\adc_qsys_u0|master_0|transacto|p2m|Selector63~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector63~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector63~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector63~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~12_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add2~12_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector63~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector63~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector63~4_combout\);

-- Location: FF_X55_Y36_N25
\adc_qsys_u0|master_0|transacto|p2m|address[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector63~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|address\(8));

-- Location: LCCOMB_X52_Y36_N18
\adc_qsys_u0|master_0|transacto|p2m|Add2~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~14_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(9) & (!\adc_qsys_u0|master_0|transacto|p2m|Add2~13\)) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(9) & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|Add2~13\) # (GND)))
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~15\ = CARRY((!\adc_qsys_u0|master_0|transacto|p2m|Add2~13\) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(9),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add2~13\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add2~14_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add2~15\);

-- Location: LCCOMB_X52_Y36_N20
\adc_qsys_u0|master_0|transacto|p2m|Add2~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~16_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(10) & (\adc_qsys_u0|master_0|transacto|p2m|Add2~15\ $ (GND))) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(10) & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Add2~15\ & VCC))
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~17\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|address\(10) & !\adc_qsys_u0|master_0|transacto|p2m|Add2~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(10),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add2~15\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add2~16_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add2~17\);

-- Location: LCCOMB_X55_Y36_N26
\adc_qsys_u0|master_0|transacto|p2m|Selector61~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector61~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & \adc_qsys_u0|master_0|transacto|p2m|address\(10)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(10),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector61~0_combout\);

-- Location: LCCOMB_X55_Y36_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector61~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector61~2_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|address\(10))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(10),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector61~2_combout\);

-- Location: LCCOMB_X55_Y36_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector61~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector61~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Add2~16_combout\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|address\(10))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add2~16_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(10),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector61~1_combout\);

-- Location: LCCOMB_X55_Y36_N16
\adc_qsys_u0|master_0|transacto|p2m|Selector61~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector61~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector61~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector61~1_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & 
-- \adc_qsys_u0|master_0|fifo|out_payload\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector61~2_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector61~1_combout\,
	datad => \adc_qsys_u0|master_0|fifo|out_payload\(2),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector61~3_combout\);

-- Location: LCCOMB_X55_Y36_N2
\adc_qsys_u0|master_0|transacto|p2m|Selector61~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector61~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector61~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector61~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~16_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add2~16_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector61~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector61~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector61~4_combout\);

-- Location: FF_X55_Y36_N3
\adc_qsys_u0|master_0|transacto|p2m|address[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector61~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|address\(10));

-- Location: LCCOMB_X52_Y36_N22
\adc_qsys_u0|master_0|transacto|p2m|Add2~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~18_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(11) & (!\adc_qsys_u0|master_0|transacto|p2m|Add2~17\)) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(11) & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|Add2~17\) # (GND)))
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~19\ = CARRY((!\adc_qsys_u0|master_0|transacto|p2m|Add2~17\) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(11),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add2~17\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add2~18_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add2~19\);

-- Location: LCCOMB_X54_Y36_N28
\adc_qsys_u0|master_0|transacto|p2m|Selector60~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector60~2_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|address\(11))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(11),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector60~2_combout\);

-- Location: LCCOMB_X54_Y36_N2
\adc_qsys_u0|master_0|transacto|p2m|Selector60~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector60~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add2~18_combout\))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|address\(11)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(11),
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add2~18_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector60~1_combout\);

-- Location: LCCOMB_X54_Y36_N6
\adc_qsys_u0|master_0|transacto|p2m|Selector60~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector60~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector60~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector60~1_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(3) & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|out_payload\(3),
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector60~2_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector60~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector60~3_combout\);

-- Location: LCCOMB_X54_Y36_N14
\adc_qsys_u0|master_0|transacto|p2m|Selector60~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector60~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector60~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector60~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Add2~18_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector60~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add2~18_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector60~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector60~4_combout\);

-- Location: FF_X54_Y36_N15
\adc_qsys_u0|master_0|transacto|p2m|address[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector60~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|address\(11));

-- Location: LCCOMB_X52_Y36_N24
\adc_qsys_u0|master_0|transacto|p2m|Add2~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~20_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(12) & (\adc_qsys_u0|master_0|transacto|p2m|Add2~19\ $ (GND))) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(12) & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Add2~19\ & VCC))
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~21\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|address\(12) & !\adc_qsys_u0|master_0|transacto|p2m|Add2~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(12),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add2~19\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add2~20_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add2~21\);

-- Location: LCCOMB_X51_Y36_N16
\adc_qsys_u0|master_0|transacto|p2m|Selector59~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector59~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Add2~20_combout\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|address\(12))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add2~20_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(12),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector59~1_combout\);

-- Location: LCCOMB_X51_Y36_N2
\adc_qsys_u0|master_0|transacto|p2m|Selector59~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector59~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector59~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector59~1_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(4) & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector59~2_combout\,
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(4),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector59~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector59~3_combout\);

-- Location: LCCOMB_X51_Y36_N8
\adc_qsys_u0|master_0|transacto|p2m|Selector59~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector59~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector59~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector59~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~20_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector59~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector59~3_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Add2~20_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector59~4_combout\);

-- Location: FF_X51_Y36_N9
\adc_qsys_u0|master_0|transacto|p2m|address[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector59~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|address\(12));

-- Location: LCCOMB_X52_Y36_N26
\adc_qsys_u0|master_0|transacto|p2m|Add2~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~22_combout\ = \adc_qsys_u0|master_0|transacto|p2m|Add2~21\ $ (\adc_qsys_u0|master_0|transacto|p2m|address\(13))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(13),
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add2~21\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add2~22_combout\);

-- Location: LCCOMB_X51_Y36_N0
\adc_qsys_u0|master_0|transacto|p2m|Selector58~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector58~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Add2~22_combout\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|address\(13))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add2~22_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(13),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector58~2_combout\);

-- Location: LCCOMB_X51_Y36_N24
\adc_qsys_u0|master_0|transacto|p2m|Selector58~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector58~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector58~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector58~2_combout\) # ((\adc_qsys_u0|master_0|b2p|out_data[5]~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector58~3_combout\,
	datab => \adc_qsys_u0|master_0|b2p|out_data[5]~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector58~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector58~4_combout\);

-- Location: LCCOMB_X51_Y36_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector58~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector58~5_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector58~1_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector58~4_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~22_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector58~1_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector58~4_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Add2~22_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector58~5_combout\);

-- Location: FF_X51_Y36_N21
\adc_qsys_u0|master_0|transacto|p2m|address[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector58~5_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|address\(13));

-- Location: LCCOMB_X51_Y38_N6
\adc_qsys_u0|mm_interconnect_0|router|Equal1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|router|Equal1~2_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|address\(13) & !\adc_qsys_u0|master_0|transacto|p2m|address\(12))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(13),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(12),
	combout => \adc_qsys_u0|mm_interconnect_0|router|Equal1~2_combout\);

-- Location: LCCOMB_X52_Y36_N2
\adc_qsys_u0|mm_interconnect_0|router|Equal1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|router|Equal1~1_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|address\(11) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(8) & !\adc_qsys_u0|master_0|transacto|p2m|address\(10)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(11),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(8),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(10),
	combout => \adc_qsys_u0|mm_interconnect_0|router|Equal1~1_combout\);

-- Location: LCCOMB_X51_Y39_N26
\adc_qsys_u0|mm_interconnect_0|router|Equal1~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|router|Equal1~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(4) & (\adc_qsys_u0|mm_interconnect_0|router|Equal1~2_combout\ & (\adc_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\ & 
-- \adc_qsys_u0|mm_interconnect_0|router|Equal1~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(4),
	datab => \adc_qsys_u0|mm_interconnect_0|router|Equal1~2_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|router|Equal1~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|router|Equal1~3_combout\);

-- Location: LCCOMB_X54_Y34_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector81~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector81~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\adc_qsys_u0|master_0|b2p|out_endofpacket~q\) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \adc_qsys_u0|master_0|b2p|out_endofpacket~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector81~0_combout\);

-- Location: LCCOMB_X54_Y34_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector81~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector81~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (!\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|write~q\) # (\adc_qsys_u0|master_0|transacto|p2m|Selector81~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111011101110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector81~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector81~1_combout\);

-- Location: FF_X54_Y34_N23
\adc_qsys_u0|master_0|transacto|p2m|write\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector81~1_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|write~q\);

-- Location: LCCOMB_X51_Y33_N24
\adc_qsys_u0|master_0|transacto|p2m|Add0~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~24_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(12) & (\adc_qsys_u0|master_0|transacto|p2m|Add0~23\ $ (GND))) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(12) & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Add0~23\ & VCC))
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~25\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|counter\(12) & !\adc_qsys_u0|master_0|transacto|p2m|Add0~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(12),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add0~23\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~24_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add0~25\);

-- Location: LCCOMB_X51_Y34_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector25~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector25~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Add0~24_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- (\adc_qsys_u0|master_0|transacto|p2m|counter\(12) & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(12),
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Add0~24_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector25~2_combout\);

-- Location: LCCOMB_X50_Y33_N24
\adc_qsys_u0|master_0|transacto|p2m|Add3~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~24_combout\ = ((\adc_qsys_u0|master_0|p2b|in_ready~combout\ $ (\adc_qsys_u0|master_0|transacto|p2m|counter\(12) $ (!\adc_qsys_u0|master_0|transacto|p2m|Add3~23\)))) # (GND)
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~25\ = CARRY((\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(12)) # (!\adc_qsys_u0|master_0|transacto|p2m|Add3~23\))) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- (\adc_qsys_u0|master_0|transacto|p2m|counter\(12) & !\adc_qsys_u0|master_0|transacto|p2m|Add3~23\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(12),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add3~23\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~24_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add3~25\);

-- Location: LCCOMB_X50_Y34_N4
\adc_qsys_u0|master_0|transacto|p2m|Selector25~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector25~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~24_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector25~2_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\adc_qsys_u0|master_0|transacto|p2m|Selector25~2_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector25~2_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add3~24_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector25~3_combout\);

-- Location: LCCOMB_X50_Y34_N26
\adc_qsys_u0|master_0|transacto|p2m|Selector25~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector25~3_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(4) & (\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|command\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|out_payload\(4),
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector25~3_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\);

-- Location: FF_X50_Y34_N27
\adc_qsys_u0|master_0|transacto|p2m|counter[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector25~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(12));

-- Location: LCCOMB_X50_Y33_N26
\adc_qsys_u0|master_0|transacto|p2m|Add3~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~26_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(13) & ((\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Add3~25\ & VCC)) # 
-- (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|Add3~25\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(13) & ((\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|Add3~25\)) # 
-- (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~25\) # (GND)))))
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~27\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|counter\(13) & (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & !\adc_qsys_u0|master_0|transacto|p2m|Add3~25\)) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(13) & 
-- ((!\adc_qsys_u0|master_0|transacto|p2m|Add3~25\) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(13),
	datab => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add3~25\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~26_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add3~27\);

-- Location: LCCOMB_X51_Y33_N26
\adc_qsys_u0|master_0|transacto|p2m|Add0~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~26_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(13) & (!\adc_qsys_u0|master_0|transacto|p2m|Add0~25\)) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(13) & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|Add0~25\) # (GND)))
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~27\ = CARRY((!\adc_qsys_u0|master_0|transacto|p2m|Add0~25\) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(13),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add0~25\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~26_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add0~27\);

-- Location: LCCOMB_X51_Y34_N0
\adc_qsys_u0|master_0|transacto|p2m|Selector24~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector24~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Add0~26_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- (\adc_qsys_u0|master_0|transacto|p2m|counter\(13) & ((!\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(13),
	datac => \adc_qsys_u0|master_0|transacto|p2m|Add0~26_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector24~4_combout\);

-- Location: LCCOMB_X51_Y34_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector24~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector24~5_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~26_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector24~4_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Selector24~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Add3~26_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector24~4_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector24~5_combout\);

-- Location: LCCOMB_X51_Y34_N26
\adc_qsys_u0|master_0|transacto|p2m|Selector22~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector22~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|command\(4) & \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector22~2_combout\);

-- Location: LCCOMB_X51_Y34_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector24~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector24~5_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector22~2_combout\ & (\adc_qsys_u0|master_0|fifo|out_payload\(5) $ 
-- (\adc_qsys_u0|master_0|b2p|received_esc~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector24~5_combout\,
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(5),
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector22~2_combout\,
	datad => \adc_qsys_u0|master_0|b2p|received_esc~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\);

-- Location: FF_X51_Y34_N21
\adc_qsys_u0|master_0|transacto|p2m|counter[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector24~6_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(13));

-- Location: LCCOMB_X50_Y33_N28
\adc_qsys_u0|master_0|transacto|p2m|Add3~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~28_combout\ = ((\adc_qsys_u0|master_0|transacto|p2m|counter\(14) $ (\adc_qsys_u0|master_0|p2b|in_ready~combout\ $ (!\adc_qsys_u0|master_0|transacto|p2m|Add3~27\)))) # (GND)
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~29\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|counter\(14) & ((\adc_qsys_u0|master_0|p2b|in_ready~combout\) # (!\adc_qsys_u0|master_0|transacto|p2m|Add3~27\))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|counter\(14) & (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & !\adc_qsys_u0|master_0|transacto|p2m|Add3~27\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(14),
	datab => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add3~27\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~28_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add3~29\);

-- Location: LCCOMB_X51_Y33_N28
\adc_qsys_u0|master_0|transacto|p2m|Add0~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~28_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(14) & (\adc_qsys_u0|master_0|transacto|p2m|Add0~27\ $ (GND))) # (!\adc_qsys_u0|master_0|transacto|p2m|counter\(14) & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Add0~27\ & VCC))
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~29\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|counter\(14) & !\adc_qsys_u0|master_0|transacto|p2m|Add0~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(14),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add0~27\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~28_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add0~29\);

-- Location: LCCOMB_X51_Y34_N28
\adc_qsys_u0|master_0|transacto|p2m|Selector23~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\adc_qsys_u0|master_0|transacto|p2m|Add0~28_combout\)) # (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- (((\adc_qsys_u0|master_0|transacto|p2m|counter\(14) & !\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Add0~28_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|counter\(14),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\);

-- Location: LCCOMB_X51_Y34_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector23~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector23~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~28_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add3~28_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector23~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector23~3_combout\);

-- Location: LCCOMB_X51_Y34_N4
\adc_qsys_u0|master_0|transacto|p2m|Selector23~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector23~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector23~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & (\adc_qsys_u0|master_0|transacto|p2m|command\(4) & 
-- \adc_qsys_u0|master_0|fifo|out_payload\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector23~3_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datad => \adc_qsys_u0|master_0|fifo|out_payload\(6),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector23~4_combout\);

-- Location: FF_X51_Y34_N5
\adc_qsys_u0|master_0|transacto|p2m|counter[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector23~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(14));

-- Location: LCCOMB_X50_Y33_N30
\adc_qsys_u0|master_0|transacto|p2m|Add3~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add3~30_combout\ = \adc_qsys_u0|master_0|transacto|p2m|counter\(15) $ (\adc_qsys_u0|master_0|transacto|p2m|Add3~29\ $ (\adc_qsys_u0|master_0|p2b|in_ready~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(15),
	datad => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add3~29\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add3~30_combout\);

-- Location: LCCOMB_X51_Y33_N30
\adc_qsys_u0|master_0|transacto|p2m|Add0~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add0~30_combout\ = \adc_qsys_u0|master_0|transacto|p2m|counter\(15) $ (\adc_qsys_u0|master_0|transacto|p2m|Add0~29\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(15),
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add0~29\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add0~30_combout\);

-- Location: LCCOMB_X52_Y33_N24
\adc_qsys_u0|master_0|transacto|p2m|Selector22~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector22~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Add0~30_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\ & (\adc_qsys_u0|master_0|transacto|p2m|counter\(15))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|counter\(15),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Add0~30_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector22~3_combout\);

-- Location: LCCOMB_X52_Y33_N14
\adc_qsys_u0|master_0|transacto|p2m|Selector22~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector22~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add3~30_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector22~3_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Selector22~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add3~30_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector22~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector22~4_combout\);

-- Location: LCCOMB_X52_Y33_N26
\adc_qsys_u0|master_0|transacto|p2m|Selector22~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector22~4_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|command\(4) & (\adc_qsys_u0|master_0|fifo|out_payload\(7) & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(7),
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector22~4_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\);

-- Location: FF_X52_Y33_N27
\adc_qsys_u0|master_0|transacto|p2m|counter[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector22~5_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|counter\(15));

-- Location: LCCOMB_X50_Y34_N14
\adc_qsys_u0|master_0|transacto|p2m|Equal10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Equal10~0_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|counter\(13) & (!\adc_qsys_u0|master_0|transacto|p2m|counter\(15) & (!\adc_qsys_u0|master_0|transacto|p2m|counter\(12) & 
-- !\adc_qsys_u0|master_0|transacto|p2m|counter\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(13),
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(15),
	datac => \adc_qsys_u0|master_0|transacto|p2m|counter\(12),
	datad => \adc_qsys_u0|master_0|transacto|p2m|counter\(14),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Equal10~0_combout\);

-- Location: LCCOMB_X51_Y34_N16
\adc_qsys_u0|master_0|transacto|p2m|Equal10~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Equal10~2_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|counter\(6) & (!\adc_qsys_u0|master_0|transacto|p2m|counter\(5) & (!\adc_qsys_u0|master_0|transacto|p2m|counter\(4) & 
-- !\adc_qsys_u0|master_0|transacto|p2m|counter\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(6),
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(5),
	datac => \adc_qsys_u0|master_0|transacto|p2m|counter\(4),
	datad => \adc_qsys_u0|master_0|transacto|p2m|counter\(7),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Equal10~2_combout\);

-- Location: LCCOMB_X51_Y34_N8
\adc_qsys_u0|master_0|transacto|p2m|Equal10~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Equal10~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|counter\(0) & (!\adc_qsys_u0|master_0|transacto|p2m|counter\(3) & (!\adc_qsys_u0|master_0|transacto|p2m|counter\(1) & 
-- !\adc_qsys_u0|master_0|transacto|p2m|counter\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(3),
	datac => \adc_qsys_u0|master_0|transacto|p2m|counter\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|counter\(2),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Equal10~3_combout\);

-- Location: LCCOMB_X51_Y34_N10
\adc_qsys_u0|master_0|transacto|p2m|Equal10~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Equal10~1_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|counter\(9) & (!\adc_qsys_u0|master_0|transacto|p2m|counter\(11) & (!\adc_qsys_u0|master_0|transacto|p2m|counter\(10) & 
-- !\adc_qsys_u0|master_0|transacto|p2m|counter\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(9),
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(11),
	datac => \adc_qsys_u0|master_0|transacto|p2m|counter\(10),
	datad => \adc_qsys_u0|master_0|transacto|p2m|counter\(8),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Equal10~1_combout\);

-- Location: LCCOMB_X51_Y34_N18
\adc_qsys_u0|master_0|transacto|p2m|Equal10~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Equal10~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Equal10~2_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Equal10~3_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Equal10~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Equal10~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Equal10~2_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Equal10~3_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Equal10~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\);

-- Location: LCCOMB_X52_Y35_N20
\adc_qsys_u0|master_0|transacto|p2m|state~62\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~62_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\ & 
-- \adc_qsys_u0|master_0|p2b|in_ready~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~62_combout\);

-- Location: LCCOMB_X52_Y35_N14
\adc_qsys_u0|master_0|transacto|p2m|state~63\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~63_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|state~62_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Equal4~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state~50_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Equal4~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state~50_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state~62_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~63_combout\);

-- Location: FF_X52_Y35_N15
\adc_qsys_u0|master_0|transacto|p2m|state.READ_ASSERT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state~63_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.READ_ASSERT~q\);

-- Location: LCCOMB_X54_Y35_N4
\adc_qsys_u0|master_0|transacto|p2m|state~59\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~59_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_ASSERT~q\ & ((!\adc_qsys_u0|master_0|b2p|out_startofpacket~q\) # (!\adc_qsys_u0|master_0|transacto|p2m|enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_ASSERT~q\,
	datad => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~59_combout\);

-- Location: LCCOMB_X47_Y39_N28
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[0]~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~2_combout\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(0) & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1)) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~2_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[0]~2_combout\);

-- Location: FF_X47_Y39_N29
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[0]~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X51_Y38_N12
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|read~q\ & \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~0_combout\);

-- Location: LCCOMB_X54_Y39_N24
\adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~0_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|address\(4) & !\adc_qsys_u0|master_0|transacto|p2m|address\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(4),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~0_combout\);

-- Location: LCCOMB_X51_Y38_N18
\adc_qsys_u0|mm_interconnect_0|router|Equal2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|router|Equal2~0_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|address\(13) & \adc_qsys_u0|master_0|transacto|p2m|address\(12))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(13),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(12),
	combout => \adc_qsys_u0|mm_interconnect_0|router|Equal2~0_combout\);

-- Location: LCCOMB_X51_Y39_N2
\adc_qsys_u0|mm_interconnect_0|router|Equal2~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\ & (\adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~0_combout\ & (\adc_qsys_u0|mm_interconnect_0|router|Equal2~0_combout\ & 
-- \adc_qsys_u0|mm_interconnect_0|router|Equal1~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|router|Equal2~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|router|Equal1~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\);

-- Location: LCCOMB_X51_Y38_N14
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\ & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|write~q\ & \adc_qsys_u0|master_0|transacto|p2m|read~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\);

-- Location: FF_X51_Y39_N17
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(4));

-- Location: LCCOMB_X51_Y39_N16
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~0_combout\ & (\adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\ & 
-- ((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(4)) # (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(4),
	datad => \adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1_combout\);

-- Location: LCCOMB_X47_Y39_N18
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[1]~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1_combout\ & 
-- (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\ & (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0) & 
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(0),
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X47_Y39_N22
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[1]~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[1]~0_combout\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1) & ((!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(0)) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[1]~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: FF_X47_Y39_N23
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used[1]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X47_Y39_N0
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~2_combout\ = (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1) & 
-- (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\ & \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~2_combout\);

-- Location: FF_X47_Y39_N1
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X52_Y36_N28
\adc_qsys_u0|mm_interconnect_0|router|Equal4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|router|Equal4~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(13) & !\adc_qsys_u0|master_0|transacto|p2m|address\(12))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(13),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(12),
	combout => \adc_qsys_u0|mm_interconnect_0|router|Equal4~0_combout\);

-- Location: LCCOMB_X51_Y39_N22
\adc_qsys_u0|mm_interconnect_0|router|Equal4~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|router|Equal1~1_combout\ & (\adc_qsys_u0|mm_interconnect_0|router|Equal4~0_combout\ & (\adc_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\ & 
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|router|Equal1~1_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|router|Equal4~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\);

-- Location: FF_X51_Y39_N1
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(5));

-- Location: LCCOMB_X51_Y39_N0
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\ & (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~0_combout\ & 
-- ((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(5)) # (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(5),
	datad => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0_combout\);

-- Location: LCCOMB_X47_Y39_N6
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[0]~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~1_combout\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(0) & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1)) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101010111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~1_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[0]~2_combout\);

-- Location: FF_X47_Y39_N7
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[0]~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X47_Y39_N20
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[1]~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(0) & 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0) & (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\ & 
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X47_Y39_N24
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[1]~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[1]~0_combout\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1) & ((!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0)) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[1]~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: FF_X47_Y39_N25
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used[1]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X47_Y39_N30
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0_combout\ & 
-- (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\ & !\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~1_combout\);

-- Location: FF_X47_Y39_N31
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X51_Y39_N28
\adc_qsys_u0|mm_interconnect_0|router|src_data~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|router|src_data~2_combout\ = (!\adc_qsys_u0|mm_interconnect_0|router|Equal1~3_combout\ & (!\adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\ & !\adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|router|Equal1~3_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|router|src_data~2_combout\);

-- Location: LCCOMB_X51_Y39_N4
\adc_qsys_u0|mm_interconnect_0|cmd_demux|src2_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|cmd_demux|src2_valid~0_combout\ = (!\adc_qsys_u0|mm_interconnect_0|router|Equal5~0_combout\ & (\adc_qsys_u0|mm_interconnect_0|router|src_data~2_combout\ & !\adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|mm_interconnect_0|router|Equal5~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|router|src_data~2_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|cmd_demux|src2_valid~0_combout\);

-- Location: FF_X51_Y39_N5
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|cmd_demux|src2_valid~0_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(2));

-- Location: LCCOMB_X51_Y38_N16
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|read~q\) # (\adc_qsys_u0|master_0|transacto|p2m|write~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\);

-- Location: LCCOMB_X51_Y38_N2
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\ & ((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(2)) # 
-- ((\adc_qsys_u0|master_0|transacto|p2m|write~q\) # (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(2),
	datab => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~0_combout\);

-- Location: LCCOMB_X51_Y41_N10
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\ & (\adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2_combout\ & 
-- ((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(2)) # (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(2),
	datad => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~2_combout\);

-- Location: LCCOMB_X51_Y41_N24
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[1]~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(2)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(0) & \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(2),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: LCCOMB_X51_Y41_N18
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[0]~2_combout\ = \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|read~0_combout\ $ 
-- (((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\ & (\adc_qsys_u0|master_0|transacto|p2m|read~q\ & \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|read~0_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~2_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[0]~2_combout\);

-- Location: FF_X51_Y41_N25
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[1]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X51_Y41_N26
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[0]~3_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(1)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~2_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|read~q\ & \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~2_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[0]~3_combout\);

-- Location: FF_X51_Y41_N27
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[0]~3_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X51_Y41_N12
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|read~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|read~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(0) & 
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|read~0_combout\);

-- Location: LCCOMB_X51_Y41_N28
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[2]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[2]~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|read~0_combout\ & 
-- (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~1_combout\ & (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(2)))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|read~0_combout\ & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~1_combout\ & 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(1)))) # (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~1_combout\ & 
-- (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010010010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|read~0_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~1_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(2),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[2]~0_combout\);

-- Location: FF_X51_Y41_N29
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used[2]~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(2));

-- Location: LCCOMB_X51_Y39_N14
\adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~1_combout\ = (!\adc_qsys_u0|mm_interconnect_0|router|Equal1~3_combout\ & (!\adc_qsys_u0|mm_interconnect_0|router|Equal5~0_combout\ & 
-- !\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|router|Equal1~3_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|router|Equal5~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(2),
	combout => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~1_combout\);

-- Location: LCCOMB_X51_Y39_N8
\adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2_combout\ = (!\adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\ & (!\adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\ & (\adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~1_combout\ & 
-- !\adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~1_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2_combout\);

-- Location: LCCOMB_X51_Y41_N2
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~0_combout\ & 
-- (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\ & (\adc_qsys_u0|master_0|transacto|p2m|read~q\ & \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~0_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~1_combout\);

-- Location: LCCOMB_X51_Y41_N0
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg[0]~feeder_combout\ = \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~1_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg[0]~feeder_combout\);

-- Location: FF_X51_Y41_N1
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg[0]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X51_Y41_N22
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg[1]~feeder_combout\ = \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(0),
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg[1]~feeder_combout\);

-- Location: FF_X51_Y41_N23
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg[1]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1));

-- Location: FF_X51_Y39_N15
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|mm_interconnect_0|router|Equal5~0_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(3));

-- Location: LCCOMB_X52_Y39_N0
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~4_combout\ & (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\ & 
-- ((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(3)) # (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(3),
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~4_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\);

-- Location: LCCOMB_X52_Y39_N18
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\ & (\adc_qsys_u0|master_0|transacto|p2m|read~q\ & 
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~1_combout\);

-- Location: LCCOMB_X51_Y40_N6
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg[0]~feeder_combout\ = \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~1_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg[0]~feeder_combout\);

-- Location: FF_X51_Y40_N7
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg[0]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X51_Y40_N12
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg[1]~feeder_combout\ = \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(0),
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg[1]~feeder_combout\);

-- Location: FF_X51_Y40_N13
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg[1]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1));

-- Location: FF_X50_Y39_N11
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~1_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0));

-- Location: LCCOMB_X49_Y40_N18
\adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)) # ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1)) # 
-- (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	datab => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\);

-- Location: LCCOMB_X49_Y40_N6
\adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0)) # (\adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\);

-- Location: LCCOMB_X54_Y35_N20
\adc_qsys_u0|master_0|transacto|p2m|state~60\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~60_combout\ = (!\adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\ & ((!\adc_qsys_u0|master_0|b2p|out_startofpacket~q\) # (!\adc_qsys_u0|master_0|transacto|p2m|enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\,
	datad => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~60_combout\);

-- Location: LCCOMB_X54_Y35_N2
\adc_qsys_u0|master_0|transacto|p2m|state~61\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~61_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state~59_combout\) # ((!\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\ 
-- & \adc_qsys_u0|master_0|transacto|p2m|state~60_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state~59_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state~60_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~61_combout\);

-- Location: FF_X54_Y35_N3
\adc_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state~61_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\);

-- Location: LCCOMB_X54_Y35_N18
\adc_qsys_u0|master_0|transacto|p2m|Selector83~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector83~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|read~q\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.READ_ASSERT~q\) # (\adc_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_ASSERT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector83~0_combout\);

-- Location: LCCOMB_X54_Y35_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector83~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector83~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector83~0_combout\ & (((!\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & 
-- !\adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\)) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector83~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector83~1_combout\);

-- Location: FF_X54_Y35_N11
\adc_qsys_u0|master_0|transacto|p2m|read\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector83~1_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|read~q\);

-- Location: LCCOMB_X50_Y39_N16
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(4) & (\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & 
-- !\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(4),
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~1_combout\);

-- Location: LCCOMB_X51_Y39_N18
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~1_combout\ & (\adc_qsys_u0|mm_interconnect_0|router|Equal1~2_combout\ & 
-- (\adc_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\ & \adc_qsys_u0|mm_interconnect_0|router|Equal1~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~1_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|router|Equal1~2_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|router|Equal1~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~2_combout\);

-- Location: FF_X51_Y39_N27
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|router|Equal1~3_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(1));

-- Location: LCCOMB_X50_Y39_N30
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|write~q\) # ((\adc_qsys_u0|master_0|transacto|p2m|read~q\ & 
-- ((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(1)) # (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	combout => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~0_combout\);

-- Location: LCCOMB_X50_Y39_N18
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1) & 
-- (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~0_combout\ & \adc_qsys_u0|mm_interconnect_0|router|Equal1~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1),
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|router|Equal1~3_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\);

-- Location: LCCOMB_X50_Y39_N8
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~3_combout\ = (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0) & 
-- (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\ & ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1)) # (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1),
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~3_combout\);

-- Location: FF_X50_Y39_N9
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~3_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X50_Y39_N20
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\ & 
-- ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0) & (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\ & !\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0) & ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~2_combout\);

-- Location: FF_X50_Y39_N21
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter~2_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1));

-- Location: LCCOMB_X50_Y39_N26
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~0_combout\ = ((\adc_qsys_u0|master_0|transacto|p2m|write~q\) # (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(1))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~0_combout\);

-- Location: LCCOMB_X50_Y39_N12
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0_combout\ = (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1) & 
-- (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~0_combout\ & (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0) $ (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1),
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|cmd_src_valid[1]~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0_combout\);

-- Location: LCCOMB_X50_Y39_N10
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|read~q\ & (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~2_combout\ & 
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~2_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~1_combout\);

-- Location: LCCOMB_X50_Y39_N22
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[0]~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~1_combout\) # ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0) & 
-- ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1)) # (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101010111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~1_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[0]~2_combout\);

-- Location: FF_X50_Y39_N23
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[0]~2_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X50_Y39_N6
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0_combout\ & (\adc_qsys_u0|mm_interconnect_0|router|Equal1~3_combout\ & 
-- (\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & \adc_qsys_u0|master_0|transacto|p2m|read~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg~0_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|router|Equal1~3_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	combout => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X50_Y39_N0
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0) & (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1)) # (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~0_combout\)))) # (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0) & 
-- (((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111001001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: FF_X50_Y39_N1
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used[1]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X50_Y39_N4
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\adc_qsys_u0|mm_interconnect_0|router|Equal1~3_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|write~q\ & 
-- !\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|router|Equal1~3_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\);

-- Location: LCCOMB_X49_Y38_N20
\adc_qsys_u0|dac_ctrl|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|Equal0~0_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & !\adc_qsys_u0|master_0|transacto|p2m|address\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \adc_qsys_u0|dac_ctrl|Equal0~0_combout\);

-- Location: LCCOMB_X49_Y39_N0
\adc_qsys_u0|dac_ctrl|always0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|always0~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\ & (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0) & 
-- (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1) & \adc_qsys_u0|dac_ctrl|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~0_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1),
	datad => \adc_qsys_u0|dac_ctrl|Equal0~0_combout\,
	combout => \adc_qsys_u0|dac_ctrl|always0~0_combout\);

-- Location: FF_X47_Y38_N7
\adc_qsys_u0|dac_ctrl|data_out[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[3]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(3));

-- Location: LCCOMB_X49_Y38_N6
\adc_qsys_u0|dac_ctrl|readdata[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(3) = (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & \adc_qsys_u0|dac_ctrl|data_out\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \adc_qsys_u0|dac_ctrl|data_out\(3),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(3));

-- Location: FF_X49_Y38_N7
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(3),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(3));

-- Location: LCCOMB_X49_Y38_N8
\adc_qsys_u0|product_info_0|av_data_read[12]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|product_info_0|av_data_read[12]~1_combout\ = !\adc_qsys_u0|master_0|transacto|p2m|address\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \adc_qsys_u0|product_info_0|av_data_read[12]~1_combout\);

-- Location: LCCOMB_X49_Y39_N4
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~3_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~2_combout\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0) & ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1)) # 
-- (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~2_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~3_combout\);

-- Location: FF_X49_Y39_N5
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[0]~3_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X49_Y39_N12
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\ = (\adc_qsys_u0|master_0|transacto|p2m|write~q\ & (\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & 
-- (\adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\ & !\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\);

-- Location: LCCOMB_X49_Y39_N24
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\ & 
-- ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0) & (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1) & 
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\)) # (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0) & 
-- (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100100001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~1_combout\);

-- Location: FF_X49_Y39_N25
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~1_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1));

-- Location: LCCOMB_X49_Y39_N22
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\ & 
-- (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0) & ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1)) # 
-- (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1),
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0_combout\);

-- Location: FF_X49_Y39_N23
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter~0_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0));

-- Location: LCCOMB_X49_Y39_N26
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\ = (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1) & 
-- (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0) $ (((\adc_qsys_u0|master_0|transacto|p2m|write~q\ & \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\);

-- Location: LCCOMB_X49_Y39_N16
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0_combout\ = (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0) & ((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0)) # 
-- (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0_combout\);

-- Location: LCCOMB_X49_Y39_N18
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\ & 
-- (\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\ & \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: LCCOMB_X49_Y39_N28
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1_combout\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1) & ((!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0)) # 
-- (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~2_combout\);

-- Location: FF_X49_Y39_N29
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used[1]~2_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1));

-- Location: LCCOMB_X49_Y39_N2
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\ & 
-- !\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~0_combout\);

-- Location: LCCOMB_X49_Y39_N6
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~0_combout\ & 
-- (((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0)) # (\adc_qsys_u0|master_0|transacto|p2m|write~q\)) # (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\);

-- Location: FF_X49_Y38_N9
\adc_qsys_u0|product_info_0|av_data_read[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|product_info_0|av_data_read[12]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|product_info_0|av_data_read\(12));

-- Location: FF_X49_Y38_N3
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|product_info_0|av_data_read\(12),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(12));

-- Location: LCCOMB_X49_Y38_N2
\adc_qsys_u0|master_0|transacto|p2m|Selector77~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector77~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(3) & ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(12))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(3) & (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(12))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(3),
	datab => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(12),
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector77~0_combout\);

-- Location: LCCOMB_X47_Y40_N22
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[2]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|writedata\(3),
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[2]~feeder_combout\);

-- Location: LCCOMB_X51_Y37_N20
\adc_qsys_u0|master_0|transacto|p2m|writedata[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[1]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[1]~feeder_combout\);

-- Location: FF_X51_Y37_N21
\adc_qsys_u0|master_0|transacto|p2m|writedata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[1]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(1));

-- Location: LCCOMB_X47_Y40_N26
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[0]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(1),
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[0]~feeder_combout\);

-- Location: FF_X47_Y40_N27
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[0]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(0));

-- Location: LCCOMB_X51_Y37_N22
\adc_qsys_u0|master_0|transacto|p2m|writedata[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[2]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(2),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[2]~feeder_combout\);

-- Location: FF_X51_Y37_N23
\adc_qsys_u0|master_0|transacto|p2m|writedata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[2]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(2));

-- Location: LCCOMB_X47_Y40_N12
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[1]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(2),
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[1]~feeder_combout\);

-- Location: FF_X47_Y40_N13
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[1]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(1));

-- Location: LCCOMB_X47_Y40_N2
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(0) & (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(2) & 
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(0),
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(2),
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(1),
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\);

-- Location: LCCOMB_X47_Y40_N28
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~2_combout\ = (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(2) & !\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(2),
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(1),
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~2_combout\);

-- Location: LCCOMB_X46_Y40_N0
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~q\ & (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\ & 
-- ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\) # (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~q\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~2_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\);

-- Location: LCCOMB_X45_Y40_N26
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state_nxt~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state_nxt~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\) # ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\ & 
-- ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\) # (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~1_combout\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state_nxt~0_combout\);

-- Location: FF_X45_Y40_N27
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state_nxt~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\);

-- Location: LCCOMB_X45_Y44_N22
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\) # ((!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~1_combout\ & 
-- (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~1_combout\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~0_combout\);

-- Location: LCCOMB_X45_Y44_N14
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~0_combout\ & ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\) # 
-- ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~0_combout\ & \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~0_combout\);

-- Location: LCCOMB_X45_Y44_N16
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\) # (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\);

-- Location: FF_X45_Y44_N15
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(1));

-- Location: LCCOMB_X45_Y40_N28
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\ = (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~1_combout\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\ & 
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~1_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\);

-- Location: LCCOMB_X46_Y40_N12
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~6_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(2) & (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\ & 
-- !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(2),
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~6_combout\);

-- Location: LCCOMB_X46_Y40_N8
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\ & (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Equal0~0_combout\ & 
-- !\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Equal0~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~1_combout\);

-- Location: LCCOMB_X46_Y40_N22
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\ & ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(0) & 
-- ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\))) # (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(0) & (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(0),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\);

-- Location: FF_X46_Y40_N23
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(0));

-- Location: LCCOMB_X46_Y40_N16
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Add0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Add0~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(0) & \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(0),
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(1),
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Add0~0_combout\);

-- Location: LCCOMB_X46_Y40_N20
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~7_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~6_combout\) # ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\ & 
-- (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(2) $ (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Add0~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~6_combout\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(2),
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Add0~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~7_combout\);

-- Location: FF_X46_Y40_N21
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~7_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(2));

-- Location: FF_X46_Y40_N25
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(3));

-- Location: LCCOMB_X46_Y40_N18
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~3_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~1_combout\ & (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(3) $ 
-- (((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(2) & \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Add0~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(2),
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Add0~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~1_combout\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(3),
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~3_combout\);

-- Location: LCCOMB_X46_Y40_N24
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\ & ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~3_combout\) # 
-- ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(3) & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~3_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(3),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4_combout\);

-- Location: LCCOMB_X46_Y40_N6
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~2_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4_combout\ & (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~7_combout\ & 
-- (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\ & !\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4_combout\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~7_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~5_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~2_combout\);

-- Location: LCCOMB_X46_Y40_N30
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~3_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\ & ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\) # 
-- ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\)))) # (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\ & (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~2_combout\ & 
-- ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\) # (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~2_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~3_combout\);

-- Location: FF_X46_Y40_N31
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~3_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~q\);

-- Location: LCCOMB_X46_Y40_N28
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~3_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\ & (((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\) # 
-- (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\)))) # (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\ & (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~7_combout\ & 
-- ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\) # (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~7_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~3_combout\);

-- Location: FF_X46_Y40_N29
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~3_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(2));

-- Location: LCCOMB_X46_Y40_N10
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~2_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\ & ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\) # 
-- ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\)))) # (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\ & (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\ & 
-- ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\) # (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~2_combout\);

-- Location: FF_X46_Y40_N11
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(0));

-- Location: LCCOMB_X46_Y40_N2
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~1_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\ & ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\) # 
-- (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~1_combout\);

-- Location: FF_X46_Y40_N3
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(4));

-- Location: LCCOMB_X47_Y44_N6
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(0) & \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(0),
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(4),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~0_combout\);

-- Location: LCCOMB_X47_Y44_N20
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(1) & (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~q\ & 
-- (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(2) & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(1),
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~q\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(2),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\);

-- Location: FF_X45_Y44_N23
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|valid_req~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_valid~q\);

-- Location: FF_X45_Y44_N31
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY2~q\);

-- Location: LCCOMB_X45_Y44_N26
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY2~q\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~feeder_combout\);

-- Location: FF_X45_Y44_N27
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\);

-- Location: IOIBUF_X0_Y23_N22
\clk_10_adc~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_10_adc,
	o => \clk_10_adc~input_o\);

-- Location: PLL_1
\adc_pll_u0|altpll_component|auto_generated|pll1\ : fiftyfivenm_pll
-- pragma translate_off
GENERIC MAP (
	auto_settings => "false",
	bandwidth_type => "medium",
	c0_high => 20,
	c0_initial => 1,
	c0_low => 20,
	c0_mode => "even",
	c0_ph => 0,
	c1_high => 0,
	c1_initial => 0,
	c1_low => 0,
	c1_mode => "bypass",
	c1_ph => 0,
	c1_use_casc_in => "off",
	c2_high => 0,
	c2_initial => 0,
	c2_low => 0,
	c2_mode => "bypass",
	c2_ph => 0,
	c2_use_casc_in => "off",
	c3_high => 0,
	c3_initial => 0,
	c3_low => 0,
	c3_mode => "bypass",
	c3_ph => 0,
	c3_use_casc_in => "off",
	c4_high => 0,
	c4_initial => 0,
	c4_low => 0,
	c4_mode => "bypass",
	c4_ph => 0,
	c4_use_casc_in => "off",
	charge_pump_current_bits => 1,
	clk0_counter => "c0",
	clk0_divide_by => 1,
	clk0_duty_cycle => 50,
	clk0_multiply_by => 1,
	clk0_phase_shift => "0",
	clk1_counter => "unused",
	clk1_divide_by => 0,
	clk1_duty_cycle => 50,
	clk1_multiply_by => 0,
	clk1_phase_shift => "0",
	clk2_counter => "unused",
	clk2_divide_by => 0,
	clk2_duty_cycle => 50,
	clk2_multiply_by => 0,
	clk2_phase_shift => "0",
	clk3_counter => "unused",
	clk3_divide_by => 0,
	clk3_duty_cycle => 50,
	clk3_multiply_by => 0,
	clk3_phase_shift => "0",
	clk4_counter => "unused",
	clk4_divide_by => 0,
	clk4_duty_cycle => 50,
	clk4_multiply_by => 0,
	clk4_phase_shift => "0",
	compensate_clock => "clock0",
	inclk0_input_frequency => 100000,
	inclk1_input_frequency => 0,
	loop_filter_c_bits => 0,
	loop_filter_r_bits => 20,
	m => 40,
	m_initial => 1,
	m_ph => 0,
	n => 1,
	operation_mode => "normal",
	pfd_max => 200000,
	pfd_min => 3076,
	self_reset_on_loss_lock => "off",
	simulation_type => "functional",
	switch_over_type => "auto",
	vco_center => 1538,
	vco_divide_by => 0,
	vco_frequency_control => "auto",
	vco_max => 3333,
	vco_min => 1538,
	vco_multiply_by => 0,
	vco_phase_shift_step => 312,
	vco_post_scale => 2)
-- pragma translate_on
PORT MAP (
	areset => \ALT_INV_fpga_resetn~input_o\,
	fbin => \adc_pll_u0|altpll_component|auto_generated|wire_pll1_fbout\,
	inclk => \adc_pll_u0|altpll_component|auto_generated|pll1_INCLK_bus\,
	locked => \adc_pll_u0|altpll_component|auto_generated|wire_pll1_locked\,
	fbout => \adc_pll_u0|altpll_component|auto_generated|wire_pll1_fbout\,
	clk => \adc_pll_u0|altpll_component|auto_generated|pll1_CLK_bus\);

-- Location: LCCOMB_X50_Y41_N12
\adc_pll_u0|altpll_component|auto_generated|pll_lock_sync~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_pll_u0|altpll_component|auto_generated|pll_lock_sync~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \adc_pll_u0|altpll_component|auto_generated|pll_lock_sync~feeder_combout\);

-- Location: FF_X50_Y41_N13
\adc_pll_u0|altpll_component|auto_generated|pll_lock_sync\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \adc_pll_u0|altpll_component|auto_generated|wire_pll1_locked\,
	d => \adc_pll_u0|altpll_component|auto_generated|pll_lock_sync~feeder_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_pll_u0|altpll_component|auto_generated|pll_lock_sync~q\);

-- Location: LCCOMB_X52_Y41_N4
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector0~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.IDLE~q\) # ((\adc_pll_u0|altpll_component|auto_generated|wire_pll1_locked\ & 
-- \adc_pll_u0|altpll_component|auto_generated|pll_lock_sync~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_pll_u0|altpll_component|auto_generated|wire_pll1_locked\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.IDLE~q\,
	datad => \adc_pll_u0|altpll_component|auto_generated|pll_lock_sync~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector0~0_combout\);

-- Location: FF_X52_Y41_N5
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.IDLE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector0~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.IDLE~q\);

-- Location: LCCOMB_X52_Y41_N8
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~0_combout\ = (\adc_pll_u0|altpll_component|auto_generated|wire_pll1_locked\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.IDLE~q\ & 
-- \adc_pll_u0|altpll_component|auto_generated|pll_lock_sync~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_pll_u0|altpll_component|auto_generated|wire_pll1_locked\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.IDLE~q\,
	datad => \adc_pll_u0|altpll_component|auto_generated|pll_lock_sync~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~0_combout\);

-- Location: LCCOMB_X49_Y44_N16
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(2) & (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~q\ & 
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(1))) # (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(2) & (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~q\ & 
-- !\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(2),
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~q\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(1),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~0_combout\);

-- Location: LCCOMB_X49_Y44_N4
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal2~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~0_combout\ & (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(2) & 
-- (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~q\ & !\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(2),
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~q\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(1),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal2~0_combout\);

-- Location: LCCOMB_X52_Y44_N26
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\ & 
-- ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal2~0_combout\)))) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\ & (((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal2~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~0_combout\);

-- Location: FF_X52_Y44_N27
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\);

-- Location: LCCOMB_X49_Y44_N24
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~0_combout\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~0_combout\ & 
-- ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(2)) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~0_combout\ & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\)))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~0_combout\ & (((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100001111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(2),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~1_combout\);

-- Location: LCCOMB_X50_Y41_N22
\adc_pll_u0|altpll_component|auto_generated|locked\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_pll_u0|altpll_component|auto_generated|locked~combout\ = (\adc_pll_u0|altpll_component|auto_generated|wire_pll1_locked\ & \adc_pll_u0|altpll_component|auto_generated|pll_lock_sync~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_pll_u0|altpll_component|auto_generated|wire_pll1_locked\,
	datad => \adc_pll_u0|altpll_component|auto_generated|pll_lock_sync~q\,
	combout => \adc_pll_u0|altpll_component|auto_generated|locked~combout\);

-- Location: LCCOMB_X49_Y44_N0
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector18~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector18~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector2~0_combout\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~1_combout\) # 
-- ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.IDLE~q\ & !\adc_pll_u0|altpll_component|auto_generated|locked~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.IDLE~q\,
	datab => \adc_pll_u0|altpll_component|auto_generated|locked~combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector2~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector18~0_combout\);

-- Location: LCCOMB_X45_Y44_N20
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~q\ & ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_valid~q\) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_valid~q\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~0_combout\);

-- Location: LCCOMB_X50_Y44_N30
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always12~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always12~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(3) & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(4) & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(2) & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(3),
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(4),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(2),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(1),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always12~1_combout\);

-- Location: LCCOMB_X50_Y44_N0
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[0]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[0]~8_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|incr_int_timer~0_combout\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(0) $ (VCC))) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|incr_int_timer~0_combout\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(0) & VCC))
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[0]~9\ = CARRY((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|incr_int_timer~0_combout\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|incr_int_timer~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(0),
	datad => VCC,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[0]~8_combout\,
	cout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[0]~9\);

-- Location: LCCOMB_X50_Y44_N28
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_int_timer~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_int_timer~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~0_combout\) # ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\ 
-- & (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_int_timer~0_combout\);

-- Location: FF_X50_Y44_N1
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[0]~8_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(0));

-- Location: LCCOMB_X50_Y44_N18
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always12~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always12~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(0) & 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(7) & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(0),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(7),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(6),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always12~0_combout\);

-- Location: LCCOMB_X49_Y44_N12
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~0_combout\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(5) & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always12~1_combout\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always12~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(5),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always12~1_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always12~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~1_combout\);

-- Location: FF_X49_Y44_N13
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~q\);

-- Location: LCCOMB_X46_Y44_N16
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\ & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\);

-- Location: LCCOMB_X46_Y44_N24
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.AVRG_CNT~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.AVRG_CNT~0_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~q\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\ & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal2~0_combout\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal2~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.AVRG_CNT~0_combout\);

-- Location: FF_X46_Y44_N25
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.AVRG_CNT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.AVRG_CNT~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\);

-- Location: LCCOMB_X45_Y44_N0
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\ & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~1_combout\);

-- Location: LCCOMB_X45_Y44_N28
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~2_combout\ = (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_valid~q\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~1_combout\) # 
-- ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT~q\) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector7~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_valid~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector7~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~2_combout\);

-- Location: FF_X45_Y44_N29
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT~q\);

-- Location: LCCOMB_X45_Y44_N6
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.GETCMD_W~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.GETCMD_W~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_valid~q\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_valid~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT~q\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.GETCMD_W~0_combout\);

-- Location: FF_X45_Y44_N7
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD_W\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.GETCMD_W~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\);

-- Location: LCCOMB_X46_Y44_N10
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector8~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector8~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~1_combout\ & (((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PRE_CONV~q\ & 
-- !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\)))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~1_combout\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\) 
-- # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PRE_CONV~q\ & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~1_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PRE_CONV~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector8~0_combout\);

-- Location: FF_X46_Y44_N11
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PRE_CONV\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector8~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PRE_CONV~q\);

-- Location: LCCOMB_X46_Y44_N8
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0) & 
-- ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0) & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PRE_CONV~q\)))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\ & (((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PRE_CONV~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~0_combout\);

-- Location: LCCOMB_X46_Y44_N28
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\ & 
-- !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~0_combout\);

-- Location: LCCOMB_X46_Y44_N2
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~0_combout\) # ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\ & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~q\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~1_combout\);

-- Location: LCCOMB_X46_Y44_N6
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~1_combout\) # 
-- ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD~q\ & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\);

-- Location: FF_X46_Y44_N7
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\);

-- Location: LCCOMB_X46_Y44_N12
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~4_combout\ = ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0)) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\)) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011111110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~4_combout\);

-- Location: LCCOMB_X45_Y44_N30
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~0_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\ & (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\ & 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY2~q\ & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.GETCMD_W~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY2~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.GETCMD_W~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~0_combout\);

-- Location: LCCOMB_X45_Y44_N18
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~0_combout\ & (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\ & 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\ & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~2_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~1_combout\);

-- Location: LCCOMB_X44_Y44_N10
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~2_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector10~0_combout\ & (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector8~0_combout\ & 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector7~1_combout\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector10~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector8~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector7~1_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~2_combout\);

-- Location: LCCOMB_X44_Y44_N16
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr15~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr15~0_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~2_combout\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~4_combout\ & 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~2_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~4_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~2_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr15~0_combout\);

-- Location: LCCOMB_X44_Y44_N22
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector18~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector18~1_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector18~0_combout\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|usr_pwd~q\) # 
-- ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~1_combout\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr15~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector18~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|usr_pwd~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr15~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector18~1_combout\);

-- Location: FF_X44_Y44_N23
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|usr_pwd\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector18~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|usr_pwd~q\);

-- Location: LCCOMB_X44_Y44_N24
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|usr_pwd~_wirecell\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|usr_pwd~_wirecell_combout\ = !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|usr_pwd~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|usr_pwd~q\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|usr_pwd~_wirecell_combout\);

-- Location: LCCOMB_X49_Y44_N30
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector2~0_combout\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector2~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~q\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~0_combout\);

-- Location: LCCOMB_X47_Y44_N18
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~0_combout\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal2~0_combout\) # 
-- ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|tsen~q\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|tsen~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal2~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~1_combout\);

-- Location: LCCOMB_X44_Y44_N4
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr18~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr18~0_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector3~1_combout\ & (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~1_combout\ & 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~1_combout\ & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector4~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector3~1_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~1_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector4~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr18~0_combout\);

-- Location: LCCOMB_X44_Y44_N0
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~2_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~1_combout\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|tsen~q\ & 
-- ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr15~0_combout\) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr18~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~1_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr18~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|tsen~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr15~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~2_combout\);

-- Location: FF_X44_Y44_N1
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|tsen\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|tsen~q\);

-- Location: LCCOMB_X47_Y44_N12
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~q\) # ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~4_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~4_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~0_combout\);

-- Location: LCCOMB_X44_Y44_N28
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr18~0_combout\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~2_combout\ & 
-- ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|tsen~q\) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~2_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|tsen~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr18~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~2_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~1_combout\);

-- Location: LCCOMB_X47_Y44_N4
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~2_combout\ = ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~1_combout\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3) & 
-- !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~1_combout\))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110111111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~2_combout\);

-- Location: FF_X47_Y44_N5
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3));

-- Location: LCCOMB_X46_Y44_N20
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector15~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector15~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(1)) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~4_combout\ & 
-- !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(1),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~4_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector15~0_combout\);

-- Location: LCCOMB_X45_Y44_N8
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector15~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector15~1_combout\ = ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~1_combout\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1) & 
-- !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~1_combout\))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector15~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110111111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector15~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector15~1_combout\);

-- Location: FF_X45_Y44_N9
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector15~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1));

-- Location: LCCOMB_X47_Y44_N28
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector14~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector14~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(2)) # ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~4_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(2),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~4_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector14~0_combout\);

-- Location: LCCOMB_X47_Y44_N2
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector14~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector14~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~1_combout\) # (((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2) & 
-- !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~1_combout\)) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector14~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101111111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~1_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector14~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector14~1_combout\);

-- Location: FF_X47_Y44_N3
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector14~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2));

-- Location: LCCOMB_X46_Y44_N18
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~5_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0)) # 
-- ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~5_combout\);

-- Location: LCCOMB_X45_Y44_N4
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector12~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector12~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(4) & (((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4) & 
-- !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~1_combout\)))) # (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(4) & (((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4) & 
-- !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~1_combout\)) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000111110001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(4),
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~5_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector13~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector12~0_combout\);

-- Location: FF_X45_Y44_N5
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector12~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4));

-- Location: LCCOMB_X47_Y44_N24
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~1_combout\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|tsen~q\ & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0) & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|tsen~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector19~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~2_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~0_combout\);

-- Location: LCCOMB_X47_Y44_N10
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~0_combout\) # ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(0) & 
-- ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr13~4_combout\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_channel\(0),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector9~2_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~1_combout\);

-- Location: LCCOMB_X44_Y44_N26
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~2_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~1_combout\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0) & 
-- ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr18~0_combout\) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr12~2_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr18~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~2_combout\);

-- Location: FF_X44_Y44_N27
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector16~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0));

-- Location: LCCOMB_X49_Y44_N22
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|chsel_to_hw~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|chsel_to_hw~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1) & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0) & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2) $ (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1),
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|chsel_to_hw~0_combout\);

-- Location: LCCOMB_X47_Y44_N14
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|chsel_to_hw~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|chsel_to_hw~1_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|chsel_to_hw~0_combout\) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|chsel_to_hw~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|chsel_to_hw~1_combout\);

-- Location: LCCOMB_X47_Y44_N26
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~2_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1) & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0) & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0) & (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3) & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2))))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1) & (((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3) & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101001010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1),
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~2_combout\);

-- Location: LCCOMB_X49_Y44_N14
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3) & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~0_combout\);

-- Location: LCCOMB_X49_Y44_N18
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1) & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2) & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~0_combout\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1),
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~1_combout\);

-- Location: LCCOMB_X47_Y44_N16
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~3_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~1_combout\ & ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4)) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001100010011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~2_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~3_combout\);

-- Location: LCCOMB_X47_Y44_N22
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr2~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2) & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1) & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1) & ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3)))))) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2) & (((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3)) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1),
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr2~0_combout\);

-- Location: LCCOMB_X47_Y44_N0
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr2~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr2~1_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~1_combout\ & ((\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr2~0_combout\) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001100100011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr2~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr2~1_combout\);

-- Location: LCCOMB_X47_Y44_N30
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr1~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1) & (((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0) & 
-- !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2)))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1) & 
-- ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0) $ (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001110111101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1),
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr1~0_combout\);

-- Location: LCCOMB_X47_Y44_N8
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr1~1_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~1_combout\ & ((\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr1~0_combout\) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001100100011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr1~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr1~1_combout\);

-- Location: LCCOMB_X49_Y44_N28
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr0~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1) & (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3) & 
-- ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0)) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2))))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1) & 
-- (((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2) & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111001100010011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(1),
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(3),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(2),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr0~0_combout\);

-- Location: LCCOMB_X49_Y44_N8
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr0~1_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~1_combout\ & ((\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr0~0_combout\) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|chsel\(4),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr3~1_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr0~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|decoder|WideOr0~1_combout\);

-- Location: ADCBLOCK_X43_Y51_N0
\adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance\ : fiftyfivenm_adcblock
-- pragma translate_off
GENERIC MAP (
	analog_input_pin_mask => 255,
	clkdiv => 2,
	device_partname_fivechar_prefix => "10m50",
	is_this_first_or_second_adc => 2,
	prescalar => 0,
	pwd => 0,
	refsel => 0,
	reserve_block => "false",
	testbits => 66,
	tsclkdiv => 1,
	tsclksel => 1)
-- pragma translate_on
PORT MAP (
	soc => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|soc~q\,
	usr_pwd => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|usr_pwd~_wirecell_combout\,
	tsen => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|tsen~q\,
	clkin_from_pll_c0 => \adc_pll_u0|altpll_component|auto_generated|wire_pll1_clk\(0),
	chsel => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_CHSEL_bus\,
	eoc => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|eoc\,
	dout => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\);

-- Location: FF_X46_Y44_N5
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|eoc\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|din_s1~q\);

-- Location: FF_X46_Y44_N13
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|din_s1~q\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0));

-- Location: FF_X46_Y44_N27
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\);

-- Location: LCCOMB_X46_Y44_N26
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT_PEND~q\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0)) 
-- # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT_PEND~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~0_combout\);

-- Location: LCCOMB_X45_Y44_N12
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~0_combout\) # ((!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_valid~q\ & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_valid~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~1_combout\);

-- Location: LCCOMB_X45_Y44_N2
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~2_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~1_combout\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD~q\ & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~1_combout\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~2_combout\);

-- Location: FF_X45_Y44_N3
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT_PEND\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector11~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT_PEND~q\);

-- Location: LCCOMB_X46_Y44_N14
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT_PEND~q\ & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\ & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT_PEND~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\);

-- Location: FF_X46_Y44_N17
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\);

-- Location: LCCOMB_X46_Y44_N22
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\ & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~q\) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal2~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal2~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0_combout\);

-- Location: FF_X46_Y44_N23
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV_DLY1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV_DLY1~q\);

-- Location: FF_X46_Y44_N29
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|conv_dly1_s_flp\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV_DLY1~q\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|conv_dly1_s_flp~q\);

-- Location: LCCOMB_X45_Y47_N16
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|conv_dly1_s_flp~q\) # ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|conv_dly1_s_flp~q\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~0_combout\);

-- Location: FF_X45_Y47_N17
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\);

-- Location: LCCOMB_X49_Y44_N2
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~1_combout\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\) # 
-- ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|always3~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~0_combout\);

-- Location: LCCOMB_X49_Y44_N20
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~0_combout\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~0_combout\) # 
-- ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(6) & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111111101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(6),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~1_combout\);

-- Location: LCCOMB_X49_Y44_N10
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~1_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN~feeder_combout\);

-- Location: FF_X49_Y44_N11
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\);

-- Location: LCCOMB_X49_Y44_N26
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector2~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\ & (((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(6) & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\)) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(7)))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\ & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(6) & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(6),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(7),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector2~0_combout\);

-- Location: FF_X49_Y44_N7
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector2~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\);

-- Location: LCCOMB_X50_Y44_N26
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|incr_int_timer~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|incr_int_timer~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\) 
-- # (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|incr_int_timer~0_combout\);

-- Location: LCCOMB_X50_Y44_N2
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[1]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[1]~10_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(1) & (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[0]~9\)) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(1) & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[0]~9\) # (GND)))
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[1]~11\ = CARRY((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[0]~9\) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(1),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[0]~9\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[1]~10_combout\,
	cout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[1]~11\);

-- Location: FF_X50_Y44_N3
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[1]~10_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(1));

-- Location: LCCOMB_X50_Y44_N4
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[2]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[2]~12_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(2) & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[1]~11\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(2) & (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[1]~11\ & VCC))
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[2]~13\ = CARRY((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(2) & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[1]~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(2),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[1]~11\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[2]~12_combout\,
	cout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[2]~13\);

-- Location: FF_X50_Y44_N5
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[2]~12_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(2));

-- Location: LCCOMB_X50_Y44_N6
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[3]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[3]~14_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(3) & (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[2]~13\)) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(3) & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[2]~13\) # (GND)))
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[3]~15\ = CARRY((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[2]~13\) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(3),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[2]~13\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[3]~14_combout\,
	cout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[3]~15\);

-- Location: FF_X50_Y44_N7
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[3]~14_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(3));

-- Location: LCCOMB_X50_Y44_N8
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[4]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[4]~16_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(4) & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[3]~15\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(4) & (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[3]~15\ & VCC))
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[4]~17\ = CARRY((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(4) & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[3]~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(4),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[3]~15\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[4]~16_combout\,
	cout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[4]~17\);

-- Location: FF_X50_Y44_N9
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[4]~16_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(4));

-- Location: LCCOMB_X50_Y44_N10
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[5]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[5]~18_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(5) & (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[4]~17\)) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(5) & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[4]~17\) # (GND)))
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[5]~19\ = CARRY((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[4]~17\) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(5),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[4]~17\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[5]~18_combout\,
	cout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[5]~19\);

-- Location: FF_X50_Y44_N11
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[5]~18_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(5));

-- Location: LCCOMB_X50_Y44_N12
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[6]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[6]~20_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(6) & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[5]~19\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(6) & (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[5]~19\ & VCC))
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[6]~21\ = CARRY((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(6) & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[5]~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(6),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[5]~19\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[6]~20_combout\,
	cout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[6]~21\);

-- Location: FF_X50_Y44_N13
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[6]~20_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(6));

-- Location: LCCOMB_X50_Y44_N14
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[7]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[7]~22_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(7) $ (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[6]~21\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(7),
	cin => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[6]~21\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[7]~22_combout\);

-- Location: FF_X50_Y44_N15
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer[7]~22_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(7));

-- Location: LCCOMB_X49_Y44_N6
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector3~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(7) & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(7),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector3~0_combout\);

-- Location: LCCOMB_X44_Y44_N12
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector3~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector3~0_combout\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_DONE~q\ & 
-- ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|clk_dft_synch_dly~q\) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|clk_dft_synch_dly~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector3~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_DONE~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector3~1_combout\);

-- Location: FF_X44_Y44_N13
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_DONE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector3~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_DONE~q\);

-- Location: FF_X44_Y44_N19
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_CH\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector4~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_CH~q\);

-- Location: LCCOMB_X44_Y44_N18
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector4~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|clk_dft_synch_dly~q\ & (((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_CH~q\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0))))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|clk_dft_synch_dly~q\ & 
-- ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_CH~q\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_DONE~q\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|clk_dft_synch_dly~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRDWN_DONE~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_CH~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector4~0_combout\);

-- Location: LCCOMB_X44_Y44_N8
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector17~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector17~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~1_combout\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|soc~q\ & 
-- ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector4~0_combout\) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr15~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector4~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|soc~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|WideOr15~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector17~0_combout\);

-- Location: FF_X44_Y44_N9
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|soc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector17~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|soc~q\);

-- Location: LCCOMB_X44_Y44_N20
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|clkout_adccore\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|clkout_adccore\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X44_Y44_N21
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~q\);

-- Location: LCCOMB_X44_Y44_N2
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg[0]~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~q\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X44_Y44_N3
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg[0]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0));

-- Location: LCCOMB_X44_Y44_N6
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|clk_dft_synch_dly~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|clk_dft_synch_dly~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|clk_dft_synch_dly~feeder_combout\);

-- Location: FF_X44_Y44_N7
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|clk_dft_synch_dly\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|clk_dft_synch_dly~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|clk_dft_synch_dly~q\);

-- Location: LCCOMB_X46_Y44_N30
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0)) 
-- # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|eoc_synch_dly~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~0_combout\);

-- Location: LCCOMB_X44_Y44_N14
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~0_combout\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|clk_dft_synch_dly~q\ & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_CH~q\ & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|clk_dft_synch_dly~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_CH~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~1_combout\);

-- Location: FF_X44_Y44_N15
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector5~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\);

-- Location: FF_X45_Y44_N25
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\);

-- Location: LCCOMB_X45_Y44_N24
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector7~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector7~0_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\ & (((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~q\) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\)) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector7~0_combout\);

-- Location: LCCOMB_X45_Y44_N10
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector7~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector7~1_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_valid~q\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector7~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_valid~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector7~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector7~1_combout\);

-- Location: FF_X45_Y44_N11
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector7~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD~q\);

-- Location: LCCOMB_X46_Y44_N4
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~1_combout\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD~q\) # 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector1~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~0_combout\);

-- Location: LCCOMB_X46_Y44_N0
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~0_combout\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~q\ & 
-- ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~1_combout\);

-- Location: FF_X46_Y44_N1
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~q\);

-- Location: LCCOMB_X44_Y44_N30
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector10~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV_DLY1~q\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\ & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~q\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_fetched~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.CONV_DLY1~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector6~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector10~0_combout\);

-- Location: FF_X44_Y44_N31
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Selector10~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\);

-- Location: FF_X45_Y40_N31
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\);

-- Location: LCCOMB_X45_Y40_N30
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\ & (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~1_combout\ & 
-- (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(1) $ (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(0))))) # (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\ & 
-- (((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~1_combout\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(1),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(0),
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~0_combout\);

-- Location: LCCOMB_X45_Y40_N24
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~5_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~0_combout\ & \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~5_combout\);

-- Location: FF_X45_Y40_N25
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~5_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(1));

-- Location: LCCOMB_X46_Y40_N26
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Equal0~0_combout\ = (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(1) & (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(3) & 
-- (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(2) & !\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(1),
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(3),
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(2),
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|slot_sel\(0),
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Equal0~0_combout\);

-- Location: LCCOMB_X51_Y37_N8
\adc_qsys_u0|master_0|transacto|p2m|writedata[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[0]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[0]~feeder_combout\);

-- Location: FF_X51_Y37_N9
\adc_qsys_u0|master_0|transacto|p2m|writedata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[0]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(0));

-- Location: LCCOMB_X47_Y40_N16
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~2_combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|writedata\(0) & 
-- (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(0) & \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~2_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|writedata\(0),
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(0),
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~q\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~0_combout\);

-- Location: LCCOMB_X47_Y40_N0
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|write~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\);

-- Location: LCCOMB_X47_Y40_N10
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|cmd_wr_en~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\ & (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1) & 
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\);

-- Location: LCCOMB_X47_Y40_N20
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~1_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|clr_run~0_combout\ & ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~q\) # 
-- ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~0_combout\ & \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|clr_run~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~q\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~1_combout\);

-- Location: FF_X47_Y40_N21
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~q\);

-- Location: LCCOMB_X47_Y40_N4
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~q\) # ((!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(2) & 
-- (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(0) & !\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(2),
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|sw_clr_run~q\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(0),
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(1),
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~0_combout\);

-- Location: LCCOMB_X46_Y40_N4
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~1_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\) # ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Equal0~0_combout\ & 
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|Equal2~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|Equal0~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~1_combout\);

-- Location: LCCOMB_X46_Y40_N14
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|clr_run~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|clr_run~0_combout\ = ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\) # (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\)) # 
-- (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|always1~1_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_ready~q\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|clr_run~0_combout\);

-- Location: LCCOMB_X47_Y40_N24
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~0_combout\ = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|clr_run~0_combout\ & ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~q\) # 
-- ((\adc_qsys_u0|master_0|transacto|p2m|writedata\(0) & \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|clr_run~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|writedata\(0),
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~q\,
	datad => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~0_combout\);

-- Location: FF_X47_Y40_N25
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~q\);

-- Location: LCCOMB_X47_Y40_N18
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|always0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|always0~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\ & (!\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~q\ & 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1) & \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\,
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|always0~0_combout\);

-- Location: FF_X47_Y40_N23
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode[2]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(2));

-- Location: LCCOMB_X47_Y40_N14
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt\(3) = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(2) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1) & \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(2),
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt\(3));

-- Location: FF_X47_Y40_N15
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt\(3),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(3));

-- Location: LCCOMB_X47_Y41_N12
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\ & (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1) & 
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~1_combout\);

-- Location: FF_X46_Y49_N5
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY2~q\);

-- Location: LCCOMB_X46_Y49_N16
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~feeder_combout\ = \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY2~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~feeder_combout\);

-- Location: FF_X46_Y49_N17
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\);

-- Location: LCCOMB_X47_Y41_N22
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode[1]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(2),
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode[1]~feeder_combout\);

-- Location: FF_X47_Y41_N23
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode[1]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(1));

-- Location: LCCOMB_X47_Y41_N26
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode[0]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(1),
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode[0]~feeder_combout\);

-- Location: FF_X47_Y41_N27
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode[0]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(0));

-- Location: LCCOMB_X47_Y41_N10
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(1) & (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(2) & 
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(1),
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(2),
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(0),
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\);

-- Location: LCCOMB_X47_Y41_N4
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~2_combout\ = (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(2) & !\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(2),
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(1),
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~2_combout\);

-- Location: LCCOMB_X47_Y41_N28
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~q\ & (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\ & 
-- ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\) # (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~q\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~2_combout\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\);

-- Location: LCCOMB_X47_Y41_N20
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~0_combout\ = (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(0) & (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~2_combout\ & 
-- (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~q\ & !\adc_qsys_u0|master_0|transacto|p2m|writedata\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(0),
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~2_combout\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(0),
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~0_combout\);

-- Location: LCCOMB_X47_Y41_N24
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~1_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|clr_run~0_combout\ & ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~q\) # 
-- ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~1_combout\ & \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~1_combout\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|clr_run~0_combout\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~q\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~1_combout\);

-- Location: FF_X47_Y41_N25
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~q\);

-- Location: LCCOMB_X46_Y47_N6
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\ & ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(0) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\)) # (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(0) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\ & 
-- !\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(0),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\);

-- Location: LCCOMB_X46_Y47_N24
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel[0]~feeder_combout\ = \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel[0]~feeder_combout\);

-- Location: FF_X46_Y47_N25
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel[0]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(0));

-- Location: LCCOMB_X46_Y49_N26
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~0_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\ & (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(1) $ 
-- (((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(0) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(1),
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(0),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~0_combout\);

-- Location: LCCOMB_X46_Y49_N22
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~1_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~0_combout\ & (((!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\ & 
-- !\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Equal0~0_combout\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Equal0~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~1_combout\);

-- Location: FF_X46_Y49_N23
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(1));

-- Location: LCCOMB_X46_Y47_N8
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Add0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Add0~1_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(1) & \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(1),
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(0),
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Add0~1_combout\);

-- Location: LCCOMB_X46_Y47_N2
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~5_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\ & (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\ & 
-- (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(2) $ (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Add0~1_combout\)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\ & 
-- (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001101000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(2),
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Add0~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~5_combout\);

-- Location: LCCOMB_X46_Y47_N14
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~6_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\ & \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~5_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~5_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~6_combout\);

-- Location: FF_X46_Y47_N15
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~6_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(2));

-- Location: LCCOMB_X46_Y49_N10
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Add0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Add0~0_combout\ = \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(3) $ (((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(0) & 
-- (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(1) & \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(3),
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(0),
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(1),
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(2),
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Add0~0_combout\);

-- Location: LCCOMB_X46_Y49_N6
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt~3_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Add0~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\ & 
-- (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\ & !\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Add0~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Equal0~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt~3_combout\);

-- Location: LCCOMB_X46_Y49_N12
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\ & ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt~3_combout\) # 
-- ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\ & \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(3),
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt~3_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4_combout\);

-- Location: FF_X46_Y49_N13
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(3));

-- Location: LCCOMB_X46_Y49_N2
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Equal0~0_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(3) & (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(0) & 
-- (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(1) & !\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(3),
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(0),
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(1),
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel\(2),
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Equal0~0_combout\);

-- Location: LCCOMB_X47_Y41_N14
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~0_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(0) & (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(2) & 
-- !\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(0),
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(2),
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(1),
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~0_combout\);

-- Location: LCCOMB_X47_Y41_N18
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\) # ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Equal0~0_combout\ & 
-- ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~q\) # (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|sw_clr_run~q\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|Equal0~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\);

-- Location: LCCOMB_X46_Y47_N18
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state_nxt~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state_nxt~0_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\) # ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\ & 
-- ((!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state_nxt~0_combout\);

-- Location: FF_X46_Y47_N19
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state_nxt~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\);

-- Location: LCCOMB_X46_Y47_N20
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\ & 
-- (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\ & !\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\);

-- Location: LCCOMB_X46_Y47_N10
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\) # (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\);

-- Location: FF_X46_Y47_N21
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_valid~q\);

-- Location: LCCOMB_X46_Y48_N22
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\ & ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_valid~q\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_valid~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~0_combout\);

-- Location: LCCOMB_X47_Y48_N20
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[3]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[3]~14_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(3) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[2]~13\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(3) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[2]~13\) # (GND)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[3]~15\ = CARRY((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[2]~13\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(3),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[2]~13\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[3]~14_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[3]~15\);

-- Location: LCCOMB_X47_Y48_N22
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[4]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[4]~16_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(4) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[3]~15\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(4) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[3]~15\ & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[4]~17\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(4) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[3]~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(4),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[3]~15\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[4]~16_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[4]~17\);

-- Location: LCCOMB_X46_Y47_N4
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~1_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\ & ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\) # 
-- (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~1_combout\);

-- Location: FF_X46_Y47_N5
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(0));

-- Location: LCCOMB_X46_Y47_N12
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~2_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\ & (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4_combout\ & 
-- (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~6_combout\ & \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4_combout\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~6_combout\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~2_combout\);

-- Location: LCCOMB_X46_Y47_N16
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~3_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~2_combout\ & (((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\ & 
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\)) # (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~1_combout\))) # (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~2_combout\ & 
-- (((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\ & \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~2_combout\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~1_combout\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~3_combout\);

-- Location: FF_X46_Y47_N17
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~3_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~q\);

-- Location: LCCOMB_X46_Y47_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~0_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(0) & \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(0),
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~0_combout\);

-- Location: LCCOMB_X46_Y47_N0
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~0_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\ & ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~1_combout\) # 
-- (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[1]~1_combout\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~0_combout\);

-- Location: FF_X46_Y47_N1
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(1));

-- Location: LCCOMB_X46_Y47_N22
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~3_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\ & ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\) # 
-- ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\ & \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~5_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[2]~5_combout\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~3_combout\);

-- Location: FF_X46_Y47_N23
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~3_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(2));

-- Location: LCCOMB_X46_Y47_N26
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~2_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\ & ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\) # 
-- ((!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\ & \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[0]~2_combout\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|slot_sel_nxt[3]~4_combout\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|Equal2~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|valid_req~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~2_combout\);

-- Location: FF_X46_Y47_N27
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(3));

-- Location: LCCOMB_X49_Y48_N18
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~0_combout\ & (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(1) & 
-- (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(2) & !\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(1),
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(2),
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(3),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\);

-- Location: FF_X44_Y49_N11
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\);

-- Location: LCCOMB_X45_Y48_N26
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0)) 
-- # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~0_combout\);

-- Location: FF_X44_Y49_N13
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_CH\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector4~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_CH~q\);

-- Location: LCCOMB_X44_Y49_N10
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~0_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_CH~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|clk_dft_synch_dly~q\ & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_CH~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|clk_dft_synch_dly~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~1_combout\);

-- Location: LCCOMB_X46_Y48_N8
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector18~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector18~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector2~0_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~3_combout\) # 
-- ((!\adc_pll_u0|altpll_component|auto_generated|locked~combout\ & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.IDLE~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector2~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~3_combout\,
	datac => \adc_pll_u0|altpll_component|auto_generated|locked~combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.IDLE~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector18~0_combout\);

-- Location: LCCOMB_X46_Y49_N24
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|conv_dly1_s_flp~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|conv_dly1_s_flp~feeder_combout\ = \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV_DLY1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV_DLY1~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|conv_dly1_s_flp~feeder_combout\);

-- Location: FF_X46_Y49_N25
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|conv_dly1_s_flp\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|conv_dly1_s_flp~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|conv_dly1_s_flp~q\);

-- Location: FF_X46_Y49_N19
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND~q\);

-- Location: LCCOMB_X45_Y48_N2
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND~q\ & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\);

-- Location: FF_X45_Y48_N15
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\);

-- Location: LCCOMB_X46_Y49_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|conv_dly1_s_flp~q\) # ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\ & 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101010111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|conv_dly1_s_flp~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~0_combout\);

-- Location: FF_X46_Y49_N31
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\);

-- Location: LCCOMB_X49_Y48_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~0_combout\ & (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(1) & 
-- (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(2) & \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(1),
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(2),
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(3),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\);

-- Location: LCCOMB_X46_Y48_N6
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\ & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\ & (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~0_combout\);

-- Location: FF_X46_Y48_N7
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\);

-- Location: LCCOMB_X46_Y48_N28
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always3~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\) # (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ $ 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always3~0_combout\);

-- Location: FF_X45_Y48_N25
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\);

-- Location: LCCOMB_X46_Y48_N10
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~1_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~1_combout\);

-- Location: LCCOMB_X45_Y48_N18
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~2_combout\ = (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_valid~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~1_combout\) # 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT~q\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector7~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~1_combout\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_valid~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector7~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~2_combout\);

-- Location: FF_X45_Y48_N19
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT~q\);

-- Location: LCCOMB_X45_Y49_N28
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.GETCMD_W~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.GETCMD_W~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT~q\ & \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_valid~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT~q\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_valid~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.GETCMD_W~0_combout\);

-- Location: FF_X45_Y49_N29
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD_W\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.GETCMD_W~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\);

-- Location: LCCOMB_X46_Y48_N16
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~3_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\) # 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~3_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~0_combout\);

-- Location: LCCOMB_X46_Y48_N18
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~0_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~q\ & 
-- ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~0_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~1_combout\);

-- Location: FF_X46_Y48_N19
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~q\);

-- Location: LCCOMB_X45_Y48_N24
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector7~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector7~0_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\ & (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~q\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector7~0_combout\);

-- Location: LCCOMB_X45_Y48_N16
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector7~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector7~1_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_valid~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector7~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_valid~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector7~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector7~1_combout\);

-- Location: FF_X45_Y48_N3
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector7~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD~q\);

-- Location: LCCOMB_X46_Y49_N0
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0)) 
-- # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~0_combout\);

-- Location: LCCOMB_X46_Y49_N20
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~0_combout\) # ((!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_valid~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_valid~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY3~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~1_combout\);

-- Location: LCCOMB_X46_Y49_N18
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~2_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~1_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always3~0_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always3~0_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~2_combout\);

-- Location: LCCOMB_X45_Y48_N4
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~4_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~4_combout\);

-- Location: FF_X46_Y48_N31
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PRE_CONV\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector8~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PRE_CONV~q\);

-- Location: LCCOMB_X46_Y48_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector8~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector8~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\ & (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PRE_CONV~q\ & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always3~0_combout\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\ 
-- & (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PRE_CONV~q\ & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always3~0_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PRE_CONV~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector8~0_combout\);

-- Location: LCCOMB_X46_Y49_N4
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~0_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.GETCMD_W~0_combout\ & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY2~q\ & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.GETCMD_W~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_DLY2~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~0_combout\);

-- Location: LCCOMB_X45_Y48_N6
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~1_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\ 
-- & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~0_combout\ & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~1_combout\);

-- Location: LCCOMB_X45_Y48_N0
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~2_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector8~0_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector7~1_combout\ & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector10~0_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector8~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector7~1_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector10~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~2_combout\);

-- Location: LCCOMB_X44_Y49_N24
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr15~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr15~0_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~2_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~4_combout\ & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~2_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~4_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr15~0_combout\);

-- Location: LCCOMB_X44_Y49_N2
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector18~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector18~1_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector18~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|usr_pwd~q\) # 
-- ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~1_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr15~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~1_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector18~0_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|usr_pwd~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr15~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector18~1_combout\);

-- Location: FF_X44_Y49_N3
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|usr_pwd\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector18~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|usr_pwd~q\);

-- Location: LCCOMB_X44_Y49_N8
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|usr_pwd~_wirecell\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|usr_pwd~_wirecell_combout\ = !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|usr_pwd~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|usr_pwd~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|usr_pwd~_wirecell_combout\);

-- Location: LCCOMB_X47_Y48_N26
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[6]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[6]~20_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(6) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[5]~19\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(6) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[5]~19\ & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[6]~21\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(6) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[5]~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(6),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[5]~19\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[6]~20_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[6]~21\);

-- Location: LCCOMB_X47_Y48_N28
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[7]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[7]~22_combout\ = \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(7) $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[6]~21\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(7),
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[6]~21\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[7]~22_combout\);

-- Location: FF_X47_Y48_N29
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[7]~22_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(7));

-- Location: LCCOMB_X46_Y48_N12
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector3~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(7),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector3~0_combout\);

-- Location: FF_X44_Y49_N5
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_DONE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector3~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_DONE~q\);

-- Location: LCCOMB_X44_Y49_N4
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector3~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector3~0_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_DONE~q\ & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|clk_dft_synch_dly~q\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|clk_dft_synch_dly~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector3~0_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_DONE~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector3~1_combout\);

-- Location: LCCOMB_X44_Y49_N6
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr18~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr18~0_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector4~0_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~3_combout\ & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector3~1_combout\ & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector4~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~3_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector3~1_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr18~0_combout\);

-- Location: LCCOMB_X46_Y48_N14
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector2~0_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector2~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~0_combout\);

-- Location: LCCOMB_X46_Y48_N0
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\) # 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|tsen~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|tsen~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~1_combout\);

-- Location: LCCOMB_X44_Y49_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector19~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector19~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~1_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|tsen~q\ & 
-- ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr15~0_combout\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr18~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr18~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~1_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|tsen~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr15~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector19~0_combout\);

-- Location: FF_X44_Y49_N31
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|tsen\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector19~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|tsen~q\);

-- Location: LCCOMB_X45_Y49_N20
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~5_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0)) # 
-- ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~5_combout\);

-- Location: LCCOMB_X45_Y49_N2
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr18~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~2_combout\ & 
-- ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~2_combout\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|tsen~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|tsen~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~2_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr18~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~0_combout\);

-- Location: LCCOMB_X45_Y49_N22
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~1_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~q\ & (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~0_combout\)))) # (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~q\ & (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~0_combout\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000111110001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~5_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~1_combout\);

-- Location: FF_X45_Y49_N23
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4));

-- Location: LCCOMB_X45_Y49_N10
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector15~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector15~0_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(1)) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~4_combout\ & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(1),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~4_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector15~0_combout\);

-- Location: LCCOMB_X45_Y49_N18
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector15~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector15~1_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~1_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~0_combout\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector15~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110111111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector15~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~1_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector15~1_combout\);

-- Location: FF_X45_Y49_N19
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector15~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1));

-- Location: LCCOMB_X44_Y49_N20
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~2_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~1_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|tsen~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|tsen~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~1_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector11~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~2_combout\);

-- Location: LCCOMB_X44_Y49_N0
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~3_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~2_combout\) # ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(0) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(0),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~4_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~3_combout\);

-- Location: LCCOMB_X44_Y49_N14
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~4_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~3_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0) & 
-- ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~2_combout\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr18~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr18~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr12~2_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~3_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~4_combout\);

-- Location: FF_X44_Y49_N15
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~4_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0));

-- Location: LCCOMB_X45_Y49_N26
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector14~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector14~0_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(2)) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~4_combout\ & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(2),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~4_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector14~0_combout\);

-- Location: LCCOMB_X45_Y49_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector14~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector14~1_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~1_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~0_combout\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector14~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110111111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector14~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~1_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector14~1_combout\);

-- Location: FF_X45_Y49_N31
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector14~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2));

-- Location: LCCOMB_X45_Y49_N12
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector13~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector13~0_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(3)) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~4_combout\ & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(3),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr13~4_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector13~0_combout\);

-- Location: LCCOMB_X45_Y49_N0
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector13~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector13~1_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~1_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~0_combout\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector13~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110111111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector13~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector16~1_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector12~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector13~1_combout\);

-- Location: FF_X45_Y49_N1
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector13~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3));

-- Location: LCCOMB_X46_Y49_N28
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~0_combout\);

-- Location: LCCOMB_X45_Y49_N16
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2) & \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~1_combout\);

-- Location: LCCOMB_X45_Y49_N8
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~2_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1)) # (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2))))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3) $ (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001110011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~2_combout\);

-- Location: LCCOMB_X47_Y49_N16
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~3_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~1_combout\ & ((!\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~2_combout\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~1_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~3_combout\);

-- Location: LCCOMB_X45_Y49_N14
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr3~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1))))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0)) # (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr3~0_combout\);

-- Location: LCCOMB_X46_Y49_N8
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr3~1_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr3~0_combout\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr3~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr3~1_combout\);

-- Location: LCCOMB_X45_Y49_N4
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr2~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1) $ 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0) & 
-- (((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010011101111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr2~0_combout\);

-- Location: LCCOMB_X44_Y49_N16
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr2~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr2~1_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~1_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr2~0_combout\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr2~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~1_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr2~1_combout\);

-- Location: LCCOMB_X45_Y49_N24
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr1~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0) & (((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0) & (((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101101111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr1~0_combout\);

-- Location: LCCOMB_X44_Y49_N22
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr1~1_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~1_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr1~0_combout\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr1~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~1_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr1~1_combout\);

-- Location: LCCOMB_X45_Y49_N6
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr0~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0) & (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3) & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001110110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(0),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(3),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(1),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(2),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr0~0_combout\);

-- Location: LCCOMB_X44_Y49_N18
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr0~1_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~1_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr0~0_combout\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr0~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr4~1_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|chsel\(4),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|decoder|WideOr0~1_combout\);

-- Location: ADCBLOCK_X43_Y52_N0
\adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance\ : fiftyfivenm_adcblock
-- pragma translate_off
GENERIC MAP (
	analog_input_pin_mask => 255,
	clkdiv => 2,
	device_partname_fivechar_prefix => "10m50",
	is_this_first_or_second_adc => 1,
	prescalar => 0,
	pwd => 0,
	refsel => 0,
	reserve_block => "false",
	testbits => 66,
	tsclkdiv => 1,
	tsclksel => 1)
-- pragma translate_on
PORT MAP (
	soc => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|soc~q\,
	usr_pwd => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|usr_pwd~_wirecell_combout\,
	tsen => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|tsen~q\,
	clkin_from_pll_c0 => \adc_pll_u0|altpll_component|auto_generated|wire_pll1_clk\(0),
	chsel => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_CHSEL_bus\,
	eoc => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|eoc\,
	dout => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|primitive_instance_DOUT_bus\);

-- Location: LCCOMB_X44_Y49_N26
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~feeder_combout\ = \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|clkout_adccore\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|clkout_adccore\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X44_Y49_N27
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~q\);

-- Location: FF_X44_Y49_N19
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|din_s1~q\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0));

-- Location: FF_X44_Y49_N23
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|clk_dft_synch_dly\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|clk_dft_synch_dly~q\);

-- Location: LCCOMB_X44_Y49_N12
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector4~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|clk_dft_synch_dly~q\ & (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_CH~q\ & 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0))))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|clk_dft_synch_dly~q\ & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_CH~q\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_DONE~q\ & 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|clk_dft_synch_dly~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_DONE~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_CH~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_clk_dft_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector4~0_combout\);

-- Location: LCCOMB_X44_Y49_N28
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector17~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector17~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~1_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|soc~q\ & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector4~0_combout\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr15~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector4~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector5~1_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|soc~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|WideOr15~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector17~0_combout\);

-- Location: FF_X44_Y49_N29
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|soc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector17~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|soc~q\);

-- Location: FF_X45_Y48_N5
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|eoc\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|din_s1~q\);

-- Location: FF_X45_Y48_N27
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|din_s1~q\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0));

-- Location: FF_X45_Y48_N29
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\);

-- Location: LCCOMB_X45_Y48_N14
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\ & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\);

-- Location: LCCOMB_X45_Y48_N10
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.AVRG_CNT~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.AVRG_CNT~0_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.AVRG_CNT~0_combout\);

-- Location: FF_X45_Y48_N11
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.AVRG_CNT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.AVRG_CNT~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\);

-- Location: LCCOMB_X45_Y48_N8
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PRE_CONV~q\)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\ & (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PRE_CONV~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~0_combout\);

-- Location: LCCOMB_X45_Y48_N28
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~0_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\ & 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|u_eoc_synchronizer|dreg\(0),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|eoc_synch_dly~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRUP_SOC~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~0_combout\);

-- Location: LCCOMB_X45_Y48_N20
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~0_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~q\ & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~1_combout\);

-- Location: LCCOMB_X45_Y48_N12
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~1_combout\) # 
-- ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always3~0_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always3~0_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\);

-- Location: FF_X45_Y48_N13
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\);

-- Location: LCCOMB_X47_Y48_N8
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_int_timer~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_int_timer~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~0_combout\) # ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\ & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector9~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_int_timer~0_combout\);

-- Location: FF_X47_Y48_N23
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[4]~16_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(4));

-- Location: LCCOMB_X47_Y48_N24
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[5]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[5]~18_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(5) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[4]~17\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(5) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[4]~17\) # (GND)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[5]~19\ = CARRY((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[4]~17\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(5),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[4]~17\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[5]~18_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[5]~19\);

-- Location: FF_X47_Y48_N25
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[5]~18_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(5));

-- Location: FF_X47_Y48_N27
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[6]~20_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(6));

-- Location: LCCOMB_X46_Y48_N2
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\) # ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\ & 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD_W~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.GETCMD~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~1_combout\);

-- Location: LCCOMB_X46_Y48_N20
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~2_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~1_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\) # 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~1_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~2_combout\);

-- Location: LCCOMB_X46_Y48_N24
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~3_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~0_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~2_combout\) # 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\ & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(6),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~3_combout\);

-- Location: FF_X46_Y48_N13
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector1~3_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\);

-- Location: LCCOMB_X46_Y48_N26
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector2~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(6)) # 
-- ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(7) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\ & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(7) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(7),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(6),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector2~0_combout\);

-- Location: FF_X46_Y48_N27
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector2~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\);

-- Location: LCCOMB_X47_Y48_N6
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|incr_int_timer~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|incr_int_timer~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\) # 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\) # (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN_TSEN~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PWRDWN~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|incr_int_timer~0_combout\);

-- Location: LCCOMB_X47_Y48_N14
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[0]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[0]~8_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|incr_int_timer~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(0) $ (VCC))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|incr_int_timer~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(0) & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[0]~9\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|incr_int_timer~0_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|incr_int_timer~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(0),
	datad => VCC,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[0]~8_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[0]~9\);

-- Location: FF_X47_Y48_N15
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[0]~8_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(0));

-- Location: LCCOMB_X47_Y48_N16
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[1]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[1]~10_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(1) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[0]~9\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(1) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[0]~9\) # (GND)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[1]~11\ = CARRY((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[0]~9\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(1),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[0]~9\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[1]~10_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[1]~11\);

-- Location: FF_X47_Y48_N17
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[1]~10_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(1));

-- Location: LCCOMB_X47_Y48_N18
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[2]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[2]~12_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(2) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[1]~11\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(2) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[1]~11\ & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[2]~13\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(2) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[1]~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(2),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[1]~11\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[2]~12_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[2]~13\);

-- Location: FF_X47_Y48_N19
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[2]~12_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(2));

-- Location: FF_X47_Y48_N21
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer[3]~14_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_int_timer~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(3));

-- Location: LCCOMB_X47_Y48_N2
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always12~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always12~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(3) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(2) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(4) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(3),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(2),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(4),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(1),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always12~1_combout\);

-- Location: LCCOMB_X47_Y48_N4
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always12~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always12~0_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(6) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(0) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\ & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(6),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(0),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(7),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always12~0_combout\);

-- Location: LCCOMB_X47_Y48_N0
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~0_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always12~1_combout\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always12~0_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always12~1_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|always12~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(5),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~1_combout\);

-- Location: FF_X47_Y48_N1
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\);

-- Location: LCCOMB_X45_Y48_N22
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0_combout\);

-- Location: FF_X45_Y48_N23
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV_DLY1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV_DLY1~q\);

-- Location: LCCOMB_X45_Y48_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector10~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV_DLY1~q\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV_DLY1~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_fetched~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector6~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector10~0_combout\);

-- Location: FF_X45_Y48_N31
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Selector10~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\);

-- Location: LCCOMB_X46_Y49_N14
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~feeder_combout\ = \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~feeder_combout\);

-- Location: FF_X46_Y49_N15
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\);

-- Location: LCCOMB_X46_Y47_N28
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|clr_run~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|clr_run~0_combout\ = ((!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\) # (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_ready~q\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|seq_state~q\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|always1~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|clr_run~0_combout\);

-- Location: LCCOMB_X47_Y41_N8
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~0_combout\ = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|clr_run~0_combout\ & ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~q\) # 
-- ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~1_combout\ & \adc_qsys_u0|master_0|transacto|p2m|writedata\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~1_combout\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|clr_run~0_combout\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(0),
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~0_combout\);

-- Location: FF_X47_Y41_N9
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~q\);

-- Location: LCCOMB_X47_Y41_N16
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|always0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|always0~0_combout\ = (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1) & (\adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\ & 
-- (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~q\ & \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datab => \adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\,
	datac => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~q\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|cmd_wr_en~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|always0~0_combout\);

-- Location: FF_X47_Y41_N15
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|transacto|p2m|writedata\(3),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(2));

-- Location: LCCOMB_X47_Y41_N0
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt\(3) = (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1) & (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(2) & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(2),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt\(3));

-- Location: FF_X47_Y41_N1
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt\(3),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata\(3));

-- Location: LCCOMB_X49_Y40_N16
\adc_qsys_u0|master_0|transacto|p2m|Selector77~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector77~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0) & ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata\(3)) # 
-- ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(3) & \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0) & (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(3) & 
-- (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(3),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0),
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata\(3),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector77~2_combout\);

-- Location: LCCOMB_X51_Y41_N30
\adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~0_combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|address\(8) & 
-- (\adc_qsys_u0|master_0|transacto|p2m|read~q\ & \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(8),
	datac => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en~0_combout\);

-- Location: FF_X51_Y41_N31
\adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\);

-- Location: LCCOMB_X46_Y48_N4
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\ & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\);

-- Location: FF_X46_Y48_N11
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_valid~q\);

-- Location: LCCOMB_X47_Y48_N10
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~1_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(3) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(3),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(2),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~1_combout\);

-- Location: LCCOMB_X47_Y48_N12
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~0_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(6) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(1) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(0) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(6),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(1),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(0),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(7),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~0_combout\);

-- Location: LCCOMB_X47_Y48_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~2_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~1_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(5) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(4) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~1_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(5),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|int_timer\(4),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~2_combout\);

-- Location: LCCOMB_X44_Y52_N0
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~0_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\ & 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~1_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~0_combout\);

-- Location: LCCOMB_X44_Y52_N2
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\) # 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~0_combout\) # ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~2_combout\ & 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.AVRG_CNT~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~2_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.AVRG_CNT~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~combout\);

-- Location: FF_X44_Y52_N27
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(6),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(6));

-- Location: LCCOMB_X52_Y48_N2
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\);

-- Location: LCCOMB_X50_Y48_N20
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~combout\ = 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(0) $ (((VCC) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~COUT\ = 
-- CARRY(\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\ $ 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001110011001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(0),
	datad => VCC,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X50_Y48_N2
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~2_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.WAIT_PEND_DLY1~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~2_combout\);

-- Location: LCCOMB_X50_Y48_N8
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~0_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~2_combout\ & 
-- (((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV_DLY1~q\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~2_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV_DLY1~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~0_combout\);

-- Location: LCCOMB_X52_Y48_N24
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~1_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~1_combout\);

-- Location: FF_X52_Y48_N25
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~q\);

-- Location: LCCOMB_X49_Y48_N26
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~0_combout\ = (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(2) & (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(3) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~q\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(2),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(3),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~0_combout\);

-- Location: LCCOMB_X49_Y48_N20
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~0_combout\ & (!\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(1) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~0_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV_DLY1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal1~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_channel\(1),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.CONV_DLY1~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~1_combout\);

-- Location: LCCOMB_X50_Y48_N6
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~1_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~2_combout\) # 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\ & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.AVRG_CNT~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal0~2_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~1_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\);

-- Location: LCCOMB_X50_Y48_N26
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~COUT\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3) $ 
-- (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\) # (VCC))))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~COUT\ & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3)) # ((GND))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~COUT\ = 
-- CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3) $ 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\,
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~COUT\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~COUT\);

-- Location: LCCOMB_X50_Y48_N28
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~COUT\ & 
-- (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4) & VCC)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~COUT\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4) $ (((VCC) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\)))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~COUT\ = 
-- CARRY((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~COUT\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\ $ 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~COUT\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~COUT\);

-- Location: FF_X50_Y48_N29
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4));

-- Location: LCCOMB_X50_Y48_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5~combout\ = 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(5) $ 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~COUT\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(5),
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita4~COUT\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5~combout\);

-- Location: FF_X50_Y48_N31
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita5~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(5));

-- Location: LCCOMB_X50_Y48_N4
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~0_combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3)) # 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4)) # 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(5)) # 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(5),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~0_combout\);

-- Location: LCCOMB_X50_Y48_N16
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~1_combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(0),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~1_combout\);

-- Location: LCCOMB_X49_Y48_N16
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\ & 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|pend~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Equal2~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~0_combout\);

-- Location: LCCOMB_X49_Y48_N28
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~0_combout\) # 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~1_combout\);

-- Location: LCCOMB_X49_Y48_N0
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~2_combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~q\ & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~0_combout\) # 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~1_combout\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~1_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~2_combout\);

-- Location: LCCOMB_X49_Y48_N22
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~3_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\ & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\) # ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~q\) # 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~3_combout\);

-- Location: FF_X49_Y48_N23
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~q\);

-- Location: LCCOMB_X50_Y48_N12
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|_~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\) # 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\ $ 
-- (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~q\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\);

-- Location: FF_X50_Y48_N21
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(0));

-- Location: LCCOMB_X50_Y48_N22
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~COUT\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1) $ 
-- (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\) # (VCC))))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~COUT\ & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1)) # ((GND))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~COUT\ = 
-- CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1) $ 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\,
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita0~COUT\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~COUT\);

-- Location: FF_X50_Y48_N23
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1));

-- Location: LCCOMB_X50_Y48_N24
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~COUT\ & 
-- (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2) & VCC)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~COUT\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2) $ (((VCC) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\)))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~COUT\ = 
-- CARRY((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~COUT\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\ $ 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita1~COUT\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~COUT\);

-- Location: FF_X50_Y48_N25
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita2~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2));

-- Location: FF_X50_Y48_N27
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_comb_bita3~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3));

-- Location: LCCOMB_X50_Y48_N10
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~0_combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(5) & 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(3),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(5),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(4),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~0_combout\);

-- Location: LCCOMB_X50_Y48_N14
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~1_combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1) & 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(1),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(0),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~1_combout\);

-- Location: LCCOMB_X50_Y48_N0
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~2_combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~0_combout\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~1_combout\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|count_usedw|counter_reg_bit\(2),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~1_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~2_combout\);

-- Location: LCCOMB_X49_Y48_N2
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~3_combout\ = (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\ & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~1_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~2_combout\) # 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~2_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~3_combout\);

-- Location: FF_X49_Y48_N3
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~q\);

-- Location: LCCOMB_X50_Y48_N18
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\ = 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~q\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\);

-- Location: LCCOMB_X49_Y48_N24
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~0_combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~1_combout\) # 
-- ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~q\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_non_empty~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_rdreq~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~0_combout\);

-- Location: FF_X44_Y52_N1
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(0),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(0));

-- Location: LCCOMB_X52_Y48_N6
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~combout\ = 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(0) $ (VCC)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~COUT\ = 
-- CARRY(\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(0),
	datad => VCC,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X52_Y48_N0
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|_~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|_~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\ & 
-- (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~q\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\ & (((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|b_full~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|_~0_combout\);

-- Location: FF_X52_Y48_N7
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(0));

-- Location: LCCOMB_X52_Y48_N8
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(1) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~COUT\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(1) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~COUT\) # (GND)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~COUT\ = 
-- CARRY((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~COUT\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(1),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita0~COUT\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~COUT\);

-- Location: FF_X52_Y48_N9
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(1));

-- Location: LCCOMB_X52_Y48_N10
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(2) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~COUT\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(2) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~COUT\ & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~COUT\ = 
-- CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(2) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(2),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita1~COUT\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~COUT\);

-- Location: FF_X52_Y48_N11
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(2));

-- Location: LCCOMB_X52_Y48_N12
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(3) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~COUT\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(3) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~COUT\) # (GND)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~COUT\ = 
-- CARRY((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~COUT\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(3),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita2~COUT\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~COUT\);

-- Location: FF_X52_Y48_N13
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(3));

-- Location: LCCOMB_X52_Y48_N14
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(4) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~COUT\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(4) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~COUT\ & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~COUT\ = 
-- CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(4) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(4),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita3~COUT\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~COUT\);

-- Location: FF_X52_Y48_N15
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(4));

-- Location: LCCOMB_X52_Y48_N16
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita5~combout\ = 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(5) $ 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~COUT\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(5),
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita4~COUT\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita5~combout\);

-- Location: FF_X52_Y48_N17
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_comb_bita5~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|wr_ptr|counter_reg_bit\(5));

-- Location: LCCOMB_X49_Y48_N4
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~combout\ = 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(0) $ (VCC)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~COUT\ = 
-- CARRY(\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(0),
	datad => VCC,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~COUT\);

-- Location: FF_X49_Y48_N5
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(0));

-- Location: LCCOMB_X52_Y48_N4
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~1_combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(0) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(0),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~1_combout\);

-- Location: LCCOMB_X49_Y48_N6
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(1) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~COUT\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(1) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~COUT\) # (GND)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~COUT\ = 
-- CARRY((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~COUT\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(1),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita0~COUT\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~COUT\);

-- Location: FF_X49_Y48_N7
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(1));

-- Location: LCCOMB_X52_Y48_N18
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~2_combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(1) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(1),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~2_combout\);

-- Location: LCCOMB_X49_Y48_N8
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(2) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~COUT\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(2) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~COUT\ & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~COUT\ = 
-- CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(2) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(2),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita1~COUT\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~COUT\);

-- Location: FF_X49_Y48_N9
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(2));

-- Location: LCCOMB_X52_Y48_N22
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~3_combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(2) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(2),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~3_combout\);

-- Location: LCCOMB_X49_Y48_N10
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(3) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~COUT\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(3) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~COUT\) # (GND)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~COUT\ = 
-- CARRY((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~COUT\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(3),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita2~COUT\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~COUT\);

-- Location: FF_X49_Y48_N11
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(3));

-- Location: LCCOMB_X52_Y48_N28
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~4_combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(3) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(3),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~4_combout\);

-- Location: LCCOMB_X49_Y48_N12
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(4) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~COUT\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(4) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~COUT\ & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~COUT\ = 
-- CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(4) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(4),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita3~COUT\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~COUT\);

-- Location: FF_X49_Y48_N13
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(4));

-- Location: LCCOMB_X52_Y48_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~5_combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(4) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(4),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~5_combout\);

-- Location: LCCOMB_X49_Y48_N14
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5~combout\ = 
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(5) $ 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~COUT\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(5),
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita4~COUT\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5~combout\);

-- Location: FF_X49_Y48_N15
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_comb_bita5~combout\,
	asdata => \~GND~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(5));

-- Location: LCCOMB_X52_Y48_N20
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~6_combout\ = 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(5) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_cnt_done~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|rd_ptr_count|counter_reg_bit\(5),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~6_combout\);

-- Location: FF_X44_Y52_N17
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(1),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1));

-- Location: FF_X44_Y52_N19
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(2),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(2));

-- Location: FF_X44_Y52_N21
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(3),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3));

-- Location: FF_X44_Y52_N23
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(4),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(4));

-- Location: FF_X44_Y52_N25
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(5),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5));

-- Location: FF_X44_Y52_N29
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(7),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7));

-- Location: FF_X44_Y52_N31
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(8),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(8));

-- Location: FF_X44_Y52_N5
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(9),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(9));

-- Location: FF_X44_Y52_N15
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(10),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(10));

-- Location: FF_X44_Y52_N11
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(11),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_dout~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11));

-- Location: M9K_X53_Y48_N0
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0\ : fiftyfivenm_ram_block
-- pragma translate_off
GENERIC MAP (
	clk0_core_clock_enable => "ena0",
	clk1_core_clock_enable => "ena1",
	clk1_input_clock_enable => "ena1",
	data_interleave_offset_in_bits => 1,
	data_interleave_width_in_bits => 1,
	logical_ram_name => "adc_qsys:adc_qsys_u0|adc_qsys_modular_adc_0:modular_adc_0|altera_modular_adc_control:control_internal|altera_modular_adc_control_fsm:u_control_fsm|altera_modular_adc_control_avrg_fifo:ts_avrg_fifo|scfifo:scfifo_component|scfifo_ds61:auto_generated|a_dpfifo_3o41:dpfifo|altsyncram_rqn1:FIFOram|ALTSYNCRAM",
	mixed_port_feed_through_mode => "dont_care",
	operation_mode => "dual_port",
	port_a_address_clear => "none",
	port_a_address_width => 6,
	port_a_byte_enable_clock => "none",
	port_a_data_out_clear => "none",
	port_a_data_out_clock => "none",
	port_a_data_width => 36,
	port_a_first_address => 0,
	port_a_first_bit_number => 0,
	port_a_last_address => 63,
	port_a_logical_ram_depth => 64,
	port_a_logical_ram_width => 12,
	port_a_read_during_write_mode => "new_data_with_nbe_read",
	port_b_address_clear => "none",
	port_b_address_clock => "clock1",
	port_b_address_width => 6,
	port_b_data_out_clear => "none",
	port_b_data_out_clock => "none",
	port_b_data_width => 36,
	port_b_first_address => 0,
	port_b_first_bit_number => 0,
	port_b_last_address => 63,
	port_b_logical_ram_depth => 64,
	port_b_logical_ram_width => 12,
	port_b_read_during_write_mode => "new_data_with_nbe_read",
	port_b_read_enable_clock => "clock1",
	ram_block_type => "M9K")
-- pragma translate_on
PORT MAP (
	portawe => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\,
	portbre => VCC,
	clk0 => \clk_50_max10~inputclkctrl_outclk\,
	clk1 => \clk_50_max10~inputclkctrl_outclk\,
	ena0 => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|fifo_state|valid_wreq~combout\,
	ena1 => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|_~0_combout\,
	portadatain => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTADATAIN_bus\,
	portaaddr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTAADDR_bus\,
	portbaddr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBADDR_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	portbdataout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|ram_block1a0_PORTBDATAOUT_bus\);

-- Location: LCCOMB_X46_Y52_N14
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(0) & ((GND) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(0)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(0) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(0) $ (GND)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~1\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(0)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(0),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(0),
	datad => VCC,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~0_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~1\);

-- Location: LCCOMB_X45_Y52_N14
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]~18_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(0) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~0_combout\ $ (VCC))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(0) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~0_combout\ & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]~19\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(0) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(0),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~0_combout\,
	datad => VCC,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]~18_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]~19\);

-- Location: LCCOMB_X44_Y52_N14
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(0) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(0) $ (VCC))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(0) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(0) & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~1\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(0) & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(0),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(0),
	datad => VCC,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~0_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~1\);

-- Location: LCCOMB_X44_Y52_N4
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~41\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~41_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~0_combout\))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(0),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~41_combout\);

-- Location: LCCOMB_X52_Y48_N26
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~0_combout\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|frst_64_ptr_done~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\);

-- Location: FF_X45_Y52_N15
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]~18_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~41_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(0));

-- Location: LCCOMB_X46_Y52_N16
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~2_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(1) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(1) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~1\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(1) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~1\ & VCC)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(1) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(1) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~1\) # (GND))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(1) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~1\))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~3\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(1) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(1) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~1\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(1) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(1)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~1\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(1),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(1),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~1\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~2_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~3\);

-- Location: LCCOMB_X45_Y52_N16
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[1]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[1]~20_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~2_combout\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]~19\ & VCC)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~2_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]~19\)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~2_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]~19\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~2_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]~19\) # (GND)))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[1]~21\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~2_combout\ & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]~19\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1) & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]~19\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~2_combout\,
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[0]~19\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[1]~20_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[1]~21\);

-- Location: LCCOMB_X44_Y52_N16
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~2_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(1) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~1\ & VCC)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~1\)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(1) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~1\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~1\) # (GND)))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~3\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(1) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~1\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(1) & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~1\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(1),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~1\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~2_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~3\);

-- Location: LCCOMB_X45_Y52_N4
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~40_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~2_combout\))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(1),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~2_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~40_combout\);

-- Location: FF_X45_Y52_N17
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[1]~20_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~40_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(1));

-- Location: LCCOMB_X46_Y52_N18
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~4_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(2) $ 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(2) $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~3\)))) # (GND)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~5\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(2) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(2) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~3\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(2) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(2)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~3\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(2),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(2),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~3\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~4_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~5\);

-- Location: LCCOMB_X45_Y52_N18
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]~22_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~4_combout\ $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(2) $ 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[1]~21\)))) # (GND)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]~23\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~4_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(2)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[1]~21\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~4_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(2) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[1]~21\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~4_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(2),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[1]~21\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]~22_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]~23\);

-- Location: LCCOMB_X44_Y52_N18
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~4_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(2) $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(2) $ 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~3\)))) # (GND)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~5\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(2) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(2)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~3\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(2) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(2) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~3\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(2),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(2),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~3\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~4_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~5\);

-- Location: LCCOMB_X45_Y52_N10
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~39\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~39_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~4_combout\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~4_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(2),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~39_combout\);

-- Location: FF_X45_Y52_N19
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]~22_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~39_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(2));

-- Location: LCCOMB_X46_Y52_N20
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~6_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(3) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~5\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~5\) # (GND))))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(3) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~5\ & VCC)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~5\))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~7\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(3) & 
-- ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~5\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(3) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~5\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100100101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(3),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~5\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~6_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~7\);

-- Location: LCCOMB_X45_Y52_N20
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[3]~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[3]~24_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~6_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]~23\ & VCC)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]~23\)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~6_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]~23\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]~23\) # (GND)))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[3]~25\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~6_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]~23\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~6_combout\ & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]~23\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~6_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[2]~23\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[3]~24_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[3]~25\);

-- Location: LCCOMB_X44_Y52_N20
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~6_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~5\ & VCC)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~5\)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~5\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~5\) # (GND)))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~7\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~5\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3) & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~5\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~5\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~6_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~7\);

-- Location: LCCOMB_X45_Y52_N0
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~38\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~38_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~6_combout\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~6_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~38_combout\);

-- Location: FF_X45_Y52_N21
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[3]~24_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~38_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(3));

-- Location: LCCOMB_X46_Y52_N22
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~8_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(4) $ 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(4) $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~7\)))) # (GND)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~9\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(4) & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~7\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(4)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(4) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(4) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~7\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(4),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(4),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~7\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~8_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~9\);

-- Location: LCCOMB_X45_Y52_N22
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]~26_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(4) $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~8_combout\ $ 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[3]~25\)))) # (GND)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]~27\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(4) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~8_combout\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[3]~25\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(4) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~8_combout\ & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[3]~25\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(4),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~8_combout\,
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[3]~25\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]~26_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]~27\);

-- Location: LCCOMB_X44_Y52_N22
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~8_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(4) $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(4) $ 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~7\)))) # (GND)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~9\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(4) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(4)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~7\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(4) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(4) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~7\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(4),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(4),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~7\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~8_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~9\);

-- Location: LCCOMB_X45_Y52_N8
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~37\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~37_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~8_combout\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~8_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(4),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~37_combout\);

-- Location: FF_X45_Y52_N23
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]~26_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~37_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(4));

-- Location: LCCOMB_X46_Y52_N24
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~10_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(5) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(5) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~9\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(5) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~9\ & VCC)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(5) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(5) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~9\) # (GND))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(5) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~9\))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~11\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(5) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(5) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~9\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(5) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(5)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~9\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(5),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(5),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~9\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~10_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~11\);

-- Location: LCCOMB_X45_Y52_N24
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[5]~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[5]~28_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~10_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]~27\ & VCC)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]~27\)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~10_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]~27\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]~27\) # (GND)))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[5]~29\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~10_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]~27\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~10_combout\ & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]~27\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~10_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[4]~27\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[5]~28_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[5]~29\);

-- Location: LCCOMB_X44_Y52_N24
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~10_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(5) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~9\ & VCC)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~9\)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(5) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~9\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~9\) # (GND)))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~11\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(5) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~9\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(5) & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~9\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(5),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~9\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~10_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~11\);

-- Location: LCCOMB_X45_Y52_N12
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~36_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~10_combout\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~10_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(5),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~36_combout\);

-- Location: FF_X45_Y52_N25
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[5]~28_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~36_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(5));

-- Location: LCCOMB_X46_Y52_N26
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~12_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(6) $ 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(6) $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~11\)))) # (GND)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~13\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(6) & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~11\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(6)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(6) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(6) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~11\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(6),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(6),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~11\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~12_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~13\);

-- Location: LCCOMB_X45_Y52_N26
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]~30_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(6) $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~12_combout\ $ 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[5]~29\)))) # (GND)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]~31\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(6) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~12_combout\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[5]~29\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(6) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~12_combout\ & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[5]~29\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(6),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~12_combout\,
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[5]~29\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]~30_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]~31\);

-- Location: LCCOMB_X44_Y52_N26
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~12_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(6) $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(6) $ 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~11\)))) # (GND)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~13\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(6) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(6)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~11\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(6) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(6) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~11\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(6),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(6),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~11\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~12_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~13\);

-- Location: LCCOMB_X45_Y52_N2
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~35\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~35_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~12_combout\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~12_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(6),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~35_combout\);

-- Location: FF_X45_Y52_N27
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]~30_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~35_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(6));

-- Location: LCCOMB_X44_Y52_N6
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~10_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(6))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(6),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(0),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~10_combout\);

-- Location: FF_X44_Y52_N7
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~10_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(0));

-- Location: LCCOMB_X54_Y44_N18
\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[0]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[0]~6_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_valid~q\ & (\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(0) $ (VCC))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_valid~q\ & (\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(0) & VCC))
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[0]~7\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_valid~q\ & \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_valid~q\,
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(0),
	datad => VCC,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[0]~6_combout\,
	cout => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[0]~7\);

-- Location: LCCOMB_X46_Y51_N22
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_eop_dly~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_eop_dly~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\ & ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~q\))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_eop_dly~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_eop_dly~q\,
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_ctrl|cmd_eop~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_eop_dly~0_combout\);

-- Location: FF_X46_Y51_N23
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_eop_dly\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_eop_dly~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_eop_dly~q\);

-- Location: LCCOMB_X46_Y51_N26
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_eop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_eop~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_eop_dly~q\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|cmd_eop_dly~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_eop~0_combout\);

-- Location: FF_X46_Y51_N27
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_eop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_eop~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_eop~q\);

-- Location: LCCOMB_X54_Y44_N16
\adc_qsys_u0|modular_adc_0|sample_store_internal|set_eop\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|set_eop~combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_eop~q\ & \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_valid~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_eop~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_valid~q\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|set_eop~combout\);

-- Location: FF_X54_Y44_N19
\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[0]~6_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|sample_store_internal|set_eop~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(0));

-- Location: LCCOMB_X54_Y44_N20
\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[1]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[1]~8_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(1) & (!\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[0]~7\)) # 
-- (!\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(1) & ((\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[0]~7\) # (GND)))
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[1]~9\ = CARRY((!\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[0]~7\) # (!\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(1),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[0]~7\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[1]~8_combout\,
	cout => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[1]~9\);

-- Location: FF_X54_Y44_N21
\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[1]~8_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|sample_store_internal|set_eop~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(1));

-- Location: LCCOMB_X54_Y44_N22
\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[2]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[2]~10_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(2) & (\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[1]~9\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(2) & (!\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[1]~9\ & VCC))
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[2]~11\ = CARRY((\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(2) & !\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[1]~9\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(2),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[1]~9\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[2]~10_combout\,
	cout => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[2]~11\);

-- Location: FF_X54_Y44_N23
\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[2]~10_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|sample_store_internal|set_eop~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(2));

-- Location: LCCOMB_X54_Y44_N24
\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[3]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[3]~12_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(3) & (!\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[2]~11\)) # 
-- (!\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(3) & ((\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[2]~11\) # (GND)))
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[3]~13\ = CARRY((!\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[2]~11\) # (!\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(3),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[2]~11\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[3]~12_combout\,
	cout => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[3]~13\);

-- Location: FF_X54_Y44_N25
\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[3]~12_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|sample_store_internal|set_eop~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(3));

-- Location: LCCOMB_X54_Y44_N26
\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[4]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[4]~14_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(4) & (\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[3]~13\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(4) & (!\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[3]~13\ & VCC))
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[4]~15\ = CARRY((\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(4) & !\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[3]~13\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(4),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[3]~13\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[4]~14_combout\,
	cout => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[4]~15\);

-- Location: FF_X54_Y44_N27
\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[4]~14_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|sample_store_internal|set_eop~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(4));

-- Location: LCCOMB_X54_Y44_N28
\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[5]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[5]~16_combout\ = \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(5) $ (\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[4]~15\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(5),
	cin => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[4]~15\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[5]~16_combout\);

-- Location: FF_X54_Y44_N29
\adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num[5]~16_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|sample_store_internal|set_eop~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|slot_num\(5));

-- Location: LCCOMB_X46_Y52_N28
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~14_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(7) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~13\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~13\) # (GND))))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(7) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~13\ & VCC)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~13\))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~15\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(7) & 
-- ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~13\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(7) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~13\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100100101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(7),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~13\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~14_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~15\);

-- Location: LCCOMB_X45_Y52_N28
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[7]~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[7]~32_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~14_combout\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]~31\ & VCC)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~14_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]~31\)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~14_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]~31\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~14_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]~31\) # (GND)))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[7]~33\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~14_combout\ & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]~31\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7) & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]~31\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~14_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~14_combout\,
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[6]~31\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[7]~32_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[7]~33\);

-- Location: LCCOMB_X44_Y52_N28
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~14_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~13\ & VCC)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~13\)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~13\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~13\) # (GND)))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~15\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~13\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7) & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~13\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~13\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~14_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~15\);

-- Location: LCCOMB_X44_Y52_N10
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~19_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~14_combout\))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~14_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~19_combout\);

-- Location: FF_X45_Y52_N29
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[7]~32_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~19_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7));

-- Location: LCCOMB_X44_Y52_N8
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~1_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(1),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(7),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~1_combout\);

-- Location: FF_X44_Y52_N9
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(1));

-- Location: LCCOMB_X46_Y52_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~16_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(8) $ 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(8) $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~15\)))) # (GND)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~17\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(8) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(8) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~15\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(8) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(8)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~15\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(8),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(8),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~15\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~16_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~17\);

-- Location: LCCOMB_X45_Y52_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]~34_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~16_combout\ $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(8) $ 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[7]~33\)))) # (GND)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]~35\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~16_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(8)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[7]~33\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~16_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(8) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[7]~33\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~16_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(8),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[7]~33\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]~34_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]~35\);

-- Location: LCCOMB_X44_Y52_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~16_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(8) $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(8) $ 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~15\)))) # (GND)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~17\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(8) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(8)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~15\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(8) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(8) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~15\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(8),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(8),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~15\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~16_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~17\);

-- Location: LCCOMB_X45_Y52_N6
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~18_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~16_combout\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~16_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(8),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~18_combout\);

-- Location: FF_X45_Y52_N31
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]~34_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~18_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(8));

-- Location: LCCOMB_X44_Y52_N12
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~0_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(8)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(2),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(8),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~0_combout\);

-- Location: FF_X44_Y52_N13
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(2));

-- Location: LCCOMB_X46_Y51_N0
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~18_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(9) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~17\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(9) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~17\ & VCC)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(9) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~17\) # (GND))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(9) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~17\))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~19\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(9) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~17\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(9)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~17\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(9),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~17\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~18_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~19\);

-- Location: LCCOMB_X45_Y51_N0
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[9]~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[9]~36_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(9) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~18_combout\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]~35\ & VCC)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~18_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]~35\)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(9) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~18_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]~35\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~18_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]~35\) # (GND)))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[9]~37\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(9) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~18_combout\ & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]~35\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(9) & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]~35\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~18_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(9),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~18_combout\,
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[8]~35\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[9]~36_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[9]~37\);

-- Location: LCCOMB_X44_Y51_N0
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~20_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(9) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~17\ & VCC)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~17\)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(9) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~17\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~17\) # (GND)))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~21\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(9) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~17\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(9) & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~17\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(9),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~17\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~20_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~21\);

-- Location: LCCOMB_X44_Y51_N18
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~34_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~20_combout\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~20_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~34_combout\);

-- Location: FF_X45_Y51_N1
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[9]~36_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~34_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9));

-- Location: LCCOMB_X46_Y51_N28
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~6_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(3),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(9),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~6_combout\);

-- Location: FF_X46_Y51_N29
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~6_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(3));

-- Location: LCCOMB_X46_Y51_N2
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~20_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(10) $ 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(10) $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~19\)))) # (GND)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~21\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(10) & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~19\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(10)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(10) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(10) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~19\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(10),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(10),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~19\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~20_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~21\);

-- Location: LCCOMB_X45_Y51_N2
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]~38\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]~38_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~20_combout\ $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(10) $ 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[9]~37\)))) # (GND)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]~39\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~20_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(10)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[9]~37\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~20_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(10) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[9]~37\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~20_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(10),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[9]~37\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]~38_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]~39\);

-- Location: LCCOMB_X44_Y51_N2
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~22_combout\ = ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(10) $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(10) $ 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~21\)))) # (GND)
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~23\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(10) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(10)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~21\))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(10) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(10) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~21\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(10),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(10),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~21\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~22_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~23\);

-- Location: LCCOMB_X45_Y51_N22
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~33\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~33_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~22_combout\))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(10)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(10),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~22_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~33_combout\);

-- Location: FF_X45_Y51_N3
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]~38_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~33_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(10));

-- Location: LCCOMB_X45_Y51_N28
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~5_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(10))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(4))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(10),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(4),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~5_combout\);

-- Location: FF_X45_Y51_N29
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~5_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(4));

-- Location: LCCOMB_X46_Y51_N4
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~22_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(11) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~21\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~21\) # (GND))))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(11) & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~21\ & VCC)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11) & 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~21\))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~23\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(11) & 
-- ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~21\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(11) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~21\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100100101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|ts_avrg_fifo|scfifo_component|auto_generated|dpfifo|FIFOram|q_b\(11),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~21\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~22_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~23\);

-- Location: LCCOMB_X45_Y51_N4
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[11]~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[11]~40_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~22_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]~39\ & VCC)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]~39\)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~22_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]~39\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]~39\) # (GND)))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[11]~41\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~22_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]~39\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~22_combout\ & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]~39\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~22_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[10]~39\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[11]~40_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[11]~41\);

-- Location: LCCOMB_X44_Y51_N4
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~24_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11) & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~23\ & VCC)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~23\)))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~23\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~23\) # (GND)))))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~25\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11) & 
-- !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~23\)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11) & ((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~23\) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~23\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~24_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~25\);

-- Location: LCCOMB_X44_Y51_N26
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~26_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~24_combout\))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~24_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~26_combout\);

-- Location: FF_X45_Y51_N5
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[11]~40_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~26_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11));

-- Location: LCCOMB_X46_Y51_N18
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~2_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(5),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(11),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~2_combout\);

-- Location: FF_X46_Y51_N19
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(5));

-- Location: LCCOMB_X46_Y51_N6
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~24_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(12) & ((GND) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~23\))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(12) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~23\ $ (GND)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~25\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(12)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(12),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~23\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~24_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~25\);

-- Location: LCCOMB_X45_Y51_N6
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[12]~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[12]~42_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~24_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[11]~41\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~24_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[11]~41\ & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[12]~43\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~24_combout\ & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[11]~41\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~24_combout\,
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[11]~41\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[12]~42_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[12]~43\);

-- Location: LCCOMB_X44_Y51_N6
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~27_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(12) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~25\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(12) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~25\ & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~28\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(12) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~25\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(12),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~25\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~27_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~28\);

-- Location: LCCOMB_X44_Y51_N22
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~32_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~27_combout\))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(12)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(12),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~27_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~32_combout\);

-- Location: FF_X45_Y51_N7
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[12]~42_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~32_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(12));

-- Location: LCCOMB_X46_Y51_N24
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~4_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(12)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(6),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(12),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~4_combout\);

-- Location: FF_X46_Y51_N25
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~4_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(6));

-- Location: LCCOMB_X46_Y51_N8
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~26_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(13) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~25\ & VCC)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(13) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~25\))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~27\ = CARRY((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(13) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~25\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(13),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~25\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~26_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~27\);

-- Location: LCCOMB_X45_Y51_N8
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[13]~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[13]~44_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~26_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[12]~43\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~26_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[12]~43\) # (GND)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[13]~45\ = CARRY((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[12]~43\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~26_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~26_combout\,
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[12]~43\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[13]~44_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[13]~45\);

-- Location: LCCOMB_X44_Y51_N8
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~29_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(13) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~28\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(13) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~28\) # (GND)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~30\ = CARRY((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~28\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(13),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~28\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~29_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~30\);

-- Location: LCCOMB_X44_Y51_N24
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~31_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~29_combout\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(13))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~29_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(13),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~31_combout\);

-- Location: FF_X45_Y51_N9
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[13]~44_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~31_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(13));

-- Location: LCCOMB_X46_Y51_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~3_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(13))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(13),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(7),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~3_combout\);

-- Location: FF_X46_Y51_N31
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~3_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(7));

-- Location: LCCOMB_X46_Y51_N10
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~28_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(14) & ((GND) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~27\))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(14) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~27\ $ (GND)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~29\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(14)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(14),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~27\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~28_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~29\);

-- Location: LCCOMB_X45_Y51_N10
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[14]~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[14]~46_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~28_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[13]~45\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~28_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[13]~45\ & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[14]~47\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~28_combout\ & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[13]~45\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~28_combout\,
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[13]~45\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[14]~46_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[14]~47\);

-- Location: LCCOMB_X44_Y51_N10
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~42_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(14) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~30\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(14) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~30\ & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~43\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(14) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~30\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(14),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~30\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~42_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~43\);

-- Location: LCCOMB_X44_Y51_N28
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~53\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~53_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~42_combout\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~42_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(14),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~53_combout\);

-- Location: FF_X45_Y51_N11
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[14]~46_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~53_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(14));

-- Location: LCCOMB_X46_Y51_N20
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~11_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(14))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(8))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(14),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(8),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~11_combout\);

-- Location: FF_X46_Y51_N21
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~11_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(8));

-- Location: LCCOMB_X46_Y51_N12
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~30_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(15) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~29\ & VCC)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(15) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~29\))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~31\ = CARRY((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(15) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~29\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(15),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~29\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~30_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~31\);

-- Location: LCCOMB_X45_Y51_N12
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[15]~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[15]~48_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~30_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[14]~47\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~30_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[14]~47\) # (GND)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[15]~49\ = CARRY((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[14]~47\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~30_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~30_combout\,
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[14]~47\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[15]~48_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[15]~49\);

-- Location: LCCOMB_X44_Y51_N12
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~44_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(15) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~43\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(15) & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~43\) # (GND)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~45\ = CARRY((!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~43\) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(15),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~43\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~44_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~45\);

-- Location: LCCOMB_X45_Y51_N26
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~49\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~49_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~44_combout\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(15))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~44_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(15),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~49_combout\);

-- Location: FF_X45_Y51_N13
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[15]~48_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~49_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(15));

-- Location: LCCOMB_X45_Y51_N24
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~8_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(15))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(9))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(15),
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(9),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~8_combout\);

-- Location: FF_X45_Y51_N25
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~8_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(9));

-- Location: LCCOMB_X46_Y51_N14
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~32_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(16) & ((GND) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~31\))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(16) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~31\ $ (GND)))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~33\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(16)) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~31\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(16),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~31\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~32_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~33\);

-- Location: LCCOMB_X45_Y51_N14
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[16]~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[16]~50_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~32_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[15]~49\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~32_combout\ & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[15]~49\ & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[16]~51\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~32_combout\ & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[15]~49\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~32_combout\,
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[15]~49\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[16]~50_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[16]~51\);

-- Location: LCCOMB_X44_Y51_N14
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~46_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(16) & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~45\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(16) & (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~45\ & VCC))
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~47\ = CARRY((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(16) & !\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~45\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(16),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~45\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~46_combout\,
	cout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~47\);

-- Location: LCCOMB_X44_Y51_N20
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~48_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~46_combout\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(16))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~46_combout\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(16),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~48_combout\);

-- Location: FF_X45_Y51_N15
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[16]~50_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~48_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(16));

-- Location: LCCOMB_X45_Y51_N20
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~7_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & 
-- (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(16))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(10))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(16),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(10),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~7_combout\);

-- Location: FF_X45_Y51_N21
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~7_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(10));

-- Location: LCCOMB_X46_Y51_N16
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~34_combout\ = \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(17) $ (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~33\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(17),
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~33\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~34_combout\);

-- Location: LCCOMB_X45_Y51_N16
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[17]~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[17]~52_combout\ = \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[16]~51\ $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~34_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add1~34_combout\,
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[16]~51\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[17]~52_combout\);

-- Location: LCCOMB_X44_Y51_N16
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~50_combout\ = \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~47\ $ (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(17))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(17),
	cin => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~47\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~50_combout\);

-- Location: LCCOMB_X44_Y51_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~52_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~50_combout\)) # 
-- (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(17))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_wrreq~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~50_combout\,
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(17),
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~52_combout\);

-- Location: FF_X45_Y51_N17
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum[17]~52_combout\,
	asdata => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|Add3~52_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|fifo_sclr~combout\,
	sload => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|add_avrg_sum_run~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(17));

-- Location: LCCOMB_X45_Y51_N30
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~9_combout\ = (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\ & ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & 
-- ((\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(17)))) # (!\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|load_rsp~combout\,
	datab => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|dout_flp\(11),
	datac => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|avrg_sum\(17),
	datad => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	combout => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~9_combout\);

-- Location: FF_X45_Y51_N31
\adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data~9_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_data\(11));

-- Location: M9K_X53_Y44_N0
\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0\ : fiftyfivenm_ram_block
-- pragma translate_off
GENERIC MAP (
	data_interleave_offset_in_bits => 1,
	data_interleave_width_in_bits => 1,
	logical_ram_name => "adc_qsys:adc_qsys_u0|adc_qsys_modular_adc_0:modular_adc_0|altera_modular_adc_sample_store:sample_store_internal|altera_modular_adc_sample_store_ram:u_ss_ram|altsyncram:altsyncram_component|altsyncram_v5s1:auto_generated|ALTSYNCRAM",
	mixed_port_feed_through_mode => "old",
	operation_mode => "dual_port",
	port_a_address_clear => "none",
	port_a_address_width => 6,
	port_a_byte_enable_clock => "none",
	port_a_data_out_clear => "none",
	port_a_data_out_clock => "none",
	port_a_data_width => 36,
	port_a_first_address => 0,
	port_a_first_bit_number => 0,
	port_a_last_address => 63,
	port_a_logical_ram_depth => 64,
	port_a_logical_ram_width => 16,
	port_a_read_during_write_mode => "new_data_with_nbe_read",
	port_b_address_clear => "none",
	port_b_address_clock => "clock0",
	port_b_address_width => 6,
	port_b_data_out_clear => "none",
	port_b_data_out_clock => "none",
	port_b_data_width => 36,
	port_b_first_address => 0,
	port_b_first_bit_number => 0,
	port_b_last_address => 63,
	port_b_logical_ram_depth => 64,
	port_b_logical_ram_width => 16,
	port_b_read_during_write_mode => "new_data_with_nbe_read",
	port_b_read_enable_clock => "clock0",
	ram_block_type => "M9K")
-- pragma translate_on
PORT MAP (
	portawe => \adc_qsys_u0|modular_adc_0|control_internal|u_control_fsm|rsp_valid~q\,
	portbre => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en~0_combout\,
	clk0 => \clk_50_max10~inputclkctrl_outclk\,
	portadatain => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTADATAIN_bus\,
	portaaddr => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTAADDR_bus\,
	portbaddr => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBADDR_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	portbdataout => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\);

-- Location: LCCOMB_X49_Y40_N28
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[3]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[3]~6_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	datac => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(3),
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[3]~6_combout\);

-- Location: FF_X49_Y40_N29
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[3]~6_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(3));

-- Location: LCCOMB_X52_Y44_N8
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\ & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\ & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP_PEND~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\);

-- Location: LCCOMB_X52_Y40_N0
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_valid~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_valid~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_valid~feeder_combout\);

-- Location: FF_X52_Y40_N1
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_valid~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_valid~q\);

-- Location: LCCOMB_X52_Y40_N14
\adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|read~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|address\(8) & 
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(8),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en~0_combout\);

-- Location: LCCOMB_X47_Y47_N4
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[0]~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[0]~feeder_combout\);

-- Location: LCCOMB_X50_Y44_N24
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(3)) # ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(4)) # 
-- ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(2)) # (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(3),
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(4),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(2),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(5),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~0_combout\);

-- Location: LCCOMB_X50_Y44_N22
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal0~0_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(6) & (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(0) & 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(7) & !\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(6),
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(0),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(7),
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|int_timer\(1),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal0~0_combout\);

-- Location: LCCOMB_X47_Y47_N20
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~1_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\) # 
-- ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.AVRG_CNT~0_combout\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~0_combout\) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal0~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~0_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal0~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.AVRG_CNT~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.WAIT_PEND_DLY1~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~1_combout\);

-- Location: LCCOMB_X47_Y47_N18
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~1_combout\) # ((!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\ & 
-- (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|Equal1~1_combout\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|pend~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state_nxt.CONV_DLY1~0_combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~1_combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2_combout\);

-- Location: FF_X47_Y47_N5
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[0]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(0));

-- Location: LCCOMB_X52_Y44_N10
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~10_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(0),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~10_combout\);

-- Location: FF_X52_Y44_N11
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~10_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(0));

-- Location: LCCOMB_X52_Y40_N16
\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[0]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[0]~6_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(0) & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_valid~q\ $ (VCC))) # 
-- (!\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(0) & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_valid~q\ & VCC))
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[0]~7\ = CARRY((\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(0) & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_valid~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(0),
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_valid~q\,
	datad => VCC,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[0]~6_combout\,
	cout => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[0]~7\);

-- Location: LCCOMB_X51_Y40_N14
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_eop_dly~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_eop_dly~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\ & (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~q\)) # 
-- (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\ & ((\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_eop_dly~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_ctrl|cmd_eop~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_eop_dly~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|ctrl_state.PUTRESP~q\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_eop_dly~0_combout\);

-- Location: FF_X51_Y40_N15
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_eop_dly\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_eop_dly~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_eop_dly~q\);

-- Location: LCCOMB_X52_Y40_N2
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_eop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_eop~0_combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_eop_dly~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|cmd_eop_dly~q\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_eop~0_combout\);

-- Location: FF_X52_Y40_N3
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_eop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_eop~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_eop~q\);

-- Location: LCCOMB_X52_Y40_N10
\adc_qsys_u0|modular_adc_1|sample_store_internal|set_eop\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|set_eop~combout\ = (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_eop~q\ & \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_valid~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_eop~q\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_valid~q\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|set_eop~combout\);

-- Location: FF_X52_Y40_N17
\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[0]~6_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_1|sample_store_internal|set_eop~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(0));

-- Location: LCCOMB_X52_Y40_N18
\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[1]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[1]~8_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(1) & (!\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[0]~7\)) # 
-- (!\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(1) & ((\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[0]~7\) # (GND)))
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[1]~9\ = CARRY((!\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[0]~7\) # (!\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(1),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[0]~7\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[1]~8_combout\,
	cout => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[1]~9\);

-- Location: FF_X52_Y40_N19
\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[1]~8_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_1|sample_store_internal|set_eop~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(1));

-- Location: LCCOMB_X52_Y40_N20
\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[2]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[2]~10_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(2) & (\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[1]~9\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(2) & (!\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[1]~9\ & VCC))
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[2]~11\ = CARRY((\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(2) & !\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[1]~9\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(2),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[1]~9\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[2]~10_combout\,
	cout => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[2]~11\);

-- Location: FF_X52_Y40_N21
\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[2]~10_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_1|sample_store_internal|set_eop~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(2));

-- Location: LCCOMB_X52_Y40_N22
\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[3]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[3]~12_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(3) & (!\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[2]~11\)) # 
-- (!\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(3) & ((\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[2]~11\) # (GND)))
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[3]~13\ = CARRY((!\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[2]~11\) # (!\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(3),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[2]~11\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[3]~12_combout\,
	cout => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[3]~13\);

-- Location: FF_X52_Y40_N23
\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[3]~12_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_1|sample_store_internal|set_eop~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(3));

-- Location: LCCOMB_X52_Y40_N24
\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[4]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[4]~14_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(4) & (\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[3]~13\ $ (GND))) # 
-- (!\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(4) & (!\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[3]~13\ & VCC))
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[4]~15\ = CARRY((\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(4) & !\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[3]~13\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(4),
	datad => VCC,
	cin => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[3]~13\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[4]~14_combout\,
	cout => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[4]~15\);

-- Location: FF_X52_Y40_N25
\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[4]~14_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_1|sample_store_internal|set_eop~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(4));

-- Location: LCCOMB_X52_Y40_N26
\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[5]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[5]~16_combout\ = \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(5) $ (\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[4]~15\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(5),
	cin => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[4]~15\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[5]~16_combout\);

-- Location: FF_X52_Y40_N27
\adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num[5]~16_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sclr => \adc_qsys_u0|modular_adc_1|sample_store_internal|set_eop~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|slot_num\(5));

-- Location: LCCOMB_X47_Y47_N26
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[1]~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(1),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[1]~feeder_combout\);

-- Location: FF_X47_Y47_N27
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[1]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(1));

-- Location: LCCOMB_X52_Y44_N24
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~1_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(1),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~1_combout\);

-- Location: FF_X52_Y44_N25
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(1));

-- Location: LCCOMB_X47_Y47_N16
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[2]~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(2),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[2]~feeder_combout\);

-- Location: FF_X47_Y47_N17
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[2]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(2));

-- Location: LCCOMB_X52_Y44_N18
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~0_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(2),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~0_combout\);

-- Location: FF_X52_Y44_N19
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(2));

-- Location: LCCOMB_X47_Y47_N22
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[3]~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(3),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[3]~feeder_combout\);

-- Location: FF_X47_Y47_N23
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[3]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(3));

-- Location: LCCOMB_X52_Y44_N28
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~6_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(3),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~6_combout\);

-- Location: FF_X52_Y44_N29
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~6_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(3));

-- Location: LCCOMB_X47_Y47_N24
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[4]~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(4),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[4]~feeder_combout\);

-- Location: FF_X47_Y47_N25
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[4]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(4));

-- Location: LCCOMB_X52_Y44_N16
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~5_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(4),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~5_combout\);

-- Location: FF_X52_Y44_N17
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~5_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(4));

-- Location: LCCOMB_X47_Y47_N12
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[5]~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(5),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[5]~feeder_combout\);

-- Location: FF_X47_Y47_N13
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[5]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(5));

-- Location: LCCOMB_X52_Y44_N2
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~2_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(5),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~2_combout\);

-- Location: FF_X52_Y44_N3
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(5));

-- Location: LCCOMB_X47_Y47_N6
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[6]~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(6),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[6]~feeder_combout\);

-- Location: FF_X47_Y47_N7
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[6]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(6));

-- Location: LCCOMB_X52_Y44_N6
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~4_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(6),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~4_combout\);

-- Location: FF_X52_Y44_N7
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~4_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(6));

-- Location: LCCOMB_X47_Y47_N30
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[7]~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(7),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[7]~feeder_combout\);

-- Location: FF_X47_Y47_N31
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[7]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(7));

-- Location: LCCOMB_X52_Y44_N30
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~3_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(7) & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(7),
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\,
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~3_combout\);

-- Location: FF_X52_Y44_N31
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~3_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(7));

-- Location: LCCOMB_X47_Y47_N8
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[8]~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(8),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[8]~feeder_combout\);

-- Location: FF_X47_Y47_N9
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[8]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(8));

-- Location: LCCOMB_X52_Y44_N4
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~11_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(8),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~11_combout\);

-- Location: FF_X52_Y44_N5
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~11_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(8));

-- Location: LCCOMB_X47_Y47_N28
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[9]~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(9),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[9]~feeder_combout\);

-- Location: FF_X47_Y47_N29
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[9]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(9));

-- Location: LCCOMB_X52_Y44_N14
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~8_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(9),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~8_combout\);

-- Location: FF_X52_Y44_N15
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~8_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(9));

-- Location: LCCOMB_X47_Y47_N10
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[10]~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(10)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(10),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[10]~feeder_combout\);

-- Location: FF_X47_Y47_N11
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[10]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(10));

-- Location: LCCOMB_X52_Y44_N12
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~7_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(10)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\,
	datac => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(10),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~7_combout\);

-- Location: FF_X52_Y44_N13
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~7_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(10));

-- Location: LCCOMB_X47_Y47_N14
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[11]~feeder_combout\ = \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(11)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|adc_inst|adcblock_instance|wire_from_adc_dout\(11),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[11]~feeder_combout\);

-- Location: FF_X47_Y47_N15
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp[11]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_dout~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(11));

-- Location: LCCOMB_X52_Y44_N22
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~9_combout\ = (!\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\ & (\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\ & 
-- \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|prev_cmd_is_ts~q\,
	datab => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|load_rsp~combout\,
	datad => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|dout_flp\(11),
	combout => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~9_combout\);

-- Location: FF_X52_Y44_N23
\adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data~9_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_data\(11));

-- Location: M9K_X53_Y40_N0
\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0\ : fiftyfivenm_ram_block
-- pragma translate_off
GENERIC MAP (
	data_interleave_offset_in_bits => 1,
	data_interleave_width_in_bits => 1,
	logical_ram_name => "adc_qsys:adc_qsys_u0|adc_qsys_modular_adc_1:modular_adc_1|altera_modular_adc_sample_store:sample_store_internal|altera_modular_adc_sample_store_ram:u_ss_ram|altsyncram:altsyncram_component|altsyncram_v5s1:auto_generated|ALTSYNCRAM",
	mixed_port_feed_through_mode => "old",
	operation_mode => "dual_port",
	port_a_address_clear => "none",
	port_a_address_width => 6,
	port_a_byte_enable_clock => "none",
	port_a_data_out_clear => "none",
	port_a_data_out_clock => "none",
	port_a_data_width => 36,
	port_a_first_address => 0,
	port_a_first_bit_number => 0,
	port_a_last_address => 63,
	port_a_logical_ram_depth => 64,
	port_a_logical_ram_width => 16,
	port_a_read_during_write_mode => "new_data_with_nbe_read",
	port_b_address_clear => "none",
	port_b_address_clock => "clock0",
	port_b_address_width => 6,
	port_b_data_out_clear => "none",
	port_b_data_out_clock => "none",
	port_b_data_width => 36,
	port_b_first_address => 0,
	port_b_first_bit_number => 0,
	port_b_last_address => 63,
	port_b_logical_ram_depth => 64,
	port_b_logical_ram_width => 16,
	port_b_read_during_write_mode => "new_data_with_nbe_read",
	port_b_read_enable_clock => "clock0",
	ram_block_type => "M9K")
-- pragma translate_on
PORT MAP (
	portawe => \adc_qsys_u0|modular_adc_1|control_internal|u_control_fsm|rsp_valid~q\,
	portbre => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en~0_combout\,
	clk0 => \clk_50_max10~inputclkctrl_outclk\,
	portadatain => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTADATAIN_bus\,
	portaaddr => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTAADDR_bus\,
	portbaddr => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBADDR_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	portbdataout => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|ram_block1a0_PORTBDATAOUT_bus\);

-- Location: FF_X52_Y40_N15
\adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\);

-- Location: LCCOMB_X49_Y40_N0
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[3]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[3]~6_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(3) & \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(3),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[3]~6_combout\);

-- Location: FF_X49_Y40_N1
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[3]~6_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(3));

-- Location: LCCOMB_X49_Y40_N24
\adc_qsys_u0|master_0|transacto|p2m|Selector77~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector77~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1) & ((\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(3)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(3))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1) & (((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & 
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(3),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(3),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector77~1_combout\);

-- Location: LCCOMB_X49_Y40_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector77~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector77~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector77~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector77~2_combout\) # 
-- (\adc_qsys_u0|master_0|transacto|p2m|Selector77~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector77~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector77~2_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector77~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector77~3_combout\);

-- Location: LCCOMB_X49_Y35_N8
\adc_qsys_u0|master_0|transacto|p2m|WideOr14~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Selector70~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector70~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\);

-- Location: LCCOMB_X49_Y38_N28
\adc_qsys_u0|product_info_0|Mux2~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|product_info_0|Mux2~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(2) & !\adc_qsys_u0|master_0|transacto|p2m|address\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \adc_qsys_u0|product_info_0|Mux2~1_combout\);

-- Location: FF_X49_Y38_N29
\adc_qsys_u0|product_info_0|av_data_read[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|product_info_0|Mux2~1_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|product_info_0|av_data_read\(30));

-- Location: FF_X50_Y38_N31
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|product_info_0|av_data_read\(30),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30));

-- Location: LCCOMB_X50_Y38_N30
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30) & 
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(30),
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\);

-- Location: FF_X50_Y37_N31
\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(16));

-- Location: FF_X49_Y38_N21
\adc_qsys_u0|product_info_0|av_data_read[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|Equal0~0_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|product_info_0|av_data_read\(19));

-- Location: LCCOMB_X50_Y38_N4
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[19]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[19]~feeder_combout\ = \adc_qsys_u0|product_info_0|av_data_read\(19)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|product_info_0|av_data_read\(19),
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[19]~feeder_combout\);

-- Location: FF_X50_Y38_N5
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[19]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19));

-- Location: LCCOMB_X49_Y37_N30
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~19_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~19_combout\);

-- Location: FF_X49_Y37_N31
\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~19_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(11));

-- Location: LCCOMB_X49_Y36_N4
\adc_qsys_u0|master_0|transacto|p2m|Mux12~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Mux12~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & ((\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(11)) # ((\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0))))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (((!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & \adc_qsys_u0|master_0|transacto|p2m|out_data\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101111001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(11),
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_data\(3),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Mux12~0_combout\);

-- Location: LCCOMB_X50_Y40_N18
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[11]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[11]~13_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(11) & \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(11),
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[11]~13_combout\);

-- Location: FF_X50_Y40_N19
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[11]~13_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(11));

-- Location: LCCOMB_X47_Y34_N14
\adc_qsys_u0|master_0|transacto|p2m|writedata[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[11]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(3),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[11]~feeder_combout\);

-- Location: LCCOMB_X50_Y34_N16
\adc_qsys_u0|master_0|transacto|p2m|writedata[10]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[10]~1_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[10]~1_combout\);

-- Location: FF_X47_Y34_N15
\adc_qsys_u0|master_0|transacto|p2m|writedata[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[11]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[10]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(11));

-- Location: LCCOMB_X47_Y38_N24
\adc_qsys_u0|dac_ctrl|data_out[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[11]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(11)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(11),
	combout => \adc_qsys_u0|dac_ctrl|data_out[11]~feeder_combout\);

-- Location: FF_X47_Y38_N25
\adc_qsys_u0|dac_ctrl|data_out[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[11]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(11));

-- Location: LCCOMB_X47_Y38_N16
\adc_qsys_u0|dac_ctrl|readdata[11]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(11) = (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & (\adc_qsys_u0|dac_ctrl|data_out\(11) & !\adc_qsys_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datab => \adc_qsys_u0|dac_ctrl|data_out\(11),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(11));

-- Location: FF_X47_Y38_N17
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(11),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(11));

-- Location: LCCOMB_X50_Y38_N2
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~17_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(11) & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(11))))) # (!\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(11) & 
-- (((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(11)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(11),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(11),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~17_combout\);

-- Location: LCCOMB_X50_Y40_N24
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[11]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[11]~13_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(11))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(11),
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[11]~13_combout\);

-- Location: FF_X50_Y40_N25
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[11]~13_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(11));

-- Location: LCCOMB_X50_Y37_N8
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~18_combout\ = (\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~17_combout\) # ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & 
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~17_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(11),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~18_combout\);

-- Location: FF_X50_Y37_N9
\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~18_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(3));

-- Location: LCCOMB_X49_Y36_N24
\adc_qsys_u0|master_0|transacto|p2m|Mux12~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Mux12~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & ((\adc_qsys_u0|master_0|transacto|p2m|Mux12~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(16))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Mux12~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(3)))))) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (((\adc_qsys_u0|master_0|transacto|p2m|Mux12~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101101011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(16),
	datac => \adc_qsys_u0|master_0|transacto|p2m|Mux12~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(3),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Mux12~1_combout\);

-- Location: LCCOMB_X49_Y36_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector77~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector77~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & \adc_qsys_u0|master_0|transacto|p2m|Mux12~1_combout\)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_data\(3)) # ((\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & \adc_qsys_u0|master_0|transacto|p2m|Mux12~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_data\(3),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Mux12~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector77~4_combout\);

-- Location: LCCOMB_X49_Y36_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector77~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector77~7_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector77~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector77~4_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector77~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector77~6_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector77~3_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector77~4_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector77~7_combout\);

-- Location: LCCOMB_X49_Y34_N8
\adc_qsys_u0|master_0|transacto|p2m|Selector77~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector77~8_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|command\(3)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_data\(3),
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|command\(3),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector77~8_combout\);

-- Location: LCCOMB_X49_Y34_N0
\adc_qsys_u0|master_0|transacto|p2m|Selector77~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector77~10_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector77~7_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector77~8_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector77~9_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector77~9_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector77~7_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector77~8_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector77~10_combout\);

-- Location: FF_X49_Y34_N1
\adc_qsys_u0|master_0|transacto|p2m|out_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector77~10_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|out_data\(3));

-- Location: LCCOMB_X49_Y34_N6
\adc_qsys_u0|master_0|transacto|p2m|Selector74~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector74~8_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|command\(6)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_data\(6),
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|command\(6),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector74~8_combout\);

-- Location: LCCOMB_X49_Y34_N24
\adc_qsys_u0|master_0|transacto|p2m|Selector74~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector74~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_data\(6)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|command\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|command\(6),
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_data\(6),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector74~0_combout\);

-- Location: LCCOMB_X50_Y40_N10
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[6]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[6]~4_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(6) & \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(6),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[6]~4_combout\);

-- Location: FF_X50_Y40_N11
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[6]~4_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(6));

-- Location: LCCOMB_X51_Y40_N24
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[6]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[6]~4_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(6),
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[6]~4_combout\);

-- Location: FF_X51_Y40_N25
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[6]~4_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(6));

-- Location: LCCOMB_X50_Y40_N14
\adc_qsys_u0|master_0|transacto|p2m|Selector74~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector74~6_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(6) & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1) & \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(6))))) # (!\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(6) & 
-- (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1) & ((\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(6),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(6),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector74~6_combout\);

-- Location: LCCOMB_X49_Y38_N26
\adc_qsys_u0|product_info_0|Mux2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|product_info_0|Mux2~0_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & \adc_qsys_u0|master_0|transacto|p2m|address\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \adc_qsys_u0|product_info_0|Mux2~0_combout\);

-- Location: FF_X49_Y38_N27
\adc_qsys_u0|product_info_0|av_data_read[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|product_info_0|Mux2~0_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|product_info_0|av_data_read\(29));

-- Location: LCCOMB_X49_Y38_N12
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[29]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[29]~feeder_combout\ = \adc_qsys_u0|product_info_0|av_data_read\(29)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|product_info_0|av_data_read\(29),
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[29]~feeder_combout\);

-- Location: FF_X49_Y38_N13
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[29]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(29));

-- Location: LCCOMB_X51_Y37_N14
\adc_qsys_u0|master_0|transacto|p2m|writedata[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[6]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|fifo|out_payload\(6),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[6]~feeder_combout\);

-- Location: FF_X51_Y37_N15
\adc_qsys_u0|master_0|transacto|p2m|writedata[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[6]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(6));

-- Location: LCCOMB_X49_Y37_N0
\adc_qsys_u0|dac_ctrl|data_out[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[6]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(6),
	combout => \adc_qsys_u0|dac_ctrl|data_out[6]~feeder_combout\);

-- Location: FF_X49_Y37_N1
\adc_qsys_u0|dac_ctrl|data_out[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[6]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(6));

-- Location: LCCOMB_X49_Y38_N14
\adc_qsys_u0|dac_ctrl|readdata[6]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(6) = (\adc_qsys_u0|dac_ctrl|data_out\(6) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & !\adc_qsys_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|dac_ctrl|data_out\(6),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(6));

-- Location: FF_X49_Y38_N15
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(6),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(6));

-- Location: LCCOMB_X49_Y38_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector74~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector74~5_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(29) & 
-- ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)) # ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(6))))) # (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(29) & 
-- (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(29),
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(6),
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector74~5_combout\);

-- Location: LCCOMB_X54_Y40_N24
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[14]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[14]~11_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(14) & \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(14),
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[14]~11_combout\);

-- Location: FF_X54_Y40_N25
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[14]~11_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(14));

-- Location: LCCOMB_X54_Y40_N6
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[14]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[14]~11_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(14))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(14),
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[14]~11_combout\);

-- Location: FF_X54_Y40_N7
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[14]~11_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(14));

-- Location: LCCOMB_X54_Y40_N30
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~12_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1) & ((\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(14)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(14))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1) & (((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & 
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(14)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(14),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(14),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~12_combout\);

-- Location: LCCOMB_X50_Y38_N6
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(29))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(29),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1_combout\);

-- Location: LCCOMB_X47_Y34_N22
\adc_qsys_u0|master_0|transacto|p2m|writedata[14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[14]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|fifo|out_payload\(6),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[14]~feeder_combout\);

-- Location: FF_X47_Y34_N23
\adc_qsys_u0|master_0|transacto|p2m|writedata[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[14]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[10]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(14));

-- Location: LCCOMB_X47_Y38_N2
\adc_qsys_u0|dac_ctrl|data_out[14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[14]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(14)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(14),
	combout => \adc_qsys_u0|dac_ctrl|data_out[14]~feeder_combout\);

-- Location: FF_X47_Y38_N3
\adc_qsys_u0|dac_ctrl|data_out[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[14]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(14));

-- Location: LCCOMB_X47_Y37_N14
\adc_qsys_u0|dac_ctrl|readdata[14]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(14) = (\adc_qsys_u0|dac_ctrl|data_out\(14) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & !\adc_qsys_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|dac_ctrl|data_out\(14),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(14));

-- Location: FF_X47_Y37_N15
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(14),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(14));

-- Location: LCCOMB_X50_Y37_N16
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~13_combout\ = (\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~12_combout\) # ((\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1_combout\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~12_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(14),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~13_combout\);

-- Location: FF_X50_Y37_N17
\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~13_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(6));

-- Location: LCCOMB_X49_Y37_N10
\adc_qsys_u0|master_0|transacto|p2m|Mux9~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Mux9~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (((\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0))))) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & ((\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(6)))) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data\(6),
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(6),
	datad => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Mux9~0_combout\);

-- Location: LCCOMB_X49_Y38_N18
\adc_qsys_u0|product_info_0|Mux2~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|product_info_0|Mux2~2_combout\ = \adc_qsys_u0|master_0|transacto|p2m|address\(2) $ (\adc_qsys_u0|master_0|transacto|p2m|address\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \adc_qsys_u0|product_info_0|Mux2~2_combout\);

-- Location: FF_X49_Y38_N19
\adc_qsys_u0|product_info_0|av_data_read[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|product_info_0|Mux2~2_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|product_info_0|av_data_read\(22));

-- Location: LCCOMB_X50_Y38_N20
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[22]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[22]~feeder_combout\ = \adc_qsys_u0|product_info_0|av_data_read\(22)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|product_info_0|av_data_read\(22),
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[22]~feeder_combout\);

-- Location: FF_X50_Y38_N21
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[22]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(22));

-- Location: LCCOMB_X50_Y37_N10
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~11_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(22) & 
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(22),
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~11_combout\);

-- Location: FF_X50_Y37_N11
\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~11_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(14));

-- Location: LCCOMB_X49_Y37_N22
\adc_qsys_u0|master_0|transacto|p2m|Mux9~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Mux9~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Mux9~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(16)) # ((!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1))))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Mux9~0_combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(14) & \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Mux9~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(16),
	datac => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(14),
	datad => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Mux9~1_combout\);

-- Location: LCCOMB_X49_Y37_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector74~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector74~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & (\adc_qsys_u0|master_0|transacto|p2m|Mux9~1_combout\))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_data\(6)) # ((\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & \adc_qsys_u0|master_0|transacto|p2m|Mux9~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Mux9~1_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_data\(6),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector74~4_combout\);

-- Location: LCCOMB_X49_Y37_N16
\adc_qsys_u0|master_0|transacto|p2m|Selector74~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector74~7_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector74~4_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector74~6_combout\) # 
-- (\adc_qsys_u0|master_0|transacto|p2m|Selector74~5_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector74~6_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector74~5_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector74~4_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector74~7_combout\);

-- Location: LCCOMB_X50_Y34_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector74~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector74~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (\adc_qsys_u0|master_0|transacto|p2m|counter\(6) & (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (((\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & \adc_qsys_u0|master_0|transacto|p2m|counter\(14)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(6),
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \adc_qsys_u0|master_0|transacto|p2m|counter\(14),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector74~1_combout\);

-- Location: LCCOMB_X49_Y34_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector74~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector74~2_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector74~1_combout\) # ((!\adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|out_data\(6))))) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|out_data\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_data\(6),
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector74~1_combout\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector74~2_combout\);

-- Location: LCCOMB_X49_Y34_N18
\adc_qsys_u0|master_0|transacto|p2m|Selector74~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector74~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & \adc_qsys_u0|master_0|transacto|p2m|Selector74~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector74~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector74~3_combout\);

-- Location: LCCOMB_X49_Y34_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector74~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector74~9_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector74~8_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector74~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector74~7_combout\) # 
-- (\adc_qsys_u0|master_0|transacto|p2m|Selector74~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector74~8_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector74~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector74~7_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector74~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector74~9_combout\);

-- Location: FF_X49_Y34_N21
\adc_qsys_u0|master_0|transacto|p2m|out_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector74~9_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|out_data\(6));

-- Location: LCCOMB_X51_Y35_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector0~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & !\adc_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector0~0_combout\);

-- Location: LCCOMB_X49_Y35_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector73~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector73~7_combout\ = ((!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Selector70~3_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector70~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector73~7_combout\);

-- Location: LCCOMB_X49_Y35_N0
\adc_qsys_u0|master_0|transacto|p2m|Selector73~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector73~6_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1))) # 
-- (!\adc_qsys_u0|master_0|p2b|in_ready~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector73~6_combout\);

-- Location: LCCOMB_X49_Y35_N14
\adc_qsys_u0|master_0|transacto|p2m|Selector73~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector73~8_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_data\(7) & ((\adc_qsys_u0|master_0|transacto|p2m|Selector73~7_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector73~6_combout\) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector73~7_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_data\(7),
	datac => \adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector73~6_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector73~8_combout\);

-- Location: LCCOMB_X50_Y35_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector73~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & 
-- !\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\);

-- Location: LCCOMB_X50_Y40_N26
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[7]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[7]~3_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(7) & \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(7),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[7]~3_combout\);

-- Location: FF_X50_Y40_N27
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[7]~3_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(7));

-- Location: LCCOMB_X51_Y40_N18
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[7]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[7]~3_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(7),
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[7]~3_combout\);

-- Location: FF_X51_Y40_N19
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[7]~3_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(7));

-- Location: LCCOMB_X51_Y37_N18
\adc_qsys_u0|master_0|transacto|p2m|writedata[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[7]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(7),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[7]~feeder_combout\);

-- Location: FF_X51_Y37_N19
\adc_qsys_u0|master_0|transacto|p2m|writedata[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[7]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(7));

-- Location: FF_X47_Y37_N7
\adc_qsys_u0|dac_ctrl|data_out[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|transacto|p2m|writedata\(7),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(7));

-- Location: LCCOMB_X47_Y37_N20
\adc_qsys_u0|dac_ctrl|readdata[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(7) = (\adc_qsys_u0|dac_ctrl|data_out\(7) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & !\adc_qsys_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|dac_ctrl|data_out\(7),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(7));

-- Location: FF_X47_Y37_N21
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(7),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(7));

-- Location: LCCOMB_X50_Y40_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector73~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(7)) # 
-- ((\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(7) & \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1))))) # (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) 
-- & (\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(7) & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(7),
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(7),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\);

-- Location: LCCOMB_X50_Y40_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector73~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector73~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\) # ((\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(7) & 
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(7),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector73~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector73~2_combout\);

-- Location: LCCOMB_X50_Y40_N2
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[15]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[15]~10_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(15) & \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(15),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[15]~10_combout\);

-- Location: FF_X50_Y40_N3
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[15]~10_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(15));

-- Location: LCCOMB_X50_Y40_N28
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[15]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[15]~10_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(15) & \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(15),
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[15]~10_combout\);

-- Location: FF_X50_Y40_N29
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[15]~10_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(15));

-- Location: LCCOMB_X47_Y34_N6
\adc_qsys_u0|master_0|transacto|p2m|writedata[15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[15]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(7),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[15]~feeder_combout\);

-- Location: FF_X47_Y34_N7
\adc_qsys_u0|master_0|transacto|p2m|writedata[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[15]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[10]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(15));

-- Location: LCCOMB_X47_Y37_N18
\adc_qsys_u0|dac_ctrl|data_out[15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[15]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(15)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(15),
	combout => \adc_qsys_u0|dac_ctrl|data_out[15]~feeder_combout\);

-- Location: FF_X47_Y37_N19
\adc_qsys_u0|dac_ctrl|data_out[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[15]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(15));

-- Location: LCCOMB_X47_Y38_N12
\adc_qsys_u0|dac_ctrl|readdata[15]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(15) = (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & \adc_qsys_u0|dac_ctrl|data_out\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \adc_qsys_u0|dac_ctrl|data_out\(15),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(15));

-- Location: FF_X47_Y38_N13
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(15),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(15));

-- Location: LCCOMB_X50_Y38_N10
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(15) & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(15))))) # (!\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(15) & 
-- (((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(15)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(15),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(15),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\);

-- Location: LCCOMB_X50_Y37_N14
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~10_combout\ = (\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\) # ((\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(15) & 
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(15),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~9_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~10_combout\);

-- Location: FF_X50_Y37_N15
\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~10_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(7));

-- Location: LCCOMB_X50_Y35_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector73~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector73~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(7),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector73~3_combout\);

-- Location: LCCOMB_X50_Y35_N28
\adc_qsys_u0|master_0|transacto|p2m|Selector73~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector73~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector73~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|counter\(15))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|counter\(15),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector73~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector73~4_combout\);

-- Location: LCCOMB_X50_Y35_N4
\adc_qsys_u0|master_0|transacto|p2m|Selector73~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector73~5_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector73~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector73~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector73~2_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector73~4_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector73~5_combout\);

-- Location: LCCOMB_X50_Y35_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector73~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector73~9_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector73~8_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector73~5_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|counter\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector73~8_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector73~5_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|counter\(7),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector73~9_combout\);

-- Location: LCCOMB_X49_Y35_N16
\adc_qsys_u0|master_0|transacto|p2m|Selector73~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector73~10_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector0~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector73~9_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector0~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector73~9_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector73~10_combout\);

-- Location: FF_X49_Y35_N17
\adc_qsys_u0|master_0|transacto|p2m|out_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector73~10_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|out_data\(7));

-- Location: LCCOMB_X46_Y35_N24
\adc_qsys_u0|master_0|p2b|in_ready~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|in_ready~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_data\(7)) # (!\adc_qsys_u0|master_0|transacto|p2m|out_data\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(6),
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_data\(7),
	combout => \adc_qsys_u0|master_0|p2b|in_ready~3_combout\);

-- Location: LCCOMB_X50_Y36_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector76~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector76~9_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|command\(4)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data\(4),
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector76~9_combout\);

-- Location: LCCOMB_X50_Y36_N24
\adc_qsys_u0|master_0|transacto|p2m|Selector76~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector76~10_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(4))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|command\(4)))))) # (!\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data\(4),
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector76~10_combout\);

-- Location: LCCOMB_X50_Y36_N8
\adc_qsys_u0|master_0|transacto|p2m|Selector76~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector76~6_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (((\adc_qsys_u0|master_0|transacto|p2m|counter\(4) & !\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0))))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (\adc_qsys_u0|master_0|transacto|p2m|counter\(12) & ((\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(12),
	datac => \adc_qsys_u0|master_0|transacto|p2m|counter\(4),
	datad => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector76~6_combout\);

-- Location: LCCOMB_X50_Y36_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector76~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector76~7_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector76~6_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|out_data\(4) & 
-- !\adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\)))) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data\(4),
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector76~6_combout\,
	datac => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector76~7_combout\);

-- Location: LCCOMB_X50_Y36_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector76~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector76~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_data\(4) & !\adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(4),
	datad => \adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector76~0_combout\);

-- Location: LCCOMB_X54_Y40_N4
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[4]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[4]~5_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(4) & \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(4),
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[4]~5_combout\);

-- Location: FF_X54_Y40_N5
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[4]~5_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(4));

-- Location: LCCOMB_X54_Y40_N20
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[4]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[4]~5_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(4),
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[4]~5_combout\);

-- Location: FF_X54_Y40_N21
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[4]~5_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(4));

-- Location: LCCOMB_X54_Y40_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector76~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector76~3_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1) & ((\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(4)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(4))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1) & (((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & 
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(4),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(4),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector76~3_combout\);

-- Location: LCCOMB_X51_Y37_N30
\adc_qsys_u0|master_0|transacto|p2m|writedata[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[4]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|fifo|out_payload\(4),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[4]~feeder_combout\);

-- Location: FF_X51_Y37_N31
\adc_qsys_u0|master_0|transacto|p2m|writedata[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[4]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(4));

-- Location: LCCOMB_X47_Y37_N24
\adc_qsys_u0|dac_ctrl|data_out[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[4]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(4),
	combout => \adc_qsys_u0|dac_ctrl|data_out[4]~feeder_combout\);

-- Location: FF_X47_Y37_N25
\adc_qsys_u0|dac_ctrl|data_out[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[4]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(4));

-- Location: LCCOMB_X47_Y37_N8
\adc_qsys_u0|dac_ctrl|readdata[4]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(4) = (\adc_qsys_u0|dac_ctrl|data_out\(4) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & !\adc_qsys_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|dac_ctrl|data_out\(4),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(4));

-- Location: FF_X47_Y37_N9
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(4),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(4));

-- Location: LCCOMB_X50_Y37_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector76~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector76~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector76~3_combout\) # ((\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector76~3_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(4),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector76~4_combout\);

-- Location: LCCOMB_X49_Y40_N8
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[12]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[12]~12_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(12))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(12),
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[12]~12_combout\);

-- Location: FF_X49_Y40_N9
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[12]~12_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(12));

-- Location: LCCOMB_X47_Y34_N0
\adc_qsys_u0|master_0|transacto|p2m|writedata[12]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[12]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|fifo|out_payload\(4),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[12]~feeder_combout\);

-- Location: FF_X47_Y34_N1
\adc_qsys_u0|master_0|transacto|p2m|writedata[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[12]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[10]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(12));

-- Location: LCCOMB_X47_Y38_N26
\adc_qsys_u0|dac_ctrl|data_out[12]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[12]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(12)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(12),
	combout => \adc_qsys_u0|dac_ctrl|data_out[12]~feeder_combout\);

-- Location: FF_X47_Y38_N27
\adc_qsys_u0|dac_ctrl|data_out[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[12]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(12));

-- Location: LCCOMB_X47_Y37_N28
\adc_qsys_u0|dac_ctrl|readdata[12]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(12) = (\adc_qsys_u0|dac_ctrl|data_out\(12) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & !\adc_qsys_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|dac_ctrl|data_out\(12),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(12));

-- Location: FF_X47_Y37_N29
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(12),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(12));

-- Location: LCCOMB_X49_Y37_N24
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~14_combout\ = (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(12)) # 
-- ((\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(12) & \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1))))) # (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) 
-- & (\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(12) & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(12),
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(12),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~14_combout\);

-- Location: LCCOMB_X49_Y40_N10
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[12]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[12]~12_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(12))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(12),
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[12]~12_combout\);

-- Location: FF_X49_Y40_N11
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[12]~12_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(12));

-- Location: LCCOMB_X49_Y40_N26
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~15_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(12))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(12),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~15_combout\);

-- Location: LCCOMB_X49_Y37_N14
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~16_combout\ = (\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~14_combout\) # ((\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~15_combout\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(12) & \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(12),
	datab => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~14_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~15_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~16_combout\);

-- Location: FF_X49_Y37_N15
\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~16_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(4));

-- Location: FF_X50_Y37_N3
\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(20));

-- Location: LCCOMB_X50_Y37_N26
\adc_qsys_u0|master_0|transacto|p2m|Selector76~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector76~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & ((\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(20)))) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & 
-- (\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(4),
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(20),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector76~1_combout\);

-- Location: LCCOMB_X50_Y36_N4
\adc_qsys_u0|master_0|transacto|p2m|Selector76~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector76~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (((\adc_qsys_u0|master_0|transacto|p2m|Selector76~1_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & 
-- (\adc_qsys_u0|master_0|transacto|p2m|out_data\(4) & ((!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data\(4),
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector76~1_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector76~2_combout\);

-- Location: LCCOMB_X50_Y36_N16
\adc_qsys_u0|master_0|transacto|p2m|Selector76~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector76~5_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector76~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector76~4_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & (\adc_qsys_u0|master_0|transacto|p2m|Selector76~4_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector76~4_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector76~2_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector76~5_combout\);

-- Location: LCCOMB_X50_Y36_N2
\adc_qsys_u0|master_0|transacto|p2m|Selector76~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector76~8_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector76~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector76~5_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector76~7_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector76~7_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector76~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector76~5_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector76~8_combout\);

-- Location: LCCOMB_X50_Y36_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector76~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector76~11_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector76~9_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector76~8_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector76~10_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector76~9_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector76~10_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector76~8_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector76~11_combout\);

-- Location: FF_X50_Y36_N31
\adc_qsys_u0|master_0|transacto|p2m|out_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector76~11_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|out_data\(4));

-- Location: LCCOMB_X49_Y34_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector75~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector75~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_data\(5)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|command\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|command\(5),
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(5),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector75~0_combout\);

-- Location: LCCOMB_X49_Y34_N4
\adc_qsys_u0|master_0|transacto|p2m|Selector75~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector75~10_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|command\(5)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_data\(5),
	datac => \adc_qsys_u0|master_0|transacto|p2m|command\(5),
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector75~10_combout\);

-- Location: LCCOMB_X50_Y36_N18
\adc_qsys_u0|master_0|transacto|p2m|Selector75~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector75~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (\adc_qsys_u0|master_0|transacto|p2m|counter\(13) & ((!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1))))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (((\adc_qsys_u0|master_0|transacto|p2m|counter\(5) & \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|counter\(13),
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|counter\(5),
	datad => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector75~1_combout\);

-- Location: LCCOMB_X50_Y36_N28
\adc_qsys_u0|master_0|transacto|p2m|Selector75~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector75~2_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector75~1_combout\) # ((!\adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|out_data\(5))))) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|out_data\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(5),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector75~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector75~2_combout\);

-- Location: LCCOMB_X49_Y36_N16
\adc_qsys_u0|master_0|transacto|p2m|Selector75~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector75~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & \adc_qsys_u0|master_0|transacto|p2m|Selector75~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector75~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector75~3_combout\);

-- Location: LCCOMB_X50_Y40_N12
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[5]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[5]~2_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(5) & \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(5),
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[5]~2_combout\);

-- Location: FF_X50_Y40_N13
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[5]~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(5));

-- Location: LCCOMB_X50_Y40_N4
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[5]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[5]~2_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(5) & \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(5),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[5]~2_combout\);

-- Location: FF_X50_Y40_N5
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[5]~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(5));

-- Location: LCCOMB_X50_Y40_N0
\adc_qsys_u0|master_0|transacto|p2m|Selector75~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector75~6_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(5) & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1)) # 
-- ((\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(5) & \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1))))) # (!\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(5) & 
-- (\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(5) & (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(5),
	datab => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(5),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector75~6_combout\);

-- Location: LCCOMB_X51_Y37_N28
\adc_qsys_u0|master_0|transacto|p2m|writedata[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[5]~feeder_combout\ = \adc_qsys_u0|master_0|b2p|out_data[5]~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|b2p|out_data[5]~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[5]~feeder_combout\);

-- Location: FF_X51_Y37_N29
\adc_qsys_u0|master_0|transacto|p2m|writedata[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[5]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(5));

-- Location: LCCOMB_X47_Y37_N30
\adc_qsys_u0|dac_ctrl|data_out[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[5]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(5),
	combout => \adc_qsys_u0|dac_ctrl|data_out[5]~feeder_combout\);

-- Location: FF_X47_Y37_N31
\adc_qsys_u0|dac_ctrl|data_out[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[5]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(5));

-- Location: LCCOMB_X50_Y37_N28
\adc_qsys_u0|dac_ctrl|readdata[5]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(5) = (\adc_qsys_u0|dac_ctrl|data_out\(5) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & !\adc_qsys_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|dac_ctrl|data_out\(5),
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(5));

-- Location: FF_X50_Y37_N29
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(5),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(5));

-- Location: LCCOMB_X50_Y37_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector75~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector75~7_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector75~6_combout\) # ((\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector75~6_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(5),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector75~7_combout\);

-- Location: LCCOMB_X54_Y40_N28
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[13]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[13]~9_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(13) & \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(13),
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[13]~9_combout\);

-- Location: FF_X54_Y40_N29
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[13]~9_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(13));

-- Location: LCCOMB_X54_Y40_N10
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[13]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[13]~9_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(13))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(13),
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[13]~9_combout\);

-- Location: FF_X54_Y40_N11
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[13]~9_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(13));

-- Location: LCCOMB_X54_Y40_N16
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~7_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1) & ((\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(13)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(13))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1) & (((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & 
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(13)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(13),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(13),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~7_combout\);

-- Location: LCCOMB_X47_Y34_N2
\adc_qsys_u0|master_0|transacto|p2m|writedata[13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[13]~feeder_combout\ = \adc_qsys_u0|master_0|b2p|out_data[5]~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|b2p|out_data[5]~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[13]~feeder_combout\);

-- Location: FF_X47_Y34_N3
\adc_qsys_u0|master_0|transacto|p2m|writedata[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[13]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[10]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(13));

-- Location: LCCOMB_X47_Y37_N10
\adc_qsys_u0|dac_ctrl|data_out[13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[13]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(13)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(13),
	combout => \adc_qsys_u0|dac_ctrl|data_out[13]~feeder_combout\);

-- Location: FF_X47_Y37_N11
\adc_qsys_u0|dac_ctrl|data_out[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[13]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(13));

-- Location: LCCOMB_X47_Y37_N0
\adc_qsys_u0|dac_ctrl|readdata[13]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(13) = (\adc_qsys_u0|dac_ctrl|data_out\(13) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & !\adc_qsys_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|dac_ctrl|data_out\(13),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(13));

-- Location: FF_X47_Y37_N1
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(13),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(13));

-- Location: LCCOMB_X50_Y37_N18
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~8_combout\ = (\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~7_combout\) # ((\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(13) & \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~7_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(13),
	datac => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~8_combout\);

-- Location: FF_X50_Y37_N19
\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~8_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(5));

-- Location: LCCOMB_X50_Y37_N2
\adc_qsys_u0|master_0|transacto|p2m|Selector75~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector75~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(20))) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(20),
	datad => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(5),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector75~4_combout\);

-- Location: LCCOMB_X50_Y36_N14
\adc_qsys_u0|master_0|transacto|p2m|Selector75~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector75~5_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (((\adc_qsys_u0|master_0|transacto|p2m|Selector75~4_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_data\(5),
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector75~4_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector75~5_combout\);

-- Location: LCCOMB_X50_Y36_N0
\adc_qsys_u0|master_0|transacto|p2m|Selector75~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector75~8_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector75~5_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector75~7_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & (\adc_qsys_u0|master_0|transacto|p2m|Selector75~7_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector75~7_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector75~5_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector75~8_combout\);

-- Location: LCCOMB_X50_Y36_N26
\adc_qsys_u0|master_0|transacto|p2m|Selector75~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector75~9_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector75~8_combout\) # ((!\adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ & \adc_qsys_u0|master_0|transacto|p2m|out_data\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(5),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector75~8_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector75~9_combout\);

-- Location: LCCOMB_X49_Y34_N14
\adc_qsys_u0|master_0|transacto|p2m|Selector75~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector75~11_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector75~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector75~10_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector75~3_combout\) # 
-- (\adc_qsys_u0|master_0|transacto|p2m|Selector75~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector75~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector75~10_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector75~3_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector75~9_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector75~11_combout\);

-- Location: FF_X49_Y34_N15
\adc_qsys_u0|master_0|transacto|p2m|out_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector75~11_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|out_data\(5));

-- Location: LCCOMB_X49_Y35_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector79~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector79~11_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(1))) # (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|command\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|command\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector79~11_combout\);

-- Location: LCCOMB_X49_Y35_N2
\adc_qsys_u0|master_0|transacto|p2m|Selector79~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector79~10_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|command\(1)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data\(1),
	datab => \adc_qsys_u0|master_0|transacto|p2m|command\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector79~10_combout\);

-- Location: LCCOMB_X50_Y35_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector79~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector79~7_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (((!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & \adc_qsys_u0|master_0|transacto|p2m|counter\(1))))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (\adc_qsys_u0|master_0|transacto|p2m|counter\(9) & (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100101001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \adc_qsys_u0|master_0|transacto|p2m|counter\(9),
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \adc_qsys_u0|master_0|transacto|p2m|counter\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector79~7_combout\);

-- Location: LCCOMB_X49_Y35_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector79~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector79~8_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector79~7_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|out_data\(1) & 
-- !\adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\)))) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data\(1),
	datab => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector79~7_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector79~8_combout\);

-- Location: LCCOMB_X54_Y40_N8
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[1]~1_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(1) & \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(1),
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[1]~1_combout\);

-- Location: FF_X54_Y40_N9
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[1]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(1));

-- Location: LCCOMB_X54_Y40_N18
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[1]~1_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(1),
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[1]~1_combout\);

-- Location: FF_X54_Y40_N19
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[1]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(1));

-- Location: LCCOMB_X54_Y40_N14
\adc_qsys_u0|master_0|transacto|p2m|Selector79~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector79~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1) & ((\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(1)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(1))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1) & (((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & 
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(1),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector79~1_combout\);

-- Location: LCCOMB_X47_Y38_N20
\adc_qsys_u0|dac_ctrl|data_out[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[1]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(1),
	combout => \adc_qsys_u0|dac_ctrl|data_out[1]~feeder_combout\);

-- Location: FF_X47_Y38_N21
\adc_qsys_u0|dac_ctrl|data_out[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[1]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(1));

-- Location: LCCOMB_X47_Y38_N14
\adc_qsys_u0|dac_ctrl|readdata[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(1) = (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & \adc_qsys_u0|dac_ctrl|data_out\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \adc_qsys_u0|dac_ctrl|data_out\(1),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(1));

-- Location: FF_X47_Y38_N15
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(1),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(1));

-- Location: LCCOMB_X49_Y38_N16
\adc_qsys_u0|master_0|transacto|p2m|Selector79~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector79~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(29) & 
-- ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)) # ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(1))))) # (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(29) & 
-- (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(29),
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector79~0_combout\);

-- Location: LCCOMB_X47_Y40_N8
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt\(1) = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(0) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1) & \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt\(1));

-- Location: FF_X47_Y40_N9
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt\(1),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(1));

-- Location: LCCOMB_X47_Y41_N6
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt\(1) = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(0) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1) & \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt\(1));

-- Location: FF_X47_Y41_N7
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt\(1),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata\(1));

-- Location: LCCOMB_X49_Y40_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector79~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector79~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0) & ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata\(1)) # 
-- ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(1) & \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0) & (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(1) & 
-- (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(1),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0),
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector79~2_combout\);

-- Location: LCCOMB_X49_Y40_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector79~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector79~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector79~1_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector79~0_combout\) # 
-- (\adc_qsys_u0|master_0|transacto|p2m|Selector79~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector79~1_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector79~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector79~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector79~3_combout\);

-- Location: LCCOMB_X51_Y40_N26
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[9]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[9]~8_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(9))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(9),
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[9]~8_combout\);

-- Location: FF_X51_Y40_N27
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[9]~8_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(9));

-- Location: LCCOMB_X47_Y34_N26
\adc_qsys_u0|master_0|transacto|p2m|writedata[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[9]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[9]~feeder_combout\);

-- Location: FF_X47_Y34_N27
\adc_qsys_u0|master_0|transacto|p2m|writedata[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[9]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[10]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(9));

-- Location: LCCOMB_X47_Y38_N22
\adc_qsys_u0|dac_ctrl|data_out[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[9]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|writedata\(9),
	combout => \adc_qsys_u0|dac_ctrl|data_out[9]~feeder_combout\);

-- Location: FF_X47_Y38_N23
\adc_qsys_u0|dac_ctrl|data_out[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[9]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(9));

-- Location: LCCOMB_X47_Y38_N10
\adc_qsys_u0|dac_ctrl|readdata[9]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(9) = (\adc_qsys_u0|dac_ctrl|data_out\(9) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & !\adc_qsys_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|dac_ctrl|data_out\(9),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(9));

-- Location: FF_X47_Y38_N11
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(9),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(9));

-- Location: LCCOMB_X50_Y38_N28
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~4_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(9) & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(9))))) # (!\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(9) & 
-- (((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(9)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(9),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(9),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~4_combout\);

-- Location: LCCOMB_X52_Y40_N30
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[9]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[9]~8_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(9))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(9),
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[9]~8_combout\);

-- Location: FF_X52_Y40_N31
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[9]~8_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(9));

-- Location: LCCOMB_X50_Y37_N22
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~5_combout\ = (\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~4_combout\) # ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & 
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~4_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(9),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~5_combout\);

-- Location: FF_X50_Y37_N23
\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~5_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(1));

-- Location: LCCOMB_X49_Y37_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector79~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector79~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & ((\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(1)))) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & 
-- (\adc_qsys_u0|master_0|transacto|p2m|out_data\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector79~4_combout\);

-- Location: LCCOMB_X51_Y37_N10
\adc_qsys_u0|master_0|transacto|p2m|writedata[17]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[17]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[17]~feeder_combout\);

-- Location: LCCOMB_X51_Y37_N24
\adc_qsys_u0|master_0|transacto|p2m|writedata[16]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[16]~2_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[16]~2_combout\);

-- Location: FF_X51_Y37_N11
\adc_qsys_u0|master_0|transacto|p2m|writedata[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[17]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[16]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(17));

-- Location: LCCOMB_X47_Y37_N22
\adc_qsys_u0|dac_ctrl|data_out[17]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[17]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(17)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(17),
	combout => \adc_qsys_u0|dac_ctrl|data_out[17]~feeder_combout\);

-- Location: FF_X47_Y37_N23
\adc_qsys_u0|dac_ctrl|data_out[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[17]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(17));

-- Location: LCCOMB_X50_Y37_N0
\adc_qsys_u0|dac_ctrl|readdata[17]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(17) = (\adc_qsys_u0|dac_ctrl|data_out\(17) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & !\adc_qsys_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|dac_ctrl|data_out\(17),
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(17));

-- Location: FF_X50_Y37_N1
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(17),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(17));

-- Location: LCCOMB_X49_Y37_N4
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~6_combout\ = (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(17)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & (((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(17),
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~6_combout\);

-- Location: FF_X49_Y37_N5
\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~6_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(9));

-- Location: LCCOMB_X49_Y37_N26
\adc_qsys_u0|master_0|transacto|p2m|Selector79~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector79~5_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & ((\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(9))))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (((\adc_qsys_u0|master_0|transacto|p2m|Selector79~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector79~4_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(9),
	datad => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector79~5_combout\);

-- Location: LCCOMB_X49_Y35_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector79~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector79~6_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector79~5_combout\) # ((!\adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|out_data\(1))))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_data\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector79~5_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_data\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector79~6_combout\);

-- Location: LCCOMB_X49_Y35_N4
\adc_qsys_u0|master_0|transacto|p2m|Selector79~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector79~9_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector79~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector79~6_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector79~8_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector79~8_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector79~3_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector79~6_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector79~9_combout\);

-- Location: LCCOMB_X49_Y35_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector79~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector79~12_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector79~10_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector79~9_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector79~11_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector79~11_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector79~10_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector79~9_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector79~12_combout\);

-- Location: FF_X49_Y35_N13
\adc_qsys_u0|master_0|transacto|p2m|out_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector79~12_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|out_data\(1));

-- Location: LCCOMB_X49_Y36_N18
\adc_qsys_u0|master_0|transacto|p2m|Selector78~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector78~10_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|command\(2))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_data\(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|command\(2),
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(2),
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector78~10_combout\);

-- Location: LCCOMB_X47_Y40_N6
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt\(2) = (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(1) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1) & \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|mode\(1),
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt\(2));

-- Location: FF_X47_Y40_N7
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt\(2),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(2));

-- Location: LCCOMB_X47_Y41_N30
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt\(2) = (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(1) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1) & \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|mode\(1),
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt\(2));

-- Location: FF_X47_Y41_N31
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt\(2),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata\(2));

-- Location: LCCOMB_X49_Y40_N14
\adc_qsys_u0|master_0|transacto|p2m|Selector78~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector78~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0) & ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata\(2)) # 
-- ((\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(2) & \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0) & (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(2) & 
-- (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(2),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0),
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata\(2),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector78~2_combout\);

-- Location: LCCOMB_X47_Y38_N4
\adc_qsys_u0|dac_ctrl|data_out[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[2]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|writedata\(2),
	combout => \adc_qsys_u0|dac_ctrl|data_out[2]~feeder_combout\);

-- Location: FF_X47_Y38_N5
\adc_qsys_u0|dac_ctrl|data_out[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[2]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(2));

-- Location: LCCOMB_X47_Y38_N30
\adc_qsys_u0|dac_ctrl|readdata[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(2) = (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & (\adc_qsys_u0|dac_ctrl|data_out\(2) & !\adc_qsys_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datab => \adc_qsys_u0|dac_ctrl|data_out\(2),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(2));

-- Location: FF_X47_Y38_N31
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(2),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(2));

-- Location: LCCOMB_X50_Y38_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector78~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector78~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(2)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(19),
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(2),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector78~0_combout\);

-- Location: LCCOMB_X50_Y40_N8
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[2]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[2]~0_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(2),
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[2]~0_combout\);

-- Location: FF_X50_Y40_N9
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[2]~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(2));

-- Location: LCCOMB_X51_Y40_N2
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[2]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[2]~0_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(2),
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[2]~0_combout\);

-- Location: FF_X51_Y40_N3
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[2]~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(2));

-- Location: LCCOMB_X51_Y40_N28
\adc_qsys_u0|master_0|transacto|p2m|Selector78~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector78~1_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(2) & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1)) # 
-- ((\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(2) & \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1))))) # (!\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(2) & 
-- (\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(2) & (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(2),
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(2),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector78~1_combout\);

-- Location: LCCOMB_X50_Y40_N16
\adc_qsys_u0|master_0|transacto|p2m|Selector78~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector78~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector78~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector78~0_combout\) # 
-- (\adc_qsys_u0|master_0|transacto|p2m|Selector78~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector78~2_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector78~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector78~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector78~3_combout\);

-- Location: LCCOMB_X50_Y34_N12
\adc_qsys_u0|master_0|transacto|p2m|Selector78~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector78~7_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(10))))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (\adc_qsys_u0|master_0|transacto|p2m|counter\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110001001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|counter\(2),
	datad => \adc_qsys_u0|master_0|transacto|p2m|counter\(10),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector78~7_combout\);

-- Location: LCCOMB_X49_Y36_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector78~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector78~8_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector78~7_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|out_data\(2) & 
-- !\adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\)))) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data\(2),
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector78~7_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector78~8_combout\);

-- Location: LCCOMB_X47_Y34_N16
\adc_qsys_u0|master_0|transacto|p2m|writedata[10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[10]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(2),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[10]~feeder_combout\);

-- Location: FF_X47_Y34_N17
\adc_qsys_u0|master_0|transacto|p2m|writedata[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[10]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[10]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(10));

-- Location: LCCOMB_X47_Y38_N18
\adc_qsys_u0|dac_ctrl|data_out[10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[10]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(10)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|writedata\(10),
	combout => \adc_qsys_u0|dac_ctrl|data_out[10]~feeder_combout\);

-- Location: FF_X47_Y38_N19
\adc_qsys_u0|dac_ctrl|data_out[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[10]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(10));

-- Location: LCCOMB_X47_Y37_N2
\adc_qsys_u0|dac_ctrl|readdata[10]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(10) = (\adc_qsys_u0|dac_ctrl|data_out\(10) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & !\adc_qsys_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|dac_ctrl|data_out\(10),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(10));

-- Location: FF_X47_Y37_N3
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(10),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(10));

-- Location: LCCOMB_X54_Y40_N2
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[10]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[10]~7_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(10) & \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(10),
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[10]~7_combout\);

-- Location: FF_X54_Y40_N3
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[10]~7_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(10));

-- Location: LCCOMB_X54_Y40_N12
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[10]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[10]~7_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(10))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(10),
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[10]~7_combout\);

-- Location: FF_X54_Y40_N13
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[10]~7_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(10));

-- Location: LCCOMB_X54_Y40_N26
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1) & ((\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(10)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(10))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1) & (((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & 
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(10)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(10),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(10),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2_combout\);

-- Location: LCCOMB_X50_Y37_N6
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~3_combout\ = (\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1_combout\) # ((\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2_combout\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(10) & \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(10),
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~1_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~2_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~3_combout\);

-- Location: FF_X50_Y37_N7
\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~3_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(2));

-- Location: LCCOMB_X49_Y37_N8
\adc_qsys_u0|master_0|transacto|p2m|Selector78~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector78~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & ((\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(16)))) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & 
-- (\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(2),
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(16),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector78~4_combout\);

-- Location: LCCOMB_X49_Y36_N0
\adc_qsys_u0|master_0|transacto|p2m|Selector78~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector78~5_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (((\adc_qsys_u0|master_0|transacto|p2m|Selector78~4_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & 
-- (\adc_qsys_u0|master_0|transacto|p2m|out_data\(2) & (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data\(2),
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector78~4_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector78~5_combout\);

-- Location: LCCOMB_X49_Y36_N28
\adc_qsys_u0|master_0|transacto|p2m|Selector78~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector78~6_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector78~5_combout\)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_data\(2)) # ((\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & \adc_qsys_u0|master_0|transacto|p2m|Selector78~5_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(2),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector78~5_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector78~6_combout\);

-- Location: LCCOMB_X49_Y36_N26
\adc_qsys_u0|master_0|transacto|p2m|Selector78~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector78~9_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector78~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector78~6_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector78~8_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector78~3_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector78~8_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector78~6_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector78~9_combout\);

-- Location: LCCOMB_X49_Y36_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector78~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector78~11_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(2))) # (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|command\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(2),
	datad => \adc_qsys_u0|master_0|transacto|p2m|command\(2),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector78~11_combout\);

-- Location: LCCOMB_X49_Y36_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector78~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector78~12_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector78~10_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector78~9_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector78~11_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector78~10_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector78~9_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector78~11_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector78~12_combout\);

-- Location: FF_X49_Y36_N31
\adc_qsys_u0|master_0|transacto|p2m|out_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector78~12_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|out_data\(2));

-- Location: LCCOMB_X46_Y34_N0
\adc_qsys_u0|master_0|p2b|in_ready~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|in_ready~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_valid~q\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6) $ 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\)) # (!\adc_qsys_u0|master_0|p2b|out_valid~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\,
	datac => \adc_qsys_u0|master_0|p2b|out_valid~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_valid~q\,
	combout => \adc_qsys_u0|master_0|p2b|in_ready~1_combout\);

-- Location: LCCOMB_X49_Y35_N26
\adc_qsys_u0|master_0|transacto|p2m|Selector72~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector72~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\) # (\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector72~0_combout\);

-- Location: LCCOMB_X50_Y35_N16
\adc_qsys_u0|master_0|transacto|p2m|Selector38~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector38~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\) # ((!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & \adc_qsys_u0|master_0|transacto|p2m|first_trans~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|first_trans~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector38~0_combout\);

-- Location: FF_X50_Y35_N17
\adc_qsys_u0|master_0|transacto|p2m|first_trans\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector38~0_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|first_trans~q\);

-- Location: LCCOMB_X49_Y35_N24
\adc_qsys_u0|master_0|transacto|p2m|Selector72~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector72~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector72~0_combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & \adc_qsys_u0|master_0|transacto|p2m|first_trans~q\)) # 
-- (!\adc_qsys_u0|master_0|p2b|in_ready~combout\))) # (!\adc_qsys_u0|master_0|transacto|p2m|Selector72~0_combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & \adc_qsys_u0|master_0|transacto|p2m|first_trans~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector72~0_combout\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|first_trans~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector72~1_combout\);

-- Location: LCCOMB_X49_Y35_N18
\adc_qsys_u0|master_0|transacto|p2m|Selector72~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector72~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector0~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector72~1_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector0~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector72~1_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector72~2_combout\);

-- Location: FF_X49_Y35_N19
\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector72~2_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\);

-- Location: LCCOMB_X47_Y35_N24
\adc_qsys_u0|master_0|p2b|in_ready~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|in_ready~5_combout\ = (!\adc_qsys_u0|master_0|p2b|sent_channel~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\) # (!\adc_qsys_u0|master_0|p2b|stored_channel\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|sent_channel~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datad => \adc_qsys_u0|master_0|p2b|stored_channel\(0),
	combout => \adc_qsys_u0|master_0|p2b|in_ready~5_combout\);

-- Location: LCCOMB_X47_Y35_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector82~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector82~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\ & (((!\adc_qsys_u0|master_0|p2b|in_ready~6_combout\) # (!\adc_qsys_u0|master_0|p2b|in_ready~4_combout\)) # 
-- (!\adc_qsys_u0|master_0|p2b|in_ready~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~0_combout\,
	datac => \adc_qsys_u0|master_0|p2b|in_ready~4_combout\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~6_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector82~0_combout\);

-- Location: LCCOMB_X50_Y35_N8
\adc_qsys_u0|master_0|transacto|p2m|Selector82~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector82~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\)))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|Selector82~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010111100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector82~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector73~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector82~1_combout\);

-- Location: FF_X50_Y35_N9
\adc_qsys_u0|master_0|transacto|p2m|out_endofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector82~1_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\);

-- Location: LCCOMB_X47_Y35_N18
\adc_qsys_u0|master_0|p2b|sent_eop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|sent_eop~0_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~6_combout\ & ((\adc_qsys_u0|master_0|p2b|sent_sop~q\) # (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datac => \adc_qsys_u0|master_0|p2b|sent_sop~q\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~6_combout\,
	combout => \adc_qsys_u0|master_0|p2b|sent_eop~0_combout\);

-- Location: LCCOMB_X47_Y35_N8
\adc_qsys_u0|master_0|p2b|sent_eop~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|sent_eop~1_combout\ = (\adc_qsys_u0|master_0|p2b|sent_eop~0_combout\ & ((\adc_qsys_u0|master_0|p2b|sent_eop~q\ & (!\adc_qsys_u0|master_0|p2b|in_ready~4_combout\)) # (!\adc_qsys_u0|master_0|p2b|sent_eop~q\ & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\))))) # (!\adc_qsys_u0|master_0|p2b|sent_eop~0_combout\ & (((\adc_qsys_u0|master_0|p2b|sent_eop~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111110001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~4_combout\,
	datab => \adc_qsys_u0|master_0|p2b|sent_eop~0_combout\,
	datac => \adc_qsys_u0|master_0|p2b|sent_eop~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\,
	combout => \adc_qsys_u0|master_0|p2b|sent_eop~1_combout\);

-- Location: FF_X47_Y35_N9
\adc_qsys_u0|master_0|p2b|sent_eop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|p2b|sent_eop~1_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|p2b|sent_eop~q\);

-- Location: LCCOMB_X47_Y35_N2
\adc_qsys_u0|master_0|p2b|sent_sop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|sent_sop~0_combout\ = (((\adc_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\ & !\adc_qsys_u0|master_0|p2b|sent_eop~q\)) # (!\adc_qsys_u0|master_0|p2b|in_ready~6_combout\)) # (!\adc_qsys_u0|master_0|p2b|in_ready~4_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\,
	datab => \adc_qsys_u0|master_0|p2b|sent_eop~q\,
	datac => \adc_qsys_u0|master_0|p2b|in_ready~4_combout\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~6_combout\,
	combout => \adc_qsys_u0|master_0|p2b|sent_sop~0_combout\);

-- Location: LCCOMB_X47_Y35_N26
\adc_qsys_u0|master_0|p2b|sent_sop~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|sent_sop~1_combout\ = (\adc_qsys_u0|master_0|p2b|sent_sop~q\ & (((\adc_qsys_u0|master_0|p2b|sent_sop~0_combout\)))) # (!\adc_qsys_u0|master_0|p2b|sent_sop~q\ & (\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\ & 
-- ((\adc_qsys_u0|master_0|p2b|in_ready~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datab => \adc_qsys_u0|master_0|p2b|sent_sop~0_combout\,
	datac => \adc_qsys_u0|master_0|p2b|sent_sop~q\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~6_combout\,
	combout => \adc_qsys_u0|master_0|p2b|sent_sop~1_combout\);

-- Location: FF_X47_Y35_N27
\adc_qsys_u0|master_0|p2b|sent_sop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|p2b|sent_sop~1_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|p2b|sent_sop~q\);

-- Location: LCCOMB_X47_Y35_N28
\adc_qsys_u0|master_0|p2b|in_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|in_ready~0_combout\ = (\adc_qsys_u0|master_0|p2b|sent_sop~q\ & ((\adc_qsys_u0|master_0|p2b|sent_eop~q\) # ((!\adc_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\)))) # (!\adc_qsys_u0|master_0|p2b|sent_sop~q\ & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\ & ((\adc_qsys_u0|master_0|p2b|sent_eop~q\) # (!\adc_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110010101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|sent_sop~q\,
	datab => \adc_qsys_u0|master_0|p2b|sent_eop~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\,
	combout => \adc_qsys_u0|master_0|p2b|in_ready~0_combout\);

-- Location: LCCOMB_X46_Y35_N30
\adc_qsys_u0|master_0|p2b|sent_channel_char~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|sent_channel_char~0_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~5_combout\) # ((\adc_qsys_u0|master_0|p2b|sent_channel_char~q\ & ((!\adc_qsys_u0|master_0|p2b|in_ready~0_combout\) # 
-- (!\adc_qsys_u0|master_0|p2b|in_ready~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~4_combout\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~5_combout\,
	datac => \adc_qsys_u0|master_0|p2b|sent_channel_char~q\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~0_combout\,
	combout => \adc_qsys_u0|master_0|p2b|sent_channel_char~0_combout\);

-- Location: FF_X46_Y35_N31
\adc_qsys_u0|master_0|p2b|sent_channel_char\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|p2b|sent_channel_char~0_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|p2b|sent_channel_char~q\);

-- Location: LCCOMB_X47_Y35_N20
\adc_qsys_u0|master_0|p2b|sent_channel~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|sent_channel~0_combout\ = (!\adc_qsys_u0|master_0|p2b|sent_channel~q\ & (\adc_qsys_u0|master_0|p2b|sent_channel_char~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\) # 
-- (!\adc_qsys_u0|master_0|p2b|stored_channel\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|sent_channel~q\,
	datab => \adc_qsys_u0|master_0|p2b|sent_channel_char~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datad => \adc_qsys_u0|master_0|p2b|stored_channel\(0),
	combout => \adc_qsys_u0|master_0|p2b|sent_channel~0_combout\);

-- Location: LCCOMB_X47_Y35_N12
\adc_qsys_u0|master_0|p2b|sent_channel~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|sent_channel~1_combout\ = (\adc_qsys_u0|master_0|p2b|sent_channel~0_combout\) # ((\adc_qsys_u0|master_0|p2b|sent_channel~q\ & ((!\adc_qsys_u0|master_0|p2b|in_ready~0_combout\) # (!\adc_qsys_u0|master_0|p2b|in_ready~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~4_combout\,
	datab => \adc_qsys_u0|master_0|p2b|sent_channel~0_combout\,
	datac => \adc_qsys_u0|master_0|p2b|sent_channel~q\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~0_combout\,
	combout => \adc_qsys_u0|master_0|p2b|sent_channel~1_combout\);

-- Location: FF_X47_Y35_N13
\adc_qsys_u0|master_0|p2b|sent_channel\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|p2b|sent_channel~1_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|p2b|sent_channel~q\);

-- Location: LCCOMB_X47_Y35_N16
\adc_qsys_u0|master_0|p2b|stored_channel[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|stored_channel[0]~0_combout\ = (\adc_qsys_u0|master_0|p2b|sent_channel~q\) # (\adc_qsys_u0|master_0|p2b|stored_channel\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|sent_channel~q\,
	datac => \adc_qsys_u0|master_0|p2b|stored_channel\(0),
	combout => \adc_qsys_u0|master_0|p2b|stored_channel[0]~0_combout\);

-- Location: FF_X47_Y35_N17
\adc_qsys_u0|master_0|p2b|stored_channel[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|p2b|stored_channel[0]~0_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|p2b|stored_channel\(0));

-- Location: LCCOMB_X47_Y35_N0
\adc_qsys_u0|master_0|p2b|in_ready~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|in_ready~6_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~1_combout\ & ((\adc_qsys_u0|master_0|p2b|sent_channel~q\) # ((\adc_qsys_u0|master_0|p2b|stored_channel\(0) & !\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~1_combout\,
	datab => \adc_qsys_u0|master_0|p2b|stored_channel\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datad => \adc_qsys_u0|master_0|p2b|sent_channel~q\,
	combout => \adc_qsys_u0|master_0|p2b|in_ready~6_combout\);

-- Location: LCCOMB_X47_Y35_N6
\adc_qsys_u0|master_0|p2b|sent_esc~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|sent_esc~0_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~6_combout\ & ((\adc_qsys_u0|master_0|p2b|in_ready~0_combout\ & (!\adc_qsys_u0|master_0|p2b|in_ready~4_combout\)) # (!\adc_qsys_u0|master_0|p2b|in_ready~0_combout\ & 
-- ((\adc_qsys_u0|master_0|p2b|sent_esc~q\))))) # (!\adc_qsys_u0|master_0|p2b|in_ready~6_combout\ & (((\adc_qsys_u0|master_0|p2b|sent_esc~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~4_combout\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~6_combout\,
	datac => \adc_qsys_u0|master_0|p2b|sent_esc~q\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~0_combout\,
	combout => \adc_qsys_u0|master_0|p2b|sent_esc~0_combout\);

-- Location: FF_X47_Y35_N7
\adc_qsys_u0|master_0|p2b|sent_esc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|p2b|sent_esc~0_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|p2b|sent_esc~q\);

-- Location: LCCOMB_X46_Y35_N12
\adc_qsys_u0|master_0|p2b|in_ready~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|in_ready~2_combout\ = ((\adc_qsys_u0|master_0|p2b|sent_esc~q\) # (\adc_qsys_u0|master_0|transacto|p2m|out_data\(1) $ (!\adc_qsys_u0|master_0|transacto|p2m|out_data\(2)))) # (!\adc_qsys_u0|master_0|transacto|p2m|out_data\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111010111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data\(5),
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_data\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(2),
	datad => \adc_qsys_u0|master_0|p2b|sent_esc~q\,
	combout => \adc_qsys_u0|master_0|p2b|in_ready~2_combout\);

-- Location: LCCOMB_X46_Y35_N16
\adc_qsys_u0|master_0|p2b|in_ready~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|in_ready~4_combout\ = ((\adc_qsys_u0|master_0|p2b|in_ready~3_combout\) # ((\adc_qsys_u0|master_0|p2b|in_ready~2_combout\) # (!\adc_qsys_u0|master_0|transacto|p2m|out_data\(4)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|out_data\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data\(3),
	datab => \adc_qsys_u0|master_0|p2b|in_ready~3_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(4),
	datad => \adc_qsys_u0|master_0|p2b|in_ready~2_combout\,
	combout => \adc_qsys_u0|master_0|p2b|in_ready~4_combout\);

-- Location: LCCOMB_X47_Y35_N4
\adc_qsys_u0|master_0|p2b|in_ready\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|in_ready~combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~4_combout\ & (!\adc_qsys_u0|master_0|p2b|in_ready~5_combout\ & (\adc_qsys_u0|master_0|p2b|in_ready~1_combout\ & \adc_qsys_u0|master_0|p2b|in_ready~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~4_combout\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~5_combout\,
	datac => \adc_qsys_u0|master_0|p2b|in_ready~1_combout\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~0_combout\,
	combout => \adc_qsys_u0|master_0|p2b|in_ready~combout\);

-- Location: LCCOMB_X52_Y35_N28
\adc_qsys_u0|master_0|transacto|p2m|address~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & 
-- \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|address~0_combout\);

-- Location: LCCOMB_X55_Y36_N4
\adc_qsys_u0|master_0|transacto|p2m|Selector69~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector69~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Add2~0_combout\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|address\(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Add2~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector69~1_combout\);

-- Location: LCCOMB_X55_Y36_N0
\adc_qsys_u0|master_0|transacto|p2m|Selector69~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector69~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector69~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector69~1_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & 
-- \adc_qsys_u0|master_0|fifo|out_payload\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector69~2_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector69~1_combout\,
	datad => \adc_qsys_u0|master_0|fifo|out_payload\(2),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector69~3_combout\);

-- Location: LCCOMB_X55_Y36_N14
\adc_qsys_u0|master_0|transacto|p2m|Selector69~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector69~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector69~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector69~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector69~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Add2~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector69~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector69~4_combout\);

-- Location: FF_X55_Y36_N15
\adc_qsys_u0|master_0|transacto|p2m|address[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector69~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|address\(2));

-- Location: LCCOMB_X52_Y36_N6
\adc_qsys_u0|master_0|transacto|p2m|Add2~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(3) & (!\adc_qsys_u0|master_0|transacto|p2m|Add2~1\)) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & ((\adc_qsys_u0|master_0|transacto|p2m|Add2~1\) # 
-- (GND)))
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~3\ = CARRY((!\adc_qsys_u0|master_0|transacto|p2m|Add2~1\) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add2~1\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add2~2_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add2~3\);

-- Location: LCCOMB_X54_Y36_N4
\adc_qsys_u0|master_0|transacto|p2m|Selector68~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector68~2_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|address\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector68~2_combout\);

-- Location: LCCOMB_X54_Y36_N24
\adc_qsys_u0|master_0|transacto|p2m|Selector68~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector68~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Add2~2_combout\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|address\(3))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Add2~2_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector68~1_combout\);

-- Location: LCCOMB_X54_Y36_N0
\adc_qsys_u0|master_0|transacto|p2m|Selector68~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector68~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector68~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector68~1_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(3) & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|out_payload\(3),
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector68~2_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector68~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector68~3_combout\);

-- Location: LCCOMB_X54_Y36_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector68~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector68~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector68~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector68~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector68~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Add2~2_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector68~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector68~4_combout\);

-- Location: FF_X54_Y36_N21
\adc_qsys_u0|master_0|transacto|p2m|address[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector68~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|address\(3));

-- Location: LCCOMB_X52_Y36_N8
\adc_qsys_u0|master_0|transacto|p2m|Add2~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(4) & (\adc_qsys_u0|master_0|transacto|p2m|Add2~3\ $ (GND))) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(4) & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Add2~3\ & VCC))
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~5\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|address\(4) & !\adc_qsys_u0|master_0|transacto|p2m|Add2~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(4),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add2~3\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add2~4_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add2~5\);

-- Location: LCCOMB_X54_Y36_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector67~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector67~2_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|address\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(4),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector67~2_combout\);

-- Location: LCCOMB_X54_Y36_N18
\adc_qsys_u0|master_0|transacto|p2m|Selector67~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector67~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Add2~4_combout\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|address\(4))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Add2~4_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(4),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector67~1_combout\);

-- Location: LCCOMB_X54_Y36_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector67~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector67~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector67~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector67~1_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & 
-- \adc_qsys_u0|master_0|fifo|out_payload\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector67~2_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(4),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector67~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector67~3_combout\);

-- Location: LCCOMB_X54_Y36_N8
\adc_qsys_u0|master_0|transacto|p2m|Selector67~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector67~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector67~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector67~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector67~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Add2~4_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector67~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector67~4_combout\);

-- Location: FF_X54_Y36_N9
\adc_qsys_u0|master_0|transacto|p2m|address[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector67~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|address\(4));

-- Location: LCCOMB_X52_Y36_N10
\adc_qsys_u0|master_0|transacto|p2m|Add2~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~6_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(5) & (!\adc_qsys_u0|master_0|transacto|p2m|Add2~5\)) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(5) & ((\adc_qsys_u0|master_0|transacto|p2m|Add2~5\) # 
-- (GND)))
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~7\ = CARRY((!\adc_qsys_u0|master_0|transacto|p2m|Add2~5\) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(5),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add2~5\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add2~6_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add2~7\);

-- Location: LCCOMB_X52_Y37_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector66~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector66~2_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (\adc_qsys_u0|master_0|transacto|p2m|address\(5) & (!\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- !\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(5),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector66~2_combout\);

-- Location: LCCOMB_X52_Y37_N2
\adc_qsys_u0|master_0|transacto|p2m|Selector66~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector66~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Add2~6_combout\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|address\(5))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Add2~6_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(5),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector66~1_combout\);

-- Location: LCCOMB_X52_Y37_N26
\adc_qsys_u0|master_0|transacto|p2m|Selector66~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector66~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector66~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector66~1_combout\) # ((\adc_qsys_u0|master_0|b2p|out_data[5]~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector66~2_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector66~1_combout\,
	datac => \adc_qsys_u0|master_0|b2p|out_data[5]~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector66~3_combout\);

-- Location: LCCOMB_X52_Y37_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector66~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\ = (!\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & \adc_qsys_u0|master_0|transacto|p2m|address\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(5),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\);

-- Location: LCCOMB_X52_Y37_N4
\adc_qsys_u0|master_0|transacto|p2m|Selector66~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector66~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector66~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Add2~6_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Add2~6_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector66~3_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector66~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector66~4_combout\);

-- Location: FF_X52_Y37_N5
\adc_qsys_u0|master_0|transacto|p2m|address[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector66~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|address\(5));

-- Location: LCCOMB_X52_Y36_N12
\adc_qsys_u0|master_0|transacto|p2m|Add2~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~8_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(6) & (\adc_qsys_u0|master_0|transacto|p2m|Add2~7\ $ (GND))) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(6) & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Add2~7\ & VCC))
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~9\ = CARRY((\adc_qsys_u0|master_0|transacto|p2m|address\(6) & !\adc_qsys_u0|master_0|transacto|p2m|Add2~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(6),
	datad => VCC,
	cin => \adc_qsys_u0|master_0|transacto|p2m|Add2~7\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Add2~8_combout\,
	cout => \adc_qsys_u0|master_0|transacto|p2m|Add2~9\);

-- Location: LCCOMB_X52_Y37_N18
\adc_qsys_u0|master_0|transacto|p2m|Selector65~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector65~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Add2~8_combout\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|address\(6))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Add2~8_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(6),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector65~1_combout\);

-- Location: LCCOMB_X52_Y37_N14
\adc_qsys_u0|master_0|transacto|p2m|Selector65~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector65~2_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\adc_qsys_u0|master_0|transacto|p2m|address\(6) & 
-- !\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(6),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector65~2_combout\);

-- Location: LCCOMB_X51_Y37_N16
\adc_qsys_u0|master_0|transacto|p2m|Selector65~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector65~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector65~1_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector65~2_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(6) & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|out_payload\(6),
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector65~1_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector65~2_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector65~3_combout\);

-- Location: LCCOMB_X52_Y37_N16
\adc_qsys_u0|master_0|transacto|p2m|Selector65~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector65~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(6) & (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & !\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(6),
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector65~0_combout\);

-- Location: LCCOMB_X52_Y37_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector65~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector65~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector65~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector65~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Add2~8_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Add2~8_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector65~3_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector65~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector65~4_combout\);

-- Location: FF_X52_Y37_N31
\adc_qsys_u0|master_0|transacto|p2m|address[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector65~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|address\(6));

-- Location: LCCOMB_X52_Y37_N6
\adc_qsys_u0|master_0|transacto|p2m|Selector64~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector64~2_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & (\adc_qsys_u0|master_0|transacto|p2m|address\(7) & 
-- !\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(7),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector64~2_combout\);

-- Location: LCCOMB_X52_Y37_N24
\adc_qsys_u0|master_0|transacto|p2m|Selector64~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector64~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Add2~10_combout\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|address\(7))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Add2~10_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(7),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector64~1_combout\);

-- Location: LCCOMB_X52_Y37_N0
\adc_qsys_u0|master_0|transacto|p2m|Selector64~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector64~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector64~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector64~1_combout\) # ((\adc_qsys_u0|master_0|fifo|out_payload\(7) & 
-- \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector64~2_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector64~1_combout\,
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(7),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector64~3_combout\);

-- Location: LCCOMB_X52_Y37_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector64~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector64~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector64~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector64~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~10_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector64~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Add2~10_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector64~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector64~4_combout\);

-- Location: FF_X52_Y37_N23
\adc_qsys_u0|master_0|transacto|p2m|address[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector64~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|address\(7));

-- Location: LCCOMB_X52_Y36_N30
\adc_qsys_u0|mm_interconnect_0|router|Equal1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|address\(7) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(5) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(6) & 
-- !\adc_qsys_u0|master_0|transacto|p2m|address\(9))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(7),
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(5),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(6),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(9),
	combout => \adc_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\);

-- Location: LCCOMB_X54_Y39_N4
\adc_qsys_u0|mm_interconnect_0|router|always1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|router|always1~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|read~q\ & !\adc_qsys_u0|master_0|transacto|p2m|address\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(4),
	combout => \adc_qsys_u0|mm_interconnect_0|router|always1~0_combout\);

-- Location: LCCOMB_X51_Y39_N24
\adc_qsys_u0|mm_interconnect_0|router|always1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\ & (\adc_qsys_u0|mm_interconnect_0|router|Equal1~2_combout\ & (\adc_qsys_u0|mm_interconnect_0|router|always1~0_combout\ & 
-- \adc_qsys_u0|mm_interconnect_0|router|Equal1~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|router|Equal1~2_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|router|always1~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|router|Equal1~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\);

-- Location: FF_X51_Y39_N25
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0));

-- Location: LCCOMB_X49_Y39_N30
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\ & 
-- (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~0_combout\ & ((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0)) # 
-- (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_channel\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~2_combout\);

-- Location: FF_X49_Y39_N31
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~2_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0));

-- Location: FF_X49_Y39_N21
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][107]~q\);

-- Location: LCCOMB_X49_Y39_N20
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][107]~q\) # 
-- (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[1][107]~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X49_Y39_N8
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][107]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][107]~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- (((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0_combout\)))) # (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0) & (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][107]~q\)) # 
-- (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0) & ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem_used\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][107]~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][107]~1_combout\);

-- Location: FF_X49_Y39_N9
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][107]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][107]~q\);

-- Location: FF_X50_Y39_N25
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[1][107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[1][107]~q\);

-- Location: LCCOMB_X50_Y39_N24
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[1][107]~q\) # (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[1][107]~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X50_Y39_N28
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][107]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][107]~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0) & ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0_combout\))) # (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][107]~q\)))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0) & (((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem_used\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][107]~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][107]~1_combout\);

-- Location: FF_X50_Y39_N29
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][107]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][107]~q\);

-- Location: LCCOMB_X49_Y39_N14
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][107]~q\) # ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][107]~q\)))) # (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- (((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][107]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent_rsp_fifo|mem[0][107]~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent_rsp_fifo|mem[0][107]~q\,
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~0_combout\);

-- Location: FF_X47_Y39_N11
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[1][107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[1][107]~q\);

-- Location: LCCOMB_X47_Y39_N10
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[1][107]~q\) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[1][107]~q\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X47_Y39_N4
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[0][107]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[0][107]~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0) & 
-- (((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem~0_combout\)))) # (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0) & 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(0) & (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[0][107]~q\)) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(0) & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem~0_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[0][107]~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[0][107]~1_combout\);

-- Location: FF_X47_Y39_N5
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[0][107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[0][107]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[0][107]~q\);

-- Location: FF_X47_Y39_N13
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[1][107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[1][107]~q\);

-- Location: LCCOMB_X47_Y39_N12
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[1][107]~q\) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[1][107]~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem~0_combout\);

-- Location: LCCOMB_X47_Y39_N16
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[0][107]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[0][107]~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(0) & 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0) & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem~0_combout\))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0) & (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[0][107]~q\)))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(0) & (((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[0][107]~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[0][107]~1_combout\);

-- Location: FF_X47_Y39_N17
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[0][107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[0][107]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[0][107]~q\);

-- Location: LCCOMB_X47_Y39_N8
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0) & 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[0][107]~q\) # ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0) & 
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[0][107]~q\)))) # (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0) & 
-- (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0) & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[0][107]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem[0][107]~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem[0][107]~q\,
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~2_combout\);

-- Location: FF_X51_Y41_N21
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[2][107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[2][107]~q\);

-- Location: LCCOMB_X51_Y41_N20
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[2][107]~q\) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[2][107]~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(2),
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem~2_combout\);

-- Location: LCCOMB_X51_Y41_N6
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[1][107]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[1][107]~3_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|read~0_combout\ & 
-- (((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem~2_combout\)))) # (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|read~0_combout\ & 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(1) & (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[1][107]~q\)) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(1) & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem~2_combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|read~0_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(1),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[1][107]~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem~2_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[1][107]~3_combout\);

-- Location: FF_X51_Y41_N7
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[1][107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[1][107]~3_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[1][107]~q\);

-- Location: LCCOMB_X51_Y41_N16
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(0) & 
-- !\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~0_combout\);

-- Location: LCCOMB_X51_Y41_N8
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~0_combout\ & 
-- (((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~q\)))) # (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~0_combout\ & 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[1][107]~q\) # ((!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[1][107]~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem_used\(1),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~1_combout\);

-- Location: FF_X51_Y41_N9
\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~q\);

-- Location: LCCOMB_X52_Y39_N4
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[0]~3_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(1)) # ((\adc_qsys_u0|master_0|transacto|p2m|read~q\ & 
-- (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\ & \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(1),
	datab => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[0]~3_combout\);

-- Location: LCCOMB_X52_Y39_N14
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[0]~2_combout\ = \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|read~0_combout\ $ 
-- (((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\ & (\adc_qsys_u0|master_0|transacto|p2m|read~q\ & \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|read~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[0]~2_combout\);

-- Location: FF_X52_Y39_N5
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[0]~3_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(0));

-- Location: LCCOMB_X52_Y39_N28
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|read~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|read~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(0) & 
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|read~0_combout\);

-- Location: LCCOMB_X52_Y39_N20
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[2]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[2]~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|read~0_combout\ & 
-- (((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(2) & \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~1_combout\)))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|read~0_combout\ & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~1_combout\ & 
-- (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(1))) # (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~1_combout\ & 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(1),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|read~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(2),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[2]~0_combout\);

-- Location: FF_X52_Y39_N21
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[2]~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(2));

-- Location: LCCOMB_X52_Y39_N30
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[1]~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(2)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(0) & \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(2),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[1]~1_combout\);

-- Location: FF_X52_Y39_N31
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[1]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(1));

-- Location: FF_X52_Y39_N7
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[2][107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem~2_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[2][107]~q\);

-- Location: LCCOMB_X52_Y39_N6
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[2][107]~q\) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[2][107]~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(2),
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem~2_combout\);

-- Location: LCCOMB_X52_Y39_N16
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[1][107]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[1][107]~3_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(1) & 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|read~0_combout\ & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem~2_combout\))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|read~0_combout\ & (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[1][107]~q\)))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(1) & (((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(1),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|read~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[1][107]~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem~2_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[1][107]~3_combout\);

-- Location: FF_X52_Y39_N17
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[1][107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[1][107]~3_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[1][107]~q\);

-- Location: LCCOMB_X52_Y39_N10
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(0) & 
-- !\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~0_combout\);

-- Location: LCCOMB_X52_Y39_N12
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~0_combout\ & 
-- (((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~q\)))) # (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~0_combout\ & 
-- (((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[1][107]~q\)) # (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(1),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[1][107]~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~1_combout\);

-- Location: FF_X52_Y39_N13
\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~q\);

-- Location: LCCOMB_X52_Y39_N24
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~q\ & 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1)) # ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & 
-- \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~q\)))) # (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~q\ & 
-- (((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|mem[0][107]~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem[0][107]~q\,
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~1_combout\);

-- Location: LCCOMB_X50_Y39_N14
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~3_combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~0_combout\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~2_combout\) # (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~2_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~3_combout\);

-- Location: LCCOMB_X51_Y38_N28
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~0_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|write~q\ & (\adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\ & 
-- (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\ & \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~0_combout\);

-- Location: LCCOMB_X51_Y38_N24
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]~1_combout\ = \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~3_combout\ $ 
-- (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0) $ (((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\ & \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~3_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]~1_combout\);

-- Location: FF_X51_Y38_N25
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[0]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0));

-- Location: LCCOMB_X51_Y38_N4
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[1]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[1]~0_combout\ = \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(1) $ 
-- (((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~3_combout\ & (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~0_combout\ & 
-- !\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0))) # (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~3_combout\ & 
-- (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~0_combout\ & \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011010011010010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~3_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|nonposted_cmd_accepted~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0),
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[1]~0_combout\);

-- Location: FF_X51_Y38_N5
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count[1]~0_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(1));

-- Location: LCCOMB_X51_Y38_N30
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~3_combout\ & 
-- (((!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(1) & \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\))) # (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~3_combout\ & 
-- (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\ & ((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(1)) # 
-- (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010111100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|response_sink_accepted~3_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(1),
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|pending_response_count\(0),
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\);

-- Location: LCCOMB_X51_Y38_N22
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\ & (\adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\ & 
-- (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\ & \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\ & ((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\) # ((\adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\ & 
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~0_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~1_combout\);

-- Location: FF_X51_Y38_N23
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~1_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\);

-- Location: LCCOMB_X51_Y38_N26
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\ & !\adc_qsys_u0|master_0|transacto|p2m|write~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|has_pending_responses~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\);

-- Location: LCCOMB_X51_Y39_N10
\adc_qsys_u0|mm_interconnect_0|router|src_data~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|router|src_data~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\) # (\adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|mm_interconnect_0|router|Equal4~1_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|router|always1~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|router|src_data~1_combout\);

-- Location: FF_X51_Y39_N11
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|router|src_data~1_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(2));

-- Location: LCCOMB_X51_Y39_N30
\adc_qsys_u0|mm_interconnect_0|router|src_data[91]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|router|src_data[91]~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|router|Equal5~0_combout\) # (\adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|mm_interconnect_0|router|Equal5~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|router|Equal2~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|router|src_data[91]~0_combout\);

-- Location: FF_X51_Y39_N31
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|router|src_data[91]~0_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(1));

-- Location: LCCOMB_X51_Y39_N20
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(2) & ((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(1) $ 
-- (\adc_qsys_u0|mm_interconnect_0|router|src_data[91]~0_combout\)) # (!\adc_qsys_u0|mm_interconnect_0|router|src_data~1_combout\))) # (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(2) & 
-- ((\adc_qsys_u0|mm_interconnect_0|router|src_data~1_combout\) # (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(1) $ (\adc_qsys_u0|mm_interconnect_0|router|src_data[91]~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110111111110110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(2),
	datab => \adc_qsys_u0|mm_interconnect_0|router|src_data~1_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|router|src_data[91]~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\);

-- Location: FF_X51_Y39_N7
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|mm_interconnect_0|router|src_data~2_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|save_dest_id~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0));

-- Location: LCCOMB_X51_Y39_N6
\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\ & 
-- ((\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\) # (\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0) $ (\adc_qsys_u0|mm_interconnect_0|router|src_data~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~0_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~1_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|last_dest_id\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|router|src_data~2_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\);

-- Location: LCCOMB_X49_Y39_N10
\adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~0_combout\ = (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1) & (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~0_combout\ & 
-- (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0) $ (\adc_qsys_u0|master_0|transacto|p2m|write~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|wait_latency_counter\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_agent|m0_write~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~0_combout\);

-- Location: LCCOMB_X52_Y39_N26
\adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~0_combout\) # ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\ & 
-- \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\);

-- Location: LCCOMB_X51_Y38_N8
\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\ & 
-- ((\adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\) # (\adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~0_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\);

-- Location: LCCOMB_X54_Y35_N0
\adc_qsys_u0|master_0|transacto|p2m|state~66\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~66_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state~60_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & \adc_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state~60_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~66_combout\);

-- Location: FF_X54_Y35_N1
\adc_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state~66_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\);

-- Location: LCCOMB_X54_Y35_N22
\adc_qsys_u0|master_0|transacto|p2m|out_data~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\) # (\adc_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.READ_DATA_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.READ_CMD_WAIT~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\);

-- Location: LCCOMB_X52_Y35_N8
\adc_qsys_u0|master_0|transacto|p2m|state~64\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~64_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\ & 
-- \adc_qsys_u0|master_0|p2b|in_ready~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~64_combout\);

-- Location: LCCOMB_X54_Y35_N28
\adc_qsys_u0|master_0|transacto|p2m|state~65\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~65_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|state~64_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ & 
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|rsp_mux|WideOr1~combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state~64_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~65_combout\);

-- Location: FF_X54_Y35_N29
\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state~65_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\);

-- Location: LCCOMB_X52_Y35_N22
\adc_qsys_u0|master_0|transacto|p2m|state~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~46_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & 
-- !\adc_qsys_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~46_combout\);

-- Location: FF_X52_Y35_N23
\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state~46_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\);

-- Location: LCCOMB_X51_Y36_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector62~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector62~2_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & (\adc_qsys_u0|master_0|transacto|p2m|address\(9) & 
-- !\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(9),
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector62~2_combout\);

-- Location: LCCOMB_X51_Y36_N18
\adc_qsys_u0|master_0|transacto|p2m|Selector62~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector62~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Add2~14_combout\))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|address~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|address\(9)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(9),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Add2~14_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector62~1_combout\);

-- Location: LCCOMB_X51_Y36_N6
\adc_qsys_u0|master_0|transacto|p2m|Selector62~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector62~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector62~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector62~1_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\ & 
-- \adc_qsys_u0|master_0|fifo|out_payload\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector62~2_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector62~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector62~3_combout\);

-- Location: LCCOMB_X51_Y36_N4
\adc_qsys_u0|master_0|transacto|p2m|Selector62~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector62~0_combout\ = (!\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & \adc_qsys_u0|master_0|transacto|p2m|address\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(9),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector62~0_combout\);

-- Location: LCCOMB_X51_Y36_N14
\adc_qsys_u0|master_0|transacto|p2m|Selector62~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector62~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector62~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector62~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Add2~14_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector62~3_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector62~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Add2~14_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector62~4_combout\);

-- Location: FF_X51_Y36_N15
\adc_qsys_u0|master_0|transacto|p2m|address[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector62~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|address\(9));

-- Location: LCCOMB_X52_Y36_N0
\adc_qsys_u0|mm_interconnect_0|router|Equal5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|router|Equal5~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|address\(9) & (\adc_qsys_u0|mm_interconnect_0|router|Equal4~0_combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|address\(11) & 
-- !\adc_qsys_u0|master_0|transacto|p2m|address\(10))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(9),
	datab => \adc_qsys_u0|mm_interconnect_0|router|Equal4~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(11),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(10),
	combout => \adc_qsys_u0|mm_interconnect_0|router|Equal5~0_combout\);

-- Location: LCCOMB_X52_Y39_N8
\adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~4_combout\ = (\adc_qsys_u0|mm_interconnect_0|router|Equal5~0_combout\ & !\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|mm_interconnect_0|router|Equal5~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|mem_used\(2),
	combout => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~4_combout\);

-- Location: LCCOMB_X50_Y39_N2
\adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~3_combout\ = (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1) & (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~2_combout\ & 
-- (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0) $ (\adc_qsys_u0|master_0|transacto|p2m|write~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(1),
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|wait_latency_counter\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_agent|m0_write~2_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~3_combout\);

-- Location: LCCOMB_X47_Y39_N26
\adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1) & (((\adc_qsys_u0|mm_interconnect_0|router|Equal4~0_combout\ & 
-- !\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1))))) # (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1) & ((\adc_qsys_u0|mm_interconnect_0|router|Equal2~0_combout\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|router|Equal4~0_combout\ & !\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datab => \adc_qsys_u0|mm_interconnect_0|router|Equal2~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|router|Equal4~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~1_combout\);

-- Location: LCCOMB_X51_Y39_N12
\adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~1_combout\ & (\adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~0_combout\ & (\adc_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\ & 
-- \adc_qsys_u0|mm_interconnect_0|router|Equal1~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~1_combout\,
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|router|Equal1~0_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|router|Equal1~1_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~2_combout\);

-- Location: LCCOMB_X52_Y39_N22
\adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\ = (\adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~3_combout\) # ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\ & 
-- ((\adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~4_combout\) # (\adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~4_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~3_combout\,
	datad => \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~2_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\);

-- Location: LCCOMB_X52_Y39_N2
\adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\ = (\adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\) # ((\adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~0_combout\) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\ & \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~3_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~0_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|waitrequest_reset_override~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2_combout\,
	combout => \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\);

-- Location: LCCOMB_X51_Y38_N20
\adc_qsys_u0|master_0|transacto|p2m|Selector58~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\ & (\adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\ & 
-- (!\adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\ & \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|hold_waitrequest~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|cmd_demux|WideOr0~4_combout\,
	datac => \adc_qsys_u0|mm_interconnect_0|master_0_master_limiter|suppress_change_dest_id~2_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\);

-- Location: LCCOMB_X51_Y35_N14
\adc_qsys_u0|master_0|transacto|p2m|state~41\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~41_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (!\adc_qsys_u0|master_0|transacto|p2m|command\(4) & \adc_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~41_combout\);

-- Location: LCCOMB_X52_Y34_N2
\adc_qsys_u0|master_0|transacto|p2m|write~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|write~0_combout\ = (\adc_qsys_u0|master_0|b2p|out_endofpacket~q\) # ((\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datad => \adc_qsys_u0|master_0|b2p|out_endofpacket~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|write~0_combout\);

-- Location: LCCOMB_X54_Y34_N16
\adc_qsys_u0|master_0|transacto|p2m|state~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~40_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (((!\adc_qsys_u0|master_0|b2p|out_startofpacket~q\ & !\adc_qsys_u0|master_0|transacto|p2m|write~0_combout\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|write~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~40_combout\);

-- Location: LCCOMB_X54_Y34_N18
\adc_qsys_u0|master_0|transacto|p2m|state~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~42_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state~40_combout\) # ((!\adc_qsys_u0|master_0|b2p|out_startofpacket~q\ & (\adc_qsys_u0|master_0|transacto|p2m|state~41_combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state~41_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state~40_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~42_combout\);

-- Location: LCCOMB_X54_Y34_N24
\adc_qsys_u0|master_0|transacto|p2m|state~43\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~43_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state~42_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\ & (!\adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\ & 
-- !\adc_qsys_u0|master_0|transacto|p2m|last_trans~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|last_trans~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state~42_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~43_combout\);

-- Location: FF_X54_Y34_N25
\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state~43_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\);

-- Location: LCCOMB_X54_Y34_N26
\adc_qsys_u0|master_0|transacto|p2m|Selector39~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector39~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((\adc_qsys_u0|master_0|b2p|out_endofpacket~q\) # ((\adc_qsys_u0|master_0|transacto|p2m|last_trans~q\)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|last_trans~q\ & !\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|b2p|out_endofpacket~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|last_trans~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector39~0_combout\);

-- Location: FF_X54_Y34_N27
\adc_qsys_u0|master_0|transacto|p2m|last_trans\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector39~0_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|last_trans~q\);

-- Location: LCCOMB_X52_Y35_N12
\adc_qsys_u0|master_0|transacto|p2m|state~55\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~55_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & (((\adc_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\ & \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\))) # (!\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & (\adc_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Equal10~4_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_WAIT~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~55_combout\);

-- Location: LCCOMB_X52_Y35_N0
\adc_qsys_u0|master_0|transacto|p2m|state~56\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~56_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.0000~q\ & ((!\adc_qsys_u0|master_0|transacto|p2m|state~55_combout\) # 
-- (!\adc_qsys_u0|master_0|p2b|in_ready~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.0000~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state~55_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~56_combout\);

-- Location: FF_X52_Y35_N1
\adc_qsys_u0|master_0|transacto|p2m|state.0000\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state~56_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.0000~q\);

-- Location: LCCOMB_X54_Y35_N30
\adc_qsys_u0|master_0|transacto|p2m|in_ready_0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\) # (((\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\) # (\adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|state.0000~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_EXTRA~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.0000~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE2~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_SIZE1~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~2_combout\);

-- Location: LCCOMB_X54_Y34_N28
\adc_qsys_u0|master_0|transacto|p2m|in_ready_0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\) # (\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR2~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR3~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR1~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~3_combout\);

-- Location: LCCOMB_X54_Y34_N8
\adc_qsys_u0|master_0|transacto|p2m|in_ready_0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|in_ready_0~2_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|in_ready_0~3_combout\) # ((\adc_qsys_u0|master_0|b2p|out_startofpacket~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~2_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~4_combout\);

-- Location: LCCOMB_X51_Y35_N30
\adc_qsys_u0|master_0|transacto|p2m|in_ready_0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & (((!\adc_qsys_u0|master_0|transacto|p2m|command\(4) & \adc_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|command\(4),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Equal2~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~0_combout\);

-- Location: LCCOMB_X54_Y34_N20
\adc_qsys_u0|master_0|transacto|p2m|in_ready_0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|in_ready_0~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & ((!\adc_qsys_u0|master_0|transacto|p2m|write~0_combout\) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|enable~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|write~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~1_combout\);

-- Location: LCCOMB_X54_Y34_N30
\adc_qsys_u0|master_0|transacto|p2m|in_ready_0~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~5_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|in_ready_0~4_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|in_ready_0~1_combout\) # ((!\adc_qsys_u0|master_0|transacto|p2m|last_trans~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|last_trans~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~4_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector58~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~5_combout\);

-- Location: FF_X54_Y34_N31
\adc_qsys_u0|master_0|transacto|p2m|in_ready_0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~5_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~q\);

-- Location: LCCOMB_X52_Y31_N6
\adc_qsys_u0|master_0|fifo|read~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|read~0_combout\ = (\adc_qsys_u0|master_0|fifo|internal_out_valid~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|in_ready_0~q\) # (!\adc_qsys_u0|master_0|fifo|out_valid~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|fifo|out_valid~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~q\,
	datad => \adc_qsys_u0|master_0|fifo|internal_out_valid~q\,
	combout => \adc_qsys_u0|master_0|fifo|read~0_combout\);

-- Location: LCCOMB_X51_Y31_N12
\adc_qsys_u0|master_0|fifo|Equal0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|Equal0~2_combout\ = \adc_qsys_u0|master_0|fifo|wr_ptr\(4) $ (\adc_qsys_u0|master_0|fifo|Add1~1_combout\ $ (\adc_qsys_u0|master_0|fifo|rd_ptr\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|fifo|wr_ptr\(4),
	datac => \adc_qsys_u0|master_0|fifo|Add1~1_combout\,
	datad => \adc_qsys_u0|master_0|fifo|rd_ptr\(4),
	combout => \adc_qsys_u0|master_0|fifo|Equal0~2_combout\);

-- Location: LCCOMB_X52_Y31_N18
\adc_qsys_u0|master_0|fifo|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|Equal0~1_combout\ = \adc_qsys_u0|master_0|fifo|rd_ptr\(2) $ (\adc_qsys_u0|master_0|fifo|wr_ptr\(2) $ (((\adc_qsys_u0|master_0|fifo|rd_ptr\(0) & \adc_qsys_u0|master_0|fifo|rd_ptr\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001001101101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|rd_ptr\(0),
	datab => \adc_qsys_u0|master_0|fifo|rd_ptr\(2),
	datac => \adc_qsys_u0|master_0|fifo|rd_ptr\(1),
	datad => \adc_qsys_u0|master_0|fifo|wr_ptr\(2),
	combout => \adc_qsys_u0|master_0|fifo|Equal0~1_combout\);

-- Location: LCCOMB_X51_Y31_N8
\adc_qsys_u0|master_0|fifo|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|Equal0~0_combout\ = \adc_qsys_u0|master_0|fifo|wr_ptr\(5) $ (\adc_qsys_u0|master_0|fifo|rd_ptr\(5) $ (((\adc_qsys_u0|master_0|fifo|Add1~1_combout\ & \adc_qsys_u0|master_0|fifo|rd_ptr\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001100110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|wr_ptr\(5),
	datab => \adc_qsys_u0|master_0|fifo|rd_ptr\(5),
	datac => \adc_qsys_u0|master_0|fifo|Add1~1_combout\,
	datad => \adc_qsys_u0|master_0|fifo|rd_ptr\(4),
	combout => \adc_qsys_u0|master_0|fifo|Equal0~0_combout\);

-- Location: LCCOMB_X52_Y31_N16
\adc_qsys_u0|master_0|fifo|Add1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|Add1~2_combout\ = \adc_qsys_u0|master_0|fifo|rd_ptr\(3) $ (((\adc_qsys_u0|master_0|fifo|rd_ptr\(0) & (\adc_qsys_u0|master_0|fifo|rd_ptr\(2) & \adc_qsys_u0|master_0|fifo|rd_ptr\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|rd_ptr\(0),
	datab => \adc_qsys_u0|master_0|fifo|rd_ptr\(2),
	datac => \adc_qsys_u0|master_0|fifo|rd_ptr\(3),
	datad => \adc_qsys_u0|master_0|fifo|rd_ptr\(1),
	combout => \adc_qsys_u0|master_0|fifo|Add1~2_combout\);

-- Location: LCCOMB_X52_Y31_N8
\adc_qsys_u0|master_0|fifo|internal_out_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|internal_out_valid~0_combout\ = (\adc_qsys_u0|master_0|fifo|wr_ptr\(0) & (!\adc_qsys_u0|master_0|fifo|rd_ptr\(0) & (\adc_qsys_u0|master_0|fifo|rd_ptr\(1) $ (!\adc_qsys_u0|master_0|fifo|wr_ptr\(1))))) # 
-- (!\adc_qsys_u0|master_0|fifo|wr_ptr\(0) & (\adc_qsys_u0|master_0|fifo|rd_ptr\(0) & (\adc_qsys_u0|master_0|fifo|rd_ptr\(1) $ (\adc_qsys_u0|master_0|fifo|wr_ptr\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011010010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|rd_ptr\(1),
	datab => \adc_qsys_u0|master_0|fifo|wr_ptr\(1),
	datac => \adc_qsys_u0|master_0|fifo|wr_ptr\(0),
	datad => \adc_qsys_u0|master_0|fifo|rd_ptr\(0),
	combout => \adc_qsys_u0|master_0|fifo|internal_out_valid~0_combout\);

-- Location: LCCOMB_X52_Y31_N28
\adc_qsys_u0|master_0|fifo|internal_out_valid~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|internal_out_valid~1_combout\ = (\adc_qsys_u0|master_0|fifo|internal_out_valid~0_combout\ & (\adc_qsys_u0|master_0|fifo|read~0_combout\ & (\adc_qsys_u0|master_0|fifo|wr_ptr\(3) $ (!\adc_qsys_u0|master_0|fifo|Add1~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|wr_ptr\(3),
	datab => \adc_qsys_u0|master_0|fifo|Add1~2_combout\,
	datac => \adc_qsys_u0|master_0|fifo|internal_out_valid~0_combout\,
	datad => \adc_qsys_u0|master_0|fifo|read~0_combout\,
	combout => \adc_qsys_u0|master_0|fifo|internal_out_valid~1_combout\);

-- Location: LCCOMB_X51_Y31_N10
\adc_qsys_u0|master_0|fifo|internal_out_valid~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|internal_out_valid~2_combout\ = (!\adc_qsys_u0|master_0|fifo|Equal0~2_combout\ & (!\adc_qsys_u0|master_0|fifo|Equal0~1_combout\ & (!\adc_qsys_u0|master_0|fifo|Equal0~0_combout\ & 
-- \adc_qsys_u0|master_0|fifo|internal_out_valid~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|Equal0~2_combout\,
	datab => \adc_qsys_u0|master_0|fifo|Equal0~1_combout\,
	datac => \adc_qsys_u0|master_0|fifo|Equal0~0_combout\,
	datad => \adc_qsys_u0|master_0|fifo|internal_out_valid~1_combout\,
	combout => \adc_qsys_u0|master_0|fifo|internal_out_valid~2_combout\);

-- Location: LCCOMB_X51_Y31_N4
\adc_qsys_u0|master_0|fifo|next_empty~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|next_empty~0_combout\ = (\adc_qsys_u0|master_0|fifo|write~combout\ & (((\adc_qsys_u0|master_0|fifo|empty~q\)) # (!\adc_qsys_u0|master_0|fifo|read~0_combout\))) # (!\adc_qsys_u0|master_0|fifo|write~combout\ & 
-- (((\adc_qsys_u0|master_0|fifo|empty~q\ & !\adc_qsys_u0|master_0|fifo|internal_out_valid~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|write~combout\,
	datab => \adc_qsys_u0|master_0|fifo|read~0_combout\,
	datac => \adc_qsys_u0|master_0|fifo|empty~q\,
	datad => \adc_qsys_u0|master_0|fifo|internal_out_valid~2_combout\,
	combout => \adc_qsys_u0|master_0|fifo|next_empty~0_combout\);

-- Location: FF_X51_Y31_N5
\adc_qsys_u0|master_0|fifo|empty\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|next_empty~0_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|empty~q\);

-- Location: LCCOMB_X51_Y31_N14
\adc_qsys_u0|master_0|fifo|internal_out_valid~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|internal_out_valid~3_combout\ = (\adc_qsys_u0|master_0|fifo|empty~q\ & !\adc_qsys_u0|master_0|fifo|internal_out_valid~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|empty~q\,
	datad => \adc_qsys_u0|master_0|fifo|internal_out_valid~2_combout\,
	combout => \adc_qsys_u0|master_0|fifo|internal_out_valid~3_combout\);

-- Location: FF_X51_Y31_N15
\adc_qsys_u0|master_0|fifo|internal_out_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|internal_out_valid~3_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|internal_out_valid~q\);

-- Location: LCCOMB_X52_Y31_N26
\adc_qsys_u0|master_0|fifo|out_valid~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|out_valid~feeder_combout\ = \adc_qsys_u0|master_0|fifo|internal_out_valid~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|fifo|internal_out_valid~q\,
	combout => \adc_qsys_u0|master_0|fifo|out_valid~feeder_combout\);

-- Location: FF_X52_Y31_N27
\adc_qsys_u0|master_0|fifo|out_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|out_valid~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|out_valid~q\);

-- Location: LCCOMB_X52_Y31_N2
\adc_qsys_u0|master_0|fifo|internal_out_ready\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|internal_out_ready~combout\ = (\adc_qsys_u0|master_0|transacto|p2m|in_ready_0~q\) # (!\adc_qsys_u0|master_0|fifo|out_valid~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|fifo|out_valid~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|in_ready_0~q\,
	combout => \adc_qsys_u0|master_0|fifo|internal_out_ready~combout\);

-- Location: LCCOMB_X52_Y34_N26
\adc_qsys_u0|master_0|b2p|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|Equal0~1_combout\ = (\adc_qsys_u0|master_0|fifo|out_payload\(1) & (!\adc_qsys_u0|master_0|fifo|out_payload\(2) & (\adc_qsys_u0|master_0|fifo|out_payload\(3) & \adc_qsys_u0|master_0|b2p|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|out_payload\(1),
	datab => \adc_qsys_u0|master_0|fifo|out_payload\(2),
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(3),
	datad => \adc_qsys_u0|master_0|b2p|Equal0~0_combout\,
	combout => \adc_qsys_u0|master_0|b2p|Equal0~1_combout\);

-- Location: LCCOMB_X52_Y34_N10
\adc_qsys_u0|master_0|b2p|out_startofpacket~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|out_startofpacket~0_combout\ = (\adc_qsys_u0|master_0|b2p|out_startofpacket~q\) # ((\adc_qsys_u0|master_0|b2p|Equal0~1_combout\ & (!\adc_qsys_u0|master_0|b2p|received_esc~q\ & !\adc_qsys_u0|master_0|fifo|out_payload\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|b2p|Equal0~1_combout\,
	datab => \adc_qsys_u0|master_0|b2p|received_esc~q\,
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(0),
	datad => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\,
	combout => \adc_qsys_u0|master_0|b2p|out_startofpacket~0_combout\);

-- Location: LCCOMB_X52_Y34_N0
\adc_qsys_u0|master_0|b2p|out_startofpacket~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|b2p|out_startofpacket~1_combout\ = (\adc_qsys_u0|master_0|b2p|out_startofpacket~0_combout\ & ((\adc_qsys_u0|master_0|b2p|received_channel~q\) # ((!\adc_qsys_u0|master_0|b2p|out_valid~1_combout\) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|enable~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|b2p|out_startofpacket~0_combout\,
	datab => \adc_qsys_u0|master_0|b2p|received_channel~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|enable~0_combout\,
	datad => \adc_qsys_u0|master_0|b2p|out_valid~1_combout\,
	combout => \adc_qsys_u0|master_0|b2p|out_startofpacket~1_combout\);

-- Location: FF_X52_Y34_N1
\adc_qsys_u0|master_0|b2p|out_startofpacket\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|b2p|out_startofpacket~1_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\);

-- Location: LCCOMB_X54_Y34_N12
\adc_qsys_u0|master_0|transacto|p2m|state~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~44_combout\ = (!\adc_qsys_u0|master_0|b2p|out_startofpacket~q\ & (\adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\ & (\adc_qsys_u0|master_0|transacto|p2m|enable~combout\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|write~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|b2p|out_startofpacket~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|state.GET_WRITE_DATA~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|enable~combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|write~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~44_combout\);

-- Location: LCCOMB_X54_Y34_N14
\adc_qsys_u0|master_0|transacto|p2m|state~45\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|state~45_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state~44_combout\) # ((!\adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\ & (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- !\adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state~44_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|master_0_master_agent|av_waitrequest~combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|always1~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|state~45_combout\);

-- Location: FF_X54_Y34_N15
\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|state~45_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\);

-- Location: LCCOMB_X51_Y35_N6
\adc_qsys_u0|master_0|transacto|p2m|Selector0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector0~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_valid~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\) # 
-- (\adc_qsys_u0|master_0|transacto|p2m|state.0000~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_valid~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|state.0000~q\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector0~2_combout\);

-- Location: LCCOMB_X52_Y35_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector0~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & ((!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0)) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector0~1_combout\);

-- Location: LCCOMB_X52_Y35_N16
\adc_qsys_u0|master_0|transacto|p2m|Selector0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector0~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector0~1_combout\) # ((!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector0~2_combout\) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Selector70~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector70~1_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector0~2_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector0~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector0~3_combout\);

-- Location: LCCOMB_X51_Y35_N18
\adc_qsys_u0|master_0|transacto|p2m|Selector0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector0~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector0~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector0~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector0~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector0~3_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector0~4_combout\);

-- Location: FF_X51_Y35_N19
\adc_qsys_u0|master_0|transacto|p2m|out_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector0~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|out_valid~q\);

-- Location: LCCOMB_X46_Y34_N18
\adc_qsys_u0|master_0|p2b|out_valid~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|out_valid~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_valid~q\) # ((\adc_qsys_u0|master_0|p2b|out_valid~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6) $ (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\,
	datac => \adc_qsys_u0|master_0|p2b|out_valid~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_valid~q\,
	combout => \adc_qsys_u0|master_0|p2b|out_valid~0_combout\);

-- Location: FF_X46_Y34_N19
\adc_qsys_u0|master_0|p2b|out_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|p2b|out_valid~0_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|p2b|out_valid~q\);

-- Location: LCCOMB_X46_Y34_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0_combout\ = (\adc_qsys_u0|master_0|p2b|out_valid~q\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6))) # (!\adc_qsys_u0|master_0|p2b|out_valid~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111100001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|p2b|out_valid~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0_combout\);

-- Location: LCCOMB_X46_Y34_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~feeder_combout\);

-- Location: FF_X46_Y34_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\);

-- Location: LCCOMB_X46_Y31_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~feeder_combout\);

-- Location: FF_X46_Y31_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~q\);

-- Location: LCCOMB_X46_Y31_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|din_s1~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X46_Y31_N27
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[0]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(0));

-- Location: FF_X46_Y31_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(0),
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(1));

-- Location: LCCOMB_X46_Y31_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0_combout\);

-- Location: LCCOMB_X46_Y31_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~feeder_combout\);

-- Location: FF_X46_Y31_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\);

-- Location: LCCOMB_X46_Y31_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\ $ 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_toggle_flopped~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_to_out_synchronizer|dreg\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\);

-- Location: LCCOMB_X46_Y31_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~1_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\) # 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111001001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|in_ready~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~1_combout\);

-- Location: FF_X46_Y31_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~1_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\);

-- Location: LCCOMB_X46_Y35_N26
\adc_qsys_u0|master_0|p2b|out_data[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|out_data[2]~2_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_data\(2)) # (!\adc_qsys_u0|master_0|p2b|in_ready~4_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(2),
	datad => \adc_qsys_u0|master_0|p2b|in_ready~4_combout\,
	combout => \adc_qsys_u0|master_0|p2b|out_data[2]~2_combout\);

-- Location: LCCOMB_X46_Y35_N6
\adc_qsys_u0|master_0|p2b|out_data[2]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|out_data[2]~3_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~5_combout\ & (!\adc_qsys_u0|master_0|p2b|sent_channel_char~q\)) # (!\adc_qsys_u0|master_0|p2b|in_ready~5_combout\ & (((\adc_qsys_u0|master_0|p2b|out_data[2]~2_combout\ 
-- & \adc_qsys_u0|master_0|p2b|in_ready~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|sent_channel_char~q\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~5_combout\,
	datac => \adc_qsys_u0|master_0|p2b|out_data[2]~2_combout\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~0_combout\,
	combout => \adc_qsys_u0|master_0|p2b|out_data[2]~3_combout\);

-- Location: FF_X46_Y35_N7
\adc_qsys_u0|master_0|p2b|out_data[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|p2b|out_data[2]~3_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|p2b|out_data\(2));

-- Location: LCCOMB_X45_Y35_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]~feeder_combout\ = \adc_qsys_u0|master_0|p2b|out_data\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|p2b|out_data\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]~feeder_combout\);

-- Location: LCCOMB_X46_Y34_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\ = (\adc_qsys_u0|master_0|p2b|out_valid~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6) $ (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|p2b|out_valid~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_to_in_synchronizer|dreg\(6),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_toggle~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\);

-- Location: FF_X45_Y35_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[2]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(2));

-- Location: LCCOMB_X45_Y35_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]~feeder_combout\);

-- Location: FF_X45_Y35_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[2]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(2));

-- Location: FF_X45_Y31_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(2),
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(2));

-- Location: LCCOMB_X45_Y31_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~1_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(2)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(2),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~1_combout\);

-- Location: LCCOMB_X46_Y31_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\ = ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\ & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010111100101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\);

-- Location: FF_X45_Y31_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~1_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2));

-- Location: LCCOMB_X51_Y35_N4
\adc_qsys_u0|master_0|transacto|p2m|Selector80~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(0))) # (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\ & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|command\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_data\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~3_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|command\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\);

-- Location: LCCOMB_X51_Y35_N8
\adc_qsys_u0|master_0|transacto|p2m|Selector80~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector80~8_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|command\(0)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.WRITE_WAIT~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_data\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~2_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|command\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector80~8_combout\);

-- Location: LCCOMB_X50_Y35_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector80~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector80~5_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & ((\adc_qsys_u0|master_0|transacto|p2m|counter\(0))))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (\adc_qsys_u0|master_0|transacto|p2m|counter\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110001001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|counter\(8),
	datad => \adc_qsys_u0|master_0|transacto|p2m|counter\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector80~5_combout\);

-- Location: LCCOMB_X50_Y35_N24
\adc_qsys_u0|master_0|transacto|p2m|Selector80~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector80~6_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector80~5_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|out_data\(0) & 
-- !\adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\)))) # (!\adc_qsys_u0|master_0|p2b|in_ready~combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|out_data\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110011101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector80~5_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_data\(0),
	datac => \adc_qsys_u0|master_0|p2b|in_ready~combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Equal6~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector80~6_combout\);

-- Location: LCCOMB_X49_Y37_N28
\adc_qsys_u0|dac_ctrl|data_out[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[0]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|writedata\(0),
	combout => \adc_qsys_u0|dac_ctrl|data_out[0]~feeder_combout\);

-- Location: FF_X49_Y37_N29
\adc_qsys_u0|dac_ctrl|data_out[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[0]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(0));

-- Location: LCCOMB_X49_Y38_N22
\adc_qsys_u0|dac_ctrl|readdata[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(0) = (\adc_qsys_u0|dac_ctrl|data_out\(0) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & !\adc_qsys_u0|master_0|transacto|p2m|address\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|dac_ctrl|data_out\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(0));

-- Location: FF_X49_Y38_N23
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(0),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(0));

-- Location: LCCOMB_X49_Y38_N4
\adc_qsys_u0|product_info_0|av_data_read[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|product_info_0|av_data_read[0]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|address\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	combout => \adc_qsys_u0|product_info_0|av_data_read[0]~feeder_combout\);

-- Location: FF_X49_Y38_N5
\adc_qsys_u0|product_info_0|av_data_read[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|product_info_0|av_data_read[0]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|product_info_0|av_data_read\(0));

-- Location: FF_X49_Y38_N11
\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|product_info_0|av_data_read\(0),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(0));

-- Location: LCCOMB_X49_Y38_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector80~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector80~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(0) & ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(0))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(0) & (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0) & 
-- (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(0),
	datad => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector80~0_combout\);

-- Location: LCCOMB_X47_Y40_N30
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt\(0) = (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~q\ & 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1) & \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datab => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|run~q\,
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_agent_rsp_fifo|write~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt\(0));

-- Location: FF_X47_Y40_N31
\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata_nxt\(0),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(0));

-- Location: LCCOMB_X47_Y41_N2
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt\(0) = (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1) & (\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~q\ & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|mem_used\(1),
	datab => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|run~q\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_agent_rsp_fifo|write~1_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt\(0));

-- Location: FF_X47_Y41_N3
\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata_nxt\(0),
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata\(0));

-- Location: LCCOMB_X49_Y40_N4
\adc_qsys_u0|master_0|transacto|p2m|Selector80~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector80~2_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0) & ((\adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata\(0)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(0))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0) & (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0) & 
-- (\adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sequencer_csr_translator|read_latency_shift_reg\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sequencer_csr_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|modular_adc_1|sequencer_internal|u_seq_csr|readdata\(0),
	datad => \adc_qsys_u0|modular_adc_0|sequencer_internal|u_seq_csr|readdata\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector80~2_combout\);

-- Location: LCCOMB_X52_Y37_N8
\adc_qsys_u0|mm_interconnect_0|router|Equal1~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|router|Equal1~4_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|address\(6) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(5) & !\adc_qsys_u0|master_0|transacto|p2m|address\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(6),
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(5),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(7),
	combout => \adc_qsys_u0|mm_interconnect_0|router|Equal1~4_combout\);

-- Location: LCCOMB_X52_Y37_N28
\adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~1_combout\ = (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & (\adc_qsys_u0|master_0|transacto|p2m|address\(8) & (\adc_qsys_u0|mm_interconnect_0|router|Equal1~4_combout\ & 
-- !\adc_qsys_u0|master_0|transacto|p2m|address\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(8),
	datac => \adc_qsys_u0|mm_interconnect_0|router|Equal1~4_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(4),
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~1_combout\);

-- Location: LCCOMB_X52_Y41_N12
\adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~0_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~1_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|write~q\ & !\adc_qsys_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~1_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~0_combout\);

-- Location: LCCOMB_X52_Y41_N10
\adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~2_combout\ & ((\adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~0_combout\ & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|writedata\(0))) # (!\adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~0_combout\ & ((\adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~q\))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~2_combout\ & (((\adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~2_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|writedata\(0),
	datac => \adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~q\,
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~0_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~1_combout\);

-- Location: FF_X52_Y41_N11
\adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~q\);

-- Location: LCCOMB_X52_Y41_N30
\adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~0_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~1_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|writedata\(0) & (\adc_qsys_u0|master_0|transacto|p2m|write~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|address\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~1_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|writedata\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|write~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~0_combout\);

-- Location: LCCOMB_X52_Y41_N18
\adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~1_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|set_eop~combout\) # ((\adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~q\ & 
-- ((!\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~2_combout\) # (!\adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sample_store_internal|set_eop~combout\,
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~0_combout\,
	datac => \adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~1_combout\);

-- Location: FF_X52_Y41_N19
\adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~q\);

-- Location: LCCOMB_X52_Y41_N28
\adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata_nxt[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata_nxt[0]~0_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~1_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|address\(2) & 
-- ((\adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~q\))) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & (!\adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~q\,
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~q\,
	datac => \adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~1_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata_nxt[0]~0_combout\);

-- Location: LCCOMB_X51_Y41_N14
\adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata_nxt[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata_nxt[0]~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~0_combout\ & 
-- (\adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata_nxt[0]~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|read~q\ & \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_agent_rsp_fifo|write~0_combout\,
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata_nxt[0]~0_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datad => \adc_qsys_u0|mm_interconnect_0|cmd_demux|sink_ready~2_combout\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata_nxt[0]~1_combout\);

-- Location: FF_X51_Y41_N15
\adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata_nxt[0]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata\(0));

-- Location: LCCOMB_X51_Y40_N4
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[0]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[0]~14_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\ & ((\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(0)))) 
-- # (!\adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\ & (\adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	datac => \adc_qsys_u0|modular_adc_0|sample_store_internal|csr_readdata\(0),
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(0),
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[0]~14_combout\);

-- Location: FF_X51_Y40_N5
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[0]~14_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(0));

-- Location: LCCOMB_X52_Y40_N6
\adc_qsys_u0|modular_adc_1|sample_store_internal|e_eop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|e_eop~0_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\ & ((\adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~0_combout\ & 
-- (!\adc_qsys_u0|master_0|transacto|p2m|writedata\(0))) # (!\adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~0_combout\ & ((\adc_qsys_u0|modular_adc_1|sample_store_internal|e_eop~q\))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\ & (((\adc_qsys_u0|modular_adc_1|sample_store_internal|e_eop~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|writedata\(0),
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|e_eop~q\,
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|e_eop~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|e_eop~0_combout\);

-- Location: FF_X52_Y40_N7
\adc_qsys_u0|modular_adc_1|sample_store_internal|e_eop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|e_eop~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|e_eop~q\);

-- Location: LCCOMB_X52_Y40_N12
\adc_qsys_u0|modular_adc_1|sample_store_internal|s_eop~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|s_eop~0_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|set_eop~combout\) # ((\adc_qsys_u0|modular_adc_1|sample_store_internal|s_eop~q\ & 
-- ((!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\) # (!\adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sample_store_internal|s_eop~0_combout\,
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|s_eop~q\,
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|set_eop~combout\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|s_eop~0_combout\);

-- Location: FF_X52_Y40_N13
\adc_qsys_u0|modular_adc_1|sample_store_internal|s_eop\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|s_eop~0_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|s_eop~q\);

-- Location: LCCOMB_X52_Y40_N4
\adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata_nxt[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata_nxt[0]~0_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~1_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|address\(2) & 
-- ((\adc_qsys_u0|modular_adc_1|sample_store_internal|s_eop~q\))) # (!\adc_qsys_u0|master_0|transacto|p2m|address\(2) & (!\adc_qsys_u0|modular_adc_1|sample_store_internal|e_eop~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_1|sample_store_internal|e_eop~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	datac => \adc_qsys_u0|modular_adc_0|sample_store_internal|Equal0~1_combout\,
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|s_eop~q\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata_nxt[0]~0_combout\);

-- Location: LCCOMB_X52_Y40_N8
\adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata_nxt[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata_nxt[0]~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|read~q\ & (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\ & 
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata_nxt[0]~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|read~q\,
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_agent_rsp_fifo|write~0_combout\,
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata_nxt[0]~0_combout\,
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata_nxt[0]~1_combout\);

-- Location: FF_X52_Y40_N9
\adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata_nxt[0]~1_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata\(0));

-- Location: LCCOMB_X52_Y40_N28
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[0]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[0]~14_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\ & ((\adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(0)))) 
-- # (!\adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\ & (\adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|csr_readdata\(0),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(0),
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[0]~14_combout\);

-- Location: FF_X52_Y40_N29
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[0]~14_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(0));

-- Location: LCCOMB_X51_Y40_N22
\adc_qsys_u0|master_0|transacto|p2m|Selector80~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector80~1_combout\ = (\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & ((\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(0)) # 
-- ((\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(0) & \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1))))) # 
-- (!\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & (\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(0) & 
-- (\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector80~1_combout\);

-- Location: LCCOMB_X50_Y40_N30
\adc_qsys_u0|master_0|transacto|p2m|Selector80~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector80~3_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|Selector80~0_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector80~2_combout\) # 
-- (\adc_qsys_u0|master_0|transacto|p2m|Selector80~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|Selector80~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector80~2_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector80~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector80~3_combout\);

-- Location: LCCOMB_X47_Y37_N12
\adc_qsys_u0|dac_ctrl|readdata[16]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(16) = (\adc_qsys_u0|dac_ctrl|data_out\(16) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & !\adc_qsys_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|dac_ctrl|data_out\(16),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(16));

-- Location: FF_X47_Y37_N13
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(16),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(16));

-- Location: LCCOMB_X50_Y37_N20
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~20_combout\ = (\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(22) & 
-- ((\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0)) # ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & 
-- \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(16))))) # (!\adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(22) & 
-- (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(16))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|av_readdata_pre\(22),
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(16),
	datad => \adc_qsys_u0|mm_interconnect_0|product_info_0_avalon_slave_0_translator|read_latency_shift_reg\(0),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~20_combout\);

-- Location: FF_X50_Y37_N21
\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~20_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(8));

-- Location: LCCOMB_X50_Y40_N6
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[8]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[8]~15_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(8) & \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_0|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(8),
	datad => \adc_qsys_u0|modular_adc_0|sample_store_internal|ram_rd_en_flp~q\,
	combout => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[8]~15_combout\);

-- Location: FF_X50_Y40_N7
\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata_nxt[8]~15_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(8));

-- Location: LCCOMB_X47_Y34_N8
\adc_qsys_u0|master_0|transacto|p2m|writedata[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|writedata[8]~feeder_combout\ = \adc_qsys_u0|master_0|fifo|out_payload\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|fifo|out_payload\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|writedata[8]~feeder_combout\);

-- Location: FF_X47_Y34_N9
\adc_qsys_u0|master_0|transacto|p2m|writedata[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|writedata[8]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[10]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(8));

-- Location: FF_X47_Y37_N17
\adc_qsys_u0|dac_ctrl|data_out[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|transacto|p2m|writedata\(8),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	sload => VCC,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(8));

-- Location: LCCOMB_X47_Y37_N4
\adc_qsys_u0|dac_ctrl|readdata[8]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|readdata\(8) = (\adc_qsys_u0|dac_ctrl|data_out\(8) & (!\adc_qsys_u0|master_0|transacto|p2m|address\(3) & !\adc_qsys_u0|master_0|transacto|p2m|address\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|dac_ctrl|data_out\(8),
	datac => \adc_qsys_u0|master_0|transacto|p2m|address\(3),
	datad => \adc_qsys_u0|master_0|transacto|p2m|address\(2),
	combout => \adc_qsys_u0|dac_ctrl|readdata\(8));

-- Location: FF_X47_Y37_N5
\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|readdata\(8),
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(8));

-- Location: LCCOMB_X50_Y37_N4
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~21_combout\ = (\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(8) & ((\adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1)) # 
-- ((\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(8))))) # (!\adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(8) & 
-- (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0) & (\adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|modular_adc_0|sample_store_internal|readdata\(8),
	datab => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|read_latency_shift_reg\(0),
	datac => \adc_qsys_u0|mm_interconnect_0|dac_ctrl_s1_translator|av_readdata_pre\(8),
	datad => \adc_qsys_u0|mm_interconnect_0|modular_adc_0_sample_store_csr_translator|read_latency_shift_reg\(1),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~21_combout\);

-- Location: LCCOMB_X54_Y40_N0
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[8]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[8]~15_combout\ = (\adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\ & \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|modular_adc_1|sample_store_internal|ram_rd_en_flp~q\,
	datac => \adc_qsys_u0|modular_adc_1|sample_store_internal|u_ss_ram|altsyncram_component|auto_generated|q_b\(8),
	combout => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[8]~15_combout\);

-- Location: FF_X54_Y40_N1
\adc_qsys_u0|modular_adc_1|sample_store_internal|readdata[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata_nxt[8]~15_combout\,
	clrn => \adc_qsys_u0|rst_controller_001|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(8));

-- Location: LCCOMB_X50_Y37_N24
\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~22_combout\ = (\adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~21_combout\) # ((\adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1) & 
-- \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|mm_interconnect_0|modular_adc_1_sample_store_csr_translator|read_latency_shift_reg\(1),
	datac => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~21_combout\,
	datad => \adc_qsys_u0|modular_adc_1|sample_store_internal|readdata\(8),
	combout => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~22_combout\);

-- Location: FF_X50_Y37_N25
\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|mm_interconnect_0|rsp_mux|src_payload~22_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|transacto|p2m|out_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(0));

-- Location: LCCOMB_X50_Y35_N18
\adc_qsys_u0|master_0|transacto|p2m|Mux15~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Mux15~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0))) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & 
-- ((\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & ((\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(0)))) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(0) & (\adc_qsys_u0|master_0|transacto|p2m|out_data\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110010011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datab => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(0),
	datad => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(0),
	combout => \adc_qsys_u0|master_0|transacto|p2m|Mux15~0_combout\);

-- Location: LCCOMB_X50_Y35_N2
\adc_qsys_u0|master_0|transacto|p2m|Mux15~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Mux15~1_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & ((\adc_qsys_u0|master_0|transacto|p2m|Mux15~0_combout\ & (\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(16))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|Mux15~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(8)))))) # (!\adc_qsys_u0|master_0|transacto|p2m|current_byte\(1) & (((\adc_qsys_u0|master_0|transacto|p2m|Mux15~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(16),
	datab => \adc_qsys_u0|master_0|transacto|p2m|read_data_buffer\(8),
	datac => \adc_qsys_u0|master_0|transacto|p2m|current_byte\(1),
	datad => \adc_qsys_u0|master_0|transacto|p2m|Mux15~0_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Mux15~1_combout\);

-- Location: LCCOMB_X50_Y35_N0
\adc_qsys_u0|master_0|transacto|p2m|Selector80~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector80~4_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & \adc_qsys_u0|master_0|transacto|p2m|Mux15~1_combout\)))) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\ & ((\adc_qsys_u0|master_0|transacto|p2m|out_data\(0)) # ((\adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\ & \adc_qsys_u0|master_0|transacto|p2m|Mux15~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|WideOr14~0_combout\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|out_data\(0),
	datac => \adc_qsys_u0|master_0|transacto|p2m|state.READ_SEND_ISSUE~q\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Mux15~1_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector80~4_combout\);

-- Location: LCCOMB_X50_Y35_N14
\adc_qsys_u0|master_0|transacto|p2m|Selector80~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector80~7_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector80~3_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector80~4_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector80~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.RETURN_PACKET~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector80~6_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector80~3_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector80~4_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector80~7_combout\);

-- Location: LCCOMB_X51_Y35_N10
\adc_qsys_u0|master_0|transacto|p2m|Selector80~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|transacto|p2m|Selector80~10_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|Selector80~8_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|Selector80~7_combout\) # ((\adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\ & 
-- \adc_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|state.GET_ADDR4~q\,
	datab => \adc_qsys_u0|master_0|transacto|p2m|Selector80~9_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|Selector80~8_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|Selector80~7_combout\,
	combout => \adc_qsys_u0|master_0|transacto|p2m|Selector80~10_combout\);

-- Location: FF_X51_Y35_N11
\adc_qsys_u0|master_0|transacto|p2m|out_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|transacto|p2m|Selector80~10_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|out_data\(0));

-- Location: LCCOMB_X47_Y35_N14
\adc_qsys_u0|master_0|p2b|out_data[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|out_data[0]~0_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_data\(0)) # (((!\adc_qsys_u0|master_0|p2b|sent_eop~q\ & \adc_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\)) # 
-- (!\adc_qsys_u0|master_0|p2b|in_ready~4_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111110101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data\(0),
	datab => \adc_qsys_u0|master_0|p2b|sent_eop~q\,
	datac => \adc_qsys_u0|master_0|p2b|in_ready~4_combout\,
	datad => \adc_qsys_u0|master_0|transacto|p2m|out_endofpacket~q\,
	combout => \adc_qsys_u0|master_0|p2b|out_data[0]~0_combout\);

-- Location: LCCOMB_X46_Y35_N28
\adc_qsys_u0|master_0|p2b|out_data[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|out_data[0]~1_combout\ = (\adc_qsys_u0|master_0|p2b|out_data[0]~0_combout\ & (!\adc_qsys_u0|master_0|p2b|in_ready~5_combout\ & ((\adc_qsys_u0|master_0|p2b|sent_sop~q\) # 
-- (!\adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_startofpacket~q\,
	datab => \adc_qsys_u0|master_0|p2b|sent_sop~q\,
	datac => \adc_qsys_u0|master_0|p2b|out_data[0]~0_combout\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~5_combout\,
	combout => \adc_qsys_u0|master_0|p2b|out_data[0]~1_combout\);

-- Location: FF_X46_Y35_N29
\adc_qsys_u0|master_0|p2b|out_data[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|p2b|out_data[0]~1_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|p2b|out_data\(0));

-- Location: LCCOMB_X45_Y35_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]~feeder_combout\ = \adc_qsys_u0|master_0|p2b|out_data\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|p2b|out_data\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]~feeder_combout\);

-- Location: FF_X45_Y35_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[0]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(0));

-- Location: LCCOMB_X45_Y35_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]~feeder_combout\);

-- Location: FF_X45_Y35_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[0]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(0));

-- Location: FF_X45_Y31_N15
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(0),
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(0));

-- Location: LCCOMB_X45_Y31_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(0)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(0),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~0_combout\);

-- Location: FF_X45_Y31_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~0_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0));

-- Location: LCCOMB_X46_Y35_N14
\adc_qsys_u0|master_0|p2b|out_data[1]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|out_data[1]~4_combout\ = (!\adc_qsys_u0|master_0|p2b|in_ready~5_combout\ & (((\adc_qsys_u0|master_0|p2b|in_ready~4_combout\ & \adc_qsys_u0|master_0|transacto|p2m|out_data\(1))) # (!\adc_qsys_u0|master_0|p2b|in_ready~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|in_ready~4_combout\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~5_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(1),
	datad => \adc_qsys_u0|master_0|p2b|in_ready~0_combout\,
	combout => \adc_qsys_u0|master_0|p2b|out_data[1]~4_combout\);

-- Location: FF_X46_Y35_N15
\adc_qsys_u0|master_0|p2b|out_data[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|p2b|out_data[1]~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|p2b|out_data\(1));

-- Location: LCCOMB_X45_Y35_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]~feeder_combout\ = \adc_qsys_u0|master_0|p2b|out_data\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|p2b|out_data\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]~feeder_combout\);

-- Location: FF_X45_Y35_N9
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[1]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(1));

-- Location: LCCOMB_X45_Y35_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]~feeder_combout\);

-- Location: FF_X45_Y35_N3
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[1]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(1));

-- Location: FF_X45_Y31_N31
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(1),
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	sload => VCC,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(1));

-- Location: LCCOMB_X45_Y31_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(1)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(1),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~2_combout\);

-- Location: FF_X45_Y31_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~2_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1));

-- Location: LCCOMB_X45_Y31_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0) & !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0) & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0_combout\);

-- Location: LCCOMB_X46_Y35_N22
\adc_qsys_u0|master_0|p2b|out_data[4]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|out_data[4]~10_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~5_combout\ & (!\adc_qsys_u0|master_0|p2b|sent_channel_char~q\)) # (!\adc_qsys_u0|master_0|p2b|in_ready~5_combout\ & 
-- (((\adc_qsys_u0|master_0|transacto|p2m|out_data\(4)) # (!\adc_qsys_u0|master_0|p2b|in_ready~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010001110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|sent_channel_char~q\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~5_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(4),
	datad => \adc_qsys_u0|master_0|p2b|in_ready~0_combout\,
	combout => \adc_qsys_u0|master_0|p2b|out_data[4]~10_combout\);

-- Location: FF_X46_Y35_N23
\adc_qsys_u0|master_0|p2b|out_data[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|p2b|out_data[4]~10_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|p2b|out_data\(4));

-- Location: LCCOMB_X45_Y35_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]~feeder_combout\ = \adc_qsys_u0|master_0|p2b|out_data\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|p2b|out_data\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]~feeder_combout\);

-- Location: FF_X45_Y35_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[4]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(4));

-- Location: LCCOMB_X45_Y35_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]~feeder_combout\);

-- Location: FF_X45_Y35_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[4]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(4));

-- Location: LCCOMB_X45_Y31_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]~feeder_combout\);

-- Location: FF_X45_Y31_N27
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[4]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(4));

-- Location: LCCOMB_X45_Y31_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~7_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(4))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(4),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~7_combout\);

-- Location: FF_X45_Y31_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~7_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4));

-- Location: LCCOMB_X46_Y35_N10
\adc_qsys_u0|master_0|p2b|out_data[7]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|out_data[7]~6_combout\ = (\adc_qsys_u0|master_0|transacto|p2m|out_data\(7) & (!\adc_qsys_u0|master_0|p2b|in_ready~5_combout\ & \adc_qsys_u0|master_0|p2b|in_ready~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data\(7),
	datab => \adc_qsys_u0|master_0|p2b|in_ready~5_combout\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~0_combout\,
	combout => \adc_qsys_u0|master_0|p2b|out_data[7]~6_combout\);

-- Location: FF_X46_Y35_N11
\adc_qsys_u0|master_0|p2b|out_data[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|p2b|out_data[7]~6_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|p2b|out_data\(7));

-- Location: LCCOMB_X45_Y35_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]~feeder_combout\ = \adc_qsys_u0|master_0|p2b|out_data\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|p2b|out_data\(7),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]~feeder_combout\);

-- Location: FF_X45_Y35_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[7]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(7));

-- Location: LCCOMB_X45_Y35_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(7),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]~feeder_combout\);

-- Location: FF_X45_Y35_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[7]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(7));

-- Location: LCCOMB_X45_Y31_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(7),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]~feeder_combout\);

-- Location: FF_X45_Y31_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[7]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(7));

-- Location: LCCOMB_X45_Y31_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~4_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(7))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(7),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(7),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~4_combout\);

-- Location: FF_X45_Y31_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~4_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(7));

-- Location: LCCOMB_X46_Y35_N20
\adc_qsys_u0|master_0|p2b|out_data[6]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|out_data[6]~5_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~5_combout\ & (!\adc_qsys_u0|master_0|p2b|sent_channel_char~q\)) # (!\adc_qsys_u0|master_0|p2b|in_ready~5_combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|out_data\(6)) 
-- # (!\adc_qsys_u0|master_0|p2b|in_ready~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010001110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|sent_channel_char~q\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~5_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(6),
	datad => \adc_qsys_u0|master_0|p2b|in_ready~0_combout\,
	combout => \adc_qsys_u0|master_0|p2b|out_data[6]~5_combout\);

-- Location: FF_X46_Y35_N21
\adc_qsys_u0|master_0|p2b|out_data[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|p2b|out_data[6]~5_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|p2b|out_data\(6));

-- Location: LCCOMB_X45_Y35_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]~feeder_combout\ = \adc_qsys_u0|master_0|p2b|out_data\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|p2b|out_data\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]~feeder_combout\);

-- Location: FF_X45_Y35_N1
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[6]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(6));

-- Location: LCCOMB_X45_Y35_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]~feeder_combout\);

-- Location: FF_X45_Y35_N27
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[6]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(6));

-- Location: LCCOMB_X45_Y31_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]~feeder_combout\);

-- Location: FF_X45_Y31_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[6]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(6));

-- Location: LCCOMB_X45_Y31_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~3_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(6))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(6),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~3_combout\);

-- Location: FF_X45_Y31_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~3_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6));

-- Location: LCCOMB_X46_Y35_N4
\adc_qsys_u0|master_0|p2b|out_data[5]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|out_data[5]~7_combout\ = \adc_qsys_u0|master_0|transacto|p2m|out_data\(5) $ (\adc_qsys_u0|master_0|p2b|sent_esc~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|transacto|p2m|out_data\(5),
	datad => \adc_qsys_u0|master_0|p2b|sent_esc~q\,
	combout => \adc_qsys_u0|master_0|p2b|out_data[5]~7_combout\);

-- Location: LCCOMB_X46_Y35_N8
\adc_qsys_u0|master_0|p2b|out_data[5]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|out_data[5]~8_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~5_combout\ & (!\adc_qsys_u0|master_0|p2b|sent_channel_char~q\)) # (!\adc_qsys_u0|master_0|p2b|in_ready~5_combout\ & (((\adc_qsys_u0|master_0|p2b|out_data[5]~7_combout\) 
-- # (!\adc_qsys_u0|master_0|p2b|in_ready~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010001110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|sent_channel_char~q\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~5_combout\,
	datac => \adc_qsys_u0|master_0|p2b|out_data[5]~7_combout\,
	datad => \adc_qsys_u0|master_0|p2b|in_ready~0_combout\,
	combout => \adc_qsys_u0|master_0|p2b|out_data[5]~8_combout\);

-- Location: FF_X46_Y35_N9
\adc_qsys_u0|master_0|p2b|out_data[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|p2b|out_data[5]~8_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|p2b|out_data\(5));

-- Location: LCCOMB_X45_Y35_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]~feeder_combout\ = \adc_qsys_u0|master_0|p2b|out_data\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|p2b|out_data\(5),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]~feeder_combout\);

-- Location: FF_X45_Y35_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[5]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(5));

-- Location: LCCOMB_X45_Y35_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(5),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]~feeder_combout\);

-- Location: FF_X45_Y35_N15
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[5]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(5));

-- Location: LCCOMB_X45_Y32_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(5),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]~feeder_combout\);

-- Location: FF_X45_Y32_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[5]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(5));

-- Location: LCCOMB_X45_Y32_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~5_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(5))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(5),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(5),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~5_combout\);

-- Location: FF_X45_Y32_N31
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~5_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(5));

-- Location: LCCOMB_X46_Y31_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\))))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~0_combout\);

-- Location: FF_X46_Y31_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~0_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\);

-- Location: LCCOMB_X45_Y31_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1_combout\ = (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(7) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6) & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(5) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(7),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(5),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1_combout\);

-- Location: LCCOMB_X46_Y35_N18
\adc_qsys_u0|master_0|p2b|out_data[3]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|p2b|out_data[3]~9_combout\ = (\adc_qsys_u0|master_0|p2b|in_ready~5_combout\ & (!\adc_qsys_u0|master_0|p2b|sent_channel_char~q\)) # (!\adc_qsys_u0|master_0|p2b|in_ready~5_combout\ & (((\adc_qsys_u0|master_0|transacto|p2m|out_data\(3)) 
-- # (!\adc_qsys_u0|master_0|p2b|in_ready~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010001110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|p2b|sent_channel_char~q\,
	datab => \adc_qsys_u0|master_0|p2b|in_ready~5_combout\,
	datac => \adc_qsys_u0|master_0|transacto|p2m|out_data\(3),
	datad => \adc_qsys_u0|master_0|p2b|in_ready~0_combout\,
	combout => \adc_qsys_u0|master_0|p2b|out_data[3]~9_combout\);

-- Location: FF_X46_Y35_N19
\adc_qsys_u0|master_0|p2b|out_data[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|p2b|out_data[3]~9_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|p2b|in_ready~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|p2b|out_data\(3));

-- Location: LCCOMB_X45_Y35_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]~feeder_combout\ = \adc_qsys_u0|master_0|p2b|out_data\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|p2b|out_data\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]~feeder_combout\);

-- Location: FF_X45_Y35_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer[3]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|take_in_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(3));

-- Location: LCCOMB_X45_Y35_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|in_data_buffer\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]~feeder_combout\);

-- Location: FF_X45_Y35_N31
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer[3]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(3));

-- Location: LCCOMB_X45_Y31_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]~feeder_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]~feeder_combout\);

-- Location: FF_X45_Y31_N9
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0[3]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(3));

-- Location: LCCOMB_X45_Y31_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~6_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(3))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data0\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_data_buffer\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~6_combout\);

-- Location: FF_X45_Y31_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1~6_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3));

-- Location: LCCOMB_X44_Y31_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0_combout\ & (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4) & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1_combout\ & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~1_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\);

-- Location: LCCOMB_X46_Y31_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter_source_ready~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|out_valid_internal~combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~0_combout\);

-- Location: FF_X46_Y31_N31
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~0_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|ALT_INV_full0~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\);

-- Location: LCCOMB_X43_Y27_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\ & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_valid~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal3~5_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\);

-- Location: LCCOMB_X44_Y31_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32_combout\);

-- Location: LCCOMB_X42_Y31_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\ & 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0) & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_data_all_valid~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~2_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\);

-- Location: LCCOMB_X43_Y31_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33_combout\);

-- Location: LCCOMB_X44_Y31_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~34_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(7) & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32_combout\) # 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~32_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~33_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(7),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~34_combout\);

-- Location: LCCOMB_X43_Y32_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~7_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\);

-- Location: FF_X44_Y31_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[7]~34_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7));

-- Location: LCCOMB_X41_Y31_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0)) # 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2)) # ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1)) # 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(0),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(2),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|padded_bit_counter\(1),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\);

-- Location: LCCOMB_X44_Y31_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29_combout\ = ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111101001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29_combout\);

-- Location: LCCOMB_X44_Y31_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30_combout\);

-- Location: LCCOMB_X44_Y31_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]~6_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30_combout\))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~29_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~30_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]~6_combout\);

-- Location: LCCOMB_X44_Y31_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~31_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(7),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~31_combout\);

-- Location: FF_X44_Y31_N1
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[6]~6_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~31_combout\,
	sclr => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6));

-- Location: LCCOMB_X45_Y31_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\ = \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(5) $ 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(5),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|received_esc~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\);

-- Location: LCCOMB_X44_Y31_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27_combout\);

-- Location: LCCOMB_X44_Y31_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\)) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26_combout\);

-- Location: LCCOMB_X44_Y31_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]~5_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27_combout\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~27_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~26_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]~5_combout\);

-- Location: LCCOMB_X44_Y31_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\)))) 
-- # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(6),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~6_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28_combout\);

-- Location: FF_X44_Y31_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[5]~5_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~28_combout\,
	sclr => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5));

-- Location: LCCOMB_X44_Y31_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4))))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24_combout\);

-- Location: LCCOMB_X44_Y31_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23_combout\);

-- Location: LCCOMB_X44_Y31_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]~4_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24_combout\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~24_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~23_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]~4_combout\);

-- Location: LCCOMB_X44_Y31_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4))))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(5),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25_combout\);

-- Location: FF_X44_Y31_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[4]~4_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~25_combout\,
	sclr => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4));

-- Location: LCCOMB_X43_Y31_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20_combout\ = ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111101001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20_combout\);

-- Location: LCCOMB_X43_Y31_N16
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3)) # ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21_combout\);

-- Location: LCCOMB_X43_Y31_N8
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]~3_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21_combout\))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~20_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~21_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]~3_combout\);

-- Location: LCCOMB_X43_Y31_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(4),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22_combout\);

-- Location: FF_X43_Y31_N9
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[3]~3_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~22_combout\,
	sclr => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3));

-- Location: LCCOMB_X45_Y31_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\) # (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\);

-- Location: LCCOMB_X43_Y31_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18_combout\);

-- Location: LCCOMB_X43_Y31_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17_combout\);

-- Location: LCCOMB_X43_Y31_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18_combout\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~18_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~17_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]~2_combout\);

-- Location: LCCOMB_X43_Y31_N14
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\ & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\)))) 
-- # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(3),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~5_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19_combout\);

-- Location: FF_X43_Y31_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[2]~2_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~19_combout\,
	sclr => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2));

-- Location: LCCOMB_X45_Y31_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\ = 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\ & \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\);

-- Location: LCCOMB_X43_Y31_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\ = ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111101001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal17~3_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\);

-- Location: LCCOMB_X43_Y31_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\) # 
-- ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal1~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14_combout\);

-- Location: LCCOMB_X43_Y31_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]~1_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14_combout\))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~13_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~14_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]~1_combout\);

-- Location: LCCOMB_X43_Y31_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~15_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\) # 
-- ((!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111110001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~4_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~15_combout\);

-- Location: FF_X43_Y31_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[1]~1_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~15_combout\,
	sclr => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|ALT_INV_read_state.ST_HEADER~q\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1));

-- Location: LCCOMB_X44_Y31_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\) # (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~2_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|data1\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\);

-- Location: LCCOMB_X43_Y31_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_READ_DATA~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~11_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~10_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\);

-- Location: LCCOMB_X43_Y31_N30
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\))) 
-- # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~1_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\);

-- Location: LCCOMB_X43_Y31_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\ & (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Equal16~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_inserter|out_data~3_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~8_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9_combout\);

-- Location: LCCOMB_X43_Y32_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~0_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\)) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|read_state.ST_HEADER~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Selector41~2_combout\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out~9_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~0_combout\);

-- Location: FF_X43_Y32_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~0_combout\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|sink_crosser|output_stage|full1~q\,
	sload => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|ALT_INV_virtual_state_sdr~0_combout\,
	ena => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out[0]~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(0));

-- Location: LCCOMB_X44_Y32_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1_combout\ = 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3) & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4)))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_0\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1_combout\);

-- Location: LCCOMB_X43_Y32_N2
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\ = 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- !\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\);

-- Location: LCCOMB_X43_Y32_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~2_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\) # ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1_combout\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\)))) # (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~1_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_control[8]~2_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~2_combout\);

-- Location: FF_X43_Y32_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\);

-- Location: LCCOMB_X43_Y32_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- (((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\)))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- ((\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\ & 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010010100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_data_out\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][0]~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_loopback~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\);

-- Location: LCCOMB_X43_Y32_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1_combout\ = 
-- (\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\ & ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(0)))) # 
-- (!\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(0))))) # 
-- (!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\ & 
-- (((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_debug\(0),
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|dr_info\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][1]~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~0_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1_combout\);

-- Location: LCCOMB_X43_Y32_N26
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1_combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\ & 
-- ((\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\) # 
-- ((!\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\ & 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|node|sld_virtual_jtag_component|virtual_state_sdr~0_combout\,
	datab => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[1][2]~q\,
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|Mux0~1_combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1_combout\);

-- Location: LCCOMB_X37_Y31_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[0]~32\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(0),
	datad => VCC,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[0]~32_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[0]~33\);

-- Location: LCCOMB_X37_Y31_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[1]~34\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(1),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[0]~33\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[1]~34_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[1]~35\);

-- Location: LCCOMB_X40_Y33_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001101110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TDIUTAP\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~1_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~5_combout\);

-- Location: LCCOMB_X40_Y33_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(10),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~5_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena_proc~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~6_combout\);

-- Location: FF_X40_Y33_N3
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~6_combout\,
	clrn => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_clr_reg~q\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|node_ena~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3));

-- Location: LCCOMB_X37_Y34_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][8]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\);

-- Location: LCCOMB_X37_Y34_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][8]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\);

-- Location: FF_X37_Y31_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[1]~34_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(2),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(1));

-- Location: LCCOMB_X37_Y31_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[2]~36\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(2),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[1]~35\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[2]~36_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[2]~37\);

-- Location: FF_X37_Y31_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[2]~36_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(3),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(2));

-- Location: LCCOMB_X37_Y31_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[3]~38\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(3),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[2]~37\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[3]~38_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[3]~39\);

-- Location: FF_X37_Y31_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[3]~38_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(4),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(3));

-- Location: LCCOMB_X37_Y31_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[4]~40\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(4),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[3]~39\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[4]~40_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[4]~41\);

-- Location: FF_X37_Y31_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[4]~40_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(5),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(4));

-- Location: LCCOMB_X37_Y31_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[5]~42\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(5),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[4]~41\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[5]~42_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[5]~43\);

-- Location: FF_X37_Y31_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[5]~42_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(6),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(5));

-- Location: LCCOMB_X37_Y31_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[6]~44\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(6),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[5]~43\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[6]~44_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[6]~45\);

-- Location: FF_X37_Y31_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[6]~44_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(7),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(6));

-- Location: LCCOMB_X37_Y31_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[7]~46\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(7),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[6]~45\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[7]~46_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[7]~47\);

-- Location: FF_X37_Y31_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[7]~46_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(8),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(7));

-- Location: LCCOMB_X37_Y31_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[8]~48\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(8),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[7]~47\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[8]~48_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[8]~49\);

-- Location: FF_X37_Y31_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[8]~48_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(9),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(8));

-- Location: LCCOMB_X37_Y31_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[9]~50\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(9),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[8]~49\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[9]~50_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[9]~51\);

-- Location: FF_X37_Y31_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[9]~50_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(10),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(9));

-- Location: LCCOMB_X37_Y31_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[10]~52\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(10),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[9]~51\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[10]~52_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[10]~53\);

-- Location: FF_X37_Y31_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[10]~52_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(11),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(10));

-- Location: LCCOMB_X37_Y31_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[11]~54\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(11),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[10]~53\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[11]~54_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[11]~55\);

-- Location: FF_X37_Y31_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[11]~54_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(12),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(11));

-- Location: LCCOMB_X37_Y31_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[12]~56\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(12),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[11]~55\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[12]~56_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[12]~57\);

-- Location: FF_X37_Y31_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[12]~56_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(13),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(12));

-- Location: LCCOMB_X37_Y31_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[13]~58\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(13),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[12]~57\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[13]~58_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[13]~59\);

-- Location: FF_X37_Y31_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[13]~58_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(14),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(13));

-- Location: LCCOMB_X37_Y31_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[14]~60\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(14),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[13]~59\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[14]~60_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[14]~61\);

-- Location: FF_X37_Y31_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[14]~60_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(15),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(14));

-- Location: LCCOMB_X37_Y31_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[15]~62\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(15),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[14]~61\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[15]~62_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[15]~63\);

-- Location: FF_X37_Y31_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[15]~62_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(16),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(15));

-- Location: LCCOMB_X37_Y30_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[16]~64\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(16),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[15]~63\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[16]~64_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[16]~65\);

-- Location: FF_X37_Y30_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[16]~64_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(17),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(16));

-- Location: LCCOMB_X37_Y30_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[17]~66\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(17),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[16]~65\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[17]~66_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[17]~67\);

-- Location: FF_X37_Y30_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[17]~66_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(18),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(17));

-- Location: LCCOMB_X37_Y30_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[18]~68\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(18),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[17]~67\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[18]~68_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[18]~69\);

-- Location: FF_X37_Y30_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[18]~68_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(19),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(18));

-- Location: LCCOMB_X37_Y30_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[19]~70\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(19),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[18]~69\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[19]~70_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[19]~71\);

-- Location: FF_X37_Y30_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[19]~70_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(20),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(19));

-- Location: LCCOMB_X37_Y30_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[20]~72\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(20),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[19]~71\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[20]~72_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[20]~73\);

-- Location: FF_X37_Y30_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[20]~72_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(21),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(20));

-- Location: LCCOMB_X37_Y30_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[21]~74\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(21),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[20]~73\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[21]~74_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[21]~75\);

-- Location: FF_X37_Y30_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[21]~74_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(22),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(21));

-- Location: LCCOMB_X37_Y30_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[22]~76\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(22),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[21]~75\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[22]~76_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[22]~77\);

-- Location: FF_X37_Y30_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[22]~76_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(23),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(22));

-- Location: LCCOMB_X37_Y30_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[23]~78\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(23),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[22]~77\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[23]~78_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[23]~79\);

-- Location: FF_X37_Y30_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[23]~78_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(24),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(23));

-- Location: LCCOMB_X37_Y30_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[24]~80\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(24),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[23]~79\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[24]~80_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[24]~81\);

-- Location: FF_X37_Y30_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[24]~80_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(25),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(24));

-- Location: LCCOMB_X37_Y30_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[25]~82\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(25),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[24]~81\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[25]~82_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[25]~83\);

-- Location: FF_X37_Y30_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[25]~82_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(26),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(25));

-- Location: LCCOMB_X37_Y30_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[26]~84\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(26),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[25]~83\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[26]~84_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[26]~85\);

-- Location: FF_X37_Y30_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[26]~84_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(27),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(26));

-- Location: LCCOMB_X37_Y30_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[27]~86\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(27),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[26]~85\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[27]~86_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[27]~87\);

-- Location: LCCOMB_X37_Y30_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[28]~88\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(28),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[27]~87\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[28]~88_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[28]~89\);

-- Location: LCCOMB_X37_Y30_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[29]~90\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(29),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[28]~89\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[29]~90_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[29]~91\);

-- Location: LCCOMB_X37_Y30_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[30]~92\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(30),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[29]~91\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[30]~92_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[30]~93\);

-- Location: LCCOMB_X37_Y30_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[31]~94\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010101011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(31),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[30]~93\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[31]~94_combout\);

-- Location: FF_X37_Y30_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[31]~94_combout\,
	asdata => \altera_internal_jtag~TDIUTAP\,
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(31));

-- Location: FF_X37_Y30_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[30]~92_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(31),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(30));

-- Location: FF_X37_Y30_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[29]~90_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(30),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(29));

-- Location: FF_X37_Y30_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[28]~88_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(29),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(28));

-- Location: FF_X37_Y30_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[27]~86_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(28),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(27));

-- Location: LCCOMB_X36_Y30_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(27),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(24),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(26),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(25),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~7_combout\);

-- Location: LCCOMB_X36_Y30_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(29),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(28),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(31),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(30),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~8_combout\);

-- Location: LCCOMB_X36_Y30_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(17),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(18),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(16),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(19),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~5_combout\);

-- Location: LCCOMB_X36_Y30_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(22),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(21),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(20),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(23),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~6_combout\);

-- Location: LCCOMB_X36_Y30_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~7_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~8_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~5_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~6_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~9_combout\);

-- Location: LCCOMB_X37_Y34_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\);

-- Location: LCCOMB_X36_Y31_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(9),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(11),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(10),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(8),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~2_combout\);

-- Location: LCCOMB_X36_Y31_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(3),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(2),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(0),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~0_combout\);

-- Location: LCCOMB_X36_Y31_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(7),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(6),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(5),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(4),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~1_combout\);

-- Location: LCCOMB_X36_Y31_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(13),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(14),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(15),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(12),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~3_combout\);

-- Location: LCCOMB_X36_Y31_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~2_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~1_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~3_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~4_combout\);

-- Location: LCCOMB_X36_Y31_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~9_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~4_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\);

-- Location: FF_X37_Y31_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg[0]~32_combout\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(1),
	sclr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~1_combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(0));

-- Location: LCCOMB_X34_Y33_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~feeder_combout\);

-- Location: LCCOMB_X37_Y34_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][0]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~0_combout\);

-- Location: FF_X37_Y34_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~q\);

-- Location: CLKCTRL_G1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~clkctrl_outclk\);

-- Location: LCCOMB_X38_Y37_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[74]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \altera_internal_jtag~TDIUTAP\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[74]~feeder_combout\);

-- Location: LCCOMB_X37_Y34_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][3]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\);

-- Location: FF_X38_Y37_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[74]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[74]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(74));

-- Location: LCCOMB_X38_Y37_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[73]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(74),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[73]~feeder_combout\);

-- Location: FF_X38_Y37_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[73]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[73]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(73));

-- Location: LCCOMB_X38_Y37_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[72]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(73),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[72]~feeder_combout\);

-- Location: FF_X38_Y37_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[72]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[72]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(72));

-- Location: LCCOMB_X38_Y37_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[71]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(72),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[71]~feeder_combout\);

-- Location: FF_X38_Y37_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[71]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[71]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(71));

-- Location: LCCOMB_X38_Y37_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[70]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(71),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[70]~feeder_combout\);

-- Location: FF_X38_Y37_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[70]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[70]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(70));

-- Location: LCCOMB_X38_Y37_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[69]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(70),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[69]~feeder_combout\);

-- Location: FF_X38_Y37_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[69]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[69]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(69));

-- Location: LCCOMB_X39_Y37_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[68]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(69),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[68]~feeder_combout\);

-- Location: FF_X39_Y37_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[68]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[68]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(68));

-- Location: LCCOMB_X39_Y37_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[67]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(68),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[67]~feeder_combout\);

-- Location: FF_X39_Y37_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[67]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[67]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(67));

-- Location: LCCOMB_X39_Y37_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[66]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(67),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[66]~feeder_combout\);

-- Location: FF_X39_Y37_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[66]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[66]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(66));

-- Location: LCCOMB_X39_Y37_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[65]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(66),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[65]~feeder_combout\);

-- Location: FF_X39_Y37_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[65]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[65]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(65));

-- Location: LCCOMB_X39_Y37_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[64]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(65),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[64]~feeder_combout\);

-- Location: FF_X39_Y37_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[64]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[64]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(64));

-- Location: LCCOMB_X39_Y37_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[63]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(64),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[63]~feeder_combout\);

-- Location: FF_X39_Y37_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[63]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[63]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(63));

-- Location: LCCOMB_X40_Y37_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[62]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(63),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[62]~feeder_combout\);

-- Location: FF_X40_Y37_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[62]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[62]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(62));

-- Location: LCCOMB_X40_Y37_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[61]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(62),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[61]~feeder_combout\);

-- Location: FF_X40_Y37_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[61]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[61]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(61));

-- Location: LCCOMB_X40_Y37_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[60]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(61),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[60]~feeder_combout\);

-- Location: FF_X40_Y37_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[60]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[60]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(60));

-- Location: LCCOMB_X40_Y37_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[59]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(60),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[59]~feeder_combout\);

-- Location: FF_X40_Y37_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[59]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[59]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(59));

-- Location: LCCOMB_X40_Y37_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[58]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(59),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[58]~feeder_combout\);

-- Location: FF_X40_Y37_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[58]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[58]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(58));

-- Location: LCCOMB_X40_Y37_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[57]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(58),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[57]~feeder_combout\);

-- Location: FF_X40_Y37_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[57]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[57]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(57));

-- Location: LCCOMB_X40_Y37_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[56]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(57),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[56]~feeder_combout\);

-- Location: FF_X40_Y37_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[56]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[56]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(56));

-- Location: LCCOMB_X41_Y37_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[55]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(56),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[55]~feeder_combout\);

-- Location: FF_X41_Y37_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[55]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[55]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(55));

-- Location: LCCOMB_X41_Y37_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[54]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(55),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[54]~feeder_combout\);

-- Location: FF_X41_Y37_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[54]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[54]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(54));

-- Location: LCCOMB_X42_Y37_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[53]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(54),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[53]~feeder_combout\);

-- Location: FF_X42_Y37_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[53]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[53]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(53));

-- Location: LCCOMB_X42_Y37_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[52]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(53),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[52]~feeder_combout\);

-- Location: FF_X42_Y37_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[52]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[52]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(52));

-- Location: LCCOMB_X42_Y37_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[51]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(52),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[51]~feeder_combout\);

-- Location: FF_X42_Y37_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[51]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[51]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(51));

-- Location: LCCOMB_X42_Y37_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[50]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(51),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[50]~feeder_combout\);

-- Location: FF_X42_Y37_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[50]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[50]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(50));

-- Location: LCCOMB_X43_Y37_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[49]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(50),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[49]~feeder_combout\);

-- Location: FF_X43_Y37_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[49]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[49]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(49));

-- Location: LCCOMB_X43_Y37_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[48]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(49),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[48]~feeder_combout\);

-- Location: FF_X43_Y37_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[48]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[48]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(48));

-- Location: LCCOMB_X43_Y37_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[47]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(48),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[47]~feeder_combout\);

-- Location: FF_X43_Y37_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[47]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[47]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(47));

-- Location: LCCOMB_X43_Y37_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[46]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(47),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[46]~feeder_combout\);

-- Location: FF_X43_Y37_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[46]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[46]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(46));

-- Location: LCCOMB_X43_Y37_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[45]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(46),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[45]~feeder_combout\);

-- Location: FF_X43_Y37_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[45]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[45]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(45));

-- Location: LCCOMB_X43_Y38_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[44]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(45),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[44]~feeder_combout\);

-- Location: FF_X43_Y38_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[44]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[44]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(44));

-- Location: LCCOMB_X42_Y38_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[43]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(44),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[43]~feeder_combout\);

-- Location: FF_X42_Y38_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[43]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[43]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(43));

-- Location: LCCOMB_X42_Y38_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[42]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(43),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[42]~feeder_combout\);

-- Location: FF_X42_Y38_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[42]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[42]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(42));

-- Location: LCCOMB_X42_Y38_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[41]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(42),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[41]~feeder_combout\);

-- Location: FF_X42_Y38_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[41]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[41]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(41));

-- Location: LCCOMB_X42_Y38_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[40]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(41),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[40]~feeder_combout\);

-- Location: FF_X42_Y38_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[40]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[40]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(40));

-- Location: LCCOMB_X42_Y38_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[39]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(40),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[39]~feeder_combout\);

-- Location: FF_X42_Y38_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[39]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[39]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(39));

-- Location: LCCOMB_X42_Y38_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[38]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(39),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[38]~feeder_combout\);

-- Location: FF_X42_Y38_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[38]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[38]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(38));

-- Location: LCCOMB_X43_Y38_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[37]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(38),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[37]~feeder_combout\);

-- Location: FF_X43_Y38_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[37]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[37]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(37));

-- Location: LCCOMB_X43_Y38_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[36]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(37),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[36]~feeder_combout\);

-- Location: FF_X43_Y38_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[36]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[36]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(36));

-- Location: LCCOMB_X43_Y38_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[35]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(36),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[35]~feeder_combout\);

-- Location: FF_X43_Y38_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[35]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[35]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(35));

-- Location: LCCOMB_X43_Y38_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[34]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(35),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[34]~feeder_combout\);

-- Location: FF_X43_Y38_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[34]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[34]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(34));

-- Location: LCCOMB_X43_Y38_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[33]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(34),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[33]~feeder_combout\);

-- Location: FF_X43_Y38_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[33]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[33]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(33));

-- Location: LCCOMB_X43_Y36_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[32]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(33),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[32]~feeder_combout\);

-- Location: FF_X43_Y36_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[32]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[32]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(32));

-- Location: LCCOMB_X43_Y36_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[31]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(32),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[31]~feeder_combout\);

-- Location: FF_X43_Y36_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[31]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(31));

-- Location: LCCOMB_X43_Y36_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[30]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(31),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[30]~feeder_combout\);

-- Location: FF_X43_Y36_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[30]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(30));

-- Location: LCCOMB_X43_Y36_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[29]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(30),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[29]~feeder_combout\);

-- Location: FF_X43_Y36_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[29]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(29));

-- Location: LCCOMB_X43_Y36_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[28]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(29),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[28]~feeder_combout\);

-- Location: FF_X43_Y36_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[28]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(28));

-- Location: LCCOMB_X43_Y36_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[27]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(28),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[27]~feeder_combout\);

-- Location: FF_X43_Y36_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[27]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(27));

-- Location: LCCOMB_X43_Y36_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[26]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(27),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[26]~feeder_combout\);

-- Location: FF_X43_Y36_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[26]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(26));

-- Location: LCCOMB_X43_Y36_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[25]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(26),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[25]~feeder_combout\);

-- Location: FF_X43_Y36_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[25]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(25));

-- Location: LCCOMB_X42_Y36_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[24]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(25),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[24]~feeder_combout\);

-- Location: FF_X42_Y36_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[24]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(24));

-- Location: LCCOMB_X42_Y36_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[23]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(24),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[23]~feeder_combout\);

-- Location: FF_X42_Y36_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[23]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(23));

-- Location: LCCOMB_X42_Y36_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[22]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(23),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[22]~feeder_combout\);

-- Location: FF_X42_Y36_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[22]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(22));

-- Location: LCCOMB_X42_Y36_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[21]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(22),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[21]~feeder_combout\);

-- Location: FF_X42_Y36_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[21]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(21));

-- Location: LCCOMB_X42_Y36_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[20]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(21),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[20]~feeder_combout\);

-- Location: FF_X42_Y36_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[20]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(20));

-- Location: LCCOMB_X42_Y36_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[19]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(20),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[19]~feeder_combout\);

-- Location: FF_X42_Y36_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[19]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(19));

-- Location: LCCOMB_X41_Y36_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[18]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(19),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[18]~feeder_combout\);

-- Location: FF_X41_Y36_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[18]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(18));

-- Location: LCCOMB_X41_Y36_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[17]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(18),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[17]~feeder_combout\);

-- Location: FF_X41_Y36_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[17]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(17));

-- Location: LCCOMB_X41_Y36_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[16]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(17),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[16]~feeder_combout\);

-- Location: FF_X41_Y36_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[16]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(16));

-- Location: LCCOMB_X41_Y36_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[15]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(16),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[15]~feeder_combout\);

-- Location: FF_X41_Y36_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[15]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(15));

-- Location: LCCOMB_X41_Y36_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[14]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(15),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[14]~feeder_combout\);

-- Location: FF_X41_Y36_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[14]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(14));

-- Location: LCCOMB_X41_Y36_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[13]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(14),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[13]~feeder_combout\);

-- Location: FF_X41_Y36_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[13]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(13));

-- Location: LCCOMB_X41_Y36_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[12]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(13),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[12]~feeder_combout\);

-- Location: FF_X41_Y36_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[12]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(12));

-- Location: LCCOMB_X41_Y36_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[11]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(12),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[11]~feeder_combout\);

-- Location: FF_X41_Y36_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[11]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(11));

-- Location: LCCOMB_X41_Y37_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[10]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(11),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[10]~feeder_combout\);

-- Location: FF_X41_Y37_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[10]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(10));

-- Location: LCCOMB_X41_Y37_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[9]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(10),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[9]~feeder_combout\);

-- Location: FF_X41_Y37_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[9]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(9));

-- Location: LCCOMB_X41_Y37_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[8]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(9),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[8]~feeder_combout\);

-- Location: FF_X41_Y37_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[8]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(8));

-- Location: LCCOMB_X42_Y37_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[7]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(8),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[7]~feeder_combout\);

-- Location: FF_X42_Y37_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[7]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(7));

-- Location: LCCOMB_X42_Y37_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(7),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[6]~feeder_combout\);

-- Location: FF_X42_Y37_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[6]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(6));

-- Location: FF_X42_Y37_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(6),
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	sload => VCC,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(5));

-- Location: LCCOMB_X42_Y37_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[4]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(5),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[4]~feeder_combout\);

-- Location: FF_X42_Y37_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[4]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(4));

-- Location: LCCOMB_X42_Y37_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(4),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[3]~feeder_combout\);

-- Location: FF_X42_Y37_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[3]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(3));

-- Location: LCCOMB_X38_Y37_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[2]~feeder_combout\);

-- Location: FF_X38_Y37_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[2]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(2));

-- Location: LCCOMB_X37_Y37_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[1]~feeder_combout\);

-- Location: FF_X37_Y37_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[1]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(1));

-- Location: LCCOMB_X37_Y37_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[0]~feeder_combout\);

-- Location: FF_X37_Y37_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs[0]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(0));

-- Location: LCCOMB_X37_Y37_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[9]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[9]~feeder_combout\);

-- Location: FF_X37_Y37_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[9]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(9));

-- Location: LCCOMB_X37_Y37_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[8]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(9),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[8]~feeder_combout\);

-- Location: FF_X37_Y37_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[8]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(8));

-- Location: LCCOMB_X37_Y37_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[7]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(8),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[7]~feeder_combout\);

-- Location: FF_X37_Y37_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[7]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(7));

-- Location: LCCOMB_X37_Y32_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(7),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[6]~feeder_combout\);

-- Location: FF_X37_Y32_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[6]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(6));

-- Location: LCCOMB_X37_Y32_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[5]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(6),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[5]~feeder_combout\);

-- Location: FF_X37_Y32_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[5]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(5));

-- Location: LCCOMB_X37_Y32_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[4]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(5),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[4]~feeder_combout\);

-- Location: FF_X37_Y32_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[4]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(4));

-- Location: LCCOMB_X37_Y32_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(4),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[3]~feeder_combout\);

-- Location: FF_X37_Y32_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[3]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(3));

-- Location: LCCOMB_X37_Y32_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[2]~feeder_combout\);

-- Location: FF_X37_Y32_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[2]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(2));

-- Location: LCCOMB_X37_Y32_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[1]~feeder_combout\);

-- Location: FF_X37_Y32_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[1]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(1));

-- Location: LCCOMB_X37_Y32_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[0]~feeder_combout\);

-- Location: FF_X37_Y32_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs[0]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(0));

-- Location: LCCOMB_X45_Y39_N16
\auto_signaltap_0|acq_trigger_in_reg[21]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[21]~feeder_combout\ = \spi_master_dac|mosi~reg0_q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|mosi~reg0_q\,
	combout => \auto_signaltap_0|acq_trigger_in_reg[21]~feeder_combout\);

-- Location: FF_X45_Y39_N17
\auto_signaltap_0|acq_trigger_in_reg[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[21]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(21));

-- Location: LCCOMB_X39_Y37_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000011011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(63),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(65),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(21),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(64),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|p_match_out~0_combout\);

-- Location: FF_X39_Y37_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(21),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|holdff~q\);

-- Location: LCCOMB_X39_Y37_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010100010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|p_match_out~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|holdff~q\,
	datac => \auto_signaltap_0|acq_trigger_in_reg\(21),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(65),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|p_match_out~1_combout\);

-- Location: FF_X39_Y37_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|regoutff~q\);

-- Location: LCCOMB_X41_Y37_N18
\auto_signaltap_0|acq_trigger_in_reg[18]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[18]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|dac_ctrl|data_out\(7),
	combout => \auto_signaltap_0|acq_trigger_in_reg[18]~feeder_combout\);

-- Location: FF_X41_Y37_N19
\auto_signaltap_0|acq_trigger_in_reg[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[18]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(18));

-- Location: LCCOMB_X41_Y37_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(56),
	datab => \auto_signaltap_0|acq_trigger_in_reg\(18),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(54),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(55),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|p_match_out~0_combout\);

-- Location: LCCOMB_X40_Y37_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|holdff~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_trigger_in_reg\(18),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|holdff~feeder_combout\);

-- Location: FF_X40_Y37_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|holdff~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|holdff~q\);

-- Location: LCCOMB_X40_Y37_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101010001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|p_match_out~0_combout\,
	datab => \auto_signaltap_0|acq_trigger_in_reg\(18),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(56),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|holdff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|p_match_out~1_combout\);

-- Location: FF_X40_Y37_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|regoutff~q\);

-- Location: LCCOMB_X40_Y37_N30
\auto_signaltap_0|acq_trigger_in_reg[20]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[20]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(9),
	combout => \auto_signaltap_0|acq_trigger_in_reg[20]~feeder_combout\);

-- Location: FF_X40_Y37_N31
\auto_signaltap_0|acq_trigger_in_reg[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[20]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(20));

-- Location: FF_X40_Y37_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(20),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|holdff~q\);

-- Location: LCCOMB_X40_Y37_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(62),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(61),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(20),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(60),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|p_match_out~0_combout\);

-- Location: LCCOMB_X40_Y37_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111110100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(62),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|holdff~q\,
	datac => \auto_signaltap_0|acq_trigger_in_reg\(20),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|p_match_out~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|p_match_out~1_combout\);

-- Location: FF_X40_Y37_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|regoutff~q\);

-- Location: LCCOMB_X40_Y37_N8
\auto_signaltap_0|acq_trigger_in_reg[19]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[19]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(8),
	combout => \auto_signaltap_0|acq_trigger_in_reg[19]~feeder_combout\);

-- Location: FF_X40_Y37_N9
\auto_signaltap_0|acq_trigger_in_reg[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[19]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(19));

-- Location: FF_X40_Y37_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(19),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|holdff~q\);

-- Location: LCCOMB_X40_Y37_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(59),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(57),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(19),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(58),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|p_match_out~0_combout\);

-- Location: LCCOMB_X40_Y37_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|holdff~q\,
	datab => \auto_signaltap_0|acq_trigger_in_reg\(19),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(59),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|p_match_out~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|p_match_out~1_combout\);

-- Location: FF_X40_Y37_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|regoutff~q\);

-- Location: LCCOMB_X40_Y37_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:21:sm1|regoutff~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:18:sm1|regoutff~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:20:sm1|regoutff~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:19:sm1|regoutff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~1_combout\);

-- Location: LCCOMB_X41_Y38_N6
\auto_signaltap_0|acq_trigger_in_reg[13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[13]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(2),
	combout => \auto_signaltap_0|acq_trigger_in_reg[13]~feeder_combout\);

-- Location: FF_X41_Y38_N7
\auto_signaltap_0|acq_trigger_in_reg[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[13]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(13));

-- Location: LCCOMB_X42_Y38_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110110001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(40),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(41),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(13),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(39),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|p_match_out~0_combout\);

-- Location: FF_X42_Y38_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(13),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|holdff~q\);

-- Location: LCCOMB_X42_Y38_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101010001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|p_match_out~0_combout\,
	datab => \auto_signaltap_0|acq_trigger_in_reg\(13),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(41),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|holdff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|p_match_out~1_combout\);

-- Location: FF_X42_Y38_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|regoutff~q\);

-- Location: LCCOMB_X43_Y38_N30
\auto_signaltap_0|acq_trigger_in_reg[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[11]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(17)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(17),
	combout => \auto_signaltap_0|acq_trigger_in_reg[11]~feeder_combout\);

-- Location: FF_X43_Y38_N31
\auto_signaltap_0|acq_trigger_in_reg[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[11]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(11));

-- Location: FF_X43_Y38_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(11),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|holdff~q\);

-- Location: LCCOMB_X43_Y38_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(35),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(34),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(11),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(33),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|p_match_out~0_combout\);

-- Location: LCCOMB_X43_Y38_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|holdff~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|p_match_out~0_combout\,
	datac => \auto_signaltap_0|acq_trigger_in_reg\(11),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(35),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|p_match_out~1_combout\);

-- Location: FF_X43_Y38_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|regoutff~q\);

-- Location: LCCOMB_X43_Y36_N30
\auto_signaltap_0|acq_trigger_in_reg[10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[10]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(16)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|dac_ctrl|data_out\(16),
	combout => \auto_signaltap_0|acq_trigger_in_reg[10]~feeder_combout\);

-- Location: FF_X43_Y36_N31
\auto_signaltap_0|acq_trigger_in_reg[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[10]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(10));

-- Location: LCCOMB_X43_Y36_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(31),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(30),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(10),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(32),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|p_match_out~0_combout\);

-- Location: FF_X43_Y36_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(10),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|holdff~q\);

-- Location: LCCOMB_X43_Y36_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000010110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|acq_trigger_in_reg\(10),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(32),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|p_match_out~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|holdff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|p_match_out~1_combout\);

-- Location: FF_X43_Y36_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|regoutff~q\);

-- Location: LCCOMB_X43_Y38_N26
\auto_signaltap_0|acq_trigger_in_reg[12]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[12]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|dac_ctrl|data_out\(1),
	combout => \auto_signaltap_0|acq_trigger_in_reg[12]~feeder_combout\);

-- Location: FF_X43_Y38_N27
\auto_signaltap_0|acq_trigger_in_reg[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[12]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(12));

-- Location: FF_X43_Y38_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(12),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|holdff~q\);

-- Location: LCCOMB_X43_Y38_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(38),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(36),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(12),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(37),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|p_match_out~0_combout\);

-- Location: LCCOMB_X43_Y38_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111110100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(38),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|holdff~q\,
	datac => \auto_signaltap_0|acq_trigger_in_reg\(12),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|p_match_out~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|p_match_out~1_combout\);

-- Location: FF_X43_Y38_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|regoutff~q\);

-- Location: LCCOMB_X42_Y38_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:13:sm1|regoutff~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:11:sm1|regoutff~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:10:sm1|regoutff~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:12:sm1|regoutff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~3_combout\);

-- Location: LCCOMB_X40_Y38_N6
cpol : fiftyfivenm_lcell_comb
-- Equation(s):
-- \cpol~combout\ = LCELL(VCC)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \cpol~combout\);

-- Location: LCCOMB_X44_Y39_N22
\spi_master_dac|sclk~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|sclk~0_combout\ = (\spi_master_dac|state~q\ & (!\spi_master_dac|sclk~q\)) # (!\spi_master_dac|state~q\ & ((\cpol~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101111100001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datac => \spi_master_dac|sclk~q\,
	datad => \cpol~combout\,
	combout => \spi_master_dac|sclk~0_combout\);

-- Location: LCCOMB_X45_Y43_N0
\spi_master_dac|Add5~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~0_combout\ = \spi_master_dac|count\(0) $ (GND)
-- \spi_master_dac|Add5~1\ = CARRY(!\spi_master_dac|count\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(0),
	datad => VCC,
	combout => \spi_master_dac|Add5~0_combout\,
	cout => \spi_master_dac|Add5~1\);

-- Location: LCCOMB_X45_Y38_N6
\dac_ctrl[17]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(17) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(17))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(17),
	combout => dac_ctrl(17));

-- Location: LCCOMB_X45_Y39_N28
enable : fiftyfivenm_lcell_comb
-- Equation(s):
-- \enable~combout\ = LCELL(dac_ctrl(17))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => dac_ctrl(17),
	combout => \enable~combout\);

-- Location: LCCOMB_X44_Y39_N6
\spi_master_dac|count[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|count[0]~2_combout\ = (!\spi_master_dac|Equal1~10_combout\ & (!\spi_master_dac|Add5~0_combout\ & ((\spi_master_dac|state~q\) # (!\enable~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datab => \spi_master_dac|Equal1~10_combout\,
	datac => \spi_master_dac|Add5~0_combout\,
	datad => \enable~combout\,
	combout => \spi_master_dac|count[0]~2_combout\);

-- Location: LCCOMB_X44_Y39_N20
\spi_master_dac|count[31]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|count[31]~1_combout\ = (\fpga_resetn~input_o\ & ((\spi_master_dac|state~q\) # (\enable~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datac => \fpga_resetn~input_o\,
	datad => \enable~combout\,
	combout => \spi_master_dac|count[31]~1_combout\);

-- Location: FF_X44_Y39_N7
\spi_master_dac|count[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|count[0]~2_combout\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(0));

-- Location: LCCOMB_X45_Y43_N2
\spi_master_dac|Add5~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~2_combout\ = (\spi_master_dac|count\(1) & (!\spi_master_dac|Add5~1\)) # (!\spi_master_dac|count\(1) & ((\spi_master_dac|Add5~1\) # (GND)))
-- \spi_master_dac|Add5~3\ = CARRY((!\spi_master_dac|Add5~1\) # (!\spi_master_dac|count\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(1),
	datad => VCC,
	cin => \spi_master_dac|Add5~1\,
	combout => \spi_master_dac|Add5~2_combout\,
	cout => \spi_master_dac|Add5~3\);

-- Location: LCCOMB_X45_Y43_N4
\spi_master_dac|Add5~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~4_combout\ = (\spi_master_dac|count\(2) & (\spi_master_dac|Add5~3\ $ (GND))) # (!\spi_master_dac|count\(2) & (!\spi_master_dac|Add5~3\ & VCC))
-- \spi_master_dac|Add5~5\ = CARRY((\spi_master_dac|count\(2) & !\spi_master_dac|Add5~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(2),
	datad => VCC,
	cin => \spi_master_dac|Add5~3\,
	combout => \spi_master_dac|Add5~4_combout\,
	cout => \spi_master_dac|Add5~5\);

-- Location: LCCOMB_X45_Y43_N6
\spi_master_dac|Add5~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~6_combout\ = (\spi_master_dac|count\(3) & (!\spi_master_dac|Add5~5\)) # (!\spi_master_dac|count\(3) & ((\spi_master_dac|Add5~5\) # (GND)))
-- \spi_master_dac|Add5~7\ = CARRY((!\spi_master_dac|Add5~5\) # (!\spi_master_dac|count\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(3),
	datad => VCC,
	cin => \spi_master_dac|Add5~5\,
	combout => \spi_master_dac|Add5~6_combout\,
	cout => \spi_master_dac|Add5~7\);

-- Location: LCCOMB_X46_Y43_N16
\spi_master_dac|Add5~91\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~91_combout\ = (\spi_master_dac|Add5~6_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~4_combout\)) # (!\spi_master_dac|Equal1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~9_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|Add5~6_combout\,
	datad => \spi_master_dac|count\(1),
	combout => \spi_master_dac|Add5~91_combout\);

-- Location: FF_X46_Y43_N17
\spi_master_dac|count[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~91_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(3));

-- Location: LCCOMB_X45_Y43_N8
\spi_master_dac|Add5~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~8_combout\ = (\spi_master_dac|count\(4) & (\spi_master_dac|Add5~7\ $ (GND))) # (!\spi_master_dac|count\(4) & (!\spi_master_dac|Add5~7\ & VCC))
-- \spi_master_dac|Add5~9\ = CARRY((\spi_master_dac|count\(4) & !\spi_master_dac|Add5~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(4),
	datad => VCC,
	cin => \spi_master_dac|Add5~7\,
	combout => \spi_master_dac|Add5~8_combout\,
	cout => \spi_master_dac|Add5~9\);

-- Location: LCCOMB_X46_Y43_N14
\spi_master_dac|Add5~90\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~90_combout\ = (\spi_master_dac|Add5~8_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~4_combout\) # (!\spi_master_dac|Equal1~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~8_combout\,
	datab => \spi_master_dac|count\(1),
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|Equal1~4_combout\,
	combout => \spi_master_dac|Add5~90_combout\);

-- Location: FF_X46_Y43_N15
\spi_master_dac|count[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~90_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(4));

-- Location: LCCOMB_X45_Y43_N10
\spi_master_dac|Add5~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~10_combout\ = (\spi_master_dac|count\(5) & (!\spi_master_dac|Add5~9\)) # (!\spi_master_dac|count\(5) & ((\spi_master_dac|Add5~9\) # (GND)))
-- \spi_master_dac|Add5~11\ = CARRY((!\spi_master_dac|Add5~9\) # (!\spi_master_dac|count\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(5),
	datad => VCC,
	cin => \spi_master_dac|Add5~9\,
	combout => \spi_master_dac|Add5~10_combout\,
	cout => \spi_master_dac|Add5~11\);

-- Location: LCCOMB_X46_Y43_N0
\spi_master_dac|Add5~89\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~89_combout\ = (\spi_master_dac|Add5~10_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~4_combout\) # (!\spi_master_dac|Equal1~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~10_combout\,
	datab => \spi_master_dac|count\(1),
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|Equal1~4_combout\,
	combout => \spi_master_dac|Add5~89_combout\);

-- Location: FF_X46_Y43_N1
\spi_master_dac|count[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~89_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(5));

-- Location: LCCOMB_X45_Y43_N12
\spi_master_dac|Add5~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~12_combout\ = (\spi_master_dac|count\(6) & (\spi_master_dac|Add5~11\ $ (GND))) # (!\spi_master_dac|count\(6) & (!\spi_master_dac|Add5~11\ & VCC))
-- \spi_master_dac|Add5~13\ = CARRY((\spi_master_dac|count\(6) & !\spi_master_dac|Add5~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(6),
	datad => VCC,
	cin => \spi_master_dac|Add5~11\,
	combout => \spi_master_dac|Add5~12_combout\,
	cout => \spi_master_dac|Add5~13\);

-- Location: LCCOMB_X46_Y43_N4
\spi_master_dac|Add5~88\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~88_combout\ = (\spi_master_dac|Add5~12_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~4_combout\) # (!\spi_master_dac|Equal1~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~12_combout\,
	datab => \spi_master_dac|count\(1),
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|Equal1~4_combout\,
	combout => \spi_master_dac|Add5~88_combout\);

-- Location: FF_X46_Y43_N5
\spi_master_dac|count[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~88_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(6));

-- Location: LCCOMB_X45_Y43_N14
\spi_master_dac|Add5~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~14_combout\ = (\spi_master_dac|count\(7) & (!\spi_master_dac|Add5~13\)) # (!\spi_master_dac|count\(7) & ((\spi_master_dac|Add5~13\) # (GND)))
-- \spi_master_dac|Add5~15\ = CARRY((!\spi_master_dac|Add5~13\) # (!\spi_master_dac|count\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(7),
	datad => VCC,
	cin => \spi_master_dac|Add5~13\,
	combout => \spi_master_dac|Add5~14_combout\,
	cout => \spi_master_dac|Add5~15\);

-- Location: LCCOMB_X46_Y43_N10
\spi_master_dac|Add5~87\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~87_combout\ = (\spi_master_dac|Add5~14_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~4_combout\) # (!\spi_master_dac|Equal1~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~14_combout\,
	datab => \spi_master_dac|count\(1),
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|Equal1~4_combout\,
	combout => \spi_master_dac|Add5~87_combout\);

-- Location: FF_X46_Y43_N11
\spi_master_dac|count[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~87_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(7));

-- Location: LCCOMB_X45_Y43_N16
\spi_master_dac|Add5~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~16_combout\ = (\spi_master_dac|count\(8) & (\spi_master_dac|Add5~15\ $ (GND))) # (!\spi_master_dac|count\(8) & (!\spi_master_dac|Add5~15\ & VCC))
-- \spi_master_dac|Add5~17\ = CARRY((\spi_master_dac|count\(8) & !\spi_master_dac|Add5~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(8),
	datad => VCC,
	cin => \spi_master_dac|Add5~15\,
	combout => \spi_master_dac|Add5~16_combout\,
	cout => \spi_master_dac|Add5~17\);

-- Location: LCCOMB_X46_Y43_N8
\spi_master_dac|Add5~86\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~86_combout\ = (\spi_master_dac|Add5~16_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~4_combout\) # (!\spi_master_dac|Equal1~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~16_combout\,
	datab => \spi_master_dac|count\(1),
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|Equal1~4_combout\,
	combout => \spi_master_dac|Add5~86_combout\);

-- Location: FF_X46_Y43_N9
\spi_master_dac|count[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~86_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(8));

-- Location: LCCOMB_X45_Y43_N18
\spi_master_dac|Add5~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~18_combout\ = (\spi_master_dac|count\(9) & (!\spi_master_dac|Add5~17\)) # (!\spi_master_dac|count\(9) & ((\spi_master_dac|Add5~17\) # (GND)))
-- \spi_master_dac|Add5~19\ = CARRY((!\spi_master_dac|Add5~17\) # (!\spi_master_dac|count\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(9),
	datad => VCC,
	cin => \spi_master_dac|Add5~17\,
	combout => \spi_master_dac|Add5~18_combout\,
	cout => \spi_master_dac|Add5~19\);

-- Location: LCCOMB_X46_Y43_N18
\spi_master_dac|Add5~85\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~85_combout\ = (\spi_master_dac|Add5~18_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~4_combout\)) # (!\spi_master_dac|Equal1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~9_combout\,
	datab => \spi_master_dac|count\(1),
	datac => \spi_master_dac|Add5~18_combout\,
	datad => \spi_master_dac|Equal1~4_combout\,
	combout => \spi_master_dac|Add5~85_combout\);

-- Location: FF_X46_Y43_N19
\spi_master_dac|count[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~85_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(9));

-- Location: LCCOMB_X45_Y43_N20
\spi_master_dac|Add5~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~20_combout\ = (\spi_master_dac|count\(10) & (\spi_master_dac|Add5~19\ $ (GND))) # (!\spi_master_dac|count\(10) & (!\spi_master_dac|Add5~19\ & VCC))
-- \spi_master_dac|Add5~21\ = CARRY((\spi_master_dac|count\(10) & !\spi_master_dac|Add5~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(10),
	datad => VCC,
	cin => \spi_master_dac|Add5~19\,
	combout => \spi_master_dac|Add5~20_combout\,
	cout => \spi_master_dac|Add5~21\);

-- Location: LCCOMB_X44_Y43_N4
\spi_master_dac|Add5~84\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~84_combout\ = (\spi_master_dac|Add5~20_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~20_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|count\(1),
	combout => \spi_master_dac|Add5~84_combout\);

-- Location: FF_X44_Y43_N5
\spi_master_dac|count[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~84_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(10));

-- Location: LCCOMB_X45_Y43_N22
\spi_master_dac|Add5~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~22_combout\ = (\spi_master_dac|count\(11) & (!\spi_master_dac|Add5~21\)) # (!\spi_master_dac|count\(11) & ((\spi_master_dac|Add5~21\) # (GND)))
-- \spi_master_dac|Add5~23\ = CARRY((!\spi_master_dac|Add5~21\) # (!\spi_master_dac|count\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(11),
	datad => VCC,
	cin => \spi_master_dac|Add5~21\,
	combout => \spi_master_dac|Add5~22_combout\,
	cout => \spi_master_dac|Add5~23\);

-- Location: LCCOMB_X44_Y43_N10
\spi_master_dac|Add5~83\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~83_combout\ = (\spi_master_dac|Add5~22_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~4_combout\)) # (!\spi_master_dac|Equal1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~9_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Add5~22_combout\,
	combout => \spi_master_dac|Add5~83_combout\);

-- Location: FF_X44_Y43_N11
\spi_master_dac|count[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~83_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(11));

-- Location: LCCOMB_X45_Y43_N24
\spi_master_dac|Add5~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~24_combout\ = (\spi_master_dac|count\(12) & (\spi_master_dac|Add5~23\ $ (GND))) # (!\spi_master_dac|count\(12) & (!\spi_master_dac|Add5~23\ & VCC))
-- \spi_master_dac|Add5~25\ = CARRY((\spi_master_dac|count\(12) & !\spi_master_dac|Add5~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(12),
	datad => VCC,
	cin => \spi_master_dac|Add5~23\,
	combout => \spi_master_dac|Add5~24_combout\,
	cout => \spi_master_dac|Add5~25\);

-- Location: LCCOMB_X44_Y43_N12
\spi_master_dac|Add5~82\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~82_combout\ = (\spi_master_dac|Add5~24_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~4_combout\)) # (!\spi_master_dac|Equal1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~9_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Add5~24_combout\,
	combout => \spi_master_dac|Add5~82_combout\);

-- Location: FF_X44_Y43_N13
\spi_master_dac|count[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~82_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(12));

-- Location: LCCOMB_X45_Y43_N26
\spi_master_dac|Add5~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~26_combout\ = (\spi_master_dac|count\(13) & (!\spi_master_dac|Add5~25\)) # (!\spi_master_dac|count\(13) & ((\spi_master_dac|Add5~25\) # (GND)))
-- \spi_master_dac|Add5~27\ = CARRY((!\spi_master_dac|Add5~25\) # (!\spi_master_dac|count\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(13),
	datad => VCC,
	cin => \spi_master_dac|Add5~25\,
	combout => \spi_master_dac|Add5~26_combout\,
	cout => \spi_master_dac|Add5~27\);

-- Location: LCCOMB_X44_Y43_N18
\spi_master_dac|Add5~81\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~81_combout\ = (\spi_master_dac|Add5~26_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~4_combout\)) # (!\spi_master_dac|Equal1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~9_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Add5~26_combout\,
	combout => \spi_master_dac|Add5~81_combout\);

-- Location: FF_X44_Y43_N19
\spi_master_dac|count[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~81_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(13));

-- Location: LCCOMB_X45_Y43_N28
\spi_master_dac|Add5~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~28_combout\ = (\spi_master_dac|count\(14) & (\spi_master_dac|Add5~27\ $ (GND))) # (!\spi_master_dac|count\(14) & (!\spi_master_dac|Add5~27\ & VCC))
-- \spi_master_dac|Add5~29\ = CARRY((\spi_master_dac|count\(14) & !\spi_master_dac|Add5~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(14),
	datad => VCC,
	cin => \spi_master_dac|Add5~27\,
	combout => \spi_master_dac|Add5~28_combout\,
	cout => \spi_master_dac|Add5~29\);

-- Location: LCCOMB_X46_Y43_N22
\spi_master_dac|Add5~80\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~80_combout\ = (\spi_master_dac|Add5~28_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~4_combout\)) # (!\spi_master_dac|Equal1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~9_combout\,
	datab => \spi_master_dac|count\(1),
	datac => \spi_master_dac|Add5~28_combout\,
	datad => \spi_master_dac|Equal1~4_combout\,
	combout => \spi_master_dac|Add5~80_combout\);

-- Location: FF_X46_Y43_N23
\spi_master_dac|count[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~80_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(14));

-- Location: LCCOMB_X45_Y43_N30
\spi_master_dac|Add5~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~30_combout\ = (\spi_master_dac|count\(15) & (!\spi_master_dac|Add5~29\)) # (!\spi_master_dac|count\(15) & ((\spi_master_dac|Add5~29\) # (GND)))
-- \spi_master_dac|Add5~31\ = CARRY((!\spi_master_dac|Add5~29\) # (!\spi_master_dac|count\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(15),
	datad => VCC,
	cin => \spi_master_dac|Add5~29\,
	combout => \spi_master_dac|Add5~30_combout\,
	cout => \spi_master_dac|Add5~31\);

-- Location: LCCOMB_X46_Y43_N2
\spi_master_dac|Add5~79\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~79_combout\ = (\spi_master_dac|Add5~30_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~4_combout\) # (!\spi_master_dac|Equal1~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~30_combout\,
	datab => \spi_master_dac|count\(1),
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|Equal1~4_combout\,
	combout => \spi_master_dac|Add5~79_combout\);

-- Location: FF_X46_Y43_N3
\spi_master_dac|count[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~79_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(15));

-- Location: LCCOMB_X45_Y42_N0
\spi_master_dac|Add5~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~32_combout\ = (\spi_master_dac|count\(16) & (\spi_master_dac|Add5~31\ $ (GND))) # (!\spi_master_dac|count\(16) & (!\spi_master_dac|Add5~31\ & VCC))
-- \spi_master_dac|Add5~33\ = CARRY((\spi_master_dac|count\(16) & !\spi_master_dac|Add5~31\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(16),
	datad => VCC,
	cin => \spi_master_dac|Add5~31\,
	combout => \spi_master_dac|Add5~32_combout\,
	cout => \spi_master_dac|Add5~33\);

-- Location: LCCOMB_X46_Y42_N22
\spi_master_dac|Add5~78\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~78_combout\ = (\spi_master_dac|Add5~32_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~4_combout\)) # (!\spi_master_dac|Equal1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~32_combout\,
	datab => \spi_master_dac|Equal1~9_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|count\(1),
	combout => \spi_master_dac|Add5~78_combout\);

-- Location: FF_X46_Y42_N23
\spi_master_dac|count[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~78_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(16));

-- Location: LCCOMB_X45_Y42_N2
\spi_master_dac|Add5~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~34_combout\ = (\spi_master_dac|count\(17) & (!\spi_master_dac|Add5~33\)) # (!\spi_master_dac|count\(17) & ((\spi_master_dac|Add5~33\) # (GND)))
-- \spi_master_dac|Add5~35\ = CARRY((!\spi_master_dac|Add5~33\) # (!\spi_master_dac|count\(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(17),
	datad => VCC,
	cin => \spi_master_dac|Add5~33\,
	combout => \spi_master_dac|Add5~34_combout\,
	cout => \spi_master_dac|Add5~35\);

-- Location: LCCOMB_X46_Y42_N0
\spi_master_dac|Add5~77\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~77_combout\ = (\spi_master_dac|Add5~34_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~4_combout\) # (!\spi_master_dac|Equal1~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~9_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|Add5~34_combout\,
	combout => \spi_master_dac|Add5~77_combout\);

-- Location: FF_X46_Y42_N1
\spi_master_dac|count[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~77_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(17));

-- Location: LCCOMB_X45_Y42_N4
\spi_master_dac|Add5~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~36_combout\ = (\spi_master_dac|count\(18) & (\spi_master_dac|Add5~35\ $ (GND))) # (!\spi_master_dac|count\(18) & (!\spi_master_dac|Add5~35\ & VCC))
-- \spi_master_dac|Add5~37\ = CARRY((\spi_master_dac|count\(18) & !\spi_master_dac|Add5~35\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(18),
	datad => VCC,
	cin => \spi_master_dac|Add5~35\,
	combout => \spi_master_dac|Add5~36_combout\,
	cout => \spi_master_dac|Add5~37\);

-- Location: LCCOMB_X44_Y42_N10
\spi_master_dac|Add5~76\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~76_combout\ = (\spi_master_dac|Add5~36_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~9_combout\) # (!\spi_master_dac|Equal1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|Add5~36_combout\,
	combout => \spi_master_dac|Add5~76_combout\);

-- Location: FF_X44_Y42_N11
\spi_master_dac|count[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~76_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(18));

-- Location: LCCOMB_X45_Y42_N6
\spi_master_dac|Add5~38\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~38_combout\ = (\spi_master_dac|count\(19) & (!\spi_master_dac|Add5~37\)) # (!\spi_master_dac|count\(19) & ((\spi_master_dac|Add5~37\) # (GND)))
-- \spi_master_dac|Add5~39\ = CARRY((!\spi_master_dac|Add5~37\) # (!\spi_master_dac|count\(19)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(19),
	datad => VCC,
	cin => \spi_master_dac|Add5~37\,
	combout => \spi_master_dac|Add5~38_combout\,
	cout => \spi_master_dac|Add5~39\);

-- Location: LCCOMB_X44_Y42_N20
\spi_master_dac|Add5~75\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~75_combout\ = (\spi_master_dac|Add5~38_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~9_combout\) # (!\spi_master_dac|Equal1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|Add5~38_combout\,
	combout => \spi_master_dac|Add5~75_combout\);

-- Location: FF_X44_Y42_N21
\spi_master_dac|count[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~75_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(19));

-- Location: LCCOMB_X45_Y42_N8
\spi_master_dac|Add5~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~40_combout\ = (\spi_master_dac|count\(20) & (\spi_master_dac|Add5~39\ $ (GND))) # (!\spi_master_dac|count\(20) & (!\spi_master_dac|Add5~39\ & VCC))
-- \spi_master_dac|Add5~41\ = CARRY((\spi_master_dac|count\(20) & !\spi_master_dac|Add5~39\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(20),
	datad => VCC,
	cin => \spi_master_dac|Add5~39\,
	combout => \spi_master_dac|Add5~40_combout\,
	cout => \spi_master_dac|Add5~41\);

-- Location: LCCOMB_X44_Y42_N14
\spi_master_dac|Add5~74\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~74_combout\ = (\spi_master_dac|Add5~40_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~4_combout\) # (!\spi_master_dac|Equal1~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~9_combout\,
	datac => \spi_master_dac|Add5~40_combout\,
	datad => \spi_master_dac|Equal1~4_combout\,
	combout => \spi_master_dac|Add5~74_combout\);

-- Location: FF_X44_Y42_N15
\spi_master_dac|count[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~74_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(20));

-- Location: LCCOMB_X45_Y42_N10
\spi_master_dac|Add5~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~42_combout\ = (\spi_master_dac|count\(21) & (!\spi_master_dac|Add5~41\)) # (!\spi_master_dac|count\(21) & ((\spi_master_dac|Add5~41\) # (GND)))
-- \spi_master_dac|Add5~43\ = CARRY((!\spi_master_dac|Add5~41\) # (!\spi_master_dac|count\(21)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(21),
	datad => VCC,
	cin => \spi_master_dac|Add5~41\,
	combout => \spi_master_dac|Add5~42_combout\,
	cout => \spi_master_dac|Add5~43\);

-- Location: LCCOMB_X44_Y42_N0
\spi_master_dac|Add5~73\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~73_combout\ = (\spi_master_dac|Add5~42_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~4_combout\) # (!\spi_master_dac|Equal1~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~9_combout\,
	datac => \spi_master_dac|Add5~42_combout\,
	datad => \spi_master_dac|Equal1~4_combout\,
	combout => \spi_master_dac|Add5~73_combout\);

-- Location: FF_X44_Y42_N1
\spi_master_dac|count[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~73_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(21));

-- Location: LCCOMB_X45_Y42_N12
\spi_master_dac|Add5~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~44_combout\ = (\spi_master_dac|count\(22) & (\spi_master_dac|Add5~43\ $ (GND))) # (!\spi_master_dac|count\(22) & (!\spi_master_dac|Add5~43\ & VCC))
-- \spi_master_dac|Add5~45\ = CARRY((\spi_master_dac|count\(22) & !\spi_master_dac|Add5~43\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(22),
	datad => VCC,
	cin => \spi_master_dac|Add5~43\,
	combout => \spi_master_dac|Add5~44_combout\,
	cout => \spi_master_dac|Add5~45\);

-- Location: LCCOMB_X46_Y42_N12
\spi_master_dac|Add5~72\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~72_combout\ = (\spi_master_dac|Add5~44_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~4_combout\) # (!\spi_master_dac|Equal1~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~9_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|Add5~44_combout\,
	combout => \spi_master_dac|Add5~72_combout\);

-- Location: FF_X46_Y42_N13
\spi_master_dac|count[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~72_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(22));

-- Location: LCCOMB_X45_Y42_N14
\spi_master_dac|Add5~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~46_combout\ = (\spi_master_dac|count\(23) & (!\spi_master_dac|Add5~45\)) # (!\spi_master_dac|count\(23) & ((\spi_master_dac|Add5~45\) # (GND)))
-- \spi_master_dac|Add5~47\ = CARRY((!\spi_master_dac|Add5~45\) # (!\spi_master_dac|count\(23)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(23),
	datad => VCC,
	cin => \spi_master_dac|Add5~45\,
	combout => \spi_master_dac|Add5~46_combout\,
	cout => \spi_master_dac|Add5~47\);

-- Location: LCCOMB_X46_Y42_N10
\spi_master_dac|Add5~71\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~71_combout\ = (\spi_master_dac|Add5~46_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~4_combout\) # (!\spi_master_dac|Equal1~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~9_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|Add5~46_combout\,
	combout => \spi_master_dac|Add5~71_combout\);

-- Location: FF_X46_Y42_N11
\spi_master_dac|count[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~71_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(23));

-- Location: LCCOMB_X45_Y42_N16
\spi_master_dac|Add5~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~48_combout\ = (\spi_master_dac|count\(24) & (\spi_master_dac|Add5~47\ $ (GND))) # (!\spi_master_dac|count\(24) & (!\spi_master_dac|Add5~47\ & VCC))
-- \spi_master_dac|Add5~49\ = CARRY((\spi_master_dac|count\(24) & !\spi_master_dac|Add5~47\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(24),
	datad => VCC,
	cin => \spi_master_dac|Add5~47\,
	combout => \spi_master_dac|Add5~48_combout\,
	cout => \spi_master_dac|Add5~49\);

-- Location: LCCOMB_X46_Y42_N20
\spi_master_dac|Add5~70\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~70_combout\ = (\spi_master_dac|Add5~48_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~4_combout\)) # (!\spi_master_dac|Equal1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~48_combout\,
	datab => \spi_master_dac|Equal1~9_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|count\(1),
	combout => \spi_master_dac|Add5~70_combout\);

-- Location: FF_X46_Y42_N21
\spi_master_dac|count[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~70_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(24));

-- Location: LCCOMB_X45_Y42_N18
\spi_master_dac|Add5~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~50_combout\ = (\spi_master_dac|count\(25) & (!\spi_master_dac|Add5~49\)) # (!\spi_master_dac|count\(25) & ((\spi_master_dac|Add5~49\) # (GND)))
-- \spi_master_dac|Add5~51\ = CARRY((!\spi_master_dac|Add5~49\) # (!\spi_master_dac|count\(25)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(25),
	datad => VCC,
	cin => \spi_master_dac|Add5~49\,
	combout => \spi_master_dac|Add5~50_combout\,
	cout => \spi_master_dac|Add5~51\);

-- Location: LCCOMB_X46_Y42_N2
\spi_master_dac|Add5~69\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~69_combout\ = (\spi_master_dac|Add5~50_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~4_combout\) # (!\spi_master_dac|Equal1~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~9_combout\,
	datac => \spi_master_dac|Equal1~4_combout\,
	datad => \spi_master_dac|Add5~50_combout\,
	combout => \spi_master_dac|Add5~69_combout\);

-- Location: FF_X46_Y42_N3
\spi_master_dac|count[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~69_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(25));

-- Location: LCCOMB_X45_Y42_N20
\spi_master_dac|Add5~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~52_combout\ = (\spi_master_dac|count\(26) & (\spi_master_dac|Add5~51\ $ (GND))) # (!\spi_master_dac|count\(26) & (!\spi_master_dac|Add5~51\ & VCC))
-- \spi_master_dac|Add5~53\ = CARRY((\spi_master_dac|count\(26) & !\spi_master_dac|Add5~51\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(26),
	datad => VCC,
	cin => \spi_master_dac|Add5~51\,
	combout => \spi_master_dac|Add5~52_combout\,
	cout => \spi_master_dac|Add5~53\);

-- Location: LCCOMB_X44_Y42_N4
\spi_master_dac|Add5~68\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~68_combout\ = (\spi_master_dac|Add5~52_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~4_combout\) # (!\spi_master_dac|Equal1~9_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~9_combout\,
	datac => \spi_master_dac|Add5~52_combout\,
	datad => \spi_master_dac|Equal1~4_combout\,
	combout => \spi_master_dac|Add5~68_combout\);

-- Location: FF_X44_Y42_N5
\spi_master_dac|count[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~68_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(26));

-- Location: LCCOMB_X45_Y42_N22
\spi_master_dac|Add5~54\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~54_combout\ = (\spi_master_dac|count\(27) & (!\spi_master_dac|Add5~53\)) # (!\spi_master_dac|count\(27) & ((\spi_master_dac|Add5~53\) # (GND)))
-- \spi_master_dac|Add5~55\ = CARRY((!\spi_master_dac|Add5~53\) # (!\spi_master_dac|count\(27)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(27),
	datad => VCC,
	cin => \spi_master_dac|Add5~53\,
	combout => \spi_master_dac|Add5~54_combout\,
	cout => \spi_master_dac|Add5~55\);

-- Location: LCCOMB_X44_Y42_N2
\spi_master_dac|Add5~67\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~67_combout\ = (\spi_master_dac|Add5~54_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~9_combout\) # (!\spi_master_dac|Equal1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|Add5~54_combout\,
	combout => \spi_master_dac|Add5~67_combout\);

-- Location: FF_X44_Y42_N3
\spi_master_dac|count[27]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~67_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(27));

-- Location: LCCOMB_X45_Y42_N24
\spi_master_dac|Add5~56\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~56_combout\ = (\spi_master_dac|count\(28) & (\spi_master_dac|Add5~55\ $ (GND))) # (!\spi_master_dac|count\(28) & (!\spi_master_dac|Add5~55\ & VCC))
-- \spi_master_dac|Add5~57\ = CARRY((\spi_master_dac|count\(28) & !\spi_master_dac|Add5~55\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(28),
	datad => VCC,
	cin => \spi_master_dac|Add5~55\,
	combout => \spi_master_dac|Add5~56_combout\,
	cout => \spi_master_dac|Add5~57\);

-- Location: LCCOMB_X44_Y42_N28
\spi_master_dac|Add5~66\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~66_combout\ = (\spi_master_dac|Add5~56_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~4_combout\)) # (!\spi_master_dac|Equal1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~56_combout\,
	datab => \spi_master_dac|Equal1~9_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Equal1~4_combout\,
	combout => \spi_master_dac|Add5~66_combout\);

-- Location: FF_X44_Y42_N29
\spi_master_dac|count[28]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~66_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(28));

-- Location: LCCOMB_X45_Y42_N26
\spi_master_dac|Add5~58\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~58_combout\ = (\spi_master_dac|count\(29) & (!\spi_master_dac|Add5~57\)) # (!\spi_master_dac|count\(29) & ((\spi_master_dac|Add5~57\) # (GND)))
-- \spi_master_dac|Add5~59\ = CARRY((!\spi_master_dac|Add5~57\) # (!\spi_master_dac|count\(29)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(29),
	datad => VCC,
	cin => \spi_master_dac|Add5~57\,
	combout => \spi_master_dac|Add5~58_combout\,
	cout => \spi_master_dac|Add5~59\);

-- Location: LCCOMB_X44_Y42_N6
\spi_master_dac|Add5~65\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~65_combout\ = (\spi_master_dac|Add5~58_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~9_combout\) # (!\spi_master_dac|Equal1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|Add5~58_combout\,
	combout => \spi_master_dac|Add5~65_combout\);

-- Location: FF_X44_Y42_N7
\spi_master_dac|count[29]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~65_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(29));

-- Location: LCCOMB_X44_Y42_N22
\spi_master_dac|Equal1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~1_combout\ = (!\spi_master_dac|count\(29) & (!\spi_master_dac|count\(27) & (!\spi_master_dac|count\(26) & !\spi_master_dac|count\(28))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(29),
	datab => \spi_master_dac|count\(27),
	datac => \spi_master_dac|count\(26),
	datad => \spi_master_dac|count\(28),
	combout => \spi_master_dac|Equal1~1_combout\);

-- Location: LCCOMB_X45_Y42_N28
\spi_master_dac|Add5~60\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~60_combout\ = (\spi_master_dac|count\(30) & (\spi_master_dac|Add5~59\ $ (GND))) # (!\spi_master_dac|count\(30) & (!\spi_master_dac|Add5~59\ & VCC))
-- \spi_master_dac|Add5~61\ = CARRY((\spi_master_dac|count\(30) & !\spi_master_dac|Add5~59\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|count\(30),
	datad => VCC,
	cin => \spi_master_dac|Add5~59\,
	combout => \spi_master_dac|Add5~60_combout\,
	cout => \spi_master_dac|Add5~61\);

-- Location: LCCOMB_X44_Y42_N18
\spi_master_dac|Add5~64\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~64_combout\ = (\spi_master_dac|Add5~60_combout\ & ((\spi_master_dac|count\(1)) # ((!\spi_master_dac|Equal1~9_combout\) # (!\spi_master_dac|Equal1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|Add5~60_combout\,
	combout => \spi_master_dac|Add5~64_combout\);

-- Location: FF_X44_Y42_N19
\spi_master_dac|count[30]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~64_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(30));

-- Location: LCCOMB_X45_Y42_N30
\spi_master_dac|Add5~62\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~62_combout\ = \spi_master_dac|Add5~61\ $ (!\spi_master_dac|count\(31))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \spi_master_dac|count\(31),
	cin => \spi_master_dac|Add5~61\,
	combout => \spi_master_dac|Add5~62_combout\);

-- Location: LCCOMB_X44_Y42_N12
\spi_master_dac|count[31]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|count[31]~0_combout\ = ((\spi_master_dac|Equal1~10_combout\) # (!\spi_master_dac|Add5~62_combout\)) # (!\spi_master_dac|state~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datac => \spi_master_dac|Add5~62_combout\,
	datad => \spi_master_dac|Equal1~10_combout\,
	combout => \spi_master_dac|count[31]~0_combout\);

-- Location: FF_X44_Y42_N13
\spi_master_dac|count[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|count[31]~0_combout\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(31));

-- Location: LCCOMB_X44_Y42_N30
\spi_master_dac|clk_ratio[31]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|clk_ratio[31]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \spi_master_dac|clk_ratio[31]~feeder_combout\);

-- Location: FF_X44_Y42_N31
\spi_master_dac|clk_ratio[31]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|clk_ratio[31]~feeder_combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|clk_ratio\(31));

-- Location: LCCOMB_X44_Y42_N8
\spi_master_dac|Equal1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~0_combout\ = (!\spi_master_dac|count\(0) & (!\spi_master_dac|count\(30) & (\spi_master_dac|count\(31) $ (!\spi_master_dac|clk_ratio\(31)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(31),
	datab => \spi_master_dac|count\(0),
	datac => \spi_master_dac|clk_ratio\(31),
	datad => \spi_master_dac|count\(30),
	combout => \spi_master_dac|Equal1~0_combout\);

-- Location: LCCOMB_X44_Y42_N26
\spi_master_dac|Equal1~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~3_combout\ = (!\spi_master_dac|count\(18) & (!\spi_master_dac|count\(19) & (!\spi_master_dac|count\(20) & !\spi_master_dac|count\(21))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(18),
	datab => \spi_master_dac|count\(19),
	datac => \spi_master_dac|count\(20),
	datad => \spi_master_dac|count\(21),
	combout => \spi_master_dac|Equal1~3_combout\);

-- Location: LCCOMB_X46_Y42_N28
\spi_master_dac|Equal1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~2_combout\ = (!\spi_master_dac|count\(22) & (!\spi_master_dac|count\(24) & (!\spi_master_dac|count\(23) & !\spi_master_dac|count\(25))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(22),
	datab => \spi_master_dac|count\(24),
	datac => \spi_master_dac|count\(23),
	datad => \spi_master_dac|count\(25),
	combout => \spi_master_dac|Equal1~2_combout\);

-- Location: LCCOMB_X44_Y42_N24
\spi_master_dac|Equal1~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~4_combout\ = (\spi_master_dac|Equal1~1_combout\ & (\spi_master_dac|Equal1~0_combout\ & (\spi_master_dac|Equal1~3_combout\ & \spi_master_dac|Equal1~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~1_combout\,
	datab => \spi_master_dac|Equal1~0_combout\,
	datac => \spi_master_dac|Equal1~3_combout\,
	datad => \spi_master_dac|Equal1~2_combout\,
	combout => \spi_master_dac|Equal1~4_combout\);

-- Location: LCCOMB_X46_Y43_N26
\spi_master_dac|Add5~92\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~92_combout\ = (\spi_master_dac|Add5~4_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~9_combout\)) # (!\spi_master_dac|Equal1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add5~4_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|count\(1),
	combout => \spi_master_dac|Add5~92_combout\);

-- Location: FF_X46_Y43_N27
\spi_master_dac|count[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~92_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(2));

-- Location: LCCOMB_X46_Y43_N12
\spi_master_dac|Equal1~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~8_combout\ = (!\spi_master_dac|count\(2) & (!\spi_master_dac|count\(3) & (!\spi_master_dac|count\(4) & !\spi_master_dac|count\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(2),
	datab => \spi_master_dac|count\(3),
	datac => \spi_master_dac|count\(4),
	datad => \spi_master_dac|count\(5),
	combout => \spi_master_dac|Equal1~8_combout\);

-- Location: LCCOMB_X46_Y43_N24
\spi_master_dac|Equal1~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~7_combout\ = (!\spi_master_dac|count\(7) & (!\spi_master_dac|count\(6) & (!\spi_master_dac|count\(8) & !\spi_master_dac|count\(9))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(7),
	datab => \spi_master_dac|count\(6),
	datac => \spi_master_dac|count\(8),
	datad => \spi_master_dac|count\(9),
	combout => \spi_master_dac|Equal1~7_combout\);

-- Location: LCCOMB_X44_Y43_N0
\spi_master_dac|Equal1~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~6_combout\ = (!\spi_master_dac|count\(11) & (!\spi_master_dac|count\(13) & (!\spi_master_dac|count\(10) & !\spi_master_dac|count\(12))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(11),
	datab => \spi_master_dac|count\(13),
	datac => \spi_master_dac|count\(10),
	datad => \spi_master_dac|count\(12),
	combout => \spi_master_dac|Equal1~6_combout\);

-- Location: LCCOMB_X46_Y43_N28
\spi_master_dac|Equal1~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~5_combout\ = (!\spi_master_dac|count\(14) & (!\spi_master_dac|count\(17) & (!\spi_master_dac|count\(16) & !\spi_master_dac|count\(15))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(14),
	datab => \spi_master_dac|count\(17),
	datac => \spi_master_dac|count\(16),
	datad => \spi_master_dac|count\(15),
	combout => \spi_master_dac|Equal1~5_combout\);

-- Location: LCCOMB_X46_Y43_N30
\spi_master_dac|Equal1~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~9_combout\ = (\spi_master_dac|Equal1~8_combout\ & (\spi_master_dac|Equal1~7_combout\ & (\spi_master_dac|Equal1~6_combout\ & \spi_master_dac|Equal1~5_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~8_combout\,
	datab => \spi_master_dac|Equal1~7_combout\,
	datac => \spi_master_dac|Equal1~6_combout\,
	datad => \spi_master_dac|Equal1~5_combout\,
	combout => \spi_master_dac|Equal1~9_combout\);

-- Location: LCCOMB_X44_Y43_N30
\spi_master_dac|Add5~93\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add5~93_combout\ = (\spi_master_dac|Add5~2_combout\ & (((\spi_master_dac|count\(1)) # (!\spi_master_dac|Equal1~4_combout\)) # (!\spi_master_dac|Equal1~9_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal1~9_combout\,
	datab => \spi_master_dac|Equal1~4_combout\,
	datac => \spi_master_dac|count\(1),
	datad => \spi_master_dac|Add5~2_combout\,
	combout => \spi_master_dac|Add5~93_combout\);

-- Location: FF_X44_Y43_N31
\spi_master_dac|count[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add5~93_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|count[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|count\(1));

-- Location: LCCOMB_X44_Y42_N16
\spi_master_dac|Equal1~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal1~10_combout\ = (!\spi_master_dac|count\(1) & (\spi_master_dac|Equal1~9_combout\ & \spi_master_dac|Equal1~4_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|count\(1),
	datac => \spi_master_dac|Equal1~9_combout\,
	datad => \spi_master_dac|Equal1~4_combout\,
	combout => \spi_master_dac|Equal1~10_combout\);

-- Location: LCCOMB_X44_Y36_N4
\spi_master_dac|last_bit_rx[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|last_bit_rx[4]~feeder_combout\ = \cpha~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \cpha~combout\,
	combout => \spi_master_dac|last_bit_rx[4]~feeder_combout\);

-- Location: FF_X44_Y36_N5
\spi_master_dac|last_bit_rx[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|last_bit_rx[4]~feeder_combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|last_bit_rx\(4));

-- Location: LCCOMB_X44_Y36_N6
\spi_master_dac|last_bit_rx[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|last_bit_rx[5]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \spi_master_dac|last_bit_rx[5]~feeder_combout\);

-- Location: FF_X44_Y36_N7
\spi_master_dac|last_bit_rx[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|last_bit_rx[5]~feeder_combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|last_bit_rx\(5));

-- Location: LCCOMB_X44_Y36_N16
\spi_master_dac|last_bit_rx[3]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|last_bit_rx[3]~0_combout\ = !\cpha~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \cpha~combout\,
	combout => \spi_master_dac|last_bit_rx[3]~0_combout\);

-- Location: FF_X44_Y36_N17
\spi_master_dac|last_bit_rx[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|last_bit_rx[3]~0_combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|last_bit_rx\(3));

-- Location: LCCOMB_X44_Y36_N24
\spi_master_dac|last_bit_rx[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|last_bit_rx[1]~2_combout\ = !\cpha~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \cpha~combout\,
	combout => \spi_master_dac|last_bit_rx[1]~2_combout\);

-- Location: FF_X44_Y36_N25
\spi_master_dac|last_bit_rx[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|last_bit_rx[1]~2_combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|last_bit_rx\(1));

-- Location: LCCOMB_X44_Y36_N0
\spi_master_dac|last_bit_rx[0]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|last_bit_rx[0]~3_combout\ = !\cpha~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \cpha~combout\,
	combout => \spi_master_dac|last_bit_rx[0]~3_combout\);

-- Location: FF_X44_Y36_N1
\spi_master_dac|last_bit_rx[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|last_bit_rx[0]~3_combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|last_bit_rx\(0));

-- Location: LCCOMB_X44_Y37_N0
\spi_master_dac|Add4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~0_combout\ = \spi_master_dac|last_bit_rx\(0) $ (VCC)
-- \spi_master_dac|Add4~1\ = CARRY(\spi_master_dac|last_bit_rx\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|last_bit_rx\(0),
	datad => VCC,
	combout => \spi_master_dac|Add4~0_combout\,
	cout => \spi_master_dac|Add4~1\);

-- Location: LCCOMB_X44_Y37_N2
\spi_master_dac|Add4~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~2_combout\ = (\spi_master_dac|last_bit_rx\(1) & (!\spi_master_dac|Add4~1\)) # (!\spi_master_dac|last_bit_rx\(1) & ((\spi_master_dac|Add4~1\) # (GND)))
-- \spi_master_dac|Add4~3\ = CARRY((!\spi_master_dac|Add4~1\) # (!\spi_master_dac|last_bit_rx\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|last_bit_rx\(1),
	datad => VCC,
	cin => \spi_master_dac|Add4~1\,
	combout => \spi_master_dac|Add4~2_combout\,
	cout => \spi_master_dac|Add4~3\);

-- Location: LCCOMB_X44_Y37_N4
\spi_master_dac|Add4~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~4_combout\ = (\spi_master_dac|last_bit_rx\(2) & (\spi_master_dac|Add4~3\ $ (GND))) # (!\spi_master_dac|last_bit_rx\(2) & (!\spi_master_dac|Add4~3\ & VCC))
-- \spi_master_dac|Add4~5\ = CARRY((\spi_master_dac|last_bit_rx\(2) & !\spi_master_dac|Add4~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|last_bit_rx\(2),
	datad => VCC,
	cin => \spi_master_dac|Add4~3\,
	combout => \spi_master_dac|Add4~4_combout\,
	cout => \spi_master_dac|Add4~5\);

-- Location: LCCOMB_X44_Y37_N6
\spi_master_dac|Add4~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~6_combout\ = (\spi_master_dac|last_bit_rx\(3) & (!\spi_master_dac|Add4~5\)) # (!\spi_master_dac|last_bit_rx\(3) & ((\spi_master_dac|Add4~5\) # (GND)))
-- \spi_master_dac|Add4~7\ = CARRY((!\spi_master_dac|Add4~5\) # (!\spi_master_dac|last_bit_rx\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|last_bit_rx\(3),
	datad => VCC,
	cin => \spi_master_dac|Add4~5\,
	combout => \spi_master_dac|Add4~6_combout\,
	cout => \spi_master_dac|Add4~7\);

-- Location: LCCOMB_X44_Y37_N8
\spi_master_dac|Add4~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~8_combout\ = (\spi_master_dac|last_bit_rx\(4) & (!\spi_master_dac|Add4~7\ & VCC)) # (!\spi_master_dac|last_bit_rx\(4) & (\spi_master_dac|Add4~7\ $ (GND)))
-- \spi_master_dac|Add4~9\ = CARRY((!\spi_master_dac|last_bit_rx\(4) & !\spi_master_dac|Add4~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|last_bit_rx\(4),
	datad => VCC,
	cin => \spi_master_dac|Add4~7\,
	combout => \spi_master_dac|Add4~8_combout\,
	cout => \spi_master_dac|Add4~9\);

-- Location: LCCOMB_X44_Y37_N10
\spi_master_dac|Add4~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~10_combout\ = \spi_master_dac|last_bit_rx\(4) $ (\spi_master_dac|Add4~9\ $ (\spi_master_dac|last_bit_rx\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|last_bit_rx\(4),
	datad => \spi_master_dac|last_bit_rx\(5),
	cin => \spi_master_dac|Add4~9\,
	combout => \spi_master_dac|Add4~10_combout\);

-- Location: LCCOMB_X45_Y37_N16
\spi_master_dac|Add1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add1~0_combout\ = \spi_master_dac|clk_toggles\(0) $ (VCC)
-- \spi_master_dac|Add1~1\ = CARRY(\spi_master_dac|clk_toggles\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(0),
	datad => VCC,
	combout => \spi_master_dac|Add1~0_combout\,
	cout => \spi_master_dac|Add1~1\);

-- Location: LCCOMB_X45_Y37_N6
\spi_master_dac|Add4~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~14_combout\ = (\spi_master_dac|process_0~3_combout\ & (\spi_master_dac|Add4~0_combout\)) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|Add1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|Add4~0_combout\,
	datad => \spi_master_dac|Add1~0_combout\,
	combout => \spi_master_dac|Add4~14_combout\);

-- Location: LCCOMB_X44_Y39_N8
\spi_master_dac|clk_toggles[5]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|clk_toggles[5]~0_combout\ = (\fpga_resetn~input_o\ & ((\spi_master_dac|state~q\ & (\spi_master_dac|Equal1~10_combout\)) # (!\spi_master_dac|state~q\ & ((\enable~combout\)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datab => \spi_master_dac|Equal1~10_combout\,
	datac => \fpga_resetn~input_o\,
	datad => \enable~combout\,
	combout => \spi_master_dac|clk_toggles[5]~0_combout\);

-- Location: FF_X45_Y37_N7
\spi_master_dac|clk_toggles[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add4~14_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|clk_toggles[5]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|clk_toggles\(0));

-- Location: LCCOMB_X45_Y37_N22
\spi_master_dac|Add1~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add1~6_combout\ = (\spi_master_dac|clk_toggles\(3) & (!\spi_master_dac|Add1~5\)) # (!\spi_master_dac|clk_toggles\(3) & ((\spi_master_dac|Add1~5\) # (GND)))
-- \spi_master_dac|Add1~7\ = CARRY((!\spi_master_dac|Add1~5\) # (!\spi_master_dac|clk_toggles\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(3),
	datad => VCC,
	cin => \spi_master_dac|Add1~5\,
	combout => \spi_master_dac|Add1~6_combout\,
	cout => \spi_master_dac|Add1~7\);

-- Location: LCCOMB_X45_Y37_N24
\spi_master_dac|Add1~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add1~8_combout\ = (\spi_master_dac|clk_toggles\(4) & (\spi_master_dac|Add1~7\ $ (GND))) # (!\spi_master_dac|clk_toggles\(4) & (!\spi_master_dac|Add1~7\ & VCC))
-- \spi_master_dac|Add1~9\ = CARRY((\spi_master_dac|clk_toggles\(4) & !\spi_master_dac|Add1~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|clk_toggles\(4),
	datad => VCC,
	cin => \spi_master_dac|Add1~7\,
	combout => \spi_master_dac|Add1~8_combout\,
	cout => \spi_master_dac|Add1~9\);

-- Location: LCCOMB_X45_Y37_N2
\spi_master_dac|Add4~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~13_combout\ = (\spi_master_dac|process_0~3_combout\ & (\spi_master_dac|Add4~8_combout\)) # (!\spi_master_dac|process_0~3_combout\ & (((!\spi_master_dac|Equal3~1_combout\ & \spi_master_dac|Add1~8_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add4~8_combout\,
	datab => \spi_master_dac|Equal3~1_combout\,
	datac => \spi_master_dac|Add1~8_combout\,
	datad => \spi_master_dac|process_0~3_combout\,
	combout => \spi_master_dac|Add4~13_combout\);

-- Location: FF_X45_Y37_N3
\spi_master_dac|clk_toggles[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add4~13_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|clk_toggles[5]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|clk_toggles\(4));

-- Location: LCCOMB_X45_Y37_N18
\spi_master_dac|Add1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add1~2_combout\ = (\spi_master_dac|clk_toggles\(1) & (!\spi_master_dac|Add1~1\)) # (!\spi_master_dac|clk_toggles\(1) & ((\spi_master_dac|Add1~1\) # (GND)))
-- \spi_master_dac|Add1~3\ = CARRY((!\spi_master_dac|Add1~1\) # (!\spi_master_dac|clk_toggles\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|clk_toggles\(1),
	datad => VCC,
	cin => \spi_master_dac|Add1~1\,
	combout => \spi_master_dac|Add1~2_combout\,
	cout => \spi_master_dac|Add1~3\);

-- Location: LCCOMB_X45_Y37_N4
\spi_master_dac|Add4~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~17_combout\ = (\spi_master_dac|process_0~3_combout\ & (\spi_master_dac|Add4~2_combout\)) # (!\spi_master_dac|process_0~3_combout\ & (((!\spi_master_dac|Equal3~1_combout\ & \spi_master_dac|Add1~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add4~2_combout\,
	datab => \spi_master_dac|Equal3~1_combout\,
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|Add1~2_combout\,
	combout => \spi_master_dac|Add4~17_combout\);

-- Location: FF_X45_Y37_N5
\spi_master_dac|clk_toggles[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add4~17_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|clk_toggles[5]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|clk_toggles\(1));

-- Location: LCCOMB_X45_Y37_N14
\spi_master_dac|Equal3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal3~0_combout\ = (!\spi_master_dac|clk_toggles\(1) & (!\spi_master_dac|clk_toggles\(3) & !\spi_master_dac|clk_toggles\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|clk_toggles\(1),
	datac => \spi_master_dac|clk_toggles\(3),
	datad => \spi_master_dac|clk_toggles\(2),
	combout => \spi_master_dac|Equal3~0_combout\);

-- Location: LCCOMB_X45_Y37_N0
\spi_master_dac|Equal3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Equal3~1_combout\ = (\spi_master_dac|clk_toggles\(0) & (\spi_master_dac|clk_toggles\(4) & (\spi_master_dac|Equal3~0_combout\ & \spi_master_dac|clk_toggles\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(0),
	datab => \spi_master_dac|clk_toggles\(4),
	datac => \spi_master_dac|Equal3~0_combout\,
	datad => \spi_master_dac|clk_toggles\(5),
	combout => \spi_master_dac|Equal3~1_combout\);

-- Location: LCCOMB_X45_Y37_N26
\spi_master_dac|Add1~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add1~10_combout\ = \spi_master_dac|Add1~9\ $ (\spi_master_dac|clk_toggles\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \spi_master_dac|clk_toggles\(5),
	cin => \spi_master_dac|Add1~9\,
	combout => \spi_master_dac|Add1~10_combout\);

-- Location: LCCOMB_X45_Y37_N12
\spi_master_dac|Add4~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~12_combout\ = (\spi_master_dac|process_0~3_combout\ & (\spi_master_dac|Add4~10_combout\)) # (!\spi_master_dac|process_0~3_combout\ & (((!\spi_master_dac|Equal3~1_combout\ & \spi_master_dac|Add1~10_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add4~10_combout\,
	datab => \spi_master_dac|Equal3~1_combout\,
	datac => \spi_master_dac|Add1~10_combout\,
	datad => \spi_master_dac|process_0~3_combout\,
	combout => \spi_master_dac|Add4~12_combout\);

-- Location: FF_X45_Y37_N13
\spi_master_dac|clk_toggles[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add4~12_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|clk_toggles[5]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|clk_toggles\(5));

-- Location: LCCOMB_X45_Y37_N8
\spi_master_dac|sclk~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|sclk~1_combout\ = (!\spi_master_dac|clk_toggles\(0) & (!\spi_master_dac|clk_toggles\(1) & (!\spi_master_dac|clk_toggles\(3) & !\spi_master_dac|clk_toggles\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(0),
	datab => \spi_master_dac|clk_toggles\(1),
	datac => \spi_master_dac|clk_toggles\(3),
	datad => \spi_master_dac|clk_toggles\(2),
	combout => \spi_master_dac|sclk~1_combout\);

-- Location: LCCOMB_X44_Y36_N22
\spi_master_dac|slave[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|slave[0]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \spi_master_dac|slave[0]~feeder_combout\);

-- Location: FF_X44_Y36_N23
\spi_master_dac|slave[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|slave[0]~feeder_combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|slave\(0));

-- Location: LCCOMB_X44_Y39_N16
\spi_master_dac|ss_n~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|ss_n~1_combout\ = (\spi_master_dac|state~q\ & (\spi_master_dac|ss_n~0_combout\ & ((\spi_master_dac|slave\(0)) # (\spi_master_dac|ss_n\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datab => \spi_master_dac|slave\(0),
	datac => \spi_master_dac|ss_n\(0),
	datad => \spi_master_dac|ss_n~0_combout\,
	combout => \spi_master_dac|ss_n~1_combout\);

-- Location: FF_X44_Y39_N17
\spi_master_dac|ss_n[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|ss_n~1_combout\,
	clrn => \fpga_resetn~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|ss_n\(0));

-- Location: LCCOMB_X45_Y37_N10
\spi_master_dac|sclk~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|sclk~2_combout\ = (\spi_master_dac|ss_n\(0) & (((\spi_master_dac|sclk~1_combout\) # (!\spi_master_dac|clk_toggles\(4))) # (!\spi_master_dac|clk_toggles\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(5),
	datab => \spi_master_dac|sclk~1_combout\,
	datac => \spi_master_dac|ss_n\(0),
	datad => \spi_master_dac|clk_toggles\(4),
	combout => \spi_master_dac|sclk~2_combout\);

-- Location: LCCOMB_X44_Y39_N18
\spi_master_dac|sclk~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|sclk~3_combout\ = (\spi_master_dac|state~q\ & (\spi_master_dac|Equal1~10_combout\ & (\spi_master_dac|sclk~2_combout\))) # (!\spi_master_dac|state~q\ & (((\enable~combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datab => \spi_master_dac|Equal1~10_combout\,
	datac => \spi_master_dac|sclk~2_combout\,
	datad => \enable~combout\,
	combout => \spi_master_dac|sclk~3_combout\);

-- Location: LCCOMB_X44_Y39_N12
\spi_master_dac|sclk~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|sclk~4_combout\ = (\fpga_resetn~input_o\ & ((\spi_master_dac|sclk~3_combout\ & (\spi_master_dac|sclk~0_combout\)) # (!\spi_master_dac|sclk~3_combout\ & ((\spi_master_dac|sclk~q\))))) # (!\fpga_resetn~input_o\ & 
-- (((\spi_master_dac|sclk~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|sclk~0_combout\,
	datab => \spi_master_dac|sclk~q\,
	datac => \fpga_resetn~input_o\,
	datad => \spi_master_dac|sclk~3_combout\,
	combout => \spi_master_dac|sclk~4_combout\);

-- Location: LCCOMB_X49_Y50_N26
\spi_master_dac|sclk~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|sclk~feeder_combout\ = \spi_master_dac|sclk~4_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \spi_master_dac|sclk~4_combout\,
	combout => \spi_master_dac|sclk~feeder_combout\);

-- Location: FF_X49_Y50_N27
\spi_master_dac|sclk\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|sclk~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|sclk~q\);

-- Location: LCCOMB_X39_Y37_N22
\auto_signaltap_0|acq_trigger_in_reg[22]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[22]~feeder_combout\ = \spi_master_dac|sclk~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \spi_master_dac|sclk~q\,
	combout => \auto_signaltap_0|acq_trigger_in_reg[22]~feeder_combout\);

-- Location: FF_X39_Y37_N23
\auto_signaltap_0|acq_trigger_in_reg[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[22]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(22));

-- Location: FF_X39_Y37_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(22),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|holdff~q\);

-- Location: LCCOMB_X39_Y37_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000011011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(66),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(68),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(22),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(67),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|p_match_out~0_combout\);

-- Location: LCCOMB_X39_Y37_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|acq_trigger_in_reg\(22),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|holdff~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|p_match_out~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(68),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|p_match_out~1_combout\);

-- Location: FF_X39_Y37_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|regoutff~q\);

-- Location: LCCOMB_X39_Y37_N0
\auto_signaltap_0|acq_trigger_in_reg[24]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[24]~feeder_combout\ = dac_ctrl(17)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => dac_ctrl(17),
	combout => \auto_signaltap_0|acq_trigger_in_reg[24]~feeder_combout\);

-- Location: FF_X39_Y37_N1
\auto_signaltap_0|acq_trigger_in_reg[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[24]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(24));

-- Location: FF_X38_Y37_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(24),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|holdff~q\);

-- Location: LCCOMB_X38_Y37_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000011011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(72),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(74),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(24),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(73),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|p_match_out~0_combout\);

-- Location: LCCOMB_X38_Y37_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|holdff~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(74),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(24),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|p_match_out~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|p_match_out~1_combout\);

-- Location: FF_X38_Y37_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|regoutff~q\);

-- Location: LCCOMB_X38_Y35_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[0]~feeder_combout\);

-- Location: FF_X38_Y35_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg\(0));

-- Location: LCCOMB_X38_Y35_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[1]~feeder_combout\);

-- Location: FF_X38_Y35_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg\(1));

-- Location: FF_X38_Y33_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg\(1),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg\(2));

-- Location: LCCOMB_X37_Y33_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[3]~feeder_combout\);

-- Location: FF_X37_Y33_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg[3]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg\(3));

-- Location: LCCOMB_X37_Y33_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|run~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:is_buffer_wrapped~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|run~0_combout\);

-- Location: FF_X37_Y33_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|run\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|run~0_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|run~q\);

-- Location: LCCOMB_X38_Y37_N30
\spi_master_dac|ss_n[0]~_wirecell\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|ss_n[0]~_wirecell_combout\ = !\spi_master_dac|ss_n\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \spi_master_dac|ss_n\(0),
	combout => \spi_master_dac|ss_n[0]~_wirecell_combout\);

-- Location: LCCOMB_X38_Y37_N26
\auto_signaltap_0|acq_trigger_in_reg[23]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[23]~feeder_combout\ = \spi_master_dac|ss_n[0]~_wirecell_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \spi_master_dac|ss_n[0]~_wirecell_combout\,
	combout => \auto_signaltap_0|acq_trigger_in_reg[23]~feeder_combout\);

-- Location: FF_X38_Y37_N27
\auto_signaltap_0|acq_trigger_in_reg[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[23]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(23));

-- Location: FF_X38_Y37_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(23),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|holdff~q\);

-- Location: LCCOMB_X38_Y37_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011011011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(69),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(70),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(23),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(71),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|p_match_out~0_combout\);

-- Location: LCCOMB_X38_Y37_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|acq_trigger_in_reg\(23),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|holdff~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|p_match_out~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(71),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|p_match_out~1_combout\);

-- Location: FF_X38_Y37_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|regoutff~q\);

-- Location: LCCOMB_X38_Y37_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:22:sm1|regoutff~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:24:sm1|regoutff~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|run~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:23:sm1|regoutff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~0_combout\);

-- Location: LCCOMB_X42_Y38_N22
\auto_signaltap_0|acq_trigger_in_reg[14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[14]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(3),
	combout => \auto_signaltap_0|acq_trigger_in_reg[14]~feeder_combout\);

-- Location: FF_X42_Y38_N23
\auto_signaltap_0|acq_trigger_in_reg[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[14]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(14));

-- Location: FF_X42_Y38_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(14),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|holdff~q\);

-- Location: LCCOMB_X42_Y38_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(44),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(42),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(14),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(43),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|p_match_out~0_combout\);

-- Location: LCCOMB_X42_Y38_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|holdff~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|p_match_out~0_combout\,
	datac => \auto_signaltap_0|acq_trigger_in_reg\(14),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(44),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|p_match_out~1_combout\);

-- Location: FF_X42_Y38_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|regoutff~q\);

-- Location: LCCOMB_X43_Y37_N20
\auto_signaltap_0|acq_trigger_in_reg[15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[15]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(4),
	combout => \auto_signaltap_0|acq_trigger_in_reg[15]~feeder_combout\);

-- Location: FF_X43_Y37_N21
\auto_signaltap_0|acq_trigger_in_reg[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[15]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(15));

-- Location: FF_X43_Y37_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(15),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|holdff~q\);

-- Location: LCCOMB_X43_Y37_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000011011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(45),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(47),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(15),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(46),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|p_match_out~0_combout\);

-- Location: LCCOMB_X43_Y37_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|holdff~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(47),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(15),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|p_match_out~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|p_match_out~1_combout\);

-- Location: FF_X43_Y37_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|regoutff~q\);

-- Location: LCCOMB_X43_Y37_N14
\auto_signaltap_0|acq_trigger_in_reg[16]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[16]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|dac_ctrl|data_out\(5),
	combout => \auto_signaltap_0|acq_trigger_in_reg[16]~feeder_combout\);

-- Location: FF_X43_Y37_N15
\auto_signaltap_0|acq_trigger_in_reg[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[16]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(16));

-- Location: FF_X43_Y37_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(16),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|holdff~q\);

-- Location: LCCOMB_X43_Y37_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(49),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(48),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(16),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(50),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|p_match_out~0_combout\);

-- Location: LCCOMB_X43_Y37_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|holdff~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|p_match_out~0_combout\,
	datac => \auto_signaltap_0|acq_trigger_in_reg\(16),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(50),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|p_match_out~1_combout\);

-- Location: FF_X43_Y37_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|regoutff~q\);

-- Location: LCCOMB_X43_Y37_N8
\auto_signaltap_0|acq_trigger_in_reg[17]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[17]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|dac_ctrl|data_out\(6),
	combout => \auto_signaltap_0|acq_trigger_in_reg[17]~feeder_combout\);

-- Location: FF_X43_Y37_N9
\auto_signaltap_0|acq_trigger_in_reg[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[17]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(17));

-- Location: LCCOMB_X42_Y37_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(53),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(51),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(17),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(52),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|p_match_out~0_combout\);

-- Location: FF_X42_Y37_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(17),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|holdff~q\);

-- Location: LCCOMB_X42_Y37_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100110011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(53),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|p_match_out~0_combout\,
	datac => \auto_signaltap_0|acq_trigger_in_reg\(17),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|holdff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|p_match_out~1_combout\);

-- Location: FF_X42_Y37_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|regoutff~q\);

-- Location: LCCOMB_X42_Y37_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:14:sm1|regoutff~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:15:sm1|regoutff~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:16:sm1|regoutff~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:17:sm1|regoutff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~2_combout\);

-- Location: LCCOMB_X41_Y37_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~1_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~3_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~2_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~4_combout\);

-- Location: LCCOMB_X41_Y36_N4
\auto_signaltap_0|acq_trigger_in_reg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[5]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(11)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(11),
	combout => \auto_signaltap_0|acq_trigger_in_reg[5]~feeder_combout\);

-- Location: FF_X41_Y36_N5
\auto_signaltap_0|acq_trigger_in_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[5]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(5));

-- Location: LCCOMB_X41_Y36_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(17),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(15),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(5),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(16),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|p_match_out~0_combout\);

-- Location: FF_X41_Y36_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(5),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|holdff~q\);

-- Location: LCCOMB_X41_Y36_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010100010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|p_match_out~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|holdff~q\,
	datac => \auto_signaltap_0|acq_trigger_in_reg\(5),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(17),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|p_match_out~1_combout\);

-- Location: FF_X41_Y36_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|regoutff~q\);

-- Location: LCCOMB_X41_Y36_N26
\auto_signaltap_0|acq_trigger_in_reg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[4]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(10)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(10),
	combout => \auto_signaltap_0|acq_trigger_in_reg[4]~feeder_combout\);

-- Location: FF_X41_Y36_N27
\auto_signaltap_0|acq_trigger_in_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[4]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(4));

-- Location: LCCOMB_X41_Y36_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110110001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(13),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(14),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(4),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(12),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|p_match_out~0_combout\);

-- Location: FF_X41_Y36_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(4),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|holdff~q\);

-- Location: LCCOMB_X41_Y36_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|p_match_out~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(14),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(4),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|holdff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|p_match_out~1_combout\);

-- Location: FF_X41_Y36_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|regoutff~q\);

-- Location: LCCOMB_X41_Y37_N14
\auto_signaltap_0|acq_trigger_in_reg[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[2]~feeder_combout\ = \cpol~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \cpol~combout\,
	combout => \auto_signaltap_0|acq_trigger_in_reg[2]~feeder_combout\);

-- Location: FF_X41_Y37_N15
\auto_signaltap_0|acq_trigger_in_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[2]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(2));

-- Location: LCCOMB_X42_Y37_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101001010011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|acq_trigger_in_reg\(2),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(8),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(6),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(7),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|p_match_out~0_combout\);

-- Location: LCCOMB_X41_Y37_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|holdff~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|acq_trigger_in_reg\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|holdff~feeder_combout\);

-- Location: FF_X41_Y37_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|holdff~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|holdff~q\);

-- Location: LCCOMB_X41_Y37_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(8),
	datab => \auto_signaltap_0|acq_trigger_in_reg\(2),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|p_match_out~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|holdff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|p_match_out~1_combout\);

-- Location: FF_X41_Y37_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|regoutff~q\);

-- Location: LCCOMB_X41_Y37_N4
\auto_signaltap_0|acq_trigger_in_reg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[3]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|dac_ctrl|data_out\(0),
	combout => \auto_signaltap_0|acq_trigger_in_reg[3]~feeder_combout\);

-- Location: FF_X41_Y37_N5
\auto_signaltap_0|acq_trigger_in_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[3]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(3));

-- Location: LCCOMB_X41_Y37_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011011011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(9),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(10),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(3),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(11),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|p_match_out~0_combout\);

-- Location: FF_X41_Y37_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(3),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|holdff~q\);

-- Location: LCCOMB_X41_Y37_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000010110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|acq_trigger_in_reg\(3),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(11),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|p_match_out~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|holdff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|p_match_out~1_combout\);

-- Location: FF_X41_Y37_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|regoutff~q\);

-- Location: LCCOMB_X41_Y37_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:5:sm1|regoutff~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:4:sm1|regoutff~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:2:sm1|regoutff~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:3:sm1|regoutff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~6_combout\);

-- Location: LCCOMB_X42_Y36_N8
\auto_signaltap_0|acq_trigger_in_reg[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[6]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(12)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(12),
	combout => \auto_signaltap_0|acq_trigger_in_reg[6]~feeder_combout\);

-- Location: FF_X42_Y36_N9
\auto_signaltap_0|acq_trigger_in_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[6]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(6));

-- Location: LCCOMB_X42_Y36_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011011011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(18),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(19),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(6),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(20),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|p_match_out~0_combout\);

-- Location: FF_X42_Y36_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(6),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|holdff~q\);

-- Location: LCCOMB_X42_Y36_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101010100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|p_match_out~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(20),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(6),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|holdff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|p_match_out~1_combout\);

-- Location: FF_X42_Y36_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|regoutff~q\);

-- Location: LCCOMB_X42_Y36_N6
\auto_signaltap_0|acq_trigger_in_reg[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[7]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(13)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(13),
	combout => \auto_signaltap_0|acq_trigger_in_reg[7]~feeder_combout\);

-- Location: FF_X42_Y36_N7
\auto_signaltap_0|acq_trigger_in_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[7]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(7));

-- Location: LCCOMB_X42_Y36_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(23),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(22),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(7),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(21),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|p_match_out~0_combout\);

-- Location: FF_X42_Y36_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(7),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|holdff~q\);

-- Location: LCCOMB_X42_Y36_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010100010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|p_match_out~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|holdff~q\,
	datac => \auto_signaltap_0|acq_trigger_in_reg\(7),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(23),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|p_match_out~1_combout\);

-- Location: FF_X42_Y36_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|regoutff~q\);

-- Location: LCCOMB_X42_Y36_N18
\auto_signaltap_0|acq_trigger_in_reg[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[8]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(14)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|dac_ctrl|data_out\(14),
	combout => \auto_signaltap_0|acq_trigger_in_reg[8]~feeder_combout\);

-- Location: FF_X42_Y36_N19
\auto_signaltap_0|acq_trigger_in_reg[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[8]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(8));

-- Location: LCCOMB_X42_Y36_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(26),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(24),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(8),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(25),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|p_match_out~0_combout\);

-- Location: FF_X42_Y36_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(8),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|holdff~q\);

-- Location: LCCOMB_X42_Y36_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|acq_trigger_in_reg\(8),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|p_match_out~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|holdff~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(26),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|p_match_out~1_combout\);

-- Location: FF_X42_Y36_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|regoutff~q\);

-- Location: LCCOMB_X44_Y36_N12
\auto_signaltap_0|acq_trigger_in_reg[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[9]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(15)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(15),
	combout => \auto_signaltap_0|acq_trigger_in_reg[9]~feeder_combout\);

-- Location: FF_X44_Y36_N13
\auto_signaltap_0|acq_trigger_in_reg[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[9]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(9));

-- Location: LCCOMB_X43_Y36_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(29),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(27),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(9),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(28),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|p_match_out~0_combout\);

-- Location: FF_X43_Y36_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(9),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|holdff~q\);

-- Location: LCCOMB_X43_Y36_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100110011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(29),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|p_match_out~0_combout\,
	datac => \auto_signaltap_0|acq_trigger_in_reg\(9),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|holdff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|p_match_out~1_combout\);

-- Location: FF_X43_Y36_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|regoutff~q\);

-- Location: LCCOMB_X42_Y36_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:6:sm1|regoutff~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:7:sm1|regoutff~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:8:sm1|regoutff~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:9:sm1|regoutff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~5_combout\);

-- Location: LCCOMB_X43_Y37_N30
\auto_signaltap_0|acq_trigger_in_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[1]~feeder_combout\ = \cpha~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \cpha~combout\,
	combout => \auto_signaltap_0|acq_trigger_in_reg[1]~feeder_combout\);

-- Location: FF_X43_Y37_N31
\auto_signaltap_0|acq_trigger_in_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(1));

-- Location: FF_X42_Y37_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(1),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|holdff~q\);

-- Location: LCCOMB_X42_Y37_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(4),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(3),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(1),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(5),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|p_match_out~0_combout\);

-- Location: LCCOMB_X42_Y37_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111110100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(5),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|holdff~q\,
	datac => \auto_signaltap_0|acq_trigger_in_reg\(1),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|p_match_out~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|p_match_out~1_combout\);

-- Location: FF_X42_Y37_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|regoutff~q\);

-- Location: LCCOMB_X37_Y37_N16
\auto_signaltap_0|acq_trigger_in_reg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_trigger_in_reg[0]~feeder_combout\ = dac_ctrl(16)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => dac_ctrl(16),
	combout => \auto_signaltap_0|acq_trigger_in_reg[0]~feeder_combout\);

-- Location: FF_X37_Y37_N17
\auto_signaltap_0|acq_trigger_in_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_trigger_in_reg[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_trigger_in_reg\(0));

-- Location: LCCOMB_X37_Y37_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|p_match_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110110001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(1),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(2),
	datac => \auto_signaltap_0|acq_trigger_in_reg\(0),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|p_match_out~0_combout\);

-- Location: FF_X37_Y37_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|holdff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|acq_trigger_in_reg\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|holdff~q\);

-- Location: LCCOMB_X37_Y37_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|p_match_out~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000010110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|acq_trigger_in_reg\(0),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_condition_deserialize|dffs\(2),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|p_match_out~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|holdff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|p_match_out~1_combout\);

-- Location: FF_X37_Y37_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|regoutff\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|p_match_out~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|regoutff~q\);

-- Location: LCCOMB_X41_Y37_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~6_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~5_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:1:sm1|regoutff~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|basic_multi_level_mbpm_trigger_gen:multi_level_mbpm|trigger_modules_gen:0:trigger_match|gen_sbpmg_pipeline_less_than_two:sm0:0:sm1|regoutff~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~7_combout\);

-- Location: LCCOMB_X38_Y37_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~4_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|run~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~7_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~8_combout\);

-- Location: FF_X38_Y37_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~8_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~q\);

-- Location: LCCOMB_X37_Y33_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(0),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\);

-- Location: LCCOMB_X37_Y33_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|run~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|run~feeder_combout\);

-- Location: FF_X37_Y33_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|run\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|run~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|run~q\);

-- Location: LCCOMB_X37_Y33_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|run~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\);

-- Location: FF_X34_Y33_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~q\);

-- Location: LCCOMB_X35_Y32_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(3),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~5\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~6_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~7\);

-- Location: LCCOMB_X35_Y32_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(4),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~7\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~8_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~9\);

-- Location: LCCOMB_X35_Y32_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~8_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~5_combout\);

-- Location: LCCOMB_X36_Y33_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|run~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\);

-- Location: FF_X35_Y32_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~5_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(4));

-- Location: LCCOMB_X35_Y32_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(5),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~9\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~10_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~11\);

-- Location: LCCOMB_X35_Y32_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~10_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~6_combout\);

-- Location: FF_X35_Y32_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~6_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(5));

-- Location: LCCOMB_X35_Y32_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(6),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~11\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~12_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~13\);

-- Location: LCCOMB_X35_Y32_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~12_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~7_combout\);

-- Location: FF_X35_Y32_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~7_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(6));

-- Location: LCCOMB_X35_Y32_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(7),
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~13\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~14_combout\);

-- Location: LCCOMB_X35_Y32_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~14_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~8_combout\);

-- Location: FF_X35_Y32_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~8_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(7));

-- Location: LCCOMB_X37_Y33_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(0),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|last_level_delayed~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~3_combout\);

-- Location: LCCOMB_X35_Y32_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(0),
	datad => VCC,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~0_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~1\);

-- Location: LCCOMB_X36_Y33_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~3_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~0_combout\);

-- Location: LCCOMB_X35_Y32_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~1_combout\);

-- Location: FF_X35_Y32_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~1_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(0));

-- Location: LCCOMB_X35_Y32_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(1),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~1\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~2_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~3\);

-- Location: LCCOMB_X35_Y32_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~2_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~2_combout\);

-- Location: FF_X35_Y32_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~2_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(1));

-- Location: LCCOMB_X36_Y32_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(3),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(0),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(2),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~0_combout\);

-- Location: LCCOMB_X36_Y32_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000100010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(4),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(5),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~1_combout\);

-- Location: LCCOMB_X36_Y32_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(7),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(6),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\);

-- Location: LCCOMB_X35_Y32_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(2),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~3\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~4_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~5\);

-- Location: LCCOMB_X35_Y32_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~4_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~3_combout\);

-- Location: FF_X35_Y32_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~3_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(2));

-- Location: LCCOMB_X35_Y32_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add3~6_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~4_combout\);

-- Location: FF_X35_Y32_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter~4_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(3));

-- Location: LCCOMB_X37_Y32_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|builtin:ela_trigger_flow_mgr_entity|trigger_config_deserialize|dffs\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[3]~feeder_combout\);

-- Location: FF_X37_Y32_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[3]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs\(3));

-- Location: LCCOMB_X37_Y32_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[2]~feeder_combout\);

-- Location: FF_X37_Y32_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[2]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs\(2));

-- Location: LCCOMB_X37_Y32_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[1]~feeder_combout\);

-- Location: FF_X37_Y32_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[1]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs\(1));

-- Location: LCCOMB_X37_Y32_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[0]~feeder_combout\);

-- Location: FF_X37_Y32_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs[0]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs\(0));

-- Location: LCCOMB_X37_Y32_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ela_control|trigger_config_deserialize|dffs\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[6]~feeder_combout\);

-- Location: FF_X37_Y32_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[6]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(6));

-- Location: LCCOMB_X37_Y32_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[5]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(6),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[5]~feeder_combout\);

-- Location: FF_X37_Y32_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[5]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(5));

-- Location: FF_X36_Y32_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(5),
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	sload => VCC,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(4));

-- Location: FF_X36_Y32_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(4),
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	sload => VCC,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(3));

-- Location: LCCOMB_X37_Y32_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[2]~feeder_combout\);

-- Location: FF_X37_Y32_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[2]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(2));

-- Location: FF_X36_Y32_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(2),
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	sload => VCC,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(1));

-- Location: LCCOMB_X36_Y32_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[0]~feeder_combout\);

-- Location: FF_X36_Y32_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs[0]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|trigger_setup_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(0));

-- Location: LCCOMB_X36_Y32_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[1]~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(0),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(1),
	datad => VCC,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[1]~7_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[1]~8\);

-- Location: LCCOMB_X36_Y32_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[2]~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010101011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(2),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[1]~8\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[2]~9_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[2]~10\);

-- Location: FF_X36_Y32_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[2]~9_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	sload => VCC,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(2));

-- Location: LCCOMB_X36_Y32_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[3]~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(3),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[2]~10\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[3]~11_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[3]~12\);

-- Location: FF_X36_Y32_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[3]~11_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(3));

-- Location: LCCOMB_X36_Y32_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010000101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(3),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(2),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(2),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~1_combout\);

-- Location: LCCOMB_X36_Y32_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[4]~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(4),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[3]~12\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[4]~13_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[4]~14\);

-- Location: LCCOMB_X36_Y32_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[5]~15\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101000001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(5),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[4]~14\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[5]~15_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[5]~16\);

-- Location: LCCOMB_X36_Y32_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[6]~17\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010101011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(6),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[5]~16\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[6]~17_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[6]~18\);

-- Location: LCCOMB_X36_Y32_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[7]~19\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[6]~18\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[7]~19_combout\);

-- Location: FF_X36_Y32_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[7]~19_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(7));

-- Location: LCCOMB_X37_Y32_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[6]~17_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[6]~feeder_combout\);

-- Location: FF_X37_Y32_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[6]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(6));

-- Location: LCCOMB_X36_Y32_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001001001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(7),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(6),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(7),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(6),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~3_combout\);

-- Location: FF_X36_Y32_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[1]~7_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(1));

-- Location: FF_X36_Y32_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(0),
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	sload => VCC,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(0));

-- Location: LCCOMB_X36_Y32_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011001100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(1),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(1),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(0),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~0_combout\);

-- Location: FF_X36_Y32_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[4]~13_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(4));

-- Location: FF_X36_Y32_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count[5]~15_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(5));

-- Location: LCCOMB_X36_Y32_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001001001001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(4),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|counter\(5),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(4),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|modified_post_count\(5),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~2_combout\);

-- Location: LCCOMB_X36_Y32_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~1_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~3_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~2_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\);

-- Location: LCCOMB_X36_Y33_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|done~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|done~1_combout\);

-- Location: LCCOMB_X35_Y33_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~2_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~1_combout\);

-- Location: FF_X35_Y33_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~1_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	sload => VCC,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[1]~q\);

-- Location: LCCOMB_X35_Y33_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[0]~q\,
	datad => VCC,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~0_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~1\);

-- Location: LCCOMB_X35_Y33_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~0_combout\);

-- Location: FF_X35_Y33_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~0_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	sload => VCC,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[0]~q\);

-- Location: LCCOMB_X35_Y33_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[1]~q\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~1\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~2_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~3\);

-- Location: LCCOMB_X35_Y33_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~6_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~3_combout\);

-- Location: FF_X35_Y33_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~3_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	sload => VCC,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[3]~q\);

-- Location: LCCOMB_X35_Y33_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[2]~q\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~3\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~4_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~5\);

-- Location: LCCOMB_X35_Y33_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~4_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~2_combout\);

-- Location: FF_X35_Y33_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~2_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	sload => VCC,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[2]~q\);

-- Location: LCCOMB_X35_Y33_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[3]~q\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~5\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~6_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~7\);

-- Location: LCCOMB_X35_Y33_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~2_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~6_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~4_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped~0_combout\);

-- Location: LCCOMB_X35_Y33_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~10_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~5_combout\);

-- Location: FF_X35_Y33_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~5_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	sload => VCC,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[5]~q\);

-- Location: LCCOMB_X35_Y33_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[4]~q\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~7\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~8_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~9\);

-- Location: LCCOMB_X35_Y33_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~8_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~4_combout\);

-- Location: FF_X35_Y33_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~4_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	sload => VCC,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[4]~q\);

-- Location: LCCOMB_X35_Y33_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[5]~q\,
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~9\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~10_combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~11\);

-- Location: LCCOMB_X35_Y33_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~12_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~6_combout\);

-- Location: FF_X35_Y33_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~6_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	sload => VCC,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[6]~q\);

-- Location: LCCOMB_X35_Y33_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[6]~q\,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~11\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~12_combout\);

-- Location: LCCOMB_X35_Y33_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~10_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~8_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Add2~12_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped~1_combout\);

-- Location: LCCOMB_X36_Y33_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~3_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~0_combout\);

-- Location: LCCOMB_X36_Y33_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|done~1_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped~1_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:is_buffer_wrapped~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped~2_combout\);

-- Location: FF_X36_Y33_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:is_buffer_wrapped\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped~2_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:is_buffer_wrapped~q\);

-- Location: LCCOMB_X36_Y33_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_wrapped_delayed~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:is_buffer_wrapped~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_wrapped_delayed~feeder_combout\);

-- Location: FF_X36_Y33_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_wrapped_delayed\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_wrapped_delayed~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_wrapped_delayed~q\);

-- Location: LCCOMB_X31_Y32_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_wrapped_delayed~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][0]~feeder_combout\);

-- Location: LCCOMB_X36_Y33_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|done~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:done~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|done~0_combout\);

-- Location: FF_X36_Y33_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:done\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|done~0_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:done~q\);

-- Location: LCCOMB_X36_Y33_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_enable_delayed~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:done~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_enable_delayed~0_combout\);

-- Location: FF_X36_Y33_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_enable_delayed\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_enable_delayed~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_enable_delayed~q\);

-- Location: LCCOMB_X37_Y33_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|segment_shift_var~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~3_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|segment_shift_var~0_combout\);

-- Location: FF_X36_Y33_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:segment_shift_var\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|segment_shift_var~0_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	sload => VCC,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:segment_shift_var~q\);

-- Location: LCCOMB_X36_Y33_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|base_address~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:base_address[0]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|base_address~0_combout\);

-- Location: FF_X36_Y33_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:base_address[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|base_address~0_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:base_address[0]~q\);

-- Location: LCCOMB_X36_Y33_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|current_segment_delayed[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:base_address[0]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|current_segment_delayed[0]~feeder_combout\);

-- Location: FF_X36_Y33_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|current_segment_delayed[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|current_segment_delayed[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|current_segment_delayed\(0));

-- Location: LCCOMB_X36_Y33_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][2]~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_enable_delayed~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:segment_shift_var~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|current_segment_delayed\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\);

-- Location: FF_X31_Y32_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][0]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][0]~q\);

-- Location: LCCOMB_X31_Y32_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_wrapped_delayed~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][0]~feeder_combout\);

-- Location: LCCOMB_X36_Y33_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][2]~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_enable_delayed~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:segment_shift_var~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|current_segment_delayed\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\);

-- Location: FF_X31_Y32_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][0]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][0]~q\);

-- Location: LCCOMB_X37_Y35_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_comb_bita0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_reg_bit\(0),
	datad => VCC,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_comb_bita0~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X37_Y34_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr_ena~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr_ena~0_combout\);

-- Location: LCCOMB_X37_Y35_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_comb_bita0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_comb_bita0~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_comb_bita0~0_combout\);

-- Location: LCCOMB_X36_Y35_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_reg_bit[0]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_reg_bit\(0),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_comb_bita0~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_reg_bit[0]~0_combout\);

-- Location: LCCOMB_X37_Y35_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_reg_bit[0]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr_ena~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_reg_bit[0]~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_reg_bit[0]~1_combout\);

-- Location: LCCOMB_X36_Y35_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(0),
	datad => VCC,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita0~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X36_Y35_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(1),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita0~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita1~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita1~COUT\);

-- Location: FF_X36_Y35_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita1~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit[3]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(1));

-- Location: LCCOMB_X36_Y35_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(2),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita1~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita2~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita2~COUT\);

-- Location: FF_X36_Y35_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita2~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit[3]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(2));

-- Location: LCCOMB_X36_Y35_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(3),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita2~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita3~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita3~COUT\);

-- Location: FF_X36_Y35_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita3~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit[3]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(3));

-- Location: LCCOMB_X36_Y35_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal3~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(0),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(3),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(2),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal3~0_combout\);

-- Location: LCCOMB_X36_Y35_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita3~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita3~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita3~0_combout\);

-- Location: LCCOMB_X36_Y35_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit[3]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal3~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita3~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit[3]~0_combout\);

-- Location: FF_X36_Y35_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_comb_bita0~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit[3]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(0));

-- Location: LCCOMB_X36_Y35_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal2~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(0),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(3),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(2),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_advance_pointer_counter|auto_generated|counter_reg_bit\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal2~0_combout\);

-- Location: FF_X37_Y35_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_comb_bita0~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_reg_bit[0]~1_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal2~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_reg_bit\(0));

-- Location: LCCOMB_X35_Y35_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_read_pointer_counter|auto_generated|counter_reg_bit\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr[0]~feeder_combout\);

-- Location: FF_X35_Y35_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr[0]~feeder_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0));

-- Location: LCCOMB_X32_Y32_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[0]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][0]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][0]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[0]~0_combout\);

-- Location: FF_X32_Y32_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[0]~0_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(0));

-- Location: LCCOMB_X31_Y33_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[0]~feeder_combout\);

-- Location: FF_X31_Y33_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[0]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[0]~q\);

-- Location: LCCOMB_X30_Y33_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[0]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[0]~feeder_combout\);

-- Location: FF_X30_Y33_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(0));

-- Location: LCCOMB_X31_Y32_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][1]~feeder_combout\);

-- Location: FF_X31_Y32_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][1]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][1]~q\);

-- Location: LCCOMB_X31_Y32_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][1]~feeder_combout\);

-- Location: FF_X31_Y32_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][1]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][1]~q\);

-- Location: LCCOMB_X32_Y32_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[1]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][1]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[1]~1_combout\);

-- Location: FF_X32_Y32_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[1]~1_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(1));

-- Location: LCCOMB_X31_Y33_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~2_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[2]~feeder_combout\);

-- Location: FF_X31_Y33_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[2]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[2]~q\);

-- Location: LCCOMB_X30_Y33_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[2]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[2]~feeder_combout\);

-- Location: FF_X30_Y33_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[2]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(2));

-- Location: LCCOMB_X31_Y32_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][3]~feeder_combout\);

-- Location: FF_X31_Y32_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][3]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][3]~q\);

-- Location: LCCOMB_X31_Y32_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][3]~feeder_combout\);

-- Location: FF_X31_Y32_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][3]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][3]~q\);

-- Location: LCCOMB_X32_Y32_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[3]~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][3]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][3]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[3]~3_combout\);

-- Location: FF_X32_Y32_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[3]~3_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(3));

-- Location: LCCOMB_X31_Y33_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~3_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[3]~feeder_combout\);

-- Location: FF_X31_Y33_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[3]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[3]~q\);

-- Location: LCCOMB_X30_Y33_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[3]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[3]~feeder_combout\);

-- Location: FF_X30_Y33_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[3]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(3));

-- Location: LCCOMB_X31_Y32_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][4]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][4]~feeder_combout\);

-- Location: FF_X31_Y32_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][4]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][4]~q\);

-- Location: LCCOMB_X31_Y32_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][4]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][4]~feeder_combout\);

-- Location: FF_X31_Y32_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][4]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][4]~q\);

-- Location: LCCOMB_X32_Y32_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[4]~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][4]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][4]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[4]~4_combout\);

-- Location: FF_X32_Y32_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[4]~4_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(4));

-- Location: LCCOMB_X31_Y33_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[4]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~4_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[4]~feeder_combout\);

-- Location: FF_X31_Y33_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[4]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[4]~q\);

-- Location: LCCOMB_X32_Y33_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[4]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[4]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[4]~feeder_combout\);

-- Location: FF_X32_Y33_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[4]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(4));

-- Location: LCCOMB_X31_Y32_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][5]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(4),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][5]~feeder_combout\);

-- Location: FF_X31_Y32_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][5]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][5]~q\);

-- Location: LCCOMB_X31_Y32_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][5]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(4),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][5]~feeder_combout\);

-- Location: FF_X31_Y32_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][5]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][5]~q\);

-- Location: LCCOMB_X32_Y32_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[5]~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][5]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][5]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[5]~5_combout\);

-- Location: FF_X32_Y32_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[5]~5_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(5));

-- Location: LCCOMB_X31_Y33_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[5]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~5_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[5]~feeder_combout\);

-- Location: FF_X31_Y33_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[5]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[5]~q\);

-- Location: LCCOMB_X32_Y33_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[5]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[5]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[5]~feeder_combout\);

-- Location: FF_X32_Y33_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[5]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(5));

-- Location: LCCOMB_X31_Y32_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(5),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][6]~feeder_combout\);

-- Location: FF_X31_Y32_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][6]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][6]~q\);

-- Location: LCCOMB_X31_Y32_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(5),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][6]~feeder_combout\);

-- Location: FF_X31_Y32_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][6]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][6]~q\);

-- Location: LCCOMB_X32_Y32_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[6]~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][6]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][6]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[6]~6_combout\);

-- Location: FF_X32_Y32_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[6]~6_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(6));

-- Location: LCCOMB_X31_Y33_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~6_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[6]~feeder_combout\);

-- Location: FF_X31_Y33_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[6]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[6]~q\);

-- Location: LCCOMB_X32_Y33_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[6]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[6]~feeder_combout\);

-- Location: FF_X32_Y33_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[6]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(6));

-- Location: LCCOMB_X31_Y32_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][7]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(6),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][7]~feeder_combout\);

-- Location: FF_X31_Y32_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][7]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][7]~q\);

-- Location: LCCOMB_X31_Y32_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][7]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(6),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][7]~feeder_combout\);

-- Location: FF_X31_Y32_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][7]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][7]~q\);

-- Location: LCCOMB_X32_Y32_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[7]~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][7]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][7]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[7]~7_combout\);

-- Location: FF_X32_Y32_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[7]~7_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(7));

-- Location: LCCOMB_X34_Y33_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[0]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[0]~feeder_combout\);

-- Location: FF_X34_Y33_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(0));

-- Location: LCCOMB_X34_Y35_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][8]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][8]~feeder_combout\);

-- Location: FF_X34_Y35_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][8]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][8]~q\);

-- Location: LCCOMB_X34_Y35_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][8]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][8]~feeder_combout\);

-- Location: FF_X34_Y35_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][8]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][8]~q\);

-- Location: LCCOMB_X35_Y35_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[8]~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][8]~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][8]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[8]~8_combout\);

-- Location: FF_X35_Y35_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[8]~8_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(8));

-- Location: LCCOMB_X34_Y33_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[2]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[2]~feeder_combout\);

-- Location: FF_X34_Y33_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[2]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(2));

-- Location: LCCOMB_X34_Y35_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][10]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][10]~feeder_combout\);

-- Location: FF_X34_Y35_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][10]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][10]~q\);

-- Location: LCCOMB_X34_Y35_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][10]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][10]~feeder_combout\);

-- Location: FF_X34_Y35_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][10]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][10]~q\);

-- Location: LCCOMB_X35_Y35_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[10]~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][10]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][10]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[10]~10_combout\);

-- Location: FF_X35_Y35_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[10]~10_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(10));

-- Location: LCCOMB_X34_Y33_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[6]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[6]~feeder_combout\);

-- Location: FF_X34_Y33_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[6]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(6));

-- Location: LCCOMB_X34_Y35_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][14]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(6),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][14]~feeder_combout\);

-- Location: FF_X34_Y35_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][14]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][14]~q\);

-- Location: LCCOMB_X34_Y35_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][14]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(6),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][14]~feeder_combout\);

-- Location: FF_X34_Y35_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][14]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][14]~q\);

-- Location: LCCOMB_X35_Y35_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[14]~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][14]~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][14]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[14]~14_combout\);

-- Location: FF_X35_Y35_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[14]~14_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(14));

-- Location: LCCOMB_X35_Y35_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(14),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal3~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~14_combout\);

-- Location: FF_X35_Y35_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~14_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(14));

-- Location: LCCOMB_X34_Y33_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[5]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[5]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[5]~feeder_combout\);

-- Location: FF_X34_Y33_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[5]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(5));

-- Location: LCCOMB_X34_Y35_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][13]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(5),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][13]~feeder_combout\);

-- Location: FF_X34_Y35_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][13]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][13]~q\);

-- Location: LCCOMB_X34_Y35_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][13]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(5),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][13]~feeder_combout\);

-- Location: FF_X34_Y35_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][13]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][13]~q\);

-- Location: LCCOMB_X35_Y35_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[13]~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][13]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][13]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[13]~13_combout\);

-- Location: FF_X35_Y35_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[13]~13_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(13));

-- Location: LCCOMB_X35_Y35_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal3~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\);

-- Location: LCCOMB_X35_Y35_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(14),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(13),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~13_combout\);

-- Location: FF_X35_Y35_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~13_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(13));

-- Location: LCCOMB_X34_Y33_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[4]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[4]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[4]~feeder_combout\);

-- Location: FF_X34_Y33_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[4]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(4));

-- Location: LCCOMB_X34_Y35_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][12]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(4),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][12]~feeder_combout\);

-- Location: FF_X34_Y35_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][12]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][12]~q\);

-- Location: LCCOMB_X34_Y35_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][12]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(4),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][12]~feeder_combout\);

-- Location: FF_X34_Y35_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][12]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][12]~q\);

-- Location: LCCOMB_X35_Y35_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[12]~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][12]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][12]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[12]~12_combout\);

-- Location: FF_X35_Y35_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[12]~12_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(12));

-- Location: LCCOMB_X35_Y35_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(13),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(12),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~12_combout\);

-- Location: FF_X35_Y35_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~12_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(12));

-- Location: LCCOMB_X34_Y33_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[3]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[3]~feeder_combout\);

-- Location: FF_X34_Y33_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[3]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(3));

-- Location: LCCOMB_X34_Y35_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][11]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][11]~feeder_combout\);

-- Location: FF_X34_Y35_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][11]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][11]~q\);

-- Location: LCCOMB_X34_Y35_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][11]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][11]~feeder_combout\);

-- Location: FF_X34_Y35_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][11]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][11]~q\);

-- Location: LCCOMB_X35_Y35_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[11]~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][11]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][11]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[11]~11_combout\);

-- Location: FF_X35_Y35_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[11]~11_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(11));

-- Location: LCCOMB_X35_Y35_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(12),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(11),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~11_combout\);

-- Location: FF_X35_Y35_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~11_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(11));

-- Location: LCCOMB_X35_Y35_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(10),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(11),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~10_combout\);

-- Location: FF_X35_Y35_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~10_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(10));

-- Location: LCCOMB_X34_Y33_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:next_address[1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[1]~feeder_combout\);

-- Location: FF_X34_Y33_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(1));

-- Location: LCCOMB_X34_Y35_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][9]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][9]~feeder_combout\);

-- Location: FF_X34_Y35_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][9]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][9]~q\);

-- Location: LCCOMB_X34_Y35_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][9]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_address_delayed\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][9]~feeder_combout\);

-- Location: FF_X34_Y35_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][9]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][9]~q\);

-- Location: LCCOMB_X35_Y35_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[9]~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][9]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][9]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[9]~9_combout\);

-- Location: FF_X35_Y35_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[9]~9_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(9));

-- Location: LCCOMB_X35_Y35_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(10),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(9),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~9_combout\);

-- Location: FF_X35_Y35_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~9_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(9));

-- Location: LCCOMB_X35_Y35_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(8),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(9),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~8_combout\);

-- Location: FF_X35_Y35_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~8_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(8));

-- Location: LCCOMB_X32_Y32_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(7),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(8),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~7_combout\);

-- Location: FF_X32_Y32_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~7_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(7));

-- Location: LCCOMB_X32_Y32_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(6),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(7),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~6_combout\);

-- Location: FF_X32_Y32_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~6_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(6));

-- Location: LCCOMB_X32_Y32_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(5),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(6),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~5_combout\);

-- Location: FF_X32_Y32_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~5_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(5));

-- Location: LCCOMB_X32_Y32_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(4),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(5),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~4_combout\);

-- Location: FF_X32_Y32_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~4_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(4));

-- Location: LCCOMB_X32_Y32_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(3),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(4),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~3_combout\);

-- Location: FF_X32_Y32_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~3_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(3));

-- Location: LCCOMB_X31_Y33_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[1]~feeder_combout\);

-- Location: FF_X31_Y33_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[1]~feeder_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[1]~q\);

-- Location: LCCOMB_X30_Y33_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[1]~feeder_combout\);

-- Location: FF_X30_Y33_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(1));

-- Location: LCCOMB_X31_Y32_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][2]~feeder_combout\);

-- Location: FF_X31_Y32_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][2]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][2]~q\);

-- Location: LCCOMB_X31_Y32_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|last_trigger_address_delayed\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][2]~feeder_combout\);

-- Location: FF_X31_Y32_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][2]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|wdecoder|auto_generated|eq_node[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][2]~q\);

-- Location: LCCOMB_X32_Y32_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[2]~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[0][2]~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|cells[1][2]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xraddr\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[2]~2_combout\);

-- Location: FF_X32_Y32_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|mux|auto_generated|result_node[2]~2_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(2));

-- Location: LCCOMB_X32_Y32_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(3),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(2),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~2_combout\);

-- Location: FF_X32_Y32_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~2_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(2));

-- Location: LCCOMB_X32_Y32_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(1),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(2),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~1_combout\);

-- Location: FF_X32_Y32_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~1_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(1));

-- Location: LCCOMB_X32_Y32_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:attribute_mem_gen:attribute_mem|xq\(0),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(1),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~0_combout\);

-- Location: FF_X32_Y32_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|_~0_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(0));

-- Location: LCCOMB_X36_Y31_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|status_data_shift_out|dffs\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|segment_offset_config_deserialize|dffs\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][3]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~4_combout\);

-- Location: LCCOMB_X36_Y31_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][8]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_len_reg\(0),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~4_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~5_combout\);

-- Location: LCCOMB_X37_Y34_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset~combout\);

-- Location: LCCOMB_X36_Y34_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(0),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~6_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~8_combout\);

-- Location: LCCOMB_X36_Y34_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~16\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~8_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(12),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~16_combout\);

-- Location: FF_X36_Y34_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(12));

-- Location: LCCOMB_X35_Y34_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~15\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(12),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(11),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~15_combout\);

-- Location: FF_X35_Y34_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(11));

-- Location: LCCOMB_X35_Y34_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(11),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(10),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~14_combout\);

-- Location: FF_X35_Y34_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~14_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(10));

-- Location: LCCOMB_X35_Y34_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset~combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(9),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(10),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~13_combout\);

-- Location: FF_X35_Y34_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(9));

-- Location: LCCOMB_X35_Y34_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(9),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(8),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~12_combout\);

-- Location: FF_X35_Y34_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(8));

-- Location: LCCOMB_X35_Y34_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset~combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(7),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(8),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~11_combout\);

-- Location: FF_X35_Y34_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(7));

-- Location: LCCOMB_X35_Y34_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset~combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(6),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(7),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~10_combout\);

-- Location: FF_X35_Y34_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(6));

-- Location: LCCOMB_X37_Y34_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\);

-- Location: LCCOMB_X36_Y34_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(5),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~6_combout\);

-- Location: LCCOMB_X37_Y34_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~9_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|LessThan0~4_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~7_combout\);

-- Location: LCCOMB_X36_Y34_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(6),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~8_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~6_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~7_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~9_combout\);

-- Location: FF_X36_Y34_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(5));

-- Location: LCCOMB_X36_Y34_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(5),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(4),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~5_combout\);

-- Location: FF_X36_Y34_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(4));

-- Location: LCCOMB_X36_Y34_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset~combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(3),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(4),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~4_combout\);

-- Location: FF_X36_Y34_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(3));

-- Location: LCCOMB_X35_Y34_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(3),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(2),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~3_combout\);

-- Location: FF_X35_Y34_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(2));

-- Location: LCCOMB_X35_Y34_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(2),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(1),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~2_combout\);

-- Location: FF_X35_Y34_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(1));

-- Location: LCCOMB_X36_Y34_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100101100110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(0),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~6_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~0_combout\);

-- Location: LCCOMB_X36_Y34_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|process_0~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(0),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_calc_reset~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~1_combout\);

-- Location: FF_X36_Y34_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(0));

-- Location: LCCOMB_X37_Y34_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[15]~16\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TDIUTAP\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[15]~16_combout\);

-- Location: LCCOMB_X37_Y34_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr_ena~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\);

-- Location: FF_X37_Y34_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[15]~16_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(15));

-- Location: LCCOMB_X37_Y34_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[14]~15\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(15),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[14]~15_combout\);

-- Location: FF_X37_Y34_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[14]~15_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(14));

-- Location: LCCOMB_X37_Y34_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[13]~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(14),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[13]~14_combout\);

-- Location: FF_X37_Y34_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[13]~14_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(13));

-- Location: LCCOMB_X36_Y34_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[12]~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(13),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(12),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[12]~13_combout\);

-- Location: FF_X36_Y34_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[12]~13_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(12));

-- Location: LCCOMB_X35_Y34_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[11]~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(12),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(11),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[11]~12_combout\);

-- Location: FF_X35_Y34_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[11]~12_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(11));

-- Location: LCCOMB_X35_Y34_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[10]~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(11),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(10),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[10]~11_combout\);

-- Location: FF_X35_Y34_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[10]~11_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(10));

-- Location: LCCOMB_X35_Y34_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[9]~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(10),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(9),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[9]~10_combout\);

-- Location: FF_X35_Y34_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[9]~10_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(9));

-- Location: LCCOMB_X35_Y34_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[8]~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(9),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(8),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[8]~9_combout\);

-- Location: FF_X35_Y34_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[8]~9_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(8));

-- Location: LCCOMB_X35_Y34_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[7]~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(8),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(7),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[7]~8_combout\);

-- Location: FF_X35_Y34_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[7]~8_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(7));

-- Location: LCCOMB_X35_Y34_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[6]~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(7),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(6),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[6]~7_combout\);

-- Location: FF_X35_Y34_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[6]~7_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(6));

-- Location: LCCOMB_X35_Y34_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[5]~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(6),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(5),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[5]~6_combout\);

-- Location: FF_X35_Y34_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[5]~6_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(5));

-- Location: LCCOMB_X36_Y34_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[4]~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(4),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(5),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[4]~5_combout\);

-- Location: FF_X36_Y34_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[4]~5_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(4));

-- Location: LCCOMB_X36_Y34_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[3]~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(3),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(4),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[3]~4_combout\);

-- Location: FF_X36_Y34_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[3]~4_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(3));

-- Location: LCCOMB_X36_Y34_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[2]~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(2),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[2]~3_combout\);

-- Location: FF_X36_Y34_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[2]~3_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(2));

-- Location: LCCOMB_X36_Y34_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[1]~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(1),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[1]~2_combout\);

-- Location: FF_X36_Y34_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[1]~2_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(1));

-- Location: LCCOMB_X36_Y34_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_gen:tdo_crc_calc|lfsr\(0),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~0_combout\);

-- Location: FF_X36_Y34_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~0_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg[0]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(0));

-- Location: LCCOMB_X36_Y33_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|state_status[2]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_enable_delayed~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:done~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|state_status[2]~0_combout\);

-- Location: LCCOMB_X36_Y33_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|collecting_post_data_var~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|final_trigger_set~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal2~4_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|Equal0~2_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:done~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|collecting_post_data_var~0_combout\);

-- Location: FF_X36_Y33_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:collecting_post_data_var\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|collecting_post_data_var~0_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|collect_data~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:collecting_post_data_var~q\);

-- Location: LCCOMB_X37_Y33_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|state_status[2]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|state_status[2]~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|run~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:is_buffer_wrapped~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:collecting_post_data_var~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|state_status[2]~1_combout\);

-- Location: LCCOMB_X37_Y36_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_load_on~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_load_on~0_combout\);

-- Location: LCCOMB_X37_Y36_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~16\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TDIUTAP\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~16_combout\);

-- Location: LCCOMB_X37_Y36_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr_ena~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\);

-- Location: FF_X37_Y36_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~16_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(16));

-- Location: LCCOMB_X37_Y36_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~15\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(16),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~15_combout\);

-- Location: FF_X37_Y36_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~15_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(15));

-- Location: LCCOMB_X37_Y36_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(15),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~14_combout\);

-- Location: FF_X37_Y36_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~14_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(14));

-- Location: LCCOMB_X37_Y36_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(14),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~13_combout\);

-- Location: FF_X37_Y36_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~13_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(13));

-- Location: LCCOMB_X37_Y36_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(13),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~12_combout\);

-- Location: FF_X37_Y36_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~12_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(12));

-- Location: LCCOMB_X37_Y36_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(12),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~11_combout\);

-- Location: FF_X37_Y36_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~11_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(11));

-- Location: LCCOMB_X37_Y36_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(11),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~10_combout\);

-- Location: FF_X37_Y36_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~10_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(10));

-- Location: LCCOMB_X37_Y36_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(10),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~9_combout\);

-- Location: FF_X37_Y36_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~9_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(9));

-- Location: LCCOMB_X37_Y36_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(9),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~8_combout\);

-- Location: FF_X37_Y36_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~8_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(8));

-- Location: LCCOMB_X37_Y36_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~7_combout\);

-- Location: FF_X37_Y36_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~7_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(7));

-- Location: LCCOMB_X37_Y36_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(7),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~6_combout\);

-- Location: FF_X37_Y36_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~6_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(6));

-- Location: LCCOMB_X37_Y36_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(6),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~5_combout\);

-- Location: FF_X37_Y36_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~5_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(5));

-- Location: LCCOMB_X37_Y36_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(5),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|current_segment_delayed\(0),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_load_on~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~4_combout\);

-- Location: FF_X37_Y36_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~4_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(4));

-- Location: LCCOMB_X37_Y36_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|cdr~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][6]~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~3_combout\);

-- Location: FF_X37_Y36_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~3_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(3));

-- Location: LCCOMB_X37_Y33_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|state_status[2]~1_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_load_on~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~2_combout\);

-- Location: FF_X37_Y33_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~2_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(2));

-- Location: LCCOMB_X37_Y33_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(2),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_load_on~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|run~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|state_status[2]~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~1_combout\);

-- Location: FF_X37_Y33_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~1_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(1));

-- Location: LCCOMB_X37_Y33_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(1),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_load_on~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|run~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:collecting_post_data_var~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~0_combout\);

-- Location: FF_X37_Y33_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|_~0_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(0));

-- Location: LCCOMB_X41_Y33_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|bypass_reg_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TDIUTAP\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|bypass_reg_out~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|bypass_reg_out~0_combout\);

-- Location: FF_X41_Y33_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|bypass_reg_out\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|bypass_reg_out~0_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|bypass_reg_out~q\);

-- Location: LCCOMB_X37_Y33_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_register|dffs\(0),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|bypass_reg_out~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|status_shift_enable~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~1_combout\);

-- Location: LCCOMB_X40_Y33_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|clear_signal\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|clear_signal~combout\);

-- Location: LCCOMB_X39_Y33_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Add0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(3),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(2),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Add0~0_combout\);

-- Location: LCCOMB_X40_Y33_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Equal0~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Add0~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~0_combout\);

-- Location: LCCOMB_X40_Y33_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|splitter_nodes_receive_1\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~1_combout\);

-- Location: LCCOMB_X39_Y33_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~2_combout\);

-- Location: FF_X39_Y33_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~0_combout\,
	sload => VCC,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(3));

-- Location: LCCOMB_X39_Y33_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Equal0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(3),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(2),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Equal0~0_combout\);

-- Location: LCCOMB_X39_Y33_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|clear_signal~combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Equal0~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~4_combout\);

-- Location: FF_X39_Y33_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0));

-- Location: LCCOMB_X39_Y33_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~3_combout\);

-- Location: FF_X39_Y33_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~3_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1));

-- Location: LCCOMB_X39_Y33_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|clear_signal~combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(2),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~5_combout\);

-- Location: FF_X39_Y33_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~5_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(2));

-- Location: LCCOMB_X41_Y33_N8
\auto_signaltap_0|~VCC\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|~VCC~combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \auto_signaltap_0|~VCC~combout\);

-- Location: LCCOMB_X38_Y33_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	datab => \auto_signaltap_0|~GND~combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datad => \auto_signaltap_0|~VCC~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~0_combout\);

-- Location: LCCOMB_X38_Y33_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101001001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~0_combout\,
	datab => \auto_signaltap_0|~GND~combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datad => \auto_signaltap_0|~VCC~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~1_combout\);

-- Location: LCCOMB_X39_Y33_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~0_combout\);

-- Location: LCCOMB_X39_Y33_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|~GND~combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datac => \auto_signaltap_0|~GND~combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~2_combout\);

-- Location: LCCOMB_X39_Y33_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101001100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~2_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datac => \auto_signaltap_0|~GND~combout\,
	datad => \auto_signaltap_0|~VCC~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~3_combout\);

-- Location: LCCOMB_X38_Y33_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(2),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~1_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux3~3_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~1_combout\);

-- Location: LCCOMB_X38_Y33_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010010100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	datab => \auto_signaltap_0|~GND~combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datad => \auto_signaltap_0|~VCC~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~0_combout\);

-- Location: LCCOMB_X38_Y33_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100001011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	datab => \auto_signaltap_0|~VCC~combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~0_combout\,
	datad => \auto_signaltap_0|~VCC~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~1_combout\);

-- Location: LCCOMB_X38_Y33_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	datab => \auto_signaltap_0|~GND~combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datad => \auto_signaltap_0|~GND~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~2_combout\);

-- Location: LCCOMB_X38_Y33_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101001001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~2_combout\,
	datab => \auto_signaltap_0|~GND~combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datad => \auto_signaltap_0|~GND~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~3_combout\);

-- Location: LCCOMB_X38_Y33_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~1_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux1~3_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~6_combout\);

-- Location: LCCOMB_X39_Y33_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100110101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datac => \auto_signaltap_0|~GND~combout\,
	datad => \auto_signaltap_0|~VCC~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~2_combout\);

-- Location: LCCOMB_X39_Y33_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101001100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~2_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datac => \auto_signaltap_0|~GND~combout\,
	datad => \auto_signaltap_0|~VCC~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~3_combout\);

-- Location: LCCOMB_X39_Y33_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110010011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datac => \auto_signaltap_0|~GND~combout\,
	datad => \auto_signaltap_0|~VCC~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~0_combout\);

-- Location: LCCOMB_X39_Y33_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~0_combout\,
	datab => \auto_signaltap_0|~VCC~combout\,
	datac => \auto_signaltap_0|~GND~combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~1_combout\);

-- Location: LCCOMB_X39_Y33_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(2),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~3_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux0~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~8_combout\);

-- Location: LCCOMB_X38_Y33_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \altera_internal_jtag~TDIUTAP\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~8_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|clear_signal~combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~9_combout\);

-- Location: LCCOMB_X38_Y33_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr_ena~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~3_combout\);

-- Location: FF_X38_Y33_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~9_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR\(3));

-- Location: LCCOMB_X38_Y33_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|clear_signal~combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~6_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~7_combout\);

-- Location: FF_X38_Y33_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~7_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR\(2));

-- Location: LCCOMB_X39_Y33_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111010100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	datab => \auto_signaltap_0|~VCC~combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datad => \auto_signaltap_0|~VCC~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~2_combout\);

-- Location: LCCOMB_X39_Y33_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|~GND~combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datac => \auto_signaltap_0|~GND~combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~2_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~3_combout\);

-- Location: LCCOMB_X38_Y33_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010010100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	datab => \auto_signaltap_0|~GND~combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(1),
	datad => \auto_signaltap_0|~GND~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~0_combout\);

-- Location: LCCOMB_X38_Y33_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101101011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(0),
	datab => \auto_signaltap_0|~GND~combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~0_combout\,
	datad => \auto_signaltap_0|~GND~combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~1_combout\);

-- Location: LCCOMB_X38_Y33_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~3_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|Mux2~1_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|word_counter\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~4_combout\);

-- Location: LCCOMB_X38_Y33_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|clear_signal~combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~4_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~5_combout\);

-- Location: FF_X38_Y33_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~5_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR\(1));

-- Location: LCCOMB_X38_Y33_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|clear_signal~combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~1_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~2_combout\);

-- Location: FF_X38_Y33_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~2_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR\(0));

-- Location: LCCOMB_X38_Y32_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~1_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr|WORD_SR\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][5]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~2_combout\);

-- Location: LCCOMB_X36_Y33_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped_once_sig~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|segment_shift_var~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|run~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|done~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped_once_sig~0_combout\);

-- Location: LCCOMB_X36_Y33_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped_once_sig~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped_once_sig~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:base_address[0]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped_once_sig~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|process_0~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped_once_sig~1_combout\);

-- Location: FF_X36_Y33_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped_once_sig\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped_once_sig~1_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped_once_sig~q\);

-- Location: LCCOMB_X31_Y33_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~1_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[1]~feeder_combout\);

-- Location: LCCOMB_X37_Y33_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[0]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:done~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|run~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~q\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|condition_delay_reg\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[0]~0_combout\);

-- Location: FF_X31_Y33_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[1]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig\(1));

-- Location: LCCOMB_X37_Y37_N14
\auto_signaltap_0|acq_data_in_reg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[0]~feeder_combout\ = dac_ctrl(16)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => dac_ctrl(16),
	combout => \auto_signaltap_0|acq_data_in_reg[0]~feeder_combout\);

-- Location: FF_X37_Y37_N15
\auto_signaltap_0|acq_data_in_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(0));

-- Location: LCCOMB_X37_Y37_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|acq_data_in_reg\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][0]~feeder_combout\);

-- Location: FF_X37_Y37_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][0]~q\);

-- Location: LCCOMB_X37_Y37_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][0]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][0]~feeder_combout\);

-- Location: FF_X37_Y37_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][0]~q\);

-- Location: LCCOMB_X36_Y37_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][0]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][0]~feeder_combout\);

-- Location: FF_X36_Y37_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][0]~q\);

-- Location: LCCOMB_X36_Y37_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][0]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][0]~feeder_combout\);

-- Location: FF_X36_Y37_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][0]~q\);

-- Location: LCCOMB_X36_Y36_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(0),
	datad => VCC,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita0~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X37_Y35_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|acq_buf_read_reset\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][1]~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|crc_rom_sr_ena~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|reset_all~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][4]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|acq_buf_read_reset~combout\);

-- Location: LCCOMB_X35_Y36_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(0),
	datad => VCC,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita0~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X35_Y36_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(1),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita0~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita1~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita1~COUT\);

-- Location: FF_X35_Y36_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita1~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(1));

-- Location: LCCOMB_X35_Y36_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(2),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita1~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita2~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita2~COUT\);

-- Location: FF_X35_Y36_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita2~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(2));

-- Location: LCCOMB_X35_Y36_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(3),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita2~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita3~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita3~COUT\);

-- Location: FF_X35_Y36_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita3~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(3));

-- Location: LCCOMB_X35_Y36_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(4),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita3~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita4~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita4~COUT\);

-- Location: FF_X35_Y36_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita4~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(4));

-- Location: LCCOMB_X35_Y36_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal1~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(4),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(3),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(1),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal1~0_combout\);

-- Location: LCCOMB_X35_Y36_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][4]~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal1~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\);

-- Location: LCCOMB_X35_Y36_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita4~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita4~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita4~0_combout\);

-- Location: LCCOMB_X35_Y36_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit[4]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita4~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit[4]~0_combout\);

-- Location: FF_X35_Y36_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_comb_bita0~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit[4]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(0));

-- Location: LCCOMB_X35_Y36_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(4),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(3),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(1),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal0~0_combout\);

-- Location: LCCOMB_X36_Y36_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter_clk_ena\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|adv_point_3_and_more:advance_pointer_counter|auto_generated|counter_reg_bit\(0),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|acq_buf_read_reset~combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|Equal0~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter_clk_ena~combout\);

-- Location: FF_X36_Y36_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita0~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|acq_buf_read_reset~combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter_clk_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(0));

-- Location: LCCOMB_X36_Y36_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(1),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita0~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita1~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita1~COUT\);

-- Location: FF_X36_Y36_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita1~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|acq_buf_read_reset~combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter_clk_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(1));

-- Location: LCCOMB_X36_Y36_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(2),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita1~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita2~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita2~COUT\);

-- Location: FF_X36_Y36_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita2~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|acq_buf_read_reset~combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter_clk_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(2));

-- Location: LCCOMB_X36_Y36_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(3),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita2~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita3~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita3~COUT\);

-- Location: FF_X36_Y36_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita3~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|acq_buf_read_reset~combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter_clk_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(3));

-- Location: LCCOMB_X36_Y36_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(4),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita3~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita4~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita4~COUT\);

-- Location: FF_X36_Y36_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita4~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|acq_buf_read_reset~combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter_clk_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(4));

-- Location: LCCOMB_X36_Y36_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(5),
	datad => VCC,
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita4~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita5~combout\,
	cout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita5~COUT\);

-- Location: FF_X36_Y36_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita5~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|acq_buf_read_reset~combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter_clk_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(5));

-- Location: LCCOMB_X36_Y36_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(6),
	cin => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita5~COUT\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita6~combout\);

-- Location: FF_X36_Y36_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_comb_bita6~combout\,
	asdata => \auto_signaltap_0|~GND~combout\,
	sload => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|acq_buf_read_reset~combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter_clk_ena~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|read_pointer_counter|auto_generated|counter_reg_bit\(6));

-- Location: LCCOMB_X44_Y36_N20
\auto_signaltap_0|acq_data_in_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[1]~feeder_combout\ = \cpha~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \cpha~combout\,
	combout => \auto_signaltap_0|acq_data_in_reg[1]~feeder_combout\);

-- Location: FF_X44_Y36_N21
\auto_signaltap_0|acq_data_in_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(1));

-- Location: LCCOMB_X44_Y36_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][1]~feeder_combout\);

-- Location: FF_X44_Y36_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][1]~q\);

-- Location: LCCOMB_X44_Y36_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][1]~feeder_combout\);

-- Location: FF_X44_Y36_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][1]~q\);

-- Location: LCCOMB_X41_Y36_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][1]~feeder_combout\);

-- Location: FF_X41_Y36_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][1]~q\);

-- Location: FF_X37_Y36_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][1]~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][1]~q\);

-- Location: LCCOMB_X40_Y38_N28
\auto_signaltap_0|acq_data_in_reg[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[2]~feeder_combout\ = \cpol~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \cpol~combout\,
	combout => \auto_signaltap_0|acq_data_in_reg[2]~feeder_combout\);

-- Location: FF_X40_Y38_N29
\auto_signaltap_0|acq_data_in_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[2]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(2));

-- Location: LCCOMB_X39_Y38_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][2]~feeder_combout\);

-- Location: FF_X39_Y38_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][2]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][2]~q\);

-- Location: LCCOMB_X38_Y38_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][2]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][2]~feeder_combout\);

-- Location: FF_X38_Y38_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][2]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][2]~q\);

-- Location: LCCOMB_X38_Y38_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][2]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][2]~feeder_combout\);

-- Location: FF_X38_Y38_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][2]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][2]~q\);

-- Location: LCCOMB_X34_Y36_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][2]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][2]~feeder_combout\);

-- Location: FF_X34_Y36_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][2]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][2]~q\);

-- Location: LCCOMB_X40_Y36_N28
\auto_signaltap_0|acq_data_in_reg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[3]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(0),
	combout => \auto_signaltap_0|acq_data_in_reg[3]~feeder_combout\);

-- Location: FF_X40_Y36_N29
\auto_signaltap_0|acq_data_in_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[3]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(3));

-- Location: LCCOMB_X39_Y36_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][3]~feeder_combout\);

-- Location: FF_X39_Y36_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][3]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][3]~q\);

-- Location: LCCOMB_X38_Y36_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][3]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][3]~feeder_combout\);

-- Location: FF_X38_Y36_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][3]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][3]~q\);

-- Location: LCCOMB_X38_Y36_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][3]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][3]~feeder_combout\);

-- Location: FF_X38_Y36_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][3]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][3]~q\);

-- Location: LCCOMB_X34_Y36_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][3]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][3]~feeder_combout\);

-- Location: FF_X34_Y36_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][3]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][3]~q\);

-- Location: LCCOMB_X40_Y38_N12
\auto_signaltap_0|acq_data_in_reg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[4]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(10)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(10),
	combout => \auto_signaltap_0|acq_data_in_reg[4]~feeder_combout\);

-- Location: FF_X40_Y38_N13
\auto_signaltap_0|acq_data_in_reg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[4]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(4));

-- Location: LCCOMB_X39_Y38_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][4]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|acq_data_in_reg\(4),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][4]~feeder_combout\);

-- Location: FF_X39_Y38_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][4]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][4]~q\);

-- Location: LCCOMB_X38_Y38_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][4]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][4]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][4]~feeder_combout\);

-- Location: FF_X38_Y38_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][4]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][4]~q\);

-- Location: LCCOMB_X38_Y38_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][4]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][4]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][4]~feeder_combout\);

-- Location: FF_X38_Y38_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][4]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][4]~q\);

-- Location: LCCOMB_X37_Y38_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][4]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][4]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][4]~feeder_combout\);

-- Location: FF_X37_Y38_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][4]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][4]~q\);

-- Location: LCCOMB_X41_Y36_N6
\auto_signaltap_0|acq_data_in_reg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[5]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(11)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(11),
	combout => \auto_signaltap_0|acq_data_in_reg[5]~feeder_combout\);

-- Location: FF_X41_Y36_N7
\auto_signaltap_0|acq_data_in_reg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[5]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(5));

-- Location: LCCOMB_X38_Y36_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][5]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|acq_data_in_reg\(5),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][5]~feeder_combout\);

-- Location: FF_X38_Y36_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][5]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][5]~q\);

-- Location: LCCOMB_X38_Y36_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][5]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][5]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][5]~feeder_combout\);

-- Location: FF_X38_Y36_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][5]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][5]~q\);

-- Location: LCCOMB_X38_Y36_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][5]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][5]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][5]~feeder_combout\);

-- Location: FF_X38_Y36_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][5]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][5]~q\);

-- Location: LCCOMB_X34_Y36_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][5]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][5]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][5]~feeder_combout\);

-- Location: FF_X34_Y36_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][5]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][5]~q\);

-- Location: LCCOMB_X42_Y38_N26
\auto_signaltap_0|acq_data_in_reg[6]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[6]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(12)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(12),
	combout => \auto_signaltap_0|acq_data_in_reg[6]~feeder_combout\);

-- Location: FF_X42_Y38_N27
\auto_signaltap_0|acq_data_in_reg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[6]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(6));

-- Location: LCCOMB_X38_Y38_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(6),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][6]~feeder_combout\);

-- Location: FF_X38_Y38_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][6]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][6]~q\);

-- Location: LCCOMB_X38_Y38_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][6]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][6]~feeder_combout\);

-- Location: FF_X38_Y38_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][6]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][6]~q\);

-- Location: LCCOMB_X38_Y38_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][6]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][6]~feeder_combout\);

-- Location: FF_X38_Y38_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][6]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][6]~q\);

-- Location: LCCOMB_X37_Y38_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][6]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][6]~feeder_combout\);

-- Location: FF_X37_Y38_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][6]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][6]~q\);

-- Location: LCCOMB_X39_Y38_N28
\auto_signaltap_0|acq_data_in_reg[7]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[7]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(13)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(13),
	combout => \auto_signaltap_0|acq_data_in_reg[7]~feeder_combout\);

-- Location: FF_X39_Y38_N29
\auto_signaltap_0|acq_data_in_reg[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[7]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(7));

-- Location: LCCOMB_X38_Y38_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][7]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(7),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][7]~feeder_combout\);

-- Location: FF_X38_Y38_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][7]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][7]~q\);

-- Location: LCCOMB_X38_Y38_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][7]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][7]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][7]~feeder_combout\);

-- Location: FF_X38_Y38_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][7]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][7]~q\);

-- Location: LCCOMB_X38_Y38_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][7]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][7]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][7]~feeder_combout\);

-- Location: FF_X38_Y38_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][7]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][7]~q\);

-- Location: LCCOMB_X37_Y38_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][7]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][7]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][7]~feeder_combout\);

-- Location: FF_X37_Y38_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][7]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][7]~q\);

-- Location: LCCOMB_X40_Y38_N30
\auto_signaltap_0|acq_data_in_reg[8]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[8]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(14)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|dac_ctrl|data_out\(14),
	combout => \auto_signaltap_0|acq_data_in_reg[8]~feeder_combout\);

-- Location: FF_X40_Y38_N31
\auto_signaltap_0|acq_data_in_reg[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[8]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(8));

-- Location: LCCOMB_X39_Y38_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][8]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|acq_data_in_reg\(8),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][8]~feeder_combout\);

-- Location: FF_X39_Y38_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][8]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][8]~q\);

-- Location: LCCOMB_X39_Y36_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][8]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][8]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][8]~feeder_combout\);

-- Location: FF_X39_Y36_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][8]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][8]~q\);

-- Location: LCCOMB_X38_Y36_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][8]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][8]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][8]~feeder_combout\);

-- Location: FF_X38_Y36_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][8]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][8]~q\);

-- Location: FF_X37_Y36_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][8]~q\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][8]~q\);

-- Location: LCCOMB_X45_Y36_N8
\auto_signaltap_0|acq_data_in_reg[9]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[9]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(15)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(15),
	combout => \auto_signaltap_0|acq_data_in_reg[9]~feeder_combout\);

-- Location: FF_X45_Y36_N9
\auto_signaltap_0|acq_data_in_reg[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[9]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(9));

-- Location: LCCOMB_X45_Y36_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][9]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|acq_data_in_reg\(9),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][9]~feeder_combout\);

-- Location: FF_X45_Y36_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][9]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][9]~q\);

-- Location: LCCOMB_X45_Y36_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][9]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][9]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][9]~feeder_combout\);

-- Location: FF_X45_Y36_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][9]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][9]~q\);

-- Location: LCCOMB_X45_Y36_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][9]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][9]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][9]~feeder_combout\);

-- Location: FF_X45_Y36_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][9]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][9]~q\);

-- Location: LCCOMB_X45_Y36_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][9]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][9]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][9]~feeder_combout\);

-- Location: FF_X45_Y36_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][9]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][9]~q\);

-- Location: LCCOMB_X43_Y38_N24
\auto_signaltap_0|acq_data_in_reg[10]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[10]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(16)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|dac_ctrl|data_out\(16),
	combout => \auto_signaltap_0|acq_data_in_reg[10]~feeder_combout\);

-- Location: FF_X43_Y38_N25
\auto_signaltap_0|acq_data_in_reg[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[10]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(10));

-- Location: LCCOMB_X42_Y38_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][10]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(10),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][10]~feeder_combout\);

-- Location: FF_X42_Y38_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][10]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][10]~q\);

-- Location: LCCOMB_X41_Y38_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][10]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][10]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][10]~feeder_combout\);

-- Location: FF_X41_Y38_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][10]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][10]~q\);

-- Location: LCCOMB_X41_Y38_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][10]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][10]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][10]~feeder_combout\);

-- Location: FF_X41_Y38_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][10]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][10]~q\);

-- Location: LCCOMB_X40_Y38_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][10]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][10]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][10]~feeder_combout\);

-- Location: FF_X40_Y38_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][10]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][10]~q\);

-- Location: LCCOMB_X42_Y38_N18
\auto_signaltap_0|acq_data_in_reg[11]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[11]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(17)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(17),
	combout => \auto_signaltap_0|acq_data_in_reg[11]~feeder_combout\);

-- Location: FF_X42_Y38_N19
\auto_signaltap_0|acq_data_in_reg[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[11]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(11));

-- Location: LCCOMB_X38_Y38_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][11]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(11),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][11]~feeder_combout\);

-- Location: FF_X38_Y38_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][11]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][11]~q\);

-- Location: LCCOMB_X38_Y38_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][11]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][11]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][11]~feeder_combout\);

-- Location: FF_X38_Y38_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][11]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][11]~q\);

-- Location: LCCOMB_X38_Y38_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][11]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][11]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][11]~feeder_combout\);

-- Location: FF_X38_Y38_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][11]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][11]~q\);

-- Location: LCCOMB_X34_Y36_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][11]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][11]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][11]~feeder_combout\);

-- Location: FF_X34_Y36_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][11]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][11]~q\);

-- Location: LCCOMB_X43_Y38_N6
\auto_signaltap_0|acq_data_in_reg[12]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[12]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|dac_ctrl|data_out\(1),
	combout => \auto_signaltap_0|acq_data_in_reg[12]~feeder_combout\);

-- Location: FF_X43_Y38_N7
\auto_signaltap_0|acq_data_in_reg[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[12]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(12));

-- Location: LCCOMB_X39_Y36_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][12]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(12),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][12]~feeder_combout\);

-- Location: FF_X39_Y36_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][12]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][12]~q\);

-- Location: LCCOMB_X38_Y36_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][12]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][12]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][12]~feeder_combout\);

-- Location: FF_X38_Y36_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][12]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][12]~q\);

-- Location: LCCOMB_X38_Y36_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][12]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][12]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][12]~feeder_combout\);

-- Location: FF_X38_Y36_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][12]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][12]~q\);

-- Location: LCCOMB_X38_Y36_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][12]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][12]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][12]~feeder_combout\);

-- Location: FF_X38_Y36_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][12]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][12]~q\);

-- Location: LCCOMB_X41_Y38_N20
\auto_signaltap_0|acq_data_in_reg[13]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[13]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(2),
	combout => \auto_signaltap_0|acq_data_in_reg[13]~feeder_combout\);

-- Location: FF_X41_Y38_N21
\auto_signaltap_0|acq_data_in_reg[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[13]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(13));

-- Location: LCCOMB_X41_Y38_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][13]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(13),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][13]~feeder_combout\);

-- Location: FF_X41_Y38_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][13]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][13]~q\);

-- Location: LCCOMB_X41_Y38_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][13]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][13]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][13]~feeder_combout\);

-- Location: FF_X41_Y38_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][13]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][13]~q\);

-- Location: LCCOMB_X41_Y38_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][13]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][13]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][13]~feeder_combout\);

-- Location: FF_X41_Y38_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][13]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][13]~q\);

-- Location: LCCOMB_X34_Y36_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][13]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][13]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][13]~feeder_combout\);

-- Location: FF_X34_Y36_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][13]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][13]~q\);

-- Location: LCCOMB_X42_Y38_N2
\auto_signaltap_0|acq_data_in_reg[14]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[14]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(3),
	combout => \auto_signaltap_0|acq_data_in_reg[14]~feeder_combout\);

-- Location: FF_X42_Y38_N3
\auto_signaltap_0|acq_data_in_reg[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[14]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(14));

-- Location: LCCOMB_X38_Y38_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][14]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|acq_data_in_reg\(14),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][14]~feeder_combout\);

-- Location: FF_X38_Y38_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][14]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][14]~q\);

-- Location: LCCOMB_X38_Y38_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][14]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][14]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][14]~feeder_combout\);

-- Location: FF_X38_Y38_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][14]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][14]~q\);

-- Location: LCCOMB_X38_Y38_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][14]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][14]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][14]~feeder_combout\);

-- Location: FF_X38_Y38_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][14]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][14]~q\);

-- Location: LCCOMB_X37_Y38_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][14]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][14]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][14]~feeder_combout\);

-- Location: FF_X37_Y38_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][14]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][14]~q\);

-- Location: LCCOMB_X43_Y37_N2
\auto_signaltap_0|acq_data_in_reg[15]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[15]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(4),
	combout => \auto_signaltap_0|acq_data_in_reg[15]~feeder_combout\);

-- Location: FF_X43_Y37_N3
\auto_signaltap_0|acq_data_in_reg[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[15]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(15));

-- Location: LCCOMB_X43_Y37_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][15]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(15),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][15]~feeder_combout\);

-- Location: FF_X43_Y37_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][15]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][15]~q\);

-- Location: LCCOMB_X43_Y37_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][15]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][15]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][15]~feeder_combout\);

-- Location: FF_X43_Y37_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][15]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][15]~q\);

-- Location: LCCOMB_X42_Y37_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][15]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][15]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][15]~feeder_combout\);

-- Location: FF_X42_Y37_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][15]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][15]~q\);

-- Location: LCCOMB_X38_Y36_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][15]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][15]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][15]~feeder_combout\);

-- Location: FF_X38_Y36_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][15]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][15]~q\);

-- Location: LCCOMB_X43_Y36_N12
\auto_signaltap_0|acq_data_in_reg[16]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[16]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(5),
	combout => \auto_signaltap_0|acq_data_in_reg[16]~feeder_combout\);

-- Location: FF_X43_Y36_N13
\auto_signaltap_0|acq_data_in_reg[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[16]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(16));

-- Location: LCCOMB_X43_Y36_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][16]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(16),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][16]~feeder_combout\);

-- Location: FF_X43_Y36_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][16]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][16]~q\);

-- Location: LCCOMB_X39_Y36_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][16]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][16]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][16]~feeder_combout\);

-- Location: FF_X39_Y36_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][16]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][16]~q\);

-- Location: LCCOMB_X38_Y36_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][16]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][16]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][16]~feeder_combout\);

-- Location: FF_X38_Y36_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][16]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][16]~q\);

-- Location: LCCOMB_X34_Y36_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][16]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][16]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][16]~feeder_combout\);

-- Location: FF_X34_Y36_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][16]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][16]~q\);

-- Location: LCCOMB_X46_Y37_N12
\auto_signaltap_0|acq_data_in_reg[17]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[17]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|dac_ctrl|data_out\(6),
	combout => \auto_signaltap_0|acq_data_in_reg[17]~feeder_combout\);

-- Location: FF_X46_Y37_N13
\auto_signaltap_0|acq_data_in_reg[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[17]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(17));

-- Location: LCCOMB_X46_Y37_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][17]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(17),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][17]~feeder_combout\);

-- Location: FF_X46_Y37_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][17]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][17]~q\);

-- Location: LCCOMB_X46_Y37_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][17]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][17]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][17]~feeder_combout\);

-- Location: FF_X46_Y37_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][17]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][17]~q\);

-- Location: LCCOMB_X46_Y37_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][17]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][17]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][17]~feeder_combout\);

-- Location: FF_X46_Y37_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][17]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][17]~q\);

-- Location: LCCOMB_X45_Y36_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][17]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][17]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][17]~feeder_combout\);

-- Location: FF_X45_Y36_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][17]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][17]~q\);

-- Location: LCCOMB_X36_Y37_N18
\auto_signaltap_0|acq_data_in_reg[18]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[18]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(7),
	combout => \auto_signaltap_0|acq_data_in_reg[18]~feeder_combout\);

-- Location: FF_X36_Y37_N19
\auto_signaltap_0|acq_data_in_reg[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[18]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(18));

-- Location: LCCOMB_X36_Y37_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][18]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(18),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][18]~feeder_combout\);

-- Location: FF_X36_Y37_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][18]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][18]~q\);

-- Location: LCCOMB_X36_Y37_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][18]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][18]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][18]~feeder_combout\);

-- Location: FF_X36_Y37_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][18]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][18]~q\);

-- Location: LCCOMB_X36_Y37_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][18]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][18]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][18]~feeder_combout\);

-- Location: FF_X36_Y37_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][18]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][18]~q\);

-- Location: LCCOMB_X36_Y37_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][18]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][18]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][18]~feeder_combout\);

-- Location: FF_X36_Y37_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][18]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][18]~q\);

-- Location: LCCOMB_X36_Y37_N0
\auto_signaltap_0|acq_data_in_reg[19]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[19]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(8),
	combout => \auto_signaltap_0|acq_data_in_reg[19]~feeder_combout\);

-- Location: FF_X36_Y37_N1
\auto_signaltap_0|acq_data_in_reg[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[19]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(19));

-- Location: LCCOMB_X36_Y37_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][19]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(19),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][19]~feeder_combout\);

-- Location: FF_X36_Y37_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][19]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][19]~q\);

-- Location: LCCOMB_X36_Y37_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][19]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][19]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][19]~feeder_combout\);

-- Location: FF_X36_Y37_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][19]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][19]~q\);

-- Location: LCCOMB_X36_Y37_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][19]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][19]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][19]~feeder_combout\);

-- Location: FF_X36_Y37_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][19]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][19]~q\);

-- Location: LCCOMB_X36_Y37_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][19]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][19]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][19]~feeder_combout\);

-- Location: FF_X36_Y37_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][19]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][19]~q\);

-- Location: LCCOMB_X37_Y37_N28
\auto_signaltap_0|acq_data_in_reg[20]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[20]~feeder_combout\ = \adc_qsys_u0|dac_ctrl|data_out\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(9),
	combout => \auto_signaltap_0|acq_data_in_reg[20]~feeder_combout\);

-- Location: FF_X37_Y37_N29
\auto_signaltap_0|acq_data_in_reg[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[20]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(20));

-- Location: LCCOMB_X36_Y37_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][20]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(20),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][20]~feeder_combout\);

-- Location: FF_X36_Y37_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][20]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][20]~q\);

-- Location: LCCOMB_X36_Y37_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][20]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][20]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][20]~feeder_combout\);

-- Location: FF_X36_Y37_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][20]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][20]~q\);

-- Location: LCCOMB_X36_Y37_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][20]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][20]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][20]~feeder_combout\);

-- Location: FF_X36_Y37_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][20]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][20]~q\);

-- Location: LCCOMB_X36_Y37_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][20]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][20]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][20]~feeder_combout\);

-- Location: FF_X36_Y37_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][20]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][20]~q\);

-- Location: LCCOMB_X45_Y39_N4
\auto_signaltap_0|acq_data_in_reg[21]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[21]~feeder_combout\ = \spi_master_dac|mosi~reg0_q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|mosi~reg0_q\,
	combout => \auto_signaltap_0|acq_data_in_reg[21]~feeder_combout\);

-- Location: FF_X45_Y39_N5
\auto_signaltap_0|acq_data_in_reg[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[21]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(21));

-- Location: LCCOMB_X45_Y39_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][21]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|acq_data_in_reg\(21),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][21]~feeder_combout\);

-- Location: FF_X45_Y39_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][21]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][21]~q\);

-- Location: LCCOMB_X45_Y39_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][21]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][21]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][21]~feeder_combout\);

-- Location: FF_X45_Y39_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][21]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][21]~q\);

-- Location: LCCOMB_X45_Y39_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][21]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][21]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][21]~feeder_combout\);

-- Location: FF_X45_Y39_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][21]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][21]~q\);

-- Location: LCCOMB_X45_Y39_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][21]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][21]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][21]~feeder_combout\);

-- Location: FF_X45_Y39_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][21]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][21]~q\);

-- Location: LCCOMB_X39_Y37_N12
\auto_signaltap_0|acq_data_in_reg[22]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[22]~feeder_combout\ = \spi_master_dac|sclk~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \spi_master_dac|sclk~q\,
	combout => \auto_signaltap_0|acq_data_in_reg[22]~feeder_combout\);

-- Location: FF_X39_Y37_N13
\auto_signaltap_0|acq_data_in_reg[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[22]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(22));

-- Location: LCCOMB_X39_Y37_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][22]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(22),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][22]~feeder_combout\);

-- Location: FF_X39_Y37_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][22]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][22]~q\);

-- Location: LCCOMB_X39_Y37_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][22]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][22]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][22]~feeder_combout\);

-- Location: FF_X39_Y37_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][22]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][22]~q\);

-- Location: LCCOMB_X39_Y37_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][22]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][22]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][22]~feeder_combout\);

-- Location: FF_X39_Y37_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][22]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][22]~q\);

-- Location: LCCOMB_X38_Y37_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][22]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][22]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][22]~feeder_combout\);

-- Location: FF_X38_Y37_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][22]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][22]~q\);

-- Location: LCCOMB_X38_Y36_N24
\auto_signaltap_0|acq_data_in_reg[23]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[23]~feeder_combout\ = \spi_master_dac|ss_n[0]~_wirecell_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \spi_master_dac|ss_n[0]~_wirecell_combout\,
	combout => \auto_signaltap_0|acq_data_in_reg[23]~feeder_combout\);

-- Location: FF_X38_Y36_N25
\auto_signaltap_0|acq_data_in_reg[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[23]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(23));

-- Location: LCCOMB_X38_Y36_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][23]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(23),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][23]~feeder_combout\);

-- Location: FF_X38_Y36_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][23]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][23]~q\);

-- Location: LCCOMB_X38_Y36_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][23]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][23]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][23]~feeder_combout\);

-- Location: FF_X38_Y36_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][23]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][23]~q\);

-- Location: LCCOMB_X38_Y36_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][23]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][23]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][23]~feeder_combout\);

-- Location: FF_X38_Y36_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][23]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][23]~q\);

-- Location: LCCOMB_X34_Y36_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][23]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][23]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][23]~feeder_combout\);

-- Location: FF_X34_Y36_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][23]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][23]~q\);

-- Location: LCCOMB_X45_Y39_N2
\auto_signaltap_0|acq_data_in_reg[24]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \auto_signaltap_0|acq_data_in_reg[24]~feeder_combout\ = dac_ctrl(17)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => dac_ctrl(17),
	combout => \auto_signaltap_0|acq_data_in_reg[24]~feeder_combout\);

-- Location: FF_X45_Y39_N3
\auto_signaltap_0|acq_data_in_reg[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|acq_data_in_reg[24]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|acq_data_in_reg\(24));

-- Location: LCCOMB_X45_Y39_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][24]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|acq_data_in_reg\(24),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][24]~feeder_combout\);

-- Location: FF_X45_Y39_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][24]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][24]~q\);

-- Location: LCCOMB_X45_Y39_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][24]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[0][24]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][24]~feeder_combout\);

-- Location: FF_X45_Y39_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][24]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][24]~q\);

-- Location: LCCOMB_X45_Y39_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][24]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[1][24]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][24]~feeder_combout\);

-- Location: FF_X45_Y39_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][24]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][24]~q\);

-- Location: LCCOMB_X45_Y39_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][24]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[2][24]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][24]~feeder_combout\);

-- Location: FF_X45_Y39_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][24]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|acq_data_in_pipe_reg[3][24]~q\);

-- Location: M9K_X33_Y36_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0\ : fiftyfivenm_ram_block
-- pragma translate_off
GENERIC MAP (
	clk0_core_clock_enable => "ena0",
	clk1_core_clock_enable => "ena1",
	clk1_input_clock_enable => "ena1",
	data_interleave_offset_in_bits => 1,
	data_interleave_width_in_bits => 1,
	logical_ram_name => "sld_signaltap:auto_signaltap_0|sld_signaltap_impl:sld_signaltap_body|sld_signaltap_implb:sld_signaltap_body|altsyncram:\stp_non_zero_ram_gen:stp_buffer_ram|altsyncram_qf14:auto_generated|ALTSYNCRAM",
	mixed_port_feed_through_mode => "dont_care",
	operation_mode => "dual_port",
	port_a_address_clear => "none",
	port_a_address_width => 7,
	port_a_byte_enable_clock => "none",
	port_a_data_out_clear => "none",
	port_a_data_out_clock => "none",
	port_a_data_width => 36,
	port_a_first_address => 0,
	port_a_first_bit_number => 0,
	port_a_last_address => 127,
	port_a_logical_ram_depth => 128,
	port_a_logical_ram_width => 25,
	port_a_read_during_write_mode => "new_data_with_nbe_read",
	port_b_address_clear => "none",
	port_b_address_clock => "clock1",
	port_b_address_width => 7,
	port_b_data_out_clear => "none",
	port_b_data_out_clock => "none",
	port_b_data_width => 36,
	port_b_first_address => 0,
	port_b_first_bit_number => 0,
	port_b_last_address => 127,
	port_b_logical_ram_depth => 128,
	port_b_logical_ram_width => 25,
	port_b_read_during_write_mode => "new_data_with_nbe_read",
	port_b_read_enable_clock => "clock1",
	ram_block_type => "M9K")
-- pragma translate_on
PORT MAP (
	portawe => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_enable_delayed~q\,
	portbre => VCC,
	clk0 => \clk_50_max10~inputclkctrl_outclk\,
	clk1 => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	ena0 => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|buffer_write_enable_delayed~q\,
	ena1 => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][4]~q\,
	portadatain => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTADATAIN_bus\,
	portaaddr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTAADDR_bus\,
	portbaddr => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBADDR_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	portbdataout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0_PORTBDATAOUT_bus\);

-- Location: LCCOMB_X34_Y36_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~24\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a24\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~24_combout\);

-- Location: FF_X34_Y36_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~24_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(24));

-- Location: LCCOMB_X34_Y36_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~23\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a23\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(24),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~23_combout\);

-- Location: FF_X34_Y36_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~23_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(23));

-- Location: LCCOMB_X34_Y36_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~22\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(23),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a22\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~22_combout\);

-- Location: FF_X34_Y36_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~22_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(22));

-- Location: LCCOMB_X34_Y36_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~21\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(22),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a21\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~21_combout\);

-- Location: FF_X34_Y36_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~21_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(21));

-- Location: LCCOMB_X34_Y36_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~20\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a20\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(21),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~20_combout\);

-- Location: FF_X34_Y36_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~20_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(20));

-- Location: LCCOMB_X34_Y36_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~19\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(20),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a19\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~19_combout\);

-- Location: FF_X34_Y36_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~19_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(19));

-- Location: LCCOMB_X34_Y36_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~18\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(19),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a18\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~18_combout\);

-- Location: FF_X34_Y36_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~18_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(18));

-- Location: LCCOMB_X34_Y36_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~17\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a17\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(18),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~17_combout\);

-- Location: FF_X34_Y36_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~17_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(17));

-- Location: LCCOMB_X34_Y36_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~16\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(17),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a16\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~16_combout\);

-- Location: FF_X34_Y36_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~16_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(16));

-- Location: LCCOMB_X32_Y36_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~15\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(16),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a15\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~15_combout\);

-- Location: FF_X32_Y36_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~15_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(15));

-- Location: LCCOMB_X32_Y36_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a14\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(15),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~14_combout\);

-- Location: FF_X32_Y36_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~14_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(14));

-- Location: LCCOMB_X32_Y36_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(14),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a13\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~13_combout\);

-- Location: FF_X32_Y36_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~13_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(13));

-- Location: LCCOMB_X32_Y36_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a12\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(13),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~12_combout\);

-- Location: FF_X32_Y36_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~12_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(12));

-- Location: LCCOMB_X32_Y36_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a11\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(12),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~11_combout\);

-- Location: FF_X32_Y36_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~11_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(11));

-- Location: LCCOMB_X32_Y36_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(11),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a10\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~10_combout\);

-- Location: FF_X32_Y36_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~10_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(10));

-- Location: LCCOMB_X32_Y36_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(10),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a9\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~9_combout\);

-- Location: FF_X32_Y36_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~9_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(9));

-- Location: LCCOMB_X32_Y36_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(9),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a8\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~8_combout\);

-- Location: FF_X32_Y36_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~8_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(8));

-- Location: LCCOMB_X32_Y36_N12
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(8),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a7\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~7_combout\);

-- Location: FF_X32_Y36_N13
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~7_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(7));

-- Location: LCCOMB_X32_Y36_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(7),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a6\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~6_combout\);

-- Location: FF_X32_Y36_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~6_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(6));

-- Location: LCCOMB_X32_Y36_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(6),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a5\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~5_combout\);

-- Location: FF_X32_Y36_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~5_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(5));

-- Location: LCCOMB_X32_Y36_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(5),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a4\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~4_combout\);

-- Location: FF_X32_Y36_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~4_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(4));

-- Location: LCCOMB_X32_Y36_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(4),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a3\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~3_combout\);

-- Location: FF_X32_Y36_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~3_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(3));

-- Location: LCCOMB_X32_Y36_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a2\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(3),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~2_combout\);

-- Location: FF_X32_Y36_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~2_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(2));

-- Location: LCCOMB_X32_Y36_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(2),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a1\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~1_combout\);

-- Location: FF_X32_Y36_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~1_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(1));

-- Location: LCCOMB_X32_Y36_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(1),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_ram_gen:stp_buffer_ram|auto_generated|ram_block1a0~portbdataout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_shift_load~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~0_combout\);

-- Location: FF_X32_Y36_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|_~0_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(0));

-- Location: LCCOMB_X32_Y33_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[6]~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|ram_data_shift_out|dffs\(0),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~14_combout\);

-- Location: FF_X32_Y33_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~14_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(14));

-- Location: LCCOMB_X32_Y33_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[5]~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(14),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~13_combout\);

-- Location: FF_X32_Y33_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~13_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(13));

-- Location: LCCOMB_X32_Y33_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[4]~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(13),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~12_combout\);

-- Location: FF_X32_Y33_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~12_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(12));

-- Location: LCCOMB_X30_Y33_N2
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[3]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(12),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~11_combout\);

-- Location: FF_X30_Y33_N3
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~11_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(11));

-- Location: LCCOMB_X30_Y33_N10
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(11),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[2]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~10_combout\);

-- Location: FF_X30_Y33_N11
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~10_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(10));

-- Location: LCCOMB_X30_Y33_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(10),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[1]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~9_combout\);

-- Location: FF_X30_Y33_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~9_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(9));

-- Location: LCCOMB_X30_Y33_N14
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(9),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|buffer_manager:last_trigger_address_var[0]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~8_combout\);

-- Location: FF_X30_Y33_N15
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~8_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(8));

-- Location: LCCOMB_X31_Y33_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[6]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~6_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[6]~feeder_combout\);

-- Location: FF_X31_Y33_N25
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[6]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig\(6));

-- Location: LCCOMB_X30_Y33_N20
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(8),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig\(6),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~7_combout\);

-- Location: FF_X30_Y33_N21
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~7_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(7));

-- Location: LCCOMB_X31_Y33_N4
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[5]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~5_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[5]~feeder_combout\);

-- Location: FF_X31_Y33_N5
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[5]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig\(5));

-- Location: LCCOMB_X30_Y33_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(7),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig\(5),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~6_combout\);

-- Location: FF_X30_Y33_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~6_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(6));

-- Location: LCCOMB_X31_Y33_N16
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[4]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~4_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[4]~feeder_combout\);

-- Location: FF_X31_Y33_N17
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[4]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig\(4));

-- Location: LCCOMB_X30_Y33_N22
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(6),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig\(4),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~5_combout\);

-- Location: FF_X30_Y33_N23
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~5_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(5));

-- Location: LCCOMB_X31_Y33_N28
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~3_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[3]~feeder_combout\);

-- Location: FF_X31_Y33_N29
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[3]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig\(3));

-- Location: LCCOMB_X30_Y33_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(5),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig\(3),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~4_combout\);

-- Location: FF_X30_Y33_N27
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~4_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(4));

-- Location: LCCOMB_X31_Y33_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~2_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[2]~feeder_combout\);

-- Location: FF_X31_Y33_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[2]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig\(2));

-- Location: LCCOMB_X30_Y33_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(4),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig\(2),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~3_combout\);

-- Location: FF_X30_Y33_N19
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~3_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(3));

-- Location: LCCOMB_X30_Y33_N30
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig\(1),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(3),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~2_combout\);

-- Location: FF_X30_Y33_N31
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~2_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(2));

-- Location: LCCOMB_X31_Y33_N8
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|offset_count~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[0]~feeder_combout\);

-- Location: FF_X31_Y33_N9
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[0]~feeder_combout\,
	ena => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig\(0));

-- Location: LCCOMB_X30_Y33_N6
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110010101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(2),
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|last_buffer_write_address_sig\(0),
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~1_combout\);

-- Location: FF_X30_Y33_N7
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~1_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(1));

-- Location: LCCOMB_X32_Y33_N0
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110001011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sld_buffer_manager_inst|is_buffer_wrapped_once_sig~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|sdr~0_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(1),
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~0_combout\);

-- Location: FF_X32_Y33_N1
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|_~0_combout\,
	clrn => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|ALT_INV_reset_all~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(0));

-- Location: LCCOMB_X36_Y34_N26
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][8]~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][3]~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][7]~q\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~0_combout\);

-- Location: LCCOMB_X35_Y34_N18
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~2_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][4]~q\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|stp_non_zero_depth_offload_gen:stp_offload_buff_mgr_inst|info_data_shift_out|dffs\(0),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~0_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~3_combout\);

-- Location: LCCOMB_X36_Y34_N24
\auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010111100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irf_reg[2][9]~q\,
	datab => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~5_combout\,
	datac => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_crc_val_shift_reg\(0),
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~3_combout\,
	combout => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~6_combout\);

-- Location: LCCOMB_X42_Y34_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(10),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(11),
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|tdo~1_combout\,
	datad => \auto_signaltap_0|sld_signaltap_body|sld_signaltap_body|tdo_internal~6_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~2_combout\);

-- Location: LCCOMB_X46_Y30_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \altera_internal_jtag~TDIUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~3_combout\);

-- Location: FF_X46_Y30_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~3_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg_ena~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(3));

-- Location: LCCOMB_X46_Y30_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~2_combout\);

-- Location: FF_X46_Y30_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~2_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg_ena~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(2));

-- Location: LCCOMB_X46_Y30_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~1_combout\);

-- Location: FF_X46_Y30_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~1_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg_ena~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(1));

-- Location: LCCOMB_X46_Y30_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~0_combout\);

-- Location: FF_X46_Y30_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg~0_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg_ena~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(0));

-- Location: LCCOMB_X40_Y31_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\);

-- Location: LCCOMB_X39_Y31_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~3\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~4_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~5\);

-- Location: LCCOMB_X39_Y31_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~5\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~6_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~7\);

-- Location: LCCOMB_X39_Y31_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~7\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~8_combout\);

-- Location: LCCOMB_X39_Y31_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~8_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~4_combout\);

-- Location: LCCOMB_X40_Y31_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\);

-- Location: FF_X39_Y31_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~4_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4));

-- Location: LCCOMB_X39_Y31_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~6_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~5_combout\);

-- Location: FF_X39_Y31_N29
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~5_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3));

-- Location: LCCOMB_X39_Y31_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0_combout\);

-- Location: LCCOMB_X39_Y31_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	datad => VCC,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~0_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~1\);

-- Location: LCCOMB_X39_Y31_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Equal0~0_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~0_combout\);

-- Location: FF_X39_Y31_N27
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~0_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0));

-- Location: LCCOMB_X39_Y31_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~1\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~2_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~3\);

-- Location: LCCOMB_X40_Y31_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~2_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~2_combout\);

-- Location: FF_X40_Y31_N3
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~2_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1));

-- Location: LCCOMB_X40_Y31_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Add0~4_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~3_combout\);

-- Location: FF_X40_Y31_N23
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~3_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2));

-- Location: LCCOMB_X39_Y31_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~1_combout\);

-- Location: LCCOMB_X39_Y31_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~0_combout\);

-- Location: LCCOMB_X40_Y31_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[1]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~1_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux2~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[1]~0_combout\);

-- Location: LCCOMB_X39_Y31_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux1~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux1~0_combout\);

-- Location: LCCOMB_X39_Y31_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010111010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux0~0_combout\);

-- Location: LCCOMB_X39_Y31_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux0~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~5_combout\);

-- Location: LCCOMB_X40_Y31_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datac => \altera_internal_jtag~TDIUTAP\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~5_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~6_combout\);

-- Location: LCCOMB_X42_Y33_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~3_combout\);

-- Location: FF_X40_Y31_N25
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~6_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(3));

-- Location: LCCOMB_X40_Y31_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux1~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~4_combout\);

-- Location: FF_X40_Y31_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~4_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(2));

-- Location: FF_X40_Y31_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[1]~0_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(2),
	sclr => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(1));

-- Location: LCCOMB_X39_Y31_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux3~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux3~0_combout\);

-- Location: LCCOMB_X39_Y31_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|word_counter\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|Mux3~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1_combout\);

-- Location: LCCOMB_X40_Y31_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~2_combout\);

-- Location: FF_X40_Y31_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~2_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(0));

-- Location: LCCOMB_X43_Y34_N24
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100111001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_minor_ver_reg\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|WORD_SR\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~4_combout\);

-- Location: LCCOMB_X42_Y33_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\);

-- Location: LCCOMB_X42_Y33_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datad => VCC,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~5_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~6\);

-- Location: FF_X42_Y33_N3
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~5_combout\,
	asdata => VCC,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0));

-- Location: LCCOMB_X42_Y33_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[0]~6\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~7_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~8\);

-- Location: FF_X42_Y33_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~7_combout\,
	asdata => VCC,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1));

-- Location: LCCOMB_X42_Y33_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[1]~8\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~9_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~10\);

-- Location: FF_X42_Y33_N7
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~9_combout\,
	asdata => VCC,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2));

-- Location: LCCOMB_X42_Y33_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datad => VCC,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[2]~10\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~11_combout\,
	cout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~12\);

-- Location: FF_X42_Y33_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~11_combout\,
	asdata => VCC,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3));

-- Location: LCCOMB_X42_Y33_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[4]~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_proc~0_combout\,
	cin => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[3]~12\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[4]~13_combout\);

-- Location: FF_X42_Y33_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal[4]~13_combout\,
	asdata => VCC,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg|clear_signal~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4));

-- Location: LCCOMB_X44_Y33_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[3]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \altera_internal_jtag~TDIUTAP\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[3]~feeder_combout\);

-- Location: LCCOMB_X43_Y34_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal11~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\);

-- Location: LCCOMB_X44_Y33_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~2_combout\);

-- Location: FF_X44_Y33_N9
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[3]~feeder_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(3));

-- Location: LCCOMB_X44_Y33_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[2]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[2]~feeder_combout\);

-- Location: FF_X44_Y33_N5
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[2]~feeder_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(2));

-- Location: LCCOMB_X44_Y33_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[1]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[1]~feeder_combout\);

-- Location: FF_X44_Y33_N15
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[1]~feeder_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(1));

-- Location: LCCOMB_X44_Y33_N30
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~feeder\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(1),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~feeder_combout\);

-- Location: FF_X44_Y33_N31
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~feeder_combout\,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(0));

-- Location: LCCOMB_X44_Y33_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(8),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg[0]~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\);

-- Location: FF_X44_Y33_N13
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(0),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(0));

-- Location: LCCOMB_X44_Y33_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~1_combout\);

-- Location: LCCOMB_X44_Y33_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~2_combout\);

-- Location: LCCOMB_X43_Y33_N18
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010101111100110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~0_combout\);

-- Location: LCCOMB_X43_Y33_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[0]~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101110110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~2_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux3~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[0]~0_combout\);

-- Location: FF_X44_Y33_N3
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(1),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(1));

-- Location: LCCOMB_X44_Y33_N6
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~1_combout\);

-- Location: LCCOMB_X44_Y33_N2
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~2_combout\);

-- Location: LCCOMB_X43_Y33_N4
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001101111110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~0_combout\);

-- Location: LCCOMB_X43_Y33_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[1]~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~2_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux2~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[1]~1_combout\);

-- Location: FF_X44_Y33_N17
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(2),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(2));

-- Location: LCCOMB_X44_Y33_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011001100100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~1_combout\);

-- Location: LCCOMB_X44_Y33_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~2_combout\);

-- Location: LCCOMB_X43_Y33_N12
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100011110011100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~0_combout\);

-- Location: LCCOMB_X43_Y33_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[2]~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~2_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux1~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[2]~2_combout\);

-- Location: FF_X44_Y33_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|identity_contrib_shift_reg\(3),
	sload => VCC,
	ena => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(3));

-- Location: LCCOMB_X44_Y33_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~1\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric_ident_writedata\(3),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~1_combout\);

-- Location: LCCOMB_X44_Y33_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~2\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~1_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~2_combout\);

-- Location: LCCOMB_X43_Y33_N16
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001110100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(2),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~0_combout\);

-- Location: LCCOMB_X43_Y33_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[3]~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011011101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|mixer_addr_reg_internal\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~2_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|ident|Mux0~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[3]~3_combout\);

-- Location: LCCOMB_X43_Y33_N14
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \altera_internal_jtag~TDIUTAP\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(3),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~7_combout\);

-- Location: FF_X43_Y33_N29
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[3]~3_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~7_combout\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_design_hash_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(3));

-- Location: LCCOMB_X43_Y33_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(3),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~6_combout\);

-- Location: FF_X43_Y33_N11
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[2]~2_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~6_combout\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_design_hash_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(2));

-- Location: LCCOMB_X43_Y33_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(2),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~5_combout\);

-- Location: FF_X43_Y33_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[1]~1_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~5_combout\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_design_hash_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(1));

-- Location: LCCOMB_X43_Y33_N26
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~4\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(1),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_dr_scan_reg~q\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~4_combout\);

-- Location: FF_X43_Y33_N1
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg[0]~0_combout\,
	asdata => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg~4_combout\,
	sload => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|ALT_INV_design_hash_proc~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(0));

-- Location: LCCOMB_X43_Y34_N10
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~3\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(1),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|design_hash_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~3_combout\);

-- Location: LCCOMB_X43_Y34_N22
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~4_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|Equal11~0_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~3_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~5_combout\);

-- Location: LCCOMB_X42_Y34_N8
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~6\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|hub_info_reg_ena~0_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~2_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~5_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~6_combout\);

-- Location: LCCOMB_X42_Y34_N28
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(3),
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|virtual_ir_scan_reg~q\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(4),
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|irsr_reg\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\);

-- Location: LCCOMB_X42_Y34_N20
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~1_combout\,
	datab => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~8_combout\,
	datac => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~6_combout\,
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~0_combout\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~9_combout\);

-- Location: FF_X42_Y34_N21
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo_mux_out~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|tdo~q\);

-- Location: CLKCTRL_G13
\altera_internal_jtag~TCKUTAPclkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \altera_internal_jtag~TCKUTAPclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\);

-- Location: LCCOMB_X46_Y31_N28
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|jtag_streaming|idle_remover|out_valid~combout\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~feeder_combout\);

-- Location: FF_X46_Y31_N29
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \altera_internal_jtag~TCKUTAPclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|synchronizer|dreg\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~q\);

-- Location: LCCOMB_X49_Y31_N0
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|sink_valid_buffer~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~feeder_combout\);

-- Location: FF_X49_Y31_N1
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~q\);

-- Location: LCCOMB_X49_Y31_N6
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|din_s1~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]~feeder_combout\);

-- Location: FF_X49_Y31_N7
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[0]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(0));

-- Location: LCCOMB_X49_Y31_N20
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(0),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]~feeder_combout\);

-- Location: FF_X49_Y31_N21
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[1]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(1));

-- Location: LCCOMB_X49_Y31_N10
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(1),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]~feeder_combout\);

-- Location: FF_X49_Y31_N11
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[2]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(2));

-- Location: LCCOMB_X49_Y31_N12
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(2),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]~feeder_combout\);

-- Location: FF_X49_Y31_N13
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[3]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(3));

-- Location: LCCOMB_X49_Y31_N4
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(3),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]~feeder_combout\);

-- Location: FF_X49_Y31_N5
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[4]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(4));

-- Location: LCCOMB_X49_Y31_N22
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(4),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]~feeder_combout\);

-- Location: FF_X49_Y31_N23
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[5]~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(5));

-- Location: FF_X49_Y31_N25
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(5),
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(6));

-- Location: LCCOMB_X49_Y31_N18
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~feeder_combout\ = 
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(6),
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~feeder_combout\);

-- Location: FF_X49_Y31_N19
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~feeder_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~q\);

-- Location: LCCOMB_X49_Y31_N24
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\ = 
-- (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(6) & 
-- !\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|synchronizer|dreg\(6),
	datad => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|edge_detector_register~q\,
	combout => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\);

-- Location: FF_X50_Y31_N17
\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|crosser|sync_control_signal~0_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\);

-- Location: LCCOMB_X51_Y31_N22
\adc_qsys_u0|master_0|fifo|next_full~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|next_full~0_combout\ = (\adc_qsys_u0|master_0|fifo|Add0~1_combout\ & (\adc_qsys_u0|master_0|fifo|rd_ptr\(4) & (\adc_qsys_u0|master_0|fifo|rd_ptr\(2) $ (!\adc_qsys_u0|master_0|fifo|Add0~2_combout\)))) # 
-- (!\adc_qsys_u0|master_0|fifo|Add0~1_combout\ & (!\adc_qsys_u0|master_0|fifo|rd_ptr\(4) & (\adc_qsys_u0|master_0|fifo|rd_ptr\(2) $ (!\adc_qsys_u0|master_0|fifo|Add0~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001000000001001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|Add0~1_combout\,
	datab => \adc_qsys_u0|master_0|fifo|rd_ptr\(4),
	datac => \adc_qsys_u0|master_0|fifo|rd_ptr\(2),
	datad => \adc_qsys_u0|master_0|fifo|Add0~2_combout\,
	combout => \adc_qsys_u0|master_0|fifo|next_full~0_combout\);

-- Location: LCCOMB_X52_Y31_N12
\adc_qsys_u0|master_0|fifo|next_full~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|next_full~1_combout\ = (\adc_qsys_u0|master_0|fifo|wr_ptr\(0) & (!\adc_qsys_u0|master_0|fifo|rd_ptr\(0) & (\adc_qsys_u0|master_0|fifo|rd_ptr\(1) $ (\adc_qsys_u0|master_0|fifo|wr_ptr\(1))))) # 
-- (!\adc_qsys_u0|master_0|fifo|wr_ptr\(0) & (\adc_qsys_u0|master_0|fifo|rd_ptr\(0) & (\adc_qsys_u0|master_0|fifo|rd_ptr\(1) $ (!\adc_qsys_u0|master_0|fifo|wr_ptr\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100101100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|rd_ptr\(1),
	datab => \adc_qsys_u0|master_0|fifo|wr_ptr\(1),
	datac => \adc_qsys_u0|master_0|fifo|wr_ptr\(0),
	datad => \adc_qsys_u0|master_0|fifo|rd_ptr\(0),
	combout => \adc_qsys_u0|master_0|fifo|next_full~1_combout\);

-- Location: LCCOMB_X51_Y31_N2
\adc_qsys_u0|master_0|fifo|next_full~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|next_full~2_combout\ = (\adc_qsys_u0|master_0|fifo|next_full~1_combout\ & (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\ & (\adc_qsys_u0|master_0|fifo|rd_ptr\(3) $ 
-- (!\adc_qsys_u0|master_0|fifo|Add0~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|rd_ptr\(3),
	datab => \adc_qsys_u0|master_0|fifo|next_full~1_combout\,
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\,
	datad => \adc_qsys_u0|master_0|fifo|Add0~3_combout\,
	combout => \adc_qsys_u0|master_0|fifo|next_full~2_combout\);

-- Location: LCCOMB_X51_Y31_N18
\adc_qsys_u0|master_0|fifo|next_full~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|next_full~3_combout\ = (\adc_qsys_u0|master_0|fifo|next_full~0_combout\ & (\adc_qsys_u0|master_0|fifo|next_full~2_combout\ & (\adc_qsys_u0|master_0|fifo|rd_ptr\(5) $ (!\adc_qsys_u0|master_0|fifo|Add0~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|next_full~0_combout\,
	datab => \adc_qsys_u0|master_0|fifo|rd_ptr\(5),
	datac => \adc_qsys_u0|master_0|fifo|Add0~4_combout\,
	datad => \adc_qsys_u0|master_0|fifo|next_full~2_combout\,
	combout => \adc_qsys_u0|master_0|fifo|next_full~3_combout\);

-- Location: LCCOMB_X51_Y31_N28
\adc_qsys_u0|master_0|fifo|next_full~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|next_full~4_combout\ = (\adc_qsys_u0|master_0|fifo|internal_out_ready~combout\ & (!\adc_qsys_u0|master_0|fifo|internal_out_valid~q\ & ((\adc_qsys_u0|master_0|fifo|full~q\) # (\adc_qsys_u0|master_0|fifo|next_full~3_combout\)))) # 
-- (!\adc_qsys_u0|master_0|fifo|internal_out_ready~combout\ & (((\adc_qsys_u0|master_0|fifo|full~q\) # (\adc_qsys_u0|master_0|fifo|next_full~3_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111011101110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|master_0|fifo|internal_out_ready~combout\,
	datab => \adc_qsys_u0|master_0|fifo|internal_out_valid~q\,
	datac => \adc_qsys_u0|master_0|fifo|full~q\,
	datad => \adc_qsys_u0|master_0|fifo|next_full~3_combout\,
	combout => \adc_qsys_u0|master_0|fifo|next_full~4_combout\);

-- Location: FF_X51_Y31_N29
\adc_qsys_u0|master_0|fifo|full\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|master_0|fifo|next_full~4_combout\,
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|fifo|full~q\);

-- Location: LCCOMB_X50_Y31_N16
\adc_qsys_u0|master_0|fifo|write\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|master_0|fifo|write~combout\ = (\adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\ & !\adc_qsys_u0|master_0|fifo|full~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|jtag_phy_embedded_in_jtag_master|normal.jtag_dc_streaming|source_crosser|src_valid~q\,
	datad => \adc_qsys_u0|master_0|fifo|full~q\,
	combout => \adc_qsys_u0|master_0|fifo|write~combout\);

-- Location: FF_X51_Y37_N25
\adc_qsys_u0|master_0|transacto|p2m|writedata[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	asdata => \adc_qsys_u0|master_0|fifo|out_payload\(0),
	clrn => \adc_qsys_u0|master_0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	sload => VCC,
	ena => \adc_qsys_u0|master_0|transacto|p2m|writedata[16]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|master_0|transacto|p2m|writedata\(16));

-- Location: LCCOMB_X47_Y37_N26
\adc_qsys_u0|dac_ctrl|data_out[16]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \adc_qsys_u0|dac_ctrl|data_out[16]~feeder_combout\ = \adc_qsys_u0|master_0|transacto|p2m|writedata\(16)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|master_0|transacto|p2m|writedata\(16),
	combout => \adc_qsys_u0|dac_ctrl|data_out[16]~feeder_combout\);

-- Location: FF_X47_Y37_N27
\adc_qsys_u0|dac_ctrl|data_out[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50_max10~inputclkctrl_outclk\,
	d => \adc_qsys_u0|dac_ctrl|data_out[16]~feeder_combout\,
	clrn => \adc_qsys_u0|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\,
	ena => \adc_qsys_u0|dac_ctrl|always0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \adc_qsys_u0|dac_ctrl|data_out\(16));

-- Location: LCCOMB_X44_Y39_N24
\dac_ctrl[16]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(16) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(16))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(16),
	combout => dac_ctrl(16));

-- Location: LCCOMB_X44_Y39_N26
cont : fiftyfivenm_lcell_comb
-- Equation(s):
-- \cont~combout\ = LCELL(dac_ctrl(16))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => dac_ctrl(16),
	combout => \cont~combout\);

-- Location: LCCOMB_X44_Y39_N30
\spi_master_dac|ss_n~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|ss_n~0_combout\ = (\cont~combout\) # ((!\spi_master_dac|Equal3~1_combout\) # (!\spi_master_dac|Equal1~10_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \cont~combout\,
	datab => \spi_master_dac|Equal1~10_combout\,
	datad => \spi_master_dac|Equal3~1_combout\,
	combout => \spi_master_dac|ss_n~0_combout\);

-- Location: FF_X44_Y39_N31
\spi_master_dac|state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|ss_n~0_combout\,
	asdata => \enable~combout\,
	clrn => \fpga_resetn~input_o\,
	sload => \spi_master_dac|ALT_INV_state~q\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|state~q\);

-- Location: LCCOMB_X44_Y39_N2
\spi_master_dac|slave[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|slave[0]~0_combout\ = (!\spi_master_dac|state~q\ & (\fpga_resetn~input_o\ & \enable~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datac => \fpga_resetn~input_o\,
	datad => \enable~combout\,
	combout => \spi_master_dac|slave[0]~0_combout\);

-- Location: FF_X44_Y36_N29
\spi_master_dac|last_bit_rx[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|last_bit_rx[2]~1_combout\,
	ena => \spi_master_dac|slave[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|last_bit_rx\(2));

-- Location: LCCOMB_X45_Y37_N20
\spi_master_dac|Add1~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add1~4_combout\ = (\spi_master_dac|clk_toggles\(2) & (\spi_master_dac|Add1~3\ $ (GND))) # (!\spi_master_dac|clk_toggles\(2) & (!\spi_master_dac|Add1~3\ & VCC))
-- \spi_master_dac|Add1~5\ = CARRY((\spi_master_dac|clk_toggles\(2) & !\spi_master_dac|Add1~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|clk_toggles\(2),
	datad => VCC,
	cin => \spi_master_dac|Add1~3\,
	combout => \spi_master_dac|Add1~4_combout\,
	cout => \spi_master_dac|Add1~5\);

-- Location: LCCOMB_X45_Y37_N28
\spi_master_dac|Add4~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~16_combout\ = (\spi_master_dac|process_0~3_combout\ & (\spi_master_dac|Add4~4_combout\)) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|Add1~4_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|Add4~4_combout\,
	datad => \spi_master_dac|Add1~4_combout\,
	combout => \spi_master_dac|Add4~16_combout\);

-- Location: FF_X45_Y37_N29
\spi_master_dac|clk_toggles[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add4~16_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|clk_toggles[5]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|clk_toggles\(2));

-- Location: LCCOMB_X45_Y37_N30
\spi_master_dac|Add4~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|Add4~15_combout\ = (\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|Add4~6_combout\))) # (!\spi_master_dac|process_0~3_combout\ & (\spi_master_dac|Add1~6_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Add1~6_combout\,
	datab => \spi_master_dac|Add4~6_combout\,
	datad => \spi_master_dac|process_0~3_combout\,
	combout => \spi_master_dac|Add4~15_combout\);

-- Location: FF_X45_Y37_N31
\spi_master_dac|clk_toggles[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|Add4~15_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|clk_toggles[5]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|clk_toggles\(3));

-- Location: LCCOMB_X44_Y37_N26
\spi_master_dac|process_0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|process_0~1_combout\ = (\spi_master_dac|clk_toggles\(3) & (\spi_master_dac|last_bit_rx\(3) & (\spi_master_dac|last_bit_rx\(2) $ (!\spi_master_dac|clk_toggles\(2))))) # (!\spi_master_dac|clk_toggles\(3) & (!\spi_master_dac|last_bit_rx\(3) & 
-- (\spi_master_dac|last_bit_rx\(2) $ (!\spi_master_dac|clk_toggles\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(3),
	datab => \spi_master_dac|last_bit_rx\(2),
	datac => \spi_master_dac|last_bit_rx\(3),
	datad => \spi_master_dac|clk_toggles\(2),
	combout => \spi_master_dac|process_0~1_combout\);

-- Location: LCCOMB_X44_Y37_N28
\spi_master_dac|process_0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|process_0~0_combout\ = (\spi_master_dac|clk_toggles\(1) & (\spi_master_dac|last_bit_rx\(1) & (\spi_master_dac|last_bit_rx\(0) $ (!\spi_master_dac|clk_toggles\(0))))) # (!\spi_master_dac|clk_toggles\(1) & (!\spi_master_dac|last_bit_rx\(1) & 
-- (\spi_master_dac|last_bit_rx\(0) $ (!\spi_master_dac|clk_toggles\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(1),
	datab => \spi_master_dac|last_bit_rx\(0),
	datac => \spi_master_dac|last_bit_rx\(1),
	datad => \spi_master_dac|clk_toggles\(0),
	combout => \spi_master_dac|process_0~0_combout\);

-- Location: LCCOMB_X44_Y37_N30
\spi_master_dac|process_0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|process_0~2_combout\ = (\spi_master_dac|clk_toggles\(4) & (\spi_master_dac|last_bit_rx\(4) & (\spi_master_dac|clk_toggles\(5) $ (!\spi_master_dac|last_bit_rx\(5))))) # (!\spi_master_dac|clk_toggles\(4) & (!\spi_master_dac|last_bit_rx\(4) & 
-- (\spi_master_dac|clk_toggles\(5) $ (!\spi_master_dac|last_bit_rx\(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001000000001001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(4),
	datab => \spi_master_dac|last_bit_rx\(4),
	datac => \spi_master_dac|clk_toggles\(5),
	datad => \spi_master_dac|last_bit_rx\(5),
	combout => \spi_master_dac|process_0~2_combout\);

-- Location: LCCOMB_X44_Y37_N24
\spi_master_dac|process_0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|process_0~3_combout\ = (\spi_master_dac|process_0~1_combout\ & (\spi_master_dac|process_0~0_combout\ & (\spi_master_dac|process_0~2_combout\ & \cont~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~1_combout\,
	datab => \spi_master_dac|process_0~0_combout\,
	datac => \spi_master_dac|process_0~2_combout\,
	datad => \cont~combout\,
	combout => \spi_master_dac|process_0~3_combout\);

-- Location: LCCOMB_X44_Y38_N12
\dac_ctrl[15]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(15) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(15))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(15),
	combout => dac_ctrl(15));

-- Location: LCCOMB_X47_Y38_N8
\dac_ctrl[11]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(11) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(11))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(11),
	combout => dac_ctrl(11));

-- Location: LCCOMB_X44_Y38_N30
\dac_ctrl[10]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(10) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(10))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(10),
	combout => dac_ctrl(10));

-- Location: LCCOMB_X47_Y37_N6
\dac_ctrl[8]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(8) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(8),
	combout => dac_ctrl(8));

-- Location: LCCOMB_X47_Y37_N16
\dac_ctrl[7]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(7) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(7),
	combout => dac_ctrl(7));

-- Location: LCCOMB_X45_Y38_N4
\dac_ctrl[6]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(6) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|dac_ctrl|data_out\(6),
	combout => dac_ctrl(6));

-- Location: LCCOMB_X45_Y38_N30
\dac_ctrl[5]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(5) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(5),
	combout => dac_ctrl(5));

-- Location: LCCOMB_X45_Y38_N16
\dac_ctrl[0]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(0) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \adc_qsys_u0|dac_ctrl|data_out\(0),
	combout => dac_ctrl(0));

-- Location: LCCOMB_X45_Y38_N8
\spi_master_dac|tx_buffer[0]~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[0]~24_combout\ = (dac_ctrl(0) & ((\spi_master_dac|process_0~3_combout\) # (!\spi_master_dac|state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => \spi_master_dac|state~q\,
	datad => dac_ctrl(0),
	combout => \spi_master_dac|tx_buffer[0]~24_combout\);

-- Location: LCCOMB_X44_Y37_N12
\spi_master_dac|LessThan3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|LessThan3~1_cout\ = CARRY((!\spi_master_dac|clk_toggles\(0) & \spi_master_dac|last_bit_rx\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(0),
	datab => \spi_master_dac|last_bit_rx\(0),
	datad => VCC,
	cout => \spi_master_dac|LessThan3~1_cout\);

-- Location: LCCOMB_X44_Y37_N14
\spi_master_dac|LessThan3~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|LessThan3~3_cout\ = CARRY((\spi_master_dac|clk_toggles\(1) & ((!\spi_master_dac|LessThan3~1_cout\) # (!\spi_master_dac|last_bit_rx\(1)))) # (!\spi_master_dac|clk_toggles\(1) & (!\spi_master_dac|last_bit_rx\(1) & 
-- !\spi_master_dac|LessThan3~1_cout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(1),
	datab => \spi_master_dac|last_bit_rx\(1),
	datad => VCC,
	cin => \spi_master_dac|LessThan3~1_cout\,
	cout => \spi_master_dac|LessThan3~3_cout\);

-- Location: LCCOMB_X44_Y37_N16
\spi_master_dac|LessThan3~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|LessThan3~5_cout\ = CARRY((\spi_master_dac|clk_toggles\(2) & (\spi_master_dac|last_bit_rx\(2) & !\spi_master_dac|LessThan3~3_cout\)) # (!\spi_master_dac|clk_toggles\(2) & ((\spi_master_dac|last_bit_rx\(2)) # 
-- (!\spi_master_dac|LessThan3~3_cout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(2),
	datab => \spi_master_dac|last_bit_rx\(2),
	datad => VCC,
	cin => \spi_master_dac|LessThan3~3_cout\,
	cout => \spi_master_dac|LessThan3~5_cout\);

-- Location: LCCOMB_X44_Y37_N18
\spi_master_dac|LessThan3~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|LessThan3~7_cout\ = CARRY((\spi_master_dac|clk_toggles\(3) & ((!\spi_master_dac|LessThan3~5_cout\) # (!\spi_master_dac|last_bit_rx\(3)))) # (!\spi_master_dac|clk_toggles\(3) & (!\spi_master_dac|last_bit_rx\(3) & 
-- !\spi_master_dac|LessThan3~5_cout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(3),
	datab => \spi_master_dac|last_bit_rx\(3),
	datad => VCC,
	cin => \spi_master_dac|LessThan3~5_cout\,
	cout => \spi_master_dac|LessThan3~7_cout\);

-- Location: LCCOMB_X44_Y37_N20
\spi_master_dac|LessThan3~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|LessThan3~9_cout\ = CARRY((\spi_master_dac|clk_toggles\(4) & (\spi_master_dac|last_bit_rx\(4) & !\spi_master_dac|LessThan3~7_cout\)) # (!\spi_master_dac|clk_toggles\(4) & ((\spi_master_dac|last_bit_rx\(4)) # 
-- (!\spi_master_dac|LessThan3~7_cout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|clk_toggles\(4),
	datab => \spi_master_dac|last_bit_rx\(4),
	datad => VCC,
	cin => \spi_master_dac|LessThan3~7_cout\,
	cout => \spi_master_dac|LessThan3~9_cout\);

-- Location: LCCOMB_X44_Y37_N22
\spi_master_dac|LessThan3~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|LessThan3~10_combout\ = (\spi_master_dac|clk_toggles\(5) & (\spi_master_dac|LessThan3~9_cout\ & \spi_master_dac|last_bit_rx\(5))) # (!\spi_master_dac|clk_toggles\(5) & ((\spi_master_dac|LessThan3~9_cout\) # 
-- (\spi_master_dac|last_bit_rx\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001100110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|clk_toggles\(5),
	datad => \spi_master_dac|last_bit_rx\(5),
	cin => \spi_master_dac|LessThan3~9_cout\,
	combout => \spi_master_dac|LessThan3~10_combout\);

-- Location: LCCOMB_X44_Y39_N10
\spi_master_dac|assert_data~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|assert_data~0_combout\ = (\spi_master_dac|clk_toggles[5]~0_combout\ & ((\spi_master_dac|state~q\ & ((!\spi_master_dac|assert_data~q\))) # (!\spi_master_dac|state~q\ & (!\cpha~combout\)))) # (!\spi_master_dac|clk_toggles[5]~0_combout\ & 
-- (((\spi_master_dac|assert_data~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001101111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datab => \cpha~combout\,
	datac => \spi_master_dac|assert_data~q\,
	datad => \spi_master_dac|clk_toggles[5]~0_combout\,
	combout => \spi_master_dac|assert_data~0_combout\);

-- Location: FF_X44_Y39_N11
\spi_master_dac|assert_data\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|assert_data~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|assert_data~q\);

-- Location: LCCOMB_X44_Y39_N28
\spi_master_dac|mosi~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|mosi~3_combout\ = (\spi_master_dac|LessThan3~10_combout\ & \spi_master_dac|assert_data~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \spi_master_dac|LessThan3~10_combout\,
	datad => \spi_master_dac|assert_data~q\,
	combout => \spi_master_dac|mosi~3_combout\);

-- Location: LCCOMB_X44_Y38_N6
\spi_master_dac|tx_buffer[23]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[23]~1_combout\ = (\spi_master_dac|clk_toggles[5]~0_combout\ & ((\spi_master_dac|mosi~3_combout\) # ((\spi_master_dac|process_0~3_combout\) # (!\spi_master_dac|state~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|mosi~3_combout\,
	datab => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|state~q\,
	datad => \spi_master_dac|clk_toggles[5]~0_combout\,
	combout => \spi_master_dac|tx_buffer[23]~1_combout\);

-- Location: FF_X45_Y38_N9
\spi_master_dac|tx_buffer[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[0]~24_combout\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(0));

-- Location: LCCOMB_X45_Y38_N0
\dac_ctrl[1]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(1) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(1),
	combout => dac_ctrl(1));

-- Location: LCCOMB_X45_Y38_N14
\spi_master_dac|tx_buffer[1]~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[1]~23_combout\ = (\spi_master_dac|process_0~3_combout\ & (((dac_ctrl(1))))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & (\spi_master_dac|tx_buffer\(0))) # (!\spi_master_dac|state~q\ & 
-- ((dac_ctrl(1))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|tx_buffer\(0),
	datad => dac_ctrl(1),
	combout => \spi_master_dac|tx_buffer[1]~23_combout\);

-- Location: FF_X45_Y38_N15
\spi_master_dac|tx_buffer[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[1]~23_combout\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(1));

-- Location: LCCOMB_X45_Y38_N20
\dac_ctrl[2]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(2) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \adc_qsys_u0|dac_ctrl|data_out\(2),
	combout => dac_ctrl(2));

-- Location: LCCOMB_X45_Y38_N26
\spi_master_dac|tx_buffer[2]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[2]~22_combout\ = (\spi_master_dac|process_0~3_combout\ & (((dac_ctrl(2))))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & (\spi_master_dac|tx_buffer\(1))) # (!\spi_master_dac|state~q\ & 
-- ((dac_ctrl(2))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|tx_buffer\(1),
	datad => dac_ctrl(2),
	combout => \spi_master_dac|tx_buffer[2]~22_combout\);

-- Location: FF_X45_Y38_N27
\spi_master_dac|tx_buffer[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[2]~22_combout\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(2));

-- Location: LCCOMB_X45_Y38_N24
\dac_ctrl[3]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(3) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|dac_ctrl|data_out\(3),
	combout => dac_ctrl(3));

-- Location: LCCOMB_X45_Y38_N22
\spi_master_dac|tx_buffer[3]~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[3]~21_combout\ = (\spi_master_dac|process_0~3_combout\ & (((dac_ctrl(3))))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & (\spi_master_dac|tx_buffer\(2))) # (!\spi_master_dac|state~q\ & 
-- ((dac_ctrl(3))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|tx_buffer\(2),
	datad => dac_ctrl(3),
	combout => \spi_master_dac|tx_buffer[3]~21_combout\);

-- Location: FF_X45_Y38_N23
\spi_master_dac|tx_buffer[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[3]~21_combout\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(3));

-- Location: LCCOMB_X46_Y37_N0
\dac_ctrl[4]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(4) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(4),
	combout => dac_ctrl(4));

-- Location: LCCOMB_X45_Y38_N2
\spi_master_dac|tx_buffer[4]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[4]~20_combout\ = (\spi_master_dac|process_0~3_combout\ & (((dac_ctrl(4))))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & (\spi_master_dac|tx_buffer\(3))) # (!\spi_master_dac|state~q\ & 
-- ((dac_ctrl(4))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|tx_buffer\(3),
	datad => dac_ctrl(4),
	combout => \spi_master_dac|tx_buffer[4]~20_combout\);

-- Location: FF_X45_Y38_N3
\spi_master_dac|tx_buffer[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[4]~20_combout\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(4));

-- Location: LCCOMB_X45_Y38_N10
\spi_master_dac|tx_buffer[5]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[5]~19_combout\ = (\spi_master_dac|process_0~3_combout\ & (((dac_ctrl(5))))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & ((\spi_master_dac|tx_buffer\(4)))) # (!\spi_master_dac|state~q\ & 
-- (dac_ctrl(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010010110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => \spi_master_dac|state~q\,
	datac => dac_ctrl(5),
	datad => \spi_master_dac|tx_buffer\(4),
	combout => \spi_master_dac|tx_buffer[5]~19_combout\);

-- Location: FF_X45_Y38_N11
\spi_master_dac|tx_buffer[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[5]~19_combout\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(5));

-- Location: LCCOMB_X45_Y38_N12
\spi_master_dac|tx_buffer[6]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[6]~18_combout\ = (\spi_master_dac|process_0~3_combout\ & (((dac_ctrl(6))))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & ((\spi_master_dac|tx_buffer\(5)))) # (!\spi_master_dac|state~q\ & 
-- (dac_ctrl(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010010110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => \spi_master_dac|state~q\,
	datac => dac_ctrl(6),
	datad => \spi_master_dac|tx_buffer\(5),
	combout => \spi_master_dac|tx_buffer[6]~18_combout\);

-- Location: FF_X45_Y38_N13
\spi_master_dac|tx_buffer[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[6]~18_combout\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(6));

-- Location: LCCOMB_X46_Y38_N12
\spi_master_dac|tx_buffer[7]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[7]~17_combout\ = (\spi_master_dac|state~q\ & ((\spi_master_dac|process_0~3_combout\ & (dac_ctrl(7))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|tx_buffer\(6)))))) # (!\spi_master_dac|state~q\ & (dac_ctrl(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datab => dac_ctrl(7),
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|tx_buffer\(6),
	combout => \spi_master_dac|tx_buffer[7]~17_combout\);

-- Location: FF_X45_Y38_N21
\spi_master_dac|tx_buffer[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	asdata => \spi_master_dac|tx_buffer[7]~17_combout\,
	sload => VCC,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(7));

-- Location: LCCOMB_X46_Y38_N20
\spi_master_dac|tx_buffer[8]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[8]~16_combout\ = (\spi_master_dac|state~q\ & ((\spi_master_dac|process_0~3_combout\ & (dac_ctrl(8))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|tx_buffer\(7)))))) # (!\spi_master_dac|state~q\ & 
-- (((dac_ctrl(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001011010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datab => \spi_master_dac|process_0~3_combout\,
	datac => dac_ctrl(8),
	datad => \spi_master_dac|tx_buffer\(7),
	combout => \spi_master_dac|tx_buffer[8]~16_combout\);

-- Location: FF_X45_Y38_N17
\spi_master_dac|tx_buffer[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	asdata => \spi_master_dac|tx_buffer[8]~16_combout\,
	sload => VCC,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(8));

-- Location: LCCOMB_X47_Y38_N28
\dac_ctrl[9]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(9) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(9))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \adc_qsys_u0|dac_ctrl|data_out\(9),
	combout => dac_ctrl(9));

-- Location: LCCOMB_X46_Y38_N0
\spi_master_dac|tx_buffer[9]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[9]~15_combout\ = (\spi_master_dac|state~q\ & ((\spi_master_dac|process_0~3_combout\ & ((dac_ctrl(9)))) # (!\spi_master_dac|process_0~3_combout\ & (\spi_master_dac|tx_buffer\(8))))) # (!\spi_master_dac|state~q\ & 
-- (((dac_ctrl(9)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datab => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|tx_buffer\(8),
	datad => dac_ctrl(9),
	combout => \spi_master_dac|tx_buffer[9]~15_combout\);

-- Location: FF_X45_Y38_N19
\spi_master_dac|tx_buffer[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	asdata => \spi_master_dac|tx_buffer[9]~15_combout\,
	sload => VCC,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(9));

-- Location: LCCOMB_X44_Y38_N18
\spi_master_dac|tx_buffer[10]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[10]~14_combout\ = (\spi_master_dac|process_0~3_combout\ & (dac_ctrl(10))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & ((\spi_master_dac|tx_buffer\(9)))) # (!\spi_master_dac|state~q\ & (dac_ctrl(10)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101010001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => dac_ctrl(10),
	datab => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|state~q\,
	datad => \spi_master_dac|tx_buffer\(9),
	combout => \spi_master_dac|tx_buffer[10]~14_combout\);

-- Location: FF_X44_Y38_N19
\spi_master_dac|tx_buffer[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[10]~14_combout\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(10));

-- Location: LCCOMB_X44_Y38_N10
\spi_master_dac|tx_buffer[11]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[11]~13_combout\ = (\spi_master_dac|process_0~3_combout\ & (dac_ctrl(11))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & ((\spi_master_dac|tx_buffer\(10)))) # (!\spi_master_dac|state~q\ & 
-- (dac_ctrl(11)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101010001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => dac_ctrl(11),
	datab => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|state~q\,
	datad => \spi_master_dac|tx_buffer\(10),
	combout => \spi_master_dac|tx_buffer[11]~13_combout\);

-- Location: FF_X44_Y38_N11
\spi_master_dac|tx_buffer[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[11]~13_combout\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(11));

-- Location: LCCOMB_X43_Y38_N20
\dac_ctrl[12]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(12) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(12))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(12),
	combout => dac_ctrl(12));

-- Location: LCCOMB_X44_Y38_N26
\spi_master_dac|tx_buffer[12]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[12]~12_combout\ = (\spi_master_dac|process_0~3_combout\ & (((dac_ctrl(12))))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & (\spi_master_dac|tx_buffer\(11))) # (!\spi_master_dac|state~q\ & 
-- ((dac_ctrl(12))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|tx_buffer\(11),
	datab => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|state~q\,
	datad => dac_ctrl(12),
	combout => \spi_master_dac|tx_buffer[12]~12_combout\);

-- Location: FF_X44_Y38_N27
\spi_master_dac|tx_buffer[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[12]~12_combout\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(12));

-- Location: LCCOMB_X43_Y38_N14
\dac_ctrl[13]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(13) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(13))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(13),
	combout => dac_ctrl(13));

-- Location: LCCOMB_X44_Y38_N0
\spi_master_dac|tx_buffer[13]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[13]~11_combout\ = (\spi_master_dac|process_0~3_combout\ & (((dac_ctrl(13))))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & (\spi_master_dac|tx_buffer\(12))) # (!\spi_master_dac|state~q\ & 
-- ((dac_ctrl(13))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|tx_buffer\(12),
	datab => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|state~q\,
	datad => dac_ctrl(13),
	combout => \spi_master_dac|tx_buffer[13]~11_combout\);

-- Location: FF_X44_Y38_N1
\spi_master_dac|tx_buffer[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[13]~11_combout\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(13));

-- Location: LCCOMB_X45_Y38_N18
\dac_ctrl[14]\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- dac_ctrl(14) = LCELL(\adc_qsys_u0|dac_ctrl|data_out\(14))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \adc_qsys_u0|dac_ctrl|data_out\(14),
	combout => dac_ctrl(14));

-- Location: LCCOMB_X45_Y38_N28
\spi_master_dac|tx_buffer[14]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[14]~10_combout\ = (\spi_master_dac|process_0~3_combout\ & (((dac_ctrl(14))))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & (\spi_master_dac|tx_buffer\(13))) # (!\spi_master_dac|state~q\ & 
-- ((dac_ctrl(14))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|process_0~3_combout\,
	datab => \spi_master_dac|state~q\,
	datac => \spi_master_dac|tx_buffer\(13),
	datad => dac_ctrl(14),
	combout => \spi_master_dac|tx_buffer[14]~10_combout\);

-- Location: FF_X45_Y38_N29
\spi_master_dac|tx_buffer[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[14]~10_combout\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(14));

-- Location: LCCOMB_X44_Y38_N24
\spi_master_dac|tx_buffer[15]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[15]~9_combout\ = (\spi_master_dac|process_0~3_combout\ & (dac_ctrl(15))) # (!\spi_master_dac|process_0~3_combout\ & ((\spi_master_dac|state~q\ & ((\spi_master_dac|tx_buffer\(14)))) # (!\spi_master_dac|state~q\ & (dac_ctrl(15)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011101010001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => dac_ctrl(15),
	datab => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|state~q\,
	datad => \spi_master_dac|tx_buffer\(14),
	combout => \spi_master_dac|tx_buffer[15]~9_combout\);

-- Location: FF_X44_Y38_N25
\spi_master_dac|tx_buffer[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[15]~9_combout\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(15));

-- Location: LCCOMB_X44_Y38_N28
\spi_master_dac|tx_buffer[16]~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[16]~8_combout\ = (!\spi_master_dac|process_0~3_combout\ & \spi_master_dac|tx_buffer\(15))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|tx_buffer\(15),
	combout => \spi_master_dac|tx_buffer[16]~8_combout\);

-- Location: FF_X44_Y38_N29
\spi_master_dac|tx_buffer[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[16]~8_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(16));

-- Location: LCCOMB_X44_Y38_N14
\spi_master_dac|tx_buffer[17]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[17]~7_combout\ = (!\spi_master_dac|process_0~3_combout\ & \spi_master_dac|tx_buffer\(16))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|tx_buffer\(16),
	combout => \spi_master_dac|tx_buffer[17]~7_combout\);

-- Location: FF_X44_Y38_N15
\spi_master_dac|tx_buffer[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[17]~7_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(17));

-- Location: LCCOMB_X44_Y38_N2
\spi_master_dac|tx_buffer[18]~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[18]~6_combout\ = (\spi_master_dac|tx_buffer\(17) & !\spi_master_dac|process_0~3_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|tx_buffer\(17),
	datac => \spi_master_dac|process_0~3_combout\,
	combout => \spi_master_dac|tx_buffer[18]~6_combout\);

-- Location: FF_X44_Y38_N3
\spi_master_dac|tx_buffer[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[18]~6_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(18));

-- Location: LCCOMB_X44_Y38_N20
\spi_master_dac|tx_buffer[19]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[19]~5_combout\ = (!\spi_master_dac|process_0~3_combout\ & \spi_master_dac|tx_buffer\(18))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|tx_buffer\(18),
	combout => \spi_master_dac|tx_buffer[19]~5_combout\);

-- Location: FF_X44_Y38_N21
\spi_master_dac|tx_buffer[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[19]~5_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(19));

-- Location: LCCOMB_X44_Y38_N4
\spi_master_dac|tx_buffer[20]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[20]~4_combout\ = (!\spi_master_dac|process_0~3_combout\ & \spi_master_dac|tx_buffer\(19))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \spi_master_dac|process_0~3_combout\,
	datad => \spi_master_dac|tx_buffer\(19),
	combout => \spi_master_dac|tx_buffer[20]~4_combout\);

-- Location: FF_X44_Y38_N5
\spi_master_dac|tx_buffer[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[20]~4_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(20));

-- Location: LCCOMB_X44_Y38_N8
\spi_master_dac|tx_buffer[21]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[21]~3_combout\ = (!\spi_master_dac|process_0~3_combout\ & \spi_master_dac|tx_buffer\(20))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|tx_buffer\(20),
	combout => \spi_master_dac|tx_buffer[21]~3_combout\);

-- Location: FF_X44_Y38_N9
\spi_master_dac|tx_buffer[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[21]~3_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(21));

-- Location: LCCOMB_X44_Y38_N22
\spi_master_dac|tx_buffer[22]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[22]~2_combout\ = (!\spi_master_dac|process_0~3_combout\ & \spi_master_dac|tx_buffer\(21))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|tx_buffer\(21),
	combout => \spi_master_dac|tx_buffer[22]~2_combout\);

-- Location: FF_X44_Y38_N23
\spi_master_dac|tx_buffer[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[22]~2_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(22));

-- Location: LCCOMB_X44_Y38_N16
\spi_master_dac|tx_buffer[23]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|tx_buffer[23]~0_combout\ = (!\spi_master_dac|process_0~3_combout\ & \spi_master_dac|tx_buffer\(22))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|process_0~3_combout\,
	datac => \spi_master_dac|tx_buffer\(22),
	combout => \spi_master_dac|tx_buffer[23]~0_combout\);

-- Location: FF_X44_Y38_N17
\spi_master_dac|tx_buffer[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|tx_buffer[23]~0_combout\,
	sclr => \spi_master_dac|ALT_INV_state~q\,
	ena => \spi_master_dac|tx_buffer[23]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|tx_buffer\(23));

-- Location: LCCOMB_X45_Y39_N24
\spi_master_dac|mosi~reg0feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|mosi~reg0feeder_combout\ = \spi_master_dac|tx_buffer\(23)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \spi_master_dac|tx_buffer\(23),
	combout => \spi_master_dac|mosi~reg0feeder_combout\);

-- Location: LCCOMB_X44_Y39_N14
\spi_master_dac|mosi~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|mosi~0_combout\ = (\spi_master_dac|Equal3~1_combout\ & (((\spi_master_dac|LessThan3~10_combout\ & \spi_master_dac|assert_data~q\)) # (!\cont~combout\))) # (!\spi_master_dac|Equal3~1_combout\ & (\spi_master_dac|LessThan3~10_combout\ & 
-- ((\spi_master_dac|assert_data~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|Equal3~1_combout\,
	datab => \spi_master_dac|LessThan3~10_combout\,
	datac => \cont~combout\,
	datad => \spi_master_dac|assert_data~q\,
	combout => \spi_master_dac|mosi~0_combout\);

-- Location: LCCOMB_X44_Y39_N4
\spi_master_dac|mosi~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|mosi~1_combout\ = ((\spi_master_dac|mosi~0_combout\ & \spi_master_dac|Equal1~10_combout\)) # (!\spi_master_dac|state~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \spi_master_dac|state~q\,
	datac => \spi_master_dac|mosi~0_combout\,
	datad => \spi_master_dac|Equal1~10_combout\,
	combout => \spi_master_dac|mosi~1_combout\);

-- Location: FF_X45_Y39_N25
\spi_master_dac|mosi~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|mosi~reg0feeder_combout\,
	ena => \spi_master_dac|mosi~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|mosi~reg0_q\);

-- Location: LCCOMB_X45_Y39_N8
\spi_master_dac|mosi~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \spi_master_dac|mosi~2_combout\ = (\spi_master_dac|state~q\ & ((\cont~combout\) # (!\spi_master_dac|Equal3~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \spi_master_dac|state~q\,
	datac => \cont~combout\,
	datad => \spi_master_dac|Equal3~1_combout\,
	combout => \spi_master_dac|mosi~2_combout\);

-- Location: FF_X45_Y39_N9
\spi_master_dac|mosi~en\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_25_max10~inputclkctrl_outclk\,
	d => \spi_master_dac|mosi~2_combout\,
	clrn => \fpga_resetn~input_o\,
	ena => \spi_master_dac|mosi~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \spi_master_dac|mosi~en_q\);

-- Location: LCCOMB_X56_Y37_N0
\auto_hub|~GND\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
;

-- Location: LCCOMB_X43_Y34_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~_wirecell\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~q\,
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|clr_reg~_wirecell_combout\);

-- Location: LCCOMB_X41_Y35_N0
\auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[0]~_wirecell\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state\(0),
	combout => \auto_hub|instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|instrumentation_fabric|alt_sld_fab|sldfabric|jtag_hub_gen:real_sld_jtag_hub|shadow_jsm|state[0]~_wirecell_combout\);

-- Location: IOIBUF_X78_Y29_N22
\clk_ddr3_100_p~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_ddr3_100_p,
	ibar => \ww_clk_ddr3_100_p(n)\,
	o => \clk_ddr3_100_p~input_o\);

-- Location: IOIBUF_X34_Y0_N29
\clk_lvds_125_p~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_lvds_125_p,
	ibar => \ww_clk_lvds_125_p(n)\,
	o => \clk_lvds_125_p~input_o\);

-- Location: IOIBUF_X78_Y25_N15
\user_pb[0]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_pb(0),
	o => \user_pb[0]~input_o\);

-- Location: IOIBUF_X78_Y25_N22
\user_pb[1]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_pb(1),
	o => \user_pb[1]~input_o\);

-- Location: IOIBUF_X78_Y25_N1
\user_pb[2]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_pb(2),
	o => \user_pb[2]~input_o\);

-- Location: IOIBUF_X78_Y25_N8
\user_pb[3]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_pb(3),
	o => \user_pb[3]~input_o\);

-- Location: IOIBUF_X78_Y29_N1
\user_dipsw[0]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_dipsw(0),
	o => \user_dipsw[0]~input_o\);

-- Location: IOIBUF_X78_Y29_N8
\user_dipsw[1]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_dipsw(1),
	o => \user_dipsw[1]~input_o\);

-- Location: IOIBUF_X78_Y30_N1
\user_dipsw[2]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_dipsw(2),
	o => \user_dipsw[2]~input_o\);

-- Location: IOIBUF_X78_Y30_N8
\user_dipsw[3]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_dipsw(3),
	o => \user_dipsw[3]~input_o\);

-- Location: IOIBUF_X78_Y31_N15
\user_dipsw[4]~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_user_dipsw(4),
	o => \user_dipsw[4]~input_o\);

-- Location: UNVM_X0_Y40_N40
\~QUARTUS_CREATED_UNVM~\ : fiftyfivenm_unvm
-- pragma translate_off
GENERIC MAP (
	addr_range1_end_addr => -1,
	addr_range1_offset => -1,
	addr_range2_end_addr => -1,
	addr_range2_offset => -1,
	addr_range3_offset => -1,
	is_compressed_image => "false",
	is_dual_boot => "false",
	is_eram_skip => "false",
	max_ufm_valid_addr => -1,
	max_valid_addr => -1,
	min_ufm_valid_addr => -1,
	min_valid_addr => -1,
	part_name => "quartus_created_unvm",
	reserve_block => "true")
-- pragma translate_on
PORT MAP (
	nosc_ena => \~QUARTUS_CREATED_GND~I_combout\,
	xe_ye => \~QUARTUS_CREATED_GND~I_combout\,
	se => \~QUARTUS_CREATED_GND~I_combout\,
	busy => \~QUARTUS_CREATED_UNVM~~busy\);
END structure;


